/*

 Counter block mode compatible with  Dr Brian Gladman fileenc.c
 derived from CryptoJS.mode.CTR
 Jan Hruby jhruby.web@gmail.com

 (c) 2012 by C?dric Mesnil. All rights reserved.

 Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

     - Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
     - Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 Yusuke Kawasaki
 @license MIT
 @constructor
 @see https://github.com/kawanet/event-lite
 @see http://kawanet.github.io/event-lite/EventLite.html
 @example
 var EventLite = require("event-lite");

 function MyClass() {...}             // your class

 EventLite.mixin(MyClass.prototype);  // import event methods

 var obj = new MyClass();
 obj.on("foo", function() {...});     // add event listener
 obj.once("bar", function() {...});   // add one-time event listener
 obj.emit("foo");                     // dispatch event
 obj.emit("bar");                     // dispatch another event
 obj.off("foo");                      // remove event listener
 bignumber.js v3.0.1 https://github.com/MikeMcl/bignumber.js/LICENCE  MIT License (c) copyright 2013-2014 original author or authors  MIT License (c) copyright 2010-2014 original author or authors  The buffer module from node.js, for the browser.

 @author   Feross Aboukhadijeh <feross@feross.org> <http://feross.org>
 @license  MIT
 Determine if an object is a Buffer

 @author   Feross Aboukhadijeh <feross@feross.org> <http://feross.org>
 @license  MIT
 https://mths.be/punycode v1.4.1 by @mathias */
var $jscomp={scope:{},inherits:function(G,f){function l(){}l.prototype=f.prototype;G.prototype=new l;G.prototype.constructor=G;for(var h in f)if(Object.defineProperties){var b=Object.getOwnPropertyDescriptor(f,h);b&&Object.defineProperty(G,h,b)}else G[h]=f[h]}};$jscomp.defineProperty="function"==typeof Object.defineProperties?Object.defineProperty:function(G,f,l){if(l.get||l.set)throw new TypeError("ES3 does not support getters and setters.");G!=Array.prototype&&G!=Object.prototype&&(G[f]=l.value)};
$jscomp.getGlobal=function(G){return"undefined"!=typeof window&&window===G?G:"undefined"!=typeof global&&null!=global?global:G};$jscomp.global=$jscomp.getGlobal(this);$jscomp.SYMBOL_PREFIX="jscomp_symbol_";$jscomp.initSymbol=function(){$jscomp.initSymbol=function(){};$jscomp.global.Symbol||($jscomp.global.Symbol=$jscomp.Symbol)};$jscomp.symbolCounter_=0;$jscomp.Symbol=function(G){return $jscomp.SYMBOL_PREFIX+(G||"")+$jscomp.symbolCounter_++};
$jscomp.initSymbolIterator=function(){$jscomp.initSymbol();var G=$jscomp.global.Symbol.iterator;G||(G=$jscomp.global.Symbol.iterator=$jscomp.global.Symbol("iterator"));"function"!=typeof Array.prototype[G]&&$jscomp.defineProperty(Array.prototype,G,{configurable:!0,writable:!0,value:function(){return $jscomp.arrayIterator(this)}});$jscomp.initSymbolIterator=function(){}};$jscomp.arrayIterator=function(G){var f=0;return $jscomp.iteratorPrototype(function(){return f<G.length?{done:!1,value:G[f++]}:{done:!0}})};
$jscomp.iteratorPrototype=function(G){$jscomp.initSymbolIterator();G={next:G};G[$jscomp.global.Symbol.iterator]=function(){return this};return G};$jscomp.makeIterator=function(G){$jscomp.initSymbolIterator();var f=G[Symbol.iterator];return f?f.call(G):$jscomp.arrayIterator(G)};
$jscomp.polyfill=function(G,f,l,h){if(f){l=$jscomp.global;G=G.split(".");for(h=0;h<G.length-1;h++){var b=G[h];b in l||(l[b]={});l=l[b]}G=G[G.length-1];h=l[G];f=f(h);f!=h&&null!=f&&$jscomp.defineProperty(l,G,{configurable:!0,writable:!0,value:f})}};$jscomp.EXPOSE_ASYNC_EXECUTOR=!0;$jscomp.FORCE_POLYFILL_PROMISE=!1;
$jscomp.polyfill("Promise",function(G){function f(){this.batch_=null}if(G&&!$jscomp.FORCE_POLYFILL_PROMISE)return G;f.prototype.asyncExecute=function(a){null==this.batch_&&(this.batch_=[],this.asyncExecuteBatch_());this.batch_.push(a);return this};f.prototype.asyncExecuteBatch_=function(){var a=this;this.asyncExecuteFunction(function(){a.executeBatch_()})};var l=$jscomp.global.setTimeout;f.prototype.asyncExecuteFunction=function(a){l(a,0)};f.prototype.executeBatch_=function(){for(;this.batch_&&this.batch_.length;){var a=
this.batch_;this.batch_=[];for(var b=0;b<a.length;++b){var c=a[b];delete a[b];try{c()}catch(k){this.asyncThrow_(k)}}}this.batch_=null};f.prototype.asyncThrow_=function(a){this.asyncExecuteFunction(function(){throw a;})};var h=function(a){this.state_=0;this.result_=void 0;this.onSettledCallbacks_=[];var b=this.createResolveAndReject_();try{a(b.resolve,b.reject)}catch(c){b.reject(c)}};h.prototype.createResolveAndReject_=function(){function a(a){return function(g){c||(c=!0,a.call(b,g))}}var b=this,c=
!1;return{resolve:a(this.resolveTo_),reject:a(this.reject_)}};h.prototype.resolveTo_=function(a){if(a===this)this.reject_(new TypeError("A Promise cannot resolve to itself"));else if(a instanceof h)this.settleSameAsPromise_(a);else{var b;a:switch(typeof a){case "object":b=null!=a;break a;case "function":b=!0;break a;default:b=!1}b?this.resolveToNonPromiseObj_(a):this.fulfill_(a)}};h.prototype.resolveToNonPromiseObj_=function(a){var b=void 0;try{b=a.then}catch(c){this.reject_(c);return}"function"==
typeof b?this.settleSameAsThenable_(b,a):this.fulfill_(a)};h.prototype.reject_=function(a){this.settle_(2,a)};h.prototype.fulfill_=function(a){this.settle_(1,a)};h.prototype.settle_=function(a,b){if(0!=this.state_)throw Error("Cannot settle("+a+", "+b|"): Promise already settled in state"+this.state_);this.state_=a;this.result_=b;this.executeOnSettledCallbacks_()};h.prototype.executeOnSettledCallbacks_=function(){if(null!=this.onSettledCallbacks_){for(var a=this.onSettledCallbacks_,b=0;b<a.length;++b)a[b].call(),
a[b]=null;this.onSettledCallbacks_=null}};var b=new f;h.prototype.settleSameAsPromise_=function(a){var b=this.createResolveAndReject_();a.callWhenSettled_(b.resolve,b.reject)};h.prototype.settleSameAsThenable_=function(a,b){var c=this.createResolveAndReject_();try{a.call(b,c.resolve,c.reject)}catch(k){c.reject(k)}};h.prototype.then=function(a,b){function c(a,c){return"function"==typeof a?function(d){try{e(a(d))}catch(v){g(v)}}:c}var e,g,m=new h(function(a,c){e=a;g=c});this.callWhenSettled_(c(a,e),
c(b,g));return m};h.prototype["catch"]=function(a){return this.then(void 0,a)};h.prototype.callWhenSettled_=function(a,e){function c(){switch(k.state_){case 1:a(k.result_);break;case 2:e(k.result_);break;default:throw Error("Unexpected state: "+k.state_);}}var k=this;null==this.onSettledCallbacks_?b.asyncExecute(c):this.onSettledCallbacks_.push(function(){b.asyncExecute(c)})};h.resolve=function(a){return a instanceof h?a:new h(function(b,c){b(a)})};h.reject=function(a){return new h(function(b,c){c(a)})};
h.race=function(a){return new h(function(b,c){for(var e=$jscomp.makeIterator(a),g=e.next();!g.done;g=e.next())h.resolve(g.value).callWhenSettled_(b,c)})};h.all=function(a){var b=$jscomp.makeIterator(a),c=b.next();return c.done?h.resolve([]):new h(function(a,g){function e(d){return function(c){k[d]=c;t--;0==t&&a(k)}}var k=[],t=0;do k.push(void 0),t++,h.resolve(c.value).callWhenSettled_(e(k.length-1),g),c=b.next();while(!c.done)})};$jscomp.EXPOSE_ASYNC_EXECUTOR&&(h.$jscomp$new$AsyncExecutor=function(){return new f});
return h},"es6-impl","es3");$jscomp.array=$jscomp.array||{};$jscomp.iteratorFromArray=function(G,f){$jscomp.initSymbolIterator();G instanceof String&&(G+="");var l=0,h={next:function(){if(l<G.length){var b=l++;return{value:f(b,G[b]),done:!1}}h.next=function(){return{done:!0,value:void 0}};return h.next()}};h[Symbol.iterator]=function(){return h};return h};
$jscomp.polyfill("Array.prototype.keys",function(G){return G?G:function(){return $jscomp.iteratorFromArray(this,function(f){return f})}},"es6-impl","es3");$jscomp.polyfill("Number.isFinite",function(G){return G?G:function(f){return"number"!==typeof f?!1:!isNaN(f)&&Infinity!==f&&-Infinity!==f}},"es6-impl","es3");$jscomp.polyfill("Number.isInteger",function(G){return G?G:function(f){return Number.isFinite(f)?f===Math.floor(f):!1}},"es6-impl","es3");
$jscomp.polyfill("Number.MAX_SAFE_INTEGER",function(){return 9007199254740991},"es6-impl","es3");$jscomp.owns=function(G,f){return Object.prototype.hasOwnProperty.call(G,f)};
$jscomp.polyfill("WeakMap",function(G){function f(a){$jscomp.owns(a,h)||$jscomp.defineProperty(a,h,{value:{}})}function l(a){var c=Object[a];c&&(Object[a]=function(a){f(a);return c(a)})}if(function(){if(!G||!Object.seal)return!1;try{var a=Object.seal({}),c=Object.seal({}),b=new G([[a,2],[c,3]]);if(2!=b.get(a)||3!=b.get(c))return!1;b["delete"](a);b.set(c,4);return!b.has(a)&&4==b.get(c)}catch(g){return!1}}())return G;var h="$jscomp_hidden_"+Math.random().toString().substring(2);l("freeze");l("preventExtensions");
l("seal");var b=0,a=function(a){this.id_=(b+=Math.random()+1).toString();if(a){$jscomp.initSymbol();$jscomp.initSymbolIterator();a=$jscomp.makeIterator(a);for(var c;!(c=a.next()).done;)c=c.value,this.set(c[0],c[1])}};a.prototype.set=function(a,c){f(a);if(!$jscomp.owns(a,h))throw Error("WeakMap key fail: "+a);a[h][this.id_]=c;return this};a.prototype.get=function(a){return $jscomp.owns(a,h)?a[h][this.id_]:void 0};a.prototype.has=function(a){return $jscomp.owns(a,h)&&$jscomp.owns(a[h],this.id_)};a.prototype["delete"]=
function(a){return $jscomp.owns(a,h)&&$jscomp.owns(a[h],this.id_)?delete a[h][this.id_]:!1};return a},"es6-impl","es3");$jscomp.ASSUME_NO_NATIVE_MAP=!1;
$jscomp.polyfill("Map",function(G){if(!$jscomp.ASSUME_NO_NATIVE_MAP&&function(){if(!G||!G.prototype.entries||"function"!=typeof Object.seal)return!1;try{var a=Object.seal({x:4}),b=new G($jscomp.makeIterator([[a,"s"]]));if("s"!=b.get(a)||1!=b.size||b.get({x:4})||b.set({x:4},"t")!=b||2!=b.size)return!1;var g=b.entries(),e=g.next();if(e.done||e.value[0]!=a||"s"!=e.value[1])return!1;e=g.next();return e.done||4!=e.value[0].x||"t"!=e.value[1]||!g.next().done?!1:!0}catch(p){return!1}}())return G;$jscomp.initSymbol();
$jscomp.initSymbolIterator();var f=new WeakMap,l=function(b){this.data_={};this.head_=a();this.size=0;if(b){b=$jscomp.makeIterator(b);for(var c;!(c=b.next()).done;)c=c.value,this.set(c[0],c[1])}};l.prototype.set=function(a,b){var c=h(this,a);c.list||(c.list=this.data_[c.id]=[]);c.entry?c.entry.value=b:(c.entry={next:this.head_,previous:this.head_.previous,head:this.head_,key:a,value:b},c.list.push(c.entry),this.head_.previous.next=c.entry,this.head_.previous=c.entry,this.size++);return this};l.prototype["delete"]=
function(a){a=h(this,a);return a.entry&&a.list?(a.list.splice(a.index,1),a.list.length||delete this.data_[a.id],a.entry.previous.next=a.entry.next,a.entry.next.previous=a.entry.previous,a.entry.head=null,this.size--,!0):!1};l.prototype.clear=function(){this.data_={};this.head_=this.head_.previous=a();this.size=0};l.prototype.has=function(a){return!!h(this,a).entry};l.prototype.get=function(a){return(a=h(this,a).entry)&&a.value};l.prototype.entries=function(){return b(this,function(a){return[a.key,
a.value]})};l.prototype.keys=function(){return b(this,function(a){return a.key})};l.prototype.values=function(){return b(this,function(a){return a.value})};l.prototype.forEach=function(a,b){for(var c=this.entries(),e;!(e=c.next()).done;)e=e.value,a.call(b,e[1],e[0],this)};l.prototype[Symbol.iterator]=l.prototype.entries;var h=function(a,b){var c;c=b&&typeof b;"object"==c||"function"==c?f.has(b)?c=f.get(b):(c=""+ ++e,f.set(b,c)):c="p_"+b;var m=a.data_[c];if(m&&$jscomp.owns(a.data_,c))for(var p=0;p<
m.length;p++){var k=m[p];if(b!==b&&k.key!==k.key||b===k.key)return{id:c,list:m,index:p,entry:k}}return{id:c,list:m,index:-1,entry:void 0}},b=function(a,b){var c=a.head_;return $jscomp.iteratorPrototype(function(){if(c){for(;c.head!=a.head_;)c=c.previous;for(;c.next!=c.head;)return c=c.next,{done:!1,value:b(c)};c=null}return{done:!0,value:void 0}})},a=function(){var a={};return a.previous=a.next=a.head=a},e=0;return l},"es6-impl","es3");$jscomp.ASSUME_NO_NATIVE_SET=!1;
$jscomp.polyfill("Set",function(G){if(!$jscomp.ASSUME_NO_NATIVE_SET&&function(){if(!G||!G.prototype.entries||"function"!=typeof Object.seal)return!1;try{var f=Object.seal({x:4}),h=new G($jscomp.makeIterator([f]));if(!h.has(f)||1!=h.size||h.add(f)!=h||1!=h.size||h.add({x:4})!=h||2!=h.size)return!1;var b=h.entries(),a=b.next();if(a.done||a.value[0]!=f||a.value[1]!=f)return!1;a=b.next();return a.done||a.value[0]==f||4!=a.value[0].x||a.value[1]!=a.value[0]?!1:b.next().done}catch(e){return!1}}())return G;
$jscomp.initSymbol();$jscomp.initSymbolIterator();var f=function(f){this.map_=new Map;if(f){f=$jscomp.makeIterator(f);for(var h;!(h=f.next()).done;)this.add(h.value)}this.size=this.map_.size};f.prototype.add=function(f){this.map_.set(f,f);this.size=this.map_.size;return this};f.prototype["delete"]=function(f){f=this.map_["delete"](f);this.size=this.map_.size;return f};f.prototype.clear=function(){this.map_.clear();this.size=0};f.prototype.has=function(f){return this.map_.has(f)};f.prototype.entries=
function(){return this.map_.entries()};f.prototype.values=function(){return this.map_.values()};f.prototype.keys=f.prototype.values;f.prototype[Symbol.iterator]=f.prototype.values;f.prototype.forEach=function(f,h){var b=this;this.map_.forEach(function(a){return f.call(h,a,a,b)})};return f},"es6-impl","es3");$jscomp.polyfill("Array.prototype.entries",function(G){return G?G:function(){return $jscomp.iteratorFromArray(this,function(f,l){return[f,l]})}},"es6-impl","es3");
$jscomp.polyfill("Array.prototype.fill",function(G){return G?G:function(f,l,h){var b=this.length||0;0>l&&(l=Math.max(0,b+l));if(null==h||h>b)h=b;h=Number(h);0>h&&(h=Math.max(0,b+h));for(l=Number(l||0);l<h;l++)this[l]=f;return this}},"es6-impl","es3");
(function(G){"object"===typeof exports&&"undefined"!==typeof module?module.exports=G():"function"===typeof define&&define.amd?define([],G):("undefined"!==typeof window?window:"undefined"!==typeof global?global:"undefined"!==typeof self?self:this).autobahn=G()})(function(){return function f(l,h,b){function a(c,g){if(!h[c]){if(!l[c]){var m="function"==typeof require&&require;if(!g&&m)return m(c,!0);if(e)return e(c,!0);m=Error("Cannot find module '"+c+"'");throw m.code="MODULE_NOT_FOUND",m;}m=h[c]={exports:{}};
l[c][0].call(m.exports,function(b){var g=l[c][1][b];return a(g?g:b)},m,m.exports,f,l,h,b)}return h[c].exports}for(var e="function"==typeof require&&require,c=0;c<b.length;c++)a(b[c]);return a}({1:[function(f,l,h){var b=f("crypto-js");h.sign=function(a,e){return b.HmacSHA256(e,a).toString(b.enc.Base64)};h.derive_key=function(a,e,c,k){return b.PBKDF2(a,e,{keySize:(k||32)/4,iterations:c||1E3,hasher:b.algo.SHA256}).toString(b.enc.Base64)}},{"crypto-js":40}],2:[function(f,l,h){f("when");f("when/function");
h.auth=function(b,a,e){var c=b.defer();navigator.id.watch({loggedInUser:a,onlogin:function(a){c.resolve(a)},onlogout:function(){b.leave("wamp.close.logout")}});return c.promise.then?c.promise:c}},{when:123,"when/function":99}],3:[function(f,l,h){var b="undefined"!==typeof global?global:"undefined"!==typeof self?self:"undefined"!==typeof window?window:{};f("./polyfill.js");l=f("../package.json");var a=f("when"),e=f("msgpack-lite"),c=f("cbor");"AUTOBAHN_DEBUG"in b&&AUTOBAHN_DEBUG&&(f("when/monitor/console"),
"console"in b&&console.log("AutobahnJS debug enabled"));var b=f("./util.js"),k=f("./log.js"),g=f("./session.js"),m=f("./connection.js"),p=f("./configure.js"),t=f("./serializer.js"),d=f("./auth/persona.js");f=f("./auth/cra.js");h.version=l.version;h.transports=p.transports;h.Connection=m.Connection;h.Session=g.Session;h.Invocation=g.Invocation;h.Event=g.Event;h.Result=g.Result;h.Error=g.Error;h.Subscription=g.Subscription;h.Registration=g.Registration;h.Publication=g.Publication;h.serializer=t;h.auth_persona=
d.auth;h.auth_cra=f;h.when=a;h.msgpack=e;h.cbor=c;h.util=b;h.log=k},{"../package.json":124,"./auth/cra.js":1,"./auth/persona.js":2,"./configure.js":4,"./connection.js":5,"./log.js":6,"./polyfill.js":7,"./serializer.js":15,"./session.js":16,"./util.js":20,cbor:22,"msgpack-lite":70,when:123,"when/monitor/console":121}],4:[function(f,l,h){function b(){this._repository={}}b.prototype.register=function(a,b){this._repository[a]=b};b.prototype.isRegistered=function(a){return this._repository[a]?!0:!1};b.prototype.get=
function(a){if(void 0!==this._repository[a])return this._repository[a];throw"no such transport: "+a;};b.prototype.list=function(){var a=[],b;for(b in this._repository)a.push(b);return a};l=new b;var a=f("./transport/websocket.js");l.register("websocket",a.Factory);a=f("./transport/longpoll.js");l.register("longpoll",a.Factory);f=f("./transport/rawsocket.js");l.register("rawsocket",f.Factory);h.transports=l},{"./transport/longpoll.js":17,"./transport/rawsocket.js":18,"./transport/websocket.js":19}],
5:[function(f,l,h){(function(b){var a=f("when"),e=f("./session.js"),c=f("./util.js"),k=f("./log.js"),g=f("./autobahn.js"),m=function(c){(this._options=c)&&c.use_es6_promises?"Promise"in b?this._defer=function(){var a={};a.promise=new Promise(function(d,b){a.resolve=d;a.reject=b});return a}:(k.debug("Warning: ES6 promises requested, but not found! Falling back to whenjs."),this._defer=a.defer):this._defer=c&&c.use_deferred?c.use_deferred:a.defer;this._options.transports||(this._options.transports=
[{type:"websocket",url:this._options.url}]);this._transport_factories=[];this._init_transport_factories();this._session_close_message=this._session_close_reason=this._session=null;this._retry_if_unreachable=void 0!==this._options.retry_if_unreachable?this._options.retry_if_unreachable:!0;this._max_retries="undefined"!==typeof this._options.max_retries?this._options.max_retries:15;this._initial_retry_delay=this._options.initial_retry_delay||1.5;this._max_retry_delay=this._options.max_retry_delay||
300;this._retry_delay_growth=this._options.retry_delay_growth||1.5;this._retry_delay_jitter=this._options.retry_delay_jitter||.1;this._connect_successes=0;this._retry=!1;this._retry_count=0;this._retry_delay=this._initial_retry_delay;this._is_retrying=!1;this._retry_timer=null};m.prototype._create_transport=function(){for(var a=0;a<this._transport_factories.length;++a){var b=this._transport_factories[a];k.debug("trying to create WAMP transport of type: "+b.type);try{var d=b.create();if(d)return k.debug("using WAMP transport type: "+
b.type),d}catch(v){k.warn("could not create WAMP transport '"+b.type+"': "+v)}}k.warn("could not create any WAMP transport");return null};m.prototype._init_transport_factories=function(){var a,b,d;c.assert(this._options.transports,"No transport.factory specified");for(var e=0;e<this._options.transports.length;++e){a=this._options.transports[e];a.url||(a.url=this._options.url);a.serializers||(a.serializers=this._options.serializers);a.protocols||(a.protocols=this._options.protocols);c.assert(a.type,
"No transport.type specified");c.assert("string"===typeof a.type,"transport.type must be a string");try{if(d=g.transports.get(a.type))b=new d(a),this._transport_factories.push(b)}catch(D){console.error(D)}}};m.prototype._autoreconnect_reset_timer=function(){this._retry_timer&&clearTimeout(this._retry_timer);this._retry_timer=null};m.prototype._autoreconnect_reset=function(){this._autoreconnect_reset_timer();this._retry_count=0;this._retry_delay=this._initial_retry_delay;this._is_retrying=!1};m.prototype._autoreconnect_advance=
function(){this._retry_delay_jitter&&(this._retry_delay=c.rand_normal(this._retry_delay,this._retry_delay*this._retry_delay_jitter));this._retry_delay>this._max_retry_delay&&(this._retry_delay=this._max_retry_delay);this._retry_count+=1;var a;a=this._retry&&(-1===this._max_retries||this._retry_count<=this._max_retries)?{count:this._retry_count,delay:this._retry_delay,will_retry:!0}:{count:null,delay:null,will_retry:!1};this._retry_delay_growth&&(this._retry_delay*=this._retry_delay_growth);return a};
m.prototype.open=function(){function a(){try{b._transport=b._create_transport()}catch(d){console.log(d)}if(b._transport)b._session=new e.Session(b._transport,b._defer,b._options.onchallenge),b._session_close_reason=null,b._session_close_message=null,b._transport.onopen=function(){b._autoreconnect_reset();b._connect_successes+=1;b._session.join(b._options.realm,b._options.authmethods,b._options.authid,b._options.authextra)},b._session.onjoin=function(a){if(b.onopen)try{a.transport=b._transport.info,
b.onopen(b._session,a)}catch(v){k.debug("Exception raised from app code while firing Connection.onopen()",v)}},b._session.onleave=function(a,c){b._session_close_reason=a;b._session_close_message=c.message||"";b._retry=!1;b._transport.close(1E3)},b._transport.onclose=function(d){b._autoreconnect_reset_timer();b._transport=null;0===b._connect_successes?(d="unreachable",b._retry_if_unreachable||(b._retry=!1)):d=d.wasClean?"closed":"lost";var c=b._autoreconnect_advance();if(b.onclose){var g={reason:b._session_close_reason,
message:b._session_close_message,retry_delay:c.delay,retry_count:c.count,will_retry:c.will_retry};try{var e=b.onclose(d,g)}catch(C){k.debug("Exception raised from app code while firing Connection.onclose()",C)}}b._session&&(b._session._id=null,b._session=null,b._session_close_reason=null,b._session_close_message=null);b._retry&&!e&&(c.will_retry?(b._is_retrying=!0,k.debug("retrying in "+c.delay+" s"),b._retry_timer=setTimeout(a,1E3*c.delay)):k.debug("giving up trying to reconnect"))};else if(b._retry=
!1,b.onclose)b.onclose("unsupported",{reason:null,message:null,retry_delay:null,retry_count:null,will_retry:!1})}var b=this;if(b._transport)throw"connection already open (or opening)";b._autoreconnect_reset();b._retry=!0;a()};m.prototype.close=function(a,b){if(!this._transport&&!this._is_retrying)throw"connection already closed";this._retry=!1;this._session&&this._session.isOpen?this._session.leave(a,b):this._transport&&this._transport.close(1E3)};Object.defineProperty(m.prototype,"defer",{get:function(){return this._defer}});
Object.defineProperty(m.prototype,"session",{get:function(){return this._session}});Object.defineProperty(m.prototype,"isOpen",{get:function(){return this._session&&this._session.isOpen?!0:!1}});Object.defineProperty(m.prototype,"isConnected",{get:function(){return this._transport?!0:!1}});Object.defineProperty(m.prototype,"transport",{get:function(){return this._transport?this._transport:{info:{type:"none",url:null,protocol:null}}}});Object.defineProperty(m.prototype,"isRetrying",{get:function(){return this._is_retrying}});
h.Connection=m}).call(this,"undefined"!==typeof global?global:"undefined"!==typeof self?self:"undefined"!==typeof window?window:{})},{"./autobahn.js":3,"./log.js":6,"./session.js":16,"./util.js":20,when:123}],6:[function(f,l,h){(function(b){var a=function(){};"AUTOBAHN_DEBUG"in b&&AUTOBAHN_DEBUG&&"console"in b&&(a=function(){console.log.apply(console,arguments)});b=console.warn;h.debug=a;h.warn=b}).call(this,"undefined"!==typeof global?global:"undefined"!==typeof self?self:"undefined"!==typeof window?
window:{})},{}],7:[function(f,l,h){f("./polyfill/object.js");f("./polyfill/array.js");f("./polyfill/string.js");f("./polyfill/function.js");f("./polyfill/console.js");f("./polyfill/typedarray.js");f("./polyfill/json.js")},{"./polyfill/array.js":8,"./polyfill/console.js":9,"./polyfill/function.js":10,"./polyfill/json.js":11,"./polyfill/object.js":12,"./polyfill/string.js":13,"./polyfill/typedarray.js":14}],8:[function(f,l,h){"function"!==typeof Array.prototype.reduce&&(Array.prototype.reduce=function(b){var a,
e,c,k;if(null===this||"undefined"===typeof this)throw new TypeError("Array.prototype.reduce called on null or undefined");if("function"!==typeof b)throw new TypeError(b+" is not a function");e=Object(this);a=e.length>>>0;k=0;if(2<=arguments.length)c=arguments[1];else{for(;k<a&&!k in e;)k++;if(k>=a)throw new TypeError("Reduce of empty array with no initial value");c=e[k++]}for(;k<a;k++)k in e&&(c=b(c,e[k],k,e));return c});"indexOf"in Array.prototype||(Array.prototype.indexOf=function(b,a){void 0===
a&&(a=0);0>a&&(a+=this.length);0>a&&(a=0);for(var e=this.length;a<e;a++)if(a in this&&this[a]===b)return a;return-1});"lastIndexOf"in Array.prototype||(Array.prototype.lastIndexOf=function(b,a){void 0===a&&(a=this.length-1);0>a&&(a+=this.length);a>this.length-1&&(a=this.length-1);for(a++;0<a--;)if(a in this&&this[a]===b)return a;return-1});"forEach"in Array.prototype||(Array.prototype.forEach=function(b,a){for(var e=0,c=this.length;e<c;e++)e in this&&b.call(a,this[e],e,this)});"map"in Array.prototype||
(Array.prototype.map=function(b,a){for(var e=Array(this.length),c=0,k=this.length;c<k;c++)c in this&&(e[c]=b.call(a,this[c],c,this));return e});"filter"in Array.prototype||(Array.prototype.filter=function(b,a){for(var e=[],c,k=0,g=this.length;k<g;k++)k in this&&b.call(a,c=this[k],k,this)&&e.push(c);return e});"every"in Array.prototype||(Array.prototype.every=function(b,a){for(var e=0,c=this.length;e<c;e++)if(e in this&&!b.call(a,this[e],e,this))return!1;return!0});"some"in Array.prototype||(Array.prototype.some=
function(b,a){for(var e=0,c=this.length;e<c;e++)if(e in this&&b.call(a,this[e],e,this))return!0;return!1});"function"!==typeof Array.prototype.reduceRight&&(Array.prototype.reduceRight=function(b){if(null===this||"undefined"===typeof this)throw new TypeError("Array.prototype.reduce called on null or undefined");if("function"!==typeof b)throw new TypeError(b+" is not a function");var a=Object(this),e=(a.length>>>0)-1,c;if(2<=arguments.length)c=arguments[1];else{for(;0<=e&&!e in a;)e--;if(0>e)throw new TypeError("Reduce of empty array with no initial value");
c=a[e--]}for(;0<=e;e--)e in a&&(c=b(c,a[e],e,a));return c})},{}],9:[function(f,l,h){(function(b){b||(b=window.console={log:function(a,b,c,k,g){},info:function(a,b,c,k,g){},warn:function(a,b,c,k,g){},error:function(a,b,c,k,g){},assert:function(a,b){}});"object"===typeof b.log&&(b.log=Function.prototype.call.bind(b.log,b),b.info=Function.prototype.call.bind(b.info,b),b.warn=Function.prototype.call.bind(b.warn,b),b.error=Function.prototype.call.bind(b.error,b),b.debug=Function.prototype.call.bind(b.info,
b));"group"in b||(b.group=function(a){b.info("\n--- "+a+" ---\n")});"groupEnd"in b||(b.groupEnd=function(){b.log("\n")});"assert"in b||(b.assert=function(a,b){if(!a)try{throw Error("assertion failed: "+b);}catch(c){setTimeout(function(){throw c;},0)}});"time"in b||function(){var a={};b.time=function(b){a[b]=(new Date).getTime()};b.timeEnd=function(e){var c=(new Date).getTime();b.info(e+": "+(e in a?c-a[e]:0)+"ms")}}()})("undefined"!==typeof console?console:void 0)},{}],10:[function(f,l,h){Function.prototype.bind||
(Function.prototype.bind=function(b){var a=this,e=Array.prototype.slice.call(arguments,1);return function(){return a.apply(b,Array.prototype.concat.apply(e,arguments))}})},{}],11:[function(f,l,h){"object"!==typeof JSON&&(JSON={});(function(){function b(a){return 10>a?"0"+a:a}function a(a){k.lastIndex=0;return k.test(a)?'"'+a.replace(k,function(a){var b=p[a];return"string"===typeof b?b:"\\u"+("0000"+a.charCodeAt(0).toString(16)).slice(-4)})+'"':'"'+a+'"'}function e(b,c){var d,k,p,v,f=g,r,x=c[b];x&&
"object"===typeof x&&"function"===typeof x.toJSON&&(x=x.toJSON(b));"function"===typeof t&&(x=t.call(c,b,x));switch(typeof x){case "string":return a(x);case "number":return isFinite(x)?String(x):"null";case "boolean":case "null":return String(x);case "object":if(!x)return"null";g+=m;r=[];if("[object Array]"===Object.prototype.toString.apply(x)){v=x.length;for(d=0;d<v;d+=1)r[d]=e(d,x)||"null";p=0===r.length?"[]":g?"[\n"+g+r.join(",\n"+g)+"\n"+f+"]":"["+r.join(",")+"]";g=f;return p}if(t&&"object"===
typeof t)for(v=t.length,d=0;d<v;d+=1)"string"===typeof t[d]&&(k=t[d],(p=e(k,x))&&r.push(a(k)+(g?": ":":")+p));else for(k in x)Object.prototype.hasOwnProperty.call(x,k)&&(p=e(k,x))&&r.push(a(k)+(g?": ":":")+p);p=0===r.length?"{}":g?"{\n"+g+r.join(",\n"+g)+"\n"+f+"}":"{"+r.join(",")+"}";g=f;return p}}"function"!==typeof Date.prototype.toJSON&&(Date.prototype.toJSON=function(){return isFinite(this.valueOf())?this.getUTCFullYear()+"-"+b(this.getUTCMonth()+1)+"-"+b(this.getUTCDate())+"T"+b(this.getUTCHours())+
":"+b(this.getUTCMinutes())+":"+b(this.getUTCSeconds())+"Z":null},String.prototype.toJSON=Number.prototype.toJSON=Boolean.prototype.toJSON=function(){return this.valueOf()});var c,k,g,m,p,t;"function"!==typeof JSON.stringify&&(k=/[\\\"\x00-\x1f\x7f-\x9f\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g,p={"\b":"\\b","\t":"\\t","\n":"\\n","\f":"\\f","\r":"\\r",'"':'\\"',"\\":"\\\\"},JSON.stringify=function(a,b,c){var d;m=g="";if("number"===typeof c)for(d=
0;d<c;d+=1)m+=" ";else"string"===typeof c&&(m=c);if((t=b)&&"function"!==typeof b&&("object"!==typeof b||"number"!==typeof b.length))throw Error("JSON.stringify");return e("",{"":a})});"function"!==typeof JSON.parse&&(c=/[\u0000\u00ad\u0600-\u0604\u070f\u17b4\u17b5\u200c-\u200f\u2028-\u202f\u2060-\u206f\ufeff\ufff0-\uffff]/g,JSON.parse=function(a,b){function d(a,c){var g,e,m=a[c];if(m&&"object"===typeof m)for(g in m)Object.prototype.hasOwnProperty.call(m,g)&&(e=d(m,g),void 0!==e?m[g]=e:delete m[g]);
return b.call(a,c,m)}var g;a=String(a);c.lastIndex=0;c.test(a)&&(a=a.replace(c,function(a){return"\\u"+("0000"+a.charCodeAt(0).toString(16)).slice(-4)}));if(/^[\],:{}\s]*$/.test(a.replace(/\\(?:["\\\/bfnrt]|u[0-9a-fA-F]{4})/g,"@").replace(/"[^"\\\n\r]*"|true|false|null|-?\d+(?:\.\d*)?(?:[eE][+\-]?\d+)?/g,"]").replace(/(?:^|:|,)(?:\s*\[)+/g,"")))return g=eval("("+a+")"),"function"===typeof b?d({"":g},""):g;throw new SyntaxError("JSON.parse");})})();h.JSON=JSON},{}],12:[function(f,l,h){Object.create||
(Object.create=function(){function b(){}return function(a){if(1!=arguments.length)throw Error("Object.create implementation only accepts one parameter.");b.prototype=a;return new b}}());Object.keys||(Object.keys=function(){var b=Object.prototype.hasOwnProperty,a=!{toString:null}.propertyIsEnumerable("toString"),e="toString toLocaleString valueOf hasOwnProperty isPrototypeOf propertyIsEnumerable constructor".split(" "),c=e.length;return function(k){if("object"!==typeof k&&("function"!==typeof k||null===
k))throw new TypeError("Object.keys called on non-object");var g=[],m;for(m in k)b.call(k,m)&&g.push(m);if(a)for(m=0;m<c;m++)b.call(k,e[m])&&g.push(e[m]);return g}}())},{}],13:[function(f,l,h){"trim"in String.prototype||(String.prototype.trim=function(){return this.replace(/^\s+/,"").replace(/\s+$/,"")})},{}],14:[function(f,l,h){"undefined"===typeof Uint8Array&&function(b,a){function e(a){switch(typeof a){case "undefined":return"undefined";case "boolean":return"boolean";case "number":return"number";
case "string":return"string";default:return null===a?"null":"object"}}function c(a){return Object.prototype.toString.call(a).replace(/^\[object *|\]$/g,"")}function k(a){return"function"===typeof a}function g(a){if(null===a||void 0===a)throw TypeError();return Object(a)}function m(a){function b(b){Object.defineProperty(a,b,{get:function(){return a._getter(b)},set:function(d){a._setter(b,d)},enumerable:!0,configurable:!1})}if(1E5<a.length)throw RangeError("Array too large for polyfill");var d;for(d=
0;d<a.length;d+=1)b(d)}function p(a,b){var d=32-b;return a<<d>>d}function t(a,b){var d=32-b;return a<<d>>>d}function d(a){return[a&255]}function v(a){return p(a[0],8)}function f(a){return[a&255]}function h(a){return t(a[0],8)}function C(a){a=P(Number(a));return[0>a?0:255<a?255:a&255]}function z(a){return[a>>8&255,a&255]}function H(a){return p(a[0]<<8|a[1],16)}function r(a){return[a>>8&255,a&255]}function x(a){return t(a[0]<<8|a[1],16)}function B(a){return[a>>24&255,a>>16&255,a>>8&255,a&255]}function I(a){return p(a[0]<<
24|a[1]<<16|a[2]<<8|a[3],32)}function K(a){return[a>>24&255,a>>16&255,a>>8&255,a&255]}function E(a){return t(a[0]<<24|a[1]<<16|a[2]<<8|a[3],32)}function l(a,b,d){function c(a){var b=u(a);a-=b;return.5>a?b:.5<a?b+1:b%2?b+1:b}var g=(1<<b-1)-1,e,m,k;a!==a?(m=(1<<b)-1,k=R(2,d-1),e=0):Infinity===a||-Infinity===a?(m=(1<<b)-1,k=0,e=0>a?1:0):0===a?(k=m=0,e=-Infinity===1/a?1:0):(e=0>a,a=n(a),a>=R(2,1-g)?(m=V(u(w(a)/q),1023),k=c(a/R(2,m)*R(2,d)),2<=k/R(2,d)&&(m+=1,k=1),m>g?(m=(1<<b)-1,k=0):(m+=g,k-=R(2,d))):
(m=0,k=c(a/R(2,1-g-d))));for(a=[];d;--d)a.push(k%2?1:0),k=u(k/2);for(d=b;d;--d)a.push(m%2?1:0),m=u(m/2);a.push(e?1:0);a.reverse();b=a.join("");for(e=[];b.length;)e.push(parseInt(b.substring(0,8),2)),b=b.substring(8);return e}function F(a,b,d){var c=[],n,g,q;for(n=a.length;n;--n)for(q=a[n-1],g=8;g;--g)c.push(q%2?1:0),q>>=1;c.reverse();g=c.join("");a=(1<<b-1)-1;c=parseInt(g.substring(0,1),2)?-1:1;n=parseInt(g.substring(1,1+b),2);g=parseInt(g.substring(1+b),2);return n===(1<<b)-1?0!==g?NaN:Infinity*
c:0<n?c*R(2,n-a)*(1+g/R(2,d)):0!==g?c*R(2,-(a-1))*(g/R(2,d)):0>c?-0:0}function M(a){return F(a,11,52)}function N(a){return l(a,11,52)}function J(a){return F(a,8,23)}function L(a){return l(a,8,23)}var q=Math.LN2,n=Math.abs,u=Math.floor,w=Math.log,A=Math.max,V=Math.min,R=Math.pow,P=Math.round;(function(){var a=Object.defineProperty,b;try{b=Object.defineProperty({},"x",{})}catch(ea){b=!1}a&&b||(Object.defineProperty=function(b,d,c){if(a)try{return a(b,d,c)}catch(T){}if(b!==Object(b))throw TypeError("Object.defineProperty called on non-object");
Object.prototype.__defineGetter__&&"get"in c&&Object.prototype.__defineGetter__.call(b,d,c.get);Object.prototype.__defineSetter__&&"set"in c&&Object.prototype.__defineSetter__.call(b,d,c.set);"value"in c&&(b[d]=c.value);return b})})();(function(){function q(a){a>>=0;if(0>a)throw RangeError("ArrayBuffer size is not a small enough positive integer.");Object.defineProperty(this,"byteLength",{value:a});Object.defineProperty(this,"_bytes",{value:Array(a)});for(var b=0;b<a;b+=1)this._bytes[b]=0}function p(){if(!arguments.length||
"object"!==typeof arguments[0])return function(a){a>>=0;if(0>a)throw RangeError("length is not a small enough positive integer.");Object.defineProperty(this,"length",{value:a});Object.defineProperty(this,"byteLength",{value:a*this.BYTES_PER_ELEMENT});Object.defineProperty(this,"buffer",{value:new q(this.byteLength)});Object.defineProperty(this,"byteOffset",{value:0})}.apply(this,arguments);if(1<=arguments.length&&"object"===e(arguments[0])&&arguments[0]instanceof p)return function(a){if(this.constructor!==
a.constructor)throw TypeError();var b=a.length*this.BYTES_PER_ELEMENT;Object.defineProperty(this,"buffer",{value:new q(b)});Object.defineProperty(this,"byteLength",{value:b});Object.defineProperty(this,"byteOffset",{value:0});Object.defineProperty(this,"length",{value:a.length});for(b=0;b<this.length;b+=1)this._setter(b,a._getter(b))}.apply(this,arguments);if(1<=arguments.length&&"object"===e(arguments[0])&&!(arguments[0]instanceof p)&&!(arguments[0]instanceof q||"ArrayBuffer"===c(arguments[0])))return function(a){var b=
a.length*this.BYTES_PER_ELEMENT;Object.defineProperty(this,"buffer",{value:new q(b)});Object.defineProperty(this,"byteLength",{value:b});Object.defineProperty(this,"byteOffset",{value:0});Object.defineProperty(this,"length",{value:a.length});for(b=0;b<this.length;b+=1)this._setter(b,Number(a[b]))}.apply(this,arguments);if(1<=arguments.length&&"object"===e(arguments[0])&&(arguments[0]instanceof q||"ArrayBuffer"===c(arguments[0])))return function(a,b,d){b>>>=0;if(b>a.byteLength)throw RangeError("byteOffset out of range");
if(b%this.BYTES_PER_ELEMENT)throw RangeError("buffer length minus the byteOffset is not a multiple of the element size.");if(void 0===d){var c=a.byteLength-b;if(c%this.BYTES_PER_ELEMENT)throw RangeError("length of buffer minus byteOffset not a multiple of the element size");d=c/this.BYTES_PER_ELEMENT}else d>>>=0,c=d*this.BYTES_PER_ELEMENT;if(b+c>a.byteLength)throw RangeError("byteOffset and length reference an area beyond the end of the buffer");Object.defineProperty(this,"buffer",{value:a});Object.defineProperty(this,
"byteLength",{value:c});Object.defineProperty(this,"byteOffset",{value:b});Object.defineProperty(this,"length",{value:d})}.apply(this,arguments);throw TypeError();}function t(a,b,d){var c=function(){Object.defineProperty(this,"constructor",{value:c});p.apply(this,arguments);m(this)};"__proto__"in c?c.__proto__=p:(c.from=p.from,c.of=p.of);c.BYTES_PER_ELEMENT=a;var n=function(){};n.prototype=D;c.prototype=new n;Object.defineProperty(c.prototype,"BYTES_PER_ELEMENT",{value:a});Object.defineProperty(c.prototype,
"_pack",{value:b});Object.defineProperty(c.prototype,"_unpack",{value:d});return c}b.ArrayBuffer=b.ArrayBuffer||q;Object.defineProperty(p,"from",{value:function(a){return new this(a)}});Object.defineProperty(p,"of",{value:function(){return new this(arguments)}});var D={};p.prototype=D;Object.defineProperty(p.prototype,"_getter",{value:function(a){if(1>arguments.length)throw SyntaxError("Not enough arguments");a>>>=0;if(!(a>=this.length)){var b=[],d,c;d=0;for(c=this.byteOffset+a*this.BYTES_PER_ELEMENT;d<
this.BYTES_PER_ELEMENT;d+=1,c+=1)b.push(this.buffer._bytes[c]);return this._unpack(b)}}});Object.defineProperty(p.prototype,"get",{value:p.prototype._getter});Object.defineProperty(p.prototype,"_setter",{value:function(a,b){if(2>arguments.length)throw SyntaxError("Not enough arguments");a>>>=0;if(!(a>=this.length)){var d=this._pack(b),c,n;c=0;for(n=this.byteOffset+a*this.BYTES_PER_ELEMENT;c<this.BYTES_PER_ELEMENT;c+=1,n+=1)this.buffer._bytes[n]=d[c]}}});Object.defineProperty(p.prototype,"constructor",
{value:p});Object.defineProperty(p.prototype,"copyWithin",{value:function(a,b,d){var c=g(this),n=c.length>>>0,n=A(n,0);a>>=0;a=0>a?A(n+a,0):V(a,n);b>>=0;b=0>b?A(n+b,0):V(b,n);d=void 0===d?n:d>>0;d=0>d?A(n+d,0):V(d,n);n=V(d-b,n-a);from<a&&a<b+n?(d=-1,b=b+n-1,a=a+n-1):d=1;for(;0<count;)c._setter(a,c._getter(b)),b+=d,a+=d,--n;return c}});Object.defineProperty(p.prototype,"every",{value:function(a,b){if(void 0===this||null===this)throw TypeError();var d=Object(this),c=d.length>>>0;if(!k(a))throw TypeError();
for(var n=0;n<c;n++)if(!a.call(b,d._getter(n),n,d))return!1;return!0}});Object.defineProperty(p.prototype,"fill",{value:function(a,b,d){var c=g(this),n=c.length>>>0,n=A(n,0);b>>=0;b=0>b?A(n+b,0):V(b,n);d=void 0===d?n:d>>0;for(n=0>d?A(n+d,0):V(d,n);b<n;)c._setter(b,a),b+=1;return c}});Object.defineProperty(p.prototype,"filter",{value:function(a,b){if(void 0===this||null===this)throw TypeError();var d=Object(this),c=d.length>>>0;if(!k(a))throw TypeError();for(var n=[],g=0;g<c;g++){var q=d._getter(g);
a.call(b,q,g,d)&&n.push(q)}return new this.constructor(n)}});Object.defineProperty(p.prototype,"find",{value:function(a){var b=g(this),d=b.length>>>0;if(!k(a))throw TypeError();for(var c=1<arguments.length?arguments[1]:void 0,n=0;n<d;){var q=b._getter(n);if(a.call(c,q,n,b))return q;++n}}});Object.defineProperty(p.prototype,"findIndex",{value:function(a){var b=g(this),d=b.length>>>0;if(!k(a))throw TypeError();for(var c=1<arguments.length?arguments[1]:void 0,n=0;n<d;){var q=b._getter(n);if(a.call(c,
q,n,b))return n;++n}return-1}});Object.defineProperty(p.prototype,"forEach",{value:function(a,b){if(void 0===this||null===this)throw TypeError();var d=Object(this),c=d.length>>>0;if(!k(a))throw TypeError();for(var n=0;n<c;n++)a.call(b,d._getter(n),n,d)}});Object.defineProperty(p.prototype,"indexOf",{value:function(a){if(void 0===this||null===this)throw TypeError();var b=Object(this),d=b.length>>>0;if(0===d)return-1;var c=0,g;0<arguments.length&&(g=Number(arguments[1]),g!==c?c=0:0!==g&&g!==1/0&&g!==
-(1/0)&&(c=(0<g||-1)*u(n(g))));if(c>=d)return-1;for(c=0<=c?c:A(d-n(c),0);c<d;c++)if(b._getter(c)===a)return c;return-1}});Object.defineProperty(p.prototype,"join",{value:function(a){if(void 0===this||null===this)throw TypeError();for(var b=Object(this),d=b.length>>>0,c=Array(d),n=0;n<d;++n)c[n]=b._getter(n);return c.join(void 0===a?",":a)}});Object.defineProperty(p.prototype,"lastIndexOf",{value:function(a){if(void 0===this||null===this)throw TypeError();var b=Object(this),d=b.length>>>0;if(0===d)return-1;
var c=d;1<arguments.length&&(c=Number(arguments[1]),c!==c?c=0:0!==c&&c!==1/0&&c!==-(1/0)&&(c=(0<c||-1)*u(n(c))));for(d=0<=c?V(c,d-1):d-n(c);0<=d;d--)if(b._getter(d)===a)return d;return-1}});Object.defineProperty(p.prototype,"map",{value:function(a,b){if(void 0===this||null===this)throw TypeError();var d=Object(this),c=d.length>>>0;if(!k(a))throw TypeError();var n=[];n.length=c;for(var g=0;g<c;g++)n[g]=a.call(b,d._getter(g),g,d);return new this.constructor(n)}});Object.defineProperty(p.prototype,"reduce",
{value:function(a){if(void 0===this||null===this)throw TypeError();var b=Object(this),d=b.length>>>0;if(!k(a))throw TypeError();if(0===d&&1===arguments.length)throw TypeError();var c=0,n;for(n=2<=arguments.length?arguments[1]:b._getter(c++);c<d;)n=a.call(void 0,n,b._getter(c),c,b),c++;return n}});Object.defineProperty(p.prototype,"reduceRight",{value:function(a){if(void 0===this||null===this)throw TypeError();var b=Object(this),d=b.length>>>0;if(!k(a))throw TypeError();if(0===d&&1===arguments.length)throw TypeError();
var d=d-1,c;for(c=2<=arguments.length?arguments[1]:b._getter(d--);0<=d;)c=a.call(void 0,c,b._getter(d),d,b),d--;return c}});Object.defineProperty(p.prototype,"reverse",{value:function(){if(void 0===this||null===this)throw TypeError();for(var a=Object(this),b=a.length>>>0,d=u(b/2),c=0,b=b-1;c<d;++c,--b){var n=a._getter(c);a._setter(c,a._getter(b));a._setter(b,n)}return a}});Object.defineProperty(p.prototype,"set",{value:function(a,b){if(1>arguments.length)throw SyntaxError("Not enough arguments");
var d,c,n,g,q,u;if("object"===typeof arguments[0]&&arguments[0].constructor===this.constructor){d=arguments[0];c=arguments[1]>>>0;if(c+d.length>this.length)throw RangeError("Offset plus length of array is out of range");u=this.byteOffset+c*this.BYTES_PER_ELEMENT;c=d.length*this.BYTES_PER_ELEMENT;if(d.buffer===this.buffer){n=[];g=0;for(q=d.byteOffset;g<c;g+=1,q+=1)n[g]=d.buffer._bytes[q];for(g=0;g<c;g+=1,u+=1)this.buffer._bytes[u]=n[g]}else for(g=0,q=d.byteOffset;g<c;g+=1,q+=1,u+=1)this.buffer._bytes[u]=
d.buffer._bytes[q]}else if("object"===typeof arguments[0]&&"undefined"!==typeof arguments[0].length){d=arguments[0];n=d.length>>>0;c=arguments[1]>>>0;if(c+n>this.length)throw RangeError("Offset plus length of array is out of range");for(g=0;g<n;g+=1)q=d[g],this._setter(c+g,Number(q))}else throw TypeError("Unexpected argument type(s)");}});Object.defineProperty(p.prototype,"slice",{value:function(a,b){for(var d=g(this),c=d.length>>>0,n=a>>0,n=0>n?A(c+n,0):V(n,c),q=void 0===b?c:b>>0,c=0>q?A(c+q,0):
V(q,c),q=new d.constructor(c-n),u=0;n<c;){var e=d._getter(n);q._setter(u,e);++n;++u}return q}});Object.defineProperty(p.prototype,"some",{value:function(a,b){if(void 0===this||null===this)throw TypeError();var d=Object(this),c=d.length>>>0;if(!k(a))throw TypeError();for(var n=0;n<c;n++)if(a.call(b,d._getter(n),n,d))return!0;return!1}});Object.defineProperty(p.prototype,"sort",{value:function(a){if(void 0===this||null===this)throw TypeError();for(var b=Object(this),d=b.length>>>0,c=Array(d),n=0;n<
d;++n)c[n]=b._getter(n);a?c.sort(a):c.sort();for(n=0;n<d;++n)b._setter(n,c[n]);return b}});Object.defineProperty(p.prototype,"subarray",{value:function(a,b){a>>=0;b>>=0;1>arguments.length&&(a=0);2>arguments.length&&(b=this.length);0>a&&(a=this.length+a);0>b&&(b=this.length+b);var d=this.length;a=0>a?0:a>d?d:a;d=this.length;d=(0>b?0:b>d?d:b)-a;0>d&&(d=0);return new this.constructor(this.buffer,this.byteOffset+a*this.BYTES_PER_ELEMENT,d)}});var w=t(1,d,v),y=t(1,f,h),Z=t(1,C,h),l=t(2,z,H),U=t(2,r,x),
X=t(4,B,I),F=t(4,K,E),ka=t(4,L,J),Q=t(8,N,M);b.Int8Array=a.Int8Array=b.Int8Array||w;b.Uint8Array=a.Uint8Array=b.Uint8Array||y;b.Uint8ClampedArray=a.Uint8ClampedArray=b.Uint8ClampedArray||Z;b.Int16Array=a.Int16Array=b.Int16Array||l;b.Uint16Array=a.Uint16Array=b.Uint16Array||U;b.Int32Array=a.Int32Array=b.Int32Array||X;b.Uint32Array=a.Uint32Array=b.Uint32Array||F;b.Float32Array=a.Float32Array=b.Float32Array||ka;b.Float64Array=a.Float64Array=b.Float64Array||Q})();(function(){function a(a,b){return k(a.get)?
a.get(b):a[b]}function d(a,b,d){if(!(a instanceof ArrayBuffer||"ArrayBuffer"===c(a)))throw TypeError();b>>>=0;if(b>a.byteLength)throw RangeError("byteOffset out of range");d=void 0===d?a.byteLength-b:d>>>0;if(b+d>a.byteLength)throw RangeError("byteOffset and length reference an area beyond the end of the buffer");Object.defineProperty(this,"buffer",{value:a});Object.defineProperty(this,"byteLength",{value:d});Object.defineProperty(this,"byteOffset",{value:b})}function n(d){return function(c,n){c>>>=
0;if(c+d.BYTES_PER_ELEMENT>this.byteLength)throw RangeError("Array index out of range");c+=this.byteOffset;for(var g=new b.Uint8Array(this.buffer,c,d.BYTES_PER_ELEMENT),u=[],e=0;e<d.BYTES_PER_ELEMENT;e+=1)u.push(a(g,e));!!n===!!q&&u.reverse();return a(new d((new b.Uint8Array(u)).buffer),0)}}function g(d){return function(c,n,g){c>>>=0;if(c+d.BYTES_PER_ELEMENT>this.byteLength)throw RangeError("Array index out of range");n=new d([n]);n=new b.Uint8Array(n.buffer);var u=[],e;for(e=0;e<d.BYTES_PER_ELEMENT;e+=
1)u.push(a(n,e));!!g===!!q&&u.reverse();(new Uint8Array(this.buffer,c,d.BYTES_PER_ELEMENT)).set(u)}}var q=function(){var d=new b.Uint16Array([4660]),d=new b.Uint8Array(d.buffer);return 18===a(d,0)}();Object.defineProperty(d.prototype,"getUint8",{value:n(b.Uint8Array)});Object.defineProperty(d.prototype,"getInt8",{value:n(b.Int8Array)});Object.defineProperty(d.prototype,"getUint16",{value:n(b.Uint16Array)});Object.defineProperty(d.prototype,"getInt16",{value:n(b.Int16Array)});Object.defineProperty(d.prototype,
"getUint32",{value:n(b.Uint32Array)});Object.defineProperty(d.prototype,"getInt32",{value:n(b.Int32Array)});Object.defineProperty(d.prototype,"getFloat32",{value:n(b.Float32Array)});Object.defineProperty(d.prototype,"getFloat64",{value:n(b.Float64Array)});Object.defineProperty(d.prototype,"setUint8",{value:g(b.Uint8Array)});Object.defineProperty(d.prototype,"setInt8",{value:g(b.Int8Array)});Object.defineProperty(d.prototype,"setUint16",{value:g(b.Uint16Array)});Object.defineProperty(d.prototype,"setInt16",
{value:g(b.Int16Array)});Object.defineProperty(d.prototype,"setUint32",{value:g(b.Uint32Array)});Object.defineProperty(d.prototype,"setInt32",{value:g(b.Int32Array)});Object.defineProperty(d.prototype,"setFloat32",{value:g(b.Float32Array)});Object.defineProperty(d.prototype,"setFloat64",{value:g(b.Float64Array)});b.DataView=b.DataView||d})()}(h,window);"undefined"===typeof window||"Uint8ClampedArray"in window||(window.Uint8ClampedArray=window.Uint8Array)},{}],15:[function(f,l,h){function b(){return Math.floor(9007199254740992*
Math.random())}function a(a,d){this.replacer=a;this.reviver=d;this.SERIALIZER_ID="json";this.BINARY=!1;this.newid=b}function e(){this.SERIALIZER_ID="msgpack";this.BINARY=!0;this.codec=g.createCodec();this.newid=function(){return new m(b())}}function c(){this.SERIALIZER_ID="cbor";this.BINARY=!0;this.newid=b}var k=f("./log.js");a.prototype.serialize=function(a){try{return JSON.stringify(a,this.replacer)}catch(d){throw k.warn("JSON encoding error",d),d;}};a.prototype.unserialize=function(a){try{return JSON.parse(a,
this.reviver)}catch(d){throw k.warn("JSON decoding error",d),d;}};h.JSONSerializer=a;var g=f("msgpack-lite"),m=f("int64-buffer").Uint64BE;e.prototype.serialize=function(a){try{return g.encode(a,{codec:this.codec})}catch(d){throw k.warn("MessagePack encoding error",d),d;}};e.prototype.unserialize=function(a){try{return g.decode(new Uint8Array(a),{codec:this.codec})}catch(d){throw k.warn("MessagePack decoding error",d),d;}};e.prototype.registerExtType=function(a,b,c,g){c&&b&&this.codec.addExtPacker(a,
b,c);g&&this.codec.addExtUnpacker(a,g)};h.MsgpackSerializer=e;var p=f("cbor");c.prototype.serialize=function(a){try{return p.encode(a)}catch(d){throw k.warn("CBOR encoding error",d),d;}};c.prototype.unserialize=function(a){try{return p.decodeFirstSync(a)}catch(d){throw k.warn("CBOR decoding error",d),d;}};h.CBORSerializer=c},{"./log.js":6,cbor:22,"int64-buffer":68,"msgpack-lite":70}],16:[function(f,l,h){(function(b){f("when");var a=f("when/function"),e=f("./log.js"),c=f("./util.js");Date.now=Date.now||
function(){return+new Date};var k={caller:{features:{caller_identification:!0,progressive_call_results:!0}},callee:{features:{caller_identification:!0,pattern_based_registration:!0,shared_registration:!0,progressive_call_results:!0,registration_revocation:!0}},publisher:{features:{publisher_identification:!0,subscriber_blackwhite_listing:!0,publisher_exclusion:!0}},subscriber:{features:{publisher_identification:!0,pattern_based_subscription:!0,subscription_revocation:!0}}},g=function(a,b,d,c,g){this.procedure=
a;this.progress=b;this.caller=d;this.caller_authid=c;this.caller_authrole=g},m=function(a,b,d,c,g){this.publication=a;this.topic=b;this.publisher=d;this.publisher_authid=c;this.publisher_authrole=g},p=function(a,b){this.args=a||[];this.kwargs=b||{}},t=function(a,b,d){this.error=a;this.args=b||[];this.kwargs=d||{}},d=function(a,b,d,c,g){this.topic=a;this.handler=b;this.options=d||{};this.session=c;this.id=g;this.active=!0;this._on_unsubscribe=c._defer();this.on_unsubscribe=this._on_unsubscribe.promise.then?
this._on_unsubscribe.promise:this._on_unsubscribe};d.prototype.unsubscribe=function(){return this.session.unsubscribe(this)};var v=function(a,b,d,c,g){this.procedure=a;this.endpoint=b;this.options=d||{};this.session=c;this.id=g;this.active=!0;this._on_unregister=c._defer();this.on_unregister=this._on_unregister.promise.then?this._on_unregister.promise:this._on_unregister};v.prototype.unregister=function(){return this.session.unregister(this)};var D=function(a){this.id=a},y=function(c,f,h){var r=this;
r._socket=c;r._defer=f;r._onchallenge=h;r._id=null;r._realm=null;r._features=null;r._goodbye_sent=!1;r._transport_is_closing=!1;r._publish_reqs={};r._subscribe_reqs={};r._unsubscribe_reqs={};r._call_reqs={};r._register_reqs={};r._unregister_reqs={};r._subscriptions={};r._registrations={};r._invocations={};r._prefixes={};r._caller_disclose_me=!1;r._publisher_disclose_me=!1;r._send_wamp=function(a){e.debug(a);r._socket.send(a)};r._protocol_violation=function(a){e.warn("failing transport due to protocol violation: "+
a);r._socket.close(1002,"protocol violation: "+a)};r._MESSAGE_MAP={};r._MESSAGE_MAP[8]={};r._process_SUBSCRIBED=function(a){var b=a[1];a=a[2];if(b in r._subscribe_reqs){var c=r._subscribe_reqs[b],g=c[0],e=c[1],m=c[2],c=c[3];a in r._subscriptions||(r._subscriptions[a]=[]);e=new d(e,m,c,r,a);r._subscriptions[a].push(e);g.resolve(e);delete r._subscribe_reqs[b]}else r._protocol_violation("SUBSCRIBED received for non-pending request ID "+b)};r._MESSAGE_MAP[33]=r._process_SUBSCRIBED;r._process_SUBSCRIBE_ERROR=
function(a){var b=a[2];b in r._subscribe_reqs?(a=new t(a[4],a[5],a[6]),r._subscribe_reqs[b][0].reject(a),delete r._subscribe_reqs[b]):r._protocol_violation("SUBSCRIBE-ERROR received for non-pending request ID "+b)};r._MESSAGE_MAP[8][32]=r._process_SUBSCRIBE_ERROR;r._process_UNSUBSCRIBED=function(a){var b=a[1];if(b in r._unsubscribe_reqs){a=r._unsubscribe_reqs[b];var d=a[0];a=a[1];if(a in r._subscriptions){for(var c=r._subscriptions[a],g=0;g<c.length;++g)c[g].active=!1,c[g].on_unsubscribe.resolve();
delete r._subscriptions[a]}d.resolve(!0);delete r._unsubscribe_reqs[b]}else if(0===b)if(b=a[2],a=b.subscription,b=b.reason,a in r._subscriptions){c=r._subscriptions[a];for(g=0;g<c.length;++g)c[g].active=!1,c[g]._on_unsubscribe.resolve(b);delete r._subscriptions[a]}else r._protocol_violation("non-voluntary UNSUBSCRIBED received for non-existing subscription ID "+a);else r._protocol_violation("UNSUBSCRIBED received for non-pending request ID "+b)};r._MESSAGE_MAP[35]=r._process_UNSUBSCRIBED;r._process_UNSUBSCRIBE_ERROR=
function(a){var b=a[2];b in r._unsubscribe_reqs?(a=new t(a[4],a[5],a[6]),r._unsubscribe_reqs[b][0].reject(a),delete r._unsubscribe_reqs[b]):r._protocol_violation("UNSUBSCRIBE-ERROR received for non-pending request ID "+b)};r._MESSAGE_MAP[8][34]=r._process_UNSUBSCRIBE_ERROR;r._process_PUBLISHED=function(a){var b=a[1],d=a[2];b in r._publish_reqs?(a=r._publish_reqs[b][0],d=new D(d),a.resolve(d),delete r._publish_reqs[b]):r._protocol_violation("PUBLISHED received for non-pending request ID "+b)};r._MESSAGE_MAP[17]=
r._process_PUBLISHED;r._process_PUBLISH_ERROR=function(a){var b=a[2];b in r._publish_reqs?(a=new t(a[4],a[5],a[6]),r._publish_reqs[b][0].reject(a),delete r._publish_reqs[b]):r._protocol_violation("PUBLISH-ERROR received for non-pending request ID "+b)};r._MESSAGE_MAP[8][16]=r._process_PUBLISH_ERROR;r._process_EVENT=function(a){var b=a[1];if(b in r._subscriptions){var d=a[3],c=a[4]||[],g=a[5]||{},b=r._subscriptions[b];a=new m(a[2],d.topic||b[0]&&b[0].topic,d.publisher,d.publisher_authid,d.publisher_authrole);
for(d=0;d<b.length;++d)try{b[d].handler(c,g,a)}catch(U){e.debug("Exception raised in event handler",U)}}else r._protocol_violation("EVENT received for non-subscribed subscription ID "+b)};r._MESSAGE_MAP[36]=r._process_EVENT;r._process_REGISTERED=function(a){var b=a[1];a=a[2];if(b in r._register_reqs){var d=r._register_reqs[b],c=d[0],d=new v(d[1],d[2],d[3],r,a);r._registrations[a]=d;c.resolve(d);delete r._register_reqs[b]}else r._protocol_violation("REGISTERED received for non-pending request ID "+
b)};r._MESSAGE_MAP[65]=r._process_REGISTERED;r._process_REGISTER_ERROR=function(a){var b=a[2];b in r._register_reqs?(a=new t(a[4],a[5],a[6]),r._register_reqs[b][0].reject(a),delete r._register_reqs[b]):r._protocol_violation("REGISTER-ERROR received for non-pending request ID "+b)};r._MESSAGE_MAP[8][64]=r._process_REGISTER_ERROR;r._process_UNREGISTERED=function(a){var b=a[1];if(b in r._unregister_reqs){a=r._unregister_reqs[b];var d=a[0];a=a[1];a.id in r._registrations&&delete r._registrations[a.id];
a.active=!1;d.resolve();delete r._unregister_reqs[b]}else 0===b?(a=a[2],b=a.registration,d=a.reason,b in r._registrations?(a=r._registrations[b],a.active=!1,a._on_unregister.resolve(d),delete r._registrations[b]):r._protocol_violation("non-voluntary UNREGISTERED received for non-existing registration ID "+b)):r._protocol_violation("UNREGISTERED received for non-pending request ID "+b)};r._MESSAGE_MAP[67]=r._process_UNREGISTERED;r._process_UNREGISTER_ERROR=function(a){var b=a[2];b in r._unregister_reqs?
(a=new t(a[4],a[5],a[6]),r._unregister_reqs[b][0].reject(a),delete r._unregister_reqs[b]):r._protocol_violation("UNREGISTER-ERROR received for non-pending request ID "+b)};r._MESSAGE_MAP[8][66]=r._process_UNREGISTER_ERROR;r._process_RESULT=function(a){var b=a[1];if(b in r._call_reqs){var d=a[2],c=a[3]||[],g=a[4]||{};a=null;1<c.length||0<Object.keys(g).length?a=new p(c,g):0<c.length&&(a=c[0]);g=r._call_reqs[b];c=g[0];g=g[1];d.progress?g&&g.receive_progress&&c.notify(a):(c.resolve(a),delete r._call_reqs[b])}else r._protocol_violation("CALL-RESULT received for non-pending request ID "+
b)};r._MESSAGE_MAP[50]=r._process_RESULT;r._process_CALL_ERROR=function(a){var b=a[2];b in r._call_reqs?(a=new t(a[4],a[5],a[6]),r._call_reqs[b][0].reject(a),delete r._call_reqs[b]):r._protocol_violation("CALL-ERROR received for non-pending request ID "+b)};r._MESSAGE_MAP[8][48]=r._process_CALL_ERROR;r._process_INVOCATION=function(b){var d=b[1],c=b[2],e=b[3];if(c in r._registrations){var c=r._registrations[c],m=b[4]||[];b=b[5]||{};var k=null;e.receive_progress&&(k=function(a,b){var c=[70,d,{progress:!0}];
a=a||[];b=b||{};var g=Object.keys(b).length;if(a.length||g)c.push(a),g&&c.push(b);r._send_wamp(c)});e=new g(e.procedure||c.procedure,k,e.caller,e.caller_authid,e.caller_authrole);a.call(c.endpoint,m,b,e).then(function(a){var b=[70,d,{}];if(a instanceof p){var c=Object.keys(a.kwargs).length;if(a.args.length||c)b.push(a.args),c&&b.push(a.kwargs)}else b.push([a]);r._send_wamp(b)},function(a){var b=[8,68,d,{}];if(a instanceof t){b.push(a.error);var c=Object.keys(a.kwargs).length;if(a.args.length||c)b.push(a.args),
c&&b.push(a.kwargs)}else b.push("wamp.error.runtime_error"),b.push([a]);r._send_wamp(b)})}else r._protocol_violation("INVOCATION received for non-registered registration ID "+d)};r._MESSAGE_MAP[68]=r._process_INVOCATION;r._socket.onmessage=function(b){var d=b[0];if(r._id)if(6===d){if(r._goodbye_sent||r._send_wamp([6,{},"wamp.error.goodbye_and_out"]),r._id=null,r._realm=null,r._features=null,d=b[1],b=b[2],r.onleave)r.onleave(b,d)}else if(8===d){var c=b[1];if(c in r._MESSAGE_MAP[8])r._MESSAGE_MAP[d][c](b);
else r._protocol_violation("unexpected ERROR message with request_type "+c)}else if(d in r._MESSAGE_MAP)r._MESSAGE_MAP[d](b);else r._protocol_violation("unexpected message type "+d);else if(2===d){r._id=b[1];d=b[2];r._features={};if(d.roles.broker&&(r._features.subscriber={},r._features.publisher={},d.roles.broker.features)){for(c in k.publisher.features)r._features.publisher[c]=k.publisher.features[c]&&d.roles.broker.features[c];for(c in k.subscriber.features)r._features.subscriber[c]=k.subscriber.features[c]&&
d.roles.broker.features[c]}if(d.roles.dealer&&(r._features.caller={},r._features.callee={},d.roles.dealer.features)){for(c in k.caller.features)r._features.caller[c]=k.caller.features[c]&&d.roles.dealer.features[c];for(c in k.callee.features)r._features.callee[c]=k.callee.features[c]&&d.roles.dealer.features[c]}if(r.onjoin)r.onjoin(b[2])}else if(3===d){if(d=b[1],b=b[2],r.onleave)r.onleave(b,d)}else 4===d?r._onchallenge?a.call(r._onchallenge,r,b[1],b[2]).then(function(a){r._send_wamp([5,a,{}])},function(a){e.debug("onchallenge() raised:",
a);r._send_wamp([3,{message:"sorry, I cannot authenticate (onchallenge handler raised an exception)"},"wamp.error.cannot_authenticate"]);r._socket.close(1E3)}):(e.debug("received WAMP challenge, but no onchallenge() handler set"),b=[3,{message:"sorry, I cannot authenticate (no onchallenge handler set)"},"wamp.error.cannot_authenticate"],r._send_wamp(b),r._socket.close(1E3)):r._protocol_violation("unexpected message type "+d)};r._created="performance"in b&&"now"in performance?performance.now():Date.now()};
Object.defineProperty(y.prototype,"defer",{get:function(){return this._defer}});Object.defineProperty(y.prototype,"id",{get:function(){return this._id}});Object.defineProperty(y.prototype,"realm",{get:function(){return this._realm}});Object.defineProperty(y.prototype,"isOpen",{get:function(){return null!==this.id}});Object.defineProperty(y.prototype,"features",{get:function(){return this._features}});Object.defineProperty(y.prototype,"caller_disclose_me",{get:function(){return this._caller_disclose_me},
set:function(a){this._caller_disclose_me=a}});Object.defineProperty(y.prototype,"publisher_disclose_me",{get:function(){return this._publisher_disclose_me},set:function(a){this._publisher_disclose_me=a}});Object.defineProperty(y.prototype,"subscriptions",{get:function(){for(var a=Object.keys(this._subscriptions),b=[],d=0;d<a.length;++d)b.push(this._subscriptions[a[d]]);return b}});Object.defineProperty(y.prototype,"registrations",{get:function(){for(var a=Object.keys(this._registrations),b=[],d=0;d<
a.length;++d)b.push(this._registrations[a[d]]);return b}});y.prototype.log=function(){if("console"in b){var a;this._id&&this._created?(a="performance"in b&&"now"in performance?performance.now()-this._created:Date.now()-this._created,a="WAMP session "+this._id+" on '"+this._realm+"' at "+Math.round(1E3*a)/1E3+" ms"):a="WAMP session";if("group"in console){console.group(a);for(a=0;a<arguments.length;a+=1)console.log(arguments[a]);console.groupEnd()}else{var d=[a+": "];for(a=0;a<arguments.length;a+=1)d.push(arguments[a]);
console.log.apply(console,d)}}};y.prototype.join=function(a,b,d,g){c.assert("string"===typeof a,"Session.join: <realm> must be a string");c.assert(!b||Array.isArray(b),"Session.join: <authmethods> must be an array []");c.assert(!d||"string"===typeof d,"Session.join: <authid> must be a string");if(this.isOpen)throw"session already open";this._goodbye_sent=!1;this._realm=a;var e={};e.roles=k;b&&(e.authmethods=b);d&&(e.authid=d);g&&(e.authextra=g);this._send_wamp([1,a,e])};y.prototype.leave=function(a,
b){c.assert(!a||"string"===typeof a,"Session.leave: <reason> must be a string");c.assert(!b||"string"===typeof b,"Session.leave: <message> must be a string");if(!this.isOpen)throw"session not open";a||(a="wamp.close.normal");var d={};b&&(d.message=b);this._send_wamp([6,d,a]);this._goodbye_sent=!0};y.prototype.call=function(a,b,d,g){c.assert("string"===typeof a,"Session.call: <procedure> must be a string");c.assert(!b||Array.isArray(b),"Session.call: <args> must be an array []");c.assert(!d||d instanceof
Object,"Session.call: <kwargs> must be an object {}");c.assert(!g||g instanceof Object,"Session.call: <options> must be an object {}");if(!this.isOpen)throw"session not open";g=g||{};void 0===g.disclose_me&&this._caller_disclose_me&&(g.disclose_me=!0);var e=this._defer(),m=this._socket.serializer.newid();this._call_reqs[m]=[e,g];a=[48,m,g,this.resolve(a)];b?(a.push(b),d&&a.push(d)):d&&(a.push([]),a.push(d));this._send_wamp(a);return e.promise.then?e.promise:e};y.prototype.publish=function(a,b,d,g){c.assert("string"===
typeof a,"Session.publish: <topic> must be a string");c.assert(!b||Array.isArray(b),"Session.publish: <args> must be an array []");c.assert(!d||d instanceof Object,"Session.publish: <kwargs> must be an object {}");c.assert(!g||g instanceof Object,"Session.publish: <options> must be an object {}");if(!this.isOpen)throw"session not open";g=g||{};void 0===g.disclose_me&&this._publisher_disclose_me&&(g.disclose_me=!0);var e=null,m=this._socket.serializer.newid();g.acknowledge&&(e=this._defer(),this._publish_reqs[m]=
[e,g]);a=[16,m,g,this.resolve(a)];b?(a.push(b),d&&a.push(d)):d&&(a.push([]),a.push(d));this._send_wamp(a);if(e)return e.promise.then?e.promise:e};y.prototype.subscribe=function(a,b,d){c.assert("string"===typeof a,"Session.subscribe: <topic> must be a string");c.assert("function"===typeof b,"Session.subscribe: <handler> must be a function");c.assert(!d||d instanceof Object,"Session.subscribe: <options> must be an object {}");if(!this.isOpen)throw"session not open";var g=this._socket.serializer.newid(),
e=this._defer();this._subscribe_reqs[g]=[e,a,b,d];b=[32,g];d?b.push(d):b.push({});b.push(this.resolve(a));this._send_wamp(b);return e.promise.then?e.promise:e};y.prototype.register=function(a,b,d){c.assert("string"===typeof a,"Session.register: <procedure> must be a string");c.assert("function"===typeof b,"Session.register: <endpoint> must be a function");c.assert(!d||d instanceof Object,"Session.register: <options> must be an object {}");if(!this.isOpen)throw"session not open";var g=this._socket.serializer.newid(),
e=this._defer();this._register_reqs[g]=[e,a,b,d];b=[64,g];d?b.push(d):b.push({});b.push(this.resolve(a));this._send_wamp(b);return e.promise.then?e.promise:e};y.prototype.unsubscribe=function(a){c.assert(a instanceof d,"Session.unsubscribe: <subscription> must be an instance of class autobahn.Subscription");if(!this.isOpen)throw"session not open";if(!(a.active&&a.id in this._subscriptions))throw"subscription not active";var b=this._subscriptions[a.id],g=b.indexOf(a);if(-1===g)throw"subscription not active";
b.splice(g,1);a.active=!1;g=this._defer();b.length?g.resolve(!1):(b=this._socket.serializer.newid(),this._unsubscribe_reqs[b]=[g,a.id],this._send_wamp([34,b,a.id]));return g.promise.then?g.promise:g};y.prototype.unregister=function(a){c.assert(a instanceof v,"Session.unregister: <registration> must be an instance of class autobahn.Registration");if(!this.isOpen)throw"session not open";if(!(a.active&&a.id in this._registrations))throw"registration not active";var b=this._socket.serializer.newid(),
d=this._defer();this._unregister_reqs[b]=[d,a];this._send_wamp([66,b,a.id]);return d.promise.then?d.promise:d};y.prototype.prefix=function(a,b){c.assert("string"===typeof a,"Session.prefix: <prefix> must be a string");c.assert(!b||"string"===typeof b,"Session.prefix: <uri> must be a string or falsy");b?this._prefixes[a]=b:a in this._prefixes&&delete this._prefixes[a]};y.prototype.resolve=function(a){c.assert("string"===typeof a,"Session.resolve: <curie> must be a string");var b=a.indexOf(":");if(0<=
b){var d=a.substring(0,b);return d in this._prefixes?this._prefixes[d]+"."+a.substring(b+1):a}return a};h.Session=y;h.Invocation=g;h.Event=m;h.Result=p;h.Error=t;h.Subscription=d;h.Registration=v;h.Publication=D}).call(this,"undefined"!==typeof global?global:"undefined"!==typeof self?self:"undefined"!==typeof window?window:{})},{"./log.js":6,"./util.js":20,when:123,"when/function":99}],17:[function(f,l,h){function b(b){a.assert(void 0!==b.url,"options.url missing");a.assert("string"===typeof b.url,
"options.url must be a string");this._options=b}f("when");var a=f("../util.js"),e=f("../log.js"),c=f("../serializer.js");b.prototype.type="longpoll";b.prototype.create=function(){var b=this;e.debug("longpoll.Factory.create");var g={protocol:void 0};g.serializer=new c.JSONSerializer;g.send=void 0;g.close=void 0;g.onmessage=function(){};g.onopen=function(){};g.onclose=function(){};g.info={type:"longpoll",url:null,protocol:"wamp.2.json"};g._run=function(){var c=null,p=!1,k=b._options.request_timeout||
12E3;a.http_post(b._options.url+"/open",JSON.stringify({protocols:["wamp.2.json"]}),k).then(function(d){function m(){e.debug("longpoll.Transport: polling for message ...");a.http_post(f+"/receive",null,k).then(function(a){a&&(a=JSON.parse(a),e.debug("longpoll.Transport: message received",a),g.onmessage(a));p||m()},function(a){e.debug("longpoll.Transport: could not receive message",a.code,a.text);p=!0;g.onclose({code:1001,reason:"transport receive failure (HTTP/POST status "+a.code+" - '"+a.text+"')",
wasClean:!1})})}c=JSON.parse(d);var f=b._options.url+"/"+c.transport;g.info.url=f;e.debug("longpoll.Transport: open",c);g.close=function(b,d){if(p)throw"transport is already closing";p=!0;a.http_post(f+"/close",null,k).then(function(){e.debug("longpoll.Transport: transport closed");g.onclose({code:1E3,reason:"transport closed",wasClean:!0})},function(a){e.debug("longpoll.Transport: could not close transport",a.code,a.text)})};g.send=function(b){if(p)throw"transport is closing or closed already";e.debug("longpoll.Transport: sending message ...",
b);b=JSON.stringify(b);a.http_post(f+"/send",b,k).then(function(){e.debug("longpoll.Transport: message sent")},function(a){e.debug("longpoll.Transport: could not send message",a.code,a.text);p=!0;g.onclose({code:1001,reason:"transport send failure (HTTP/POST status "+a.code+" - '"+a.text+"')",wasClean:!1})})};m();g.onopen()},function(a){e.debug("longpoll.Transport: could not open transport",a.code,a.text);p=!0;g.onclose({code:1001,reason:"transport open failure (HTTP/POST status "+a.code+" - '"+a.text+
"')",wasClean:!1})})};g._run();return g};h.Factory=b},{"../log.js":6,"../serializer.js":15,"../util.js":20,when:123}],18:[function(f,l,h){(function(b,a){function e(a){a.protocols?k.assert(Array.isArray(a.protocols),"options.protocols must be an array"):a.protocols=["wamp.2.json"];a.rawsocket_max_len_exp=a.rawsocket_max_len_exp||24;this._options=a}function c(b,c){this._options={_peer_serializer:null,_peer_max_len_exp:0};this._options=k.defaults(this._options,c,this.DEFAULT_OPTIONS);k.assert(this._options.serializer in
this.SERIALIZERS,"Unsupported serializer: "+this._options.serializer);k.assert(9<=this._options.max_len_exp&&36>=this._options.max_len_exp,"Message length out of bounds [9, 36]: "+this._options.max_len_exp);k.assert(!this._options.autoping||Number.isInteger(this._options.autoping)&&0<=this._options.autoping,"Autoping interval must be positive");k.assert(!this._options.ping_timeout||Number.isInteger(this._options.ping_timeout)&&0<=this._options.ping_timeout,"Ping timeout duration must be positive");
k.assert(!this._options.packet_timeout||Number.isInteger(this._options.packet_timeout)&&0<=this._options.packet_timeout,"Packet timeout duration must be positive");k.assert(!this._options.autoping||!this._options.ping_timeout||this._options.autoping>this._options.ping_timeout,"Autoping interval ("+this._options.autoping+") must be lower than ping timeout ("+this._options.ping_timeout+")");this._ping_interval=this._ping_payload=this._ping_timeout=null;this._status=this.STATUS.UNINITIATED;this._stream=
b;this._emitter=new p;this._buffer=new a(4);this._msgLen=this._bufferLen=0;var d=this;this._stream.on("data",function(a){d._read(a)});this._stream.on("connect",function(){d._handshake()});["close","drain","end","error","timeout"].forEach(function(a){d._stream.on(a,function(b){d._emitter.emit(a,b)})})}var k=f("../util.js"),g=f("../log.js"),m=f("../serializer.js"),p=f("events").EventEmitter;e.prototype.type="rawsocket";e.prototype.create=function(){var a=this,e={protocol:void 0};e.serializer=new m.JSONSerializer;
e.send=void 0;e.close=void 0;e.onmessage=function(){};e.onopen=function(){};e.onclose=function(){};e.info={type:"rawsocket",url:null,protocol:"wamp.2.json"};if(b.process&&b.process.versions.node)(function(){var b=f("net"),d;if(a._options.path)connectionOptions={path:a._options.path,allowHalfOpen:!0};else if(a._options.port)connectionOptions={port:a._options.port||8E3,host:a._options.host||"localhost",allowHalfOpen:!0};else throw"You must specify a host/port combination or a unix socket path to connect to";
b=b.connect(connectionOptions);d=new c(b,{serializer:"json",max_len_exp:a._options.rawsocket_max_len_exp});d.on("connect",function(a){g.debug("RawSocket transport negociated");e.onopen(a)});d.on("data",function(a){g.debug("RawSocket transport received",a);e.onmessage(a)});d.on("close",function(a){g.debug("RawSocket transport closed");e.onclose({code:999,reason:"",wasClean:!a})});d.on("error",function(a){g.debug("RawSocket transport error",a)});e.close=function(a,b){g.debug("RawSocket transport closing",
a,b);d.close()};e.send=function(a){g.debug("RawSocket transport sending",a);d.write(a)}})();else throw"No RawSocket support in browser";return e};c.prototype._MAGIC_BYTE=127;c.prototype.SERIALIZERS={json:1};c.prototype.STATUS={CLOSED:-1,UNINITIATED:0,NEGOCIATING:1,NEGOCIATED:2,RXHEAD:3,RXDATA:4,RXPING:5,RXPONG:6};c.prototype.ERRORS={0:"illegal (must not be used)",1:"serializer unsupported",2:"maximum message length unacceptable",3:"use of reserved bits (unsupported feature)",4:"maximum connection count reached"};
c.prototype.MSGTYPES={WAMP:0,PING:1,PONG:2};c.prototype.DEFAULT_OPTIONS={fail_on_ping_timeout:!0,strict_pong:!0,ping_timeout:2E3,autoping:0,max_len_exp:24,serializer:"json",packet_timeout:2E3};c.prototype.close=function(){this._status=this.STATUS.CLOSED;this._stream.end();return this.STATUS.CLOSED};c.prototype.write=function(b,c,g){c=void 0===c?0:c;c===this.MSGTYPES.WAMP&&(b=JSON.stringify(b));var d=a.byteLength(b,"utf8");if(d>Math.pow(2,this._options._peer_max_len_exp))this._emitter.emit("error",
new t("Frame too big"));else{var e=new a(d+4);e.writeUInt8(c,0);e.writeUIntBE(d,1,3);e.write(b,4);this._stream.write(e,g)}};c.prototype.ping=function(a){a=a||255;if(Number.isInteger(a))for(var b=Math.max(1,a),d=0;d<b;d++)a+="abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789&~\"#'{([-|`_\\^@)]=},?;.:/!*$<>".charAt(92*Math.random()|0);this._ping_payload=a;return this.write(a,this.MSGTYPES.PING,this._setupPingTimeout.bind(this))};c.prototype._setupPingTimeout=function(){this._options.ping_timeout&&
(this._ping_timeout=setTimeout(this._onPingTimeout.bind(this),this._options.ping_timeout))};c.prototype._clearPingTimeout=function(){this._ping_timeout&&(clearTimeout(this._ping_timeout),this._ping_timeout=null)};c.prototype._setupAutoPing=function(){this._clearAutoPing();this._options.autoping&&(this._autoping_interval=setInterval(this.ping.bind(this),this._options.autoping))};c.prototype._clearAutoPing=function(){this._autoping_interval&&(clearInterval(this._autoping_interval),this._autoping_interval=
null)};c.prototype._onPingTimeout=function(){this._emitter.emit("error",new t("PING timeout"));this._options.fail_on_ping_timeout&&this.close()};c.prototype._read=function(a){var b,d;switch(this._status){case this.STATUS.CLOSED:case this.STATUS.UNINITIATED:this._emitter.emit("error",t("Unexpected packet"));break;case this.STATUS.NEGOCIATING:b=this._handleHandshake;d=4;break;case this.STATUS.NEGOCIATED:case this.STATUS.RXHEAD:this._status=this.STATUS.RXHEAD;b=this._handleHeaderPacket;d=4;break;case this.STATUS.RXDATA:b=
this._handleDataPacket;d=this._msgLen;break;case this.STATUS.RXPING:b=this._handlePingPacket;d=this._msgLen;break;case this.STATUS.RXPONG:b=this._handlePongPacket,d=this._msgLen}if(a=this._splitBytes(a,d))this._status=b.call(this,a[0]),0<a[1].length&&this._read(a[1])};c.prototype._handshake=function(){if(this._status!==this.STATUS.UNINITIATED)throw"Handshake packet already sent";var b=new a(4);b.writeUInt8(this._MAGIC_BYTE,0);b.writeUInt8(this._options.max_len_exp-9<<4|this.SERIALIZERS[this._options.serializer],
1);b.writeUInt8(0,2);b.writeUInt8(0,3);this._stream.write(b);this._status=this.STATUS.NEGOCIATING};c.prototype._splitBytes=function(b,c){c!==this._buffer.length&&(this._buffer=new a(c),this._bufferLen=0);b.copy(this._buffer,this._bufferLen);if(this._bufferLen+b.length<c)return this._bufferLen+=b.length,null;var d=this._buffer.slice(),g=b.slice(c-this._bufferLen);this._bufferLen=0;return[d,g]};c.prototype._handleHandshake=function(a){if(a[0]!==this._MAGIC_BYTE)return this._emitter.emit("error",new t("Invalid magic byte. Expected 0x"+
this._MAGIC_BYTE.toString(16)+", got 0x"+a[0].toString(16))),this.close();if(0===(a[1]&15))return a=a[1]>>4,this._emitter.emit("error",new t("Peer failed handshake: "+(this.ERRORS[a]||"0x"+a.toString(16)))),this.close();this._options._peer_max_len_exp=(a[1]>>4)+9;this._options._peer_serializer=a[1]&15;if(this._options._peer_serializer!==this.SERIALIZERS.json)return this._emitter.emit("error",new t("Unsupported serializer: 0x"+this._options._peer_serializer.toString(16))),this.close();this._emitter.emit("connect");
this._setupAutoPing();return this.STATUS.NEGOCIATED};c.prototype._handleHeaderPacket=function(a){var b=a[0]&15;this._msgLen=a.readUIntBE(1,3);switch(b){case this.MSGTYPES.WAMP:return this.STATUS.RXDATA;case this.MSGTYPES.PING:return this.STATUS.RXPING;case this.MSGTYPES.PONG:return this.STATUS.RXPONG;default:return this._emitter.emit("error",new t("Invalid frame type: 0x"+b.toString(16))),this.close()}};c.prototype._handleDataPacket=function(a){var b;try{b=JSON.parse(a.toString("utf8"))}catch(D){return this._emitter.emit("error",
new t("Invalid JSON frame")),this.STATUS.RXHEAD}this._emitter.emit("data",b);return this.STATUS.RXHEAD};c.prototype._handlePingPacket=function(a){this.write(a.toString("utf8"),this.MSGTYPES.PONG);return this.STATUS.RXHEAD};c.prototype._handlePongPacket=function(a){this._clearPingTimeout();return this._options.strict_pong&&this._ping_payload!==a.toString("utf8")?(this._emitter.emit("error",new t("PONG response payload doesn't match PING.")),this.close()):this.STATUS.RXHEAD};c.prototype.on=function(a,
b){return this._emitter.on(a,b)};c.prototype.once=function(a,b){return this._emitter.once(a,b)};c.prototype.removeListener=function(a,b){return this._emitter.removeListener(a,b)};var t=h.ProtocolError=function(a){Error.apply(this,Array.prototype.splice.call(arguments));Error.captureStackTrace(this,this.constructor);this.message=a;this.name="ProtocolError"};t.prototype=Object.create(Error.prototype);h.Factory=e;h.Protocol=c}).call(this,"undefined"!==typeof global?global:"undefined"!==typeof self?self:
"undefined"!==typeof window?window:{},f("buffer").Buffer)},{"../log.js":6,"../serializer.js":15,"../util.js":20,buffer:129,events:131,net:125}],19:[function(f,l,h){(function(b){function a(a){e.assert(void 0!==a.url,"options.url missing");e.assert("string"===typeof a.url,"options.url must be a string");a.serializers?e.assert(Array.isArray(a.serializers),"options.serializers must be an array"):(a.serializers=[new k.JSONSerializer],k.MsgpackSerializer&&a.serializers.push(new k.MsgpackSerializer));a.protocols?
e.assert(Array.isArray(a.protocols),"options.protocols must be an array"):(a.protocols=[],a.serializers.forEach(function(b){a.protocols.push("wamp.2."+b.SERIALIZER_ID)}));this._options=a}var e=f("../util.js"),c=f("../log.js"),k=f("../serializer.js");a.prototype.type="websocket";a.prototype.create=function(){var a=this,e={protocol:void 0,serializer:void 0,send:void 0,close:void 0,onmessage:function(){},onopen:function(){},onclose:function(){}};e.info={type:"websocket",url:a._options.url,protocol:null};
b.process&&b.process.versions.node?function(){var b=f("ws"),c,d;a._options.protocols?(d=a._options.protocols,Array.isArray(d)&&(d=d.join(",")),c=new b(a._options.url,{protocol:d})):c=new b(a._options.url);e.send=function(a){a=e.serializer.serialize(a);c.send(a,{binary:e.serializer.BINARY})};e.close=function(a,b){c.close()};c.on("open",function(){var b=c.protocol.split(".")[2],d;for(d in a._options.serializers){var g=a._options.serializers[d];if(g.SERIALIZER_ID==b){e.serializer=g;break}}e.info.protocol=
c.protocol;e.onopen()});c.on("message",function(a,b){var d=e.serializer.unserialize(a);e.onmessage(d)});c.on("close",function(a,b){e.onclose({code:a,reason:b,wasClean:1E3===a})});c.on("error",function(a){e.onclose({code:1006,reason:"",wasClean:!1})})}():function(){var g;if("WebSocket"in b)g=a._options.protocols?new b.WebSocket(a._options.url,a._options.protocols):new b.WebSocket(a._options.url),g.binaryType="arraybuffer";else if("MozWebSocket"in b)g=a._options.protocols?new b.MozWebSocket(a._options.url,
a._options.protocols):new b.MozWebSocket(a._options.url);else throw"browser does not support WebSocket or WebSocket in Web workers";g.onmessage=function(a){c.debug("WebSocket transport receive",a.data);a=e.serializer.unserialize(a.data);e.onmessage(a)};g.onopen=function(){var b=g.protocol.split(".")[2],d;for(d in a._options.serializers){var c=a._options.serializers[d];if(c.SERIALIZER_ID==b){e.serializer=c;break}}e.info.protocol=g.protocol;e.onopen()};g.onclose=function(a){e.onclose({code:a.code,reason:a.message,
wasClean:a.wasClean})};e.send=function(a){a=e.serializer.serialize(a);c.debug("WebSocket transport send",a);g.send(a)};e.close=function(a,b){g.close(a,b)}}();return e};h.Factory=a}).call(this,"undefined"!==typeof global?global:"undefined"!==typeof self?self:"undefined"!==typeof window?window:{})},{"../log.js":6,"../serializer.js":15,"../util.js":20,ws:127}],20:[function(f,l,h){(function(b){var a=f("./log.js"),e=f("when"),c=function(a,e){if(!a){if(c.useDebugger||"AUTOBAHN_DEBUG"in b&&AUTOBAHN_DEBUG)debugger;
throw Error(e||"Assertion failed!");}},k=function(){if(0===arguments.length)return{};var a=arguments[0],b=!1,c=arguments.length;"boolean"===typeof arguments[c-1]&&(b=arguments[c-1],--c);var e=function(d){var c=f[d];d in a?b&&"object"===typeof c&&"object"===typeof a[d]&&k(a[d],c):a[d]=c},d=1;for(;d<c;d++){var f=arguments[d];if(f){if("object"!==typeof f)throw Error("Expected argument at index "+d+" to be an object");Object.keys(f).forEach(e)}}return a};h.rand_normal=function(a,b){var c,g;do c=2*Math.random()-
1,g=2*Math.random()-1,g=c*c+g*g;while(1<=g||0==g);return(a||0)+c*Math.sqrt(-2*Math.log(g)/g)*(b||1)};h.assert=c;h.http_post=function(b,c,k){a.debug("new http_post request",b,c,k);var g=e.defer(),d=new XMLHttpRequest;d.withCredentials=!0;d.onreadystatechange=function(){if(4===d.readyState){var a=1223===d.status?204:d.status;200===a&&g.resolve(d.responseText);if(204===a)g.resolve();else{var b=null;try{b=d.statusText}catch(y){}g.reject({code:a,text:b})}}};d.open("POST",b,!0);d.setRequestHeader("Content-type",
"application/json; charset=utf-8");0<k&&(d.timeout=k,d.ontimeout=function(){g.reject({code:501,text:"request timeout"})});c?d.send(c):d.send();return g.promise.then?g.promise:g};h.defaults=k}).call(this,"undefined"!==typeof global?global:"undefined"!==typeof self?self:"undefined"!==typeof window?window:{})},{"./log.js":6,when:123}],21:[function(f,l,h){(function(b){function a(b){function t(a,b){var d,c,n,g,e,q=this;if(!(q instanceof t))return Y&&M(26,"constructor call without new",a),new t(a,b);if(null!=
b&&S(b,2,64,L,"base")){b|=0;e=a+"";if(10==b)return q=new t(a instanceof t?a:e),N(q,u+q.e+1,w);if((n="number"==typeof a)&&0!=0*a||!(new RegExp("^-?"+(d="["+"0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ$_".slice(0,b)+"]+")+"(?:\\."+d+")?$",37>b?"i":"")).test(e))return y(q,e,n,b);n?(q.s=0>1/a?(e=e.slice(1),-1):1,Y&&15<e.replace(/^0\.0*|\./,"").length&&M(L,"number type has more than 15 significant digits",a),n=!1):q.s=45===e.charCodeAt(0)?(e=e.slice(1),-1):1;e=h(e,10,b,q.s)}else{if(a instanceof
t){q.s=a.s;q.e=a.e;q.c=(a=a.c)?a.slice():a;L=0;return}if((n="number"==typeof a)&&0==0*a){q.s=0>1/a?(a=-a,-1):1;if(a===~~a){d=0;for(c=a;10<=c;c/=10,d++);q.e=d;q.c=[a];L=0;return}e=a+""}else{if(!C.test(e=a+""))return y(q,e,n);q.s=45===e.charCodeAt(0)?(e=e.slice(1),-1):1}}-1<(d=e.indexOf("."))&&(e=e.replace(".",""));0<(c=e.search(/e/i))?(0>d&&(d=c),d+=+e.slice(c+1),e=e.substring(0,c)):0>d&&(d=e.length);for(c=0;48===e.charCodeAt(c);c++);for(g=e.length;48===e.charCodeAt(--g););if(e=e.slice(c,g+1))if(g=
e.length,n&&Y&&15<g&&(9007199254740991<a||a!==H(a))&&M(L,"number type has more than 15 significant digits",q.s*a),d=d-c-1,d>P)q.c=q.e=null;else if(d<R)q.c=[q.e=0];else{q.e=d;q.c=[];c=(d+1)%14;0>d&&(c+=14);if(c<g){c&&q.c.push(+e.slice(0,c));for(g-=14;c<g;)q.c.push(+e.slice(c,c+=14));e=e.slice(c);c=14-e.length}else c-=g;for(;c--;e+="0");q.c.push(+e)}else q.c=[q.e=0];L=0}function h(a,b,n,g){var e,q,k,m,f,r=a.indexOf("."),v=u,h=w;37>n&&(a=a.toLowerCase());0<=r&&(e=da,da=0,a=a.replace(".",""),f=new t(n),
k=f.pow(a.length-r),da=e,f.c=p(d(c(k.c),k.e),10,b),f.e=f.c.length);m=p(a,n,b);for(n=e=m.length;0==m[--e];m.pop());if(!m[0])return"0";0>r?--n:(k.c=m,k.e=n,k.s=g,k=J(k,f,v,h,b),m=k.c,q=k.r,n=k.e);a=n+v+1;r=m[a];e=b/2;q=q||0>a||null!=m[a+1];q=4>h?(null!=r||q)&&(0==h||h==(0>k.s?3:2)):r>e||r==e&&(4==h||q||6==h&&m[a-1]&1||h==(0>k.s?8:7));if(1>a||!m[0])a=q?d("1",-v):"0";else{m.length=a;if(q)for(--b;++m[--a]>b;)m[a]=0,a||(++n,m.unshift(1));for(e=m.length;!m[--e];);r=0;for(a="";r<=e;a+="0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ$_".charAt(m[r++]));
a=d(a,n)}return a}function x(a,b,n,g){var e,q,u,k;n=null!=n&&S(n,0,8,g,"rounding mode")?n|0:w;if(!a.c)return a.toString();e=a.c[0];q=a.e;if(null==b)k=c(a.c),k=19==g||24==g&&q<=A?f(k,q):d(k,q);else if(a=N(new t(a),b,n),n=a.e,k=c(a.c),u=k.length,19==g||24==g&&(b<=n||n<=A)){for(;u<b;k+="0",u++);k=f(k,n)}else if(b-=q,k=d(k,n),n+1>u){if(0<--b)for(k+=".";b--;k+="0");}else if(b+=n-u,0<b)for(n+1==u&&(k+=".");b--;k+="0");return 0>a.s&&e?"-"+k:k}function D(a,b){var c,d,n=0;m(a[0])&&(a=a[0]);for(c=new t(a[0]);++n<
a.length;)if(d=new t(a[n]),d.s)b.call(c,d)&&(c=d);else{c=d;break}return c}function l(a,b,c,d,n){(a<b||a>c||a!=v(a))&&M(d,(n||"decimal places")+(a<b||a>c?" out of range":" not an integer"),a);return!0}function F(a,b,c){for(var d=1,n=b.length;!b[--n];b.pop());for(n=b[0];10<=n;n/=10,d++);(c=d+14*c-1)>P?a.c=a.e=null:c<R?a.c=[a.e=0]:(a.e=c,a.c=b);return a}function M(a,b,c){a=Error("new BigNumber;cmp;config;div;divToInt;eq;gt;gte;lt;lte;minus;mod;plus;precision;random;round;shift;times;toDigits;toExponential;toFixed;toFormat;toFraction;pow;toPrecision;toString;BigNumber".split(";")[a]+
"() "+b+": "+c);a.name="BigNumber Error";L=0;throw a;}function N(a,b,c,d){var n,g,e,q,u,k,m=a.c,p=r;if(m){a:{n=1;for(q=m[0];10<=q;q/=10,n++);g=b-n;if(0>g)g+=14,e=b,u=m[k=0],q=u/p[n-e-1]%10|0;else if(k=z((g+1)/14),k>=m.length)if(d){for(;m.length<=k;m.push(0));u=q=0;n=1;g%=14;e=g-14+1}else break a;else{u=q=m[k];for(n=1;10<=q;q/=10,n++);g%=14;e=g-14+n;q=0>e?0:u/p[n-e-1]%10|0}d=d||0>b||null!=m[k+1]||(0>e?u:u%p[n-e-1]);d=4>c?(q||d)&&(0==c||c==(0>a.s?3:2)):5<q||5==q&&(4==c||d||6==c&&(0<g?0<e?u/p[n-e]:0:
m[k-1])%10&1||c==(0>a.s?8:7));if(1>b||!m[0])return m.length=0,d?(b-=a.e+1,m[0]=p[(14-b%14)%14],a.e=-b||0):m[0]=a.e=0,a;0==g?(m.length=k,q=1,k--):(m.length=k+1,q=p[14-g],m[k]=0<e?H(u/p[n-e]%p[e])*q:0);if(d)for(;;)if(0==k){g=1;for(e=m[0];10<=e;e/=10,g++);e=m[0]+=q;for(q=1;10<=e;e/=10,q++);g!=q&&(a.e++,1E14==m[0]&&(m[0]=1));break}else{m[k]+=q;if(1E14!=m[k])break;m[k--]=0;q=1}for(g=m.length;0===m[--g];m.pop());}a.e>P?a.c=a.e=null:a.e<R&&(a.c=[a.e=0])}return a}var J,L=0,q=t.prototype,n=new t(1),u=20,w=
4,A=-7,V=21,R=-1E7,P=1E7,Y=!0,S=l,ea=!1,fa=1,da=0,T={decimalSeparator:".",groupSeparator:",",groupSize:3,secondaryGroupSize:0,fractionGroupSeparator:"\u00a0",fractionGroupSize:0};t.another=a;t.ROUND_UP=0;t.ROUND_DOWN=1;t.ROUND_CEIL=2;t.ROUND_FLOOR=3;t.ROUND_HALF_UP=4;t.ROUND_HALF_DOWN=5;t.ROUND_HALF_EVEN=6;t.ROUND_HALF_CEIL=7;t.ROUND_HALF_FLOOR=8;t.EUCLID=9;t.config=t.set=function(){var a,b,c=0,d={},n=arguments,e=n[0],q=e&&"object"==typeof e?function(){if(e.hasOwnProperty(b))return null!=(a=e[b])}:
function(){if(n.length>c)return null!=(a=n[c++])};q(b="DECIMAL_PLACES")&&S(a,0,1E9,2,b)&&(u=a|0);d[b]=u;q(b="ROUNDING_MODE")&&S(a,0,8,2,b)&&(w=a|0);d[b]=w;q(b="EXPONENTIAL_AT")&&(m(a)?S(a[0],-1E9,0,2,b)&&S(a[1],0,1E9,2,b)&&(A=a[0]|0,V=a[1]|0):S(a,-1E9,1E9,2,b)&&(A=-(V=(0>a?-a:a)|0)));d[b]=[A,V];q(b="RANGE")&&(m(a)?S(a[0],-1E9,-1,2,b)&&S(a[1],1,1E9,2,b)&&(R=a[0]|0,P=a[1]|0):S(a,-1E9,1E9,2,b)&&(a|0?R=-(P=(0>a?-a:a)|0):Y&&M(2,b+" cannot be zero",a)));d[b]=[R,P];q(b="ERRORS")&&(a===!!a||1===a||0===a?
(L=0,S=(Y=!!a)?l:g):Y&&M(2,b+" not a boolean or binary digit",a));d[b]=Y;q(b="CRYPTO")&&(!0===a||!1===a||1===a||0===a?a?(a="undefined"==typeof crypto,!a&&crypto&&(crypto.getRandomValues||crypto.randomBytes)?ea=!0:Y?M(2,"crypto unavailable",a?void 0:crypto):ea=!1):ea=!1:Y&&M(2,b+" not a boolean or binary digit",a));d[b]=ea;q(b="MODULO_MODE")&&S(a,0,9,2,b)&&(fa=a|0);d[b]=fa;q(b="POW_PRECISION")&&S(a,0,1E9,2,b)&&(da=a|0);d[b]=da;q(b="FORMAT")&&("object"==typeof a?T=a:Y&&M(2,b+" not an object",a));d[b]=
T;return d};t.max=function(){return D(arguments,q.lt)};t.min=function(){return D(arguments,q.gt)};t.random=function(){var a=9007199254740992*Math.random()&2097151?function(){return H(9007199254740992*Math.random())}:function(){return 8388608*(1073741824*Math.random()|0)+(8388608*Math.random()|0)};return function(b){var d,c,g,e=0,q=[],k=new t(n);b=null!=b&&S(b,0,1E9,14)?b|0:u;g=z(b/14);if(ea)if(crypto.getRandomValues){for(d=crypto.getRandomValues(new Uint32Array(g*=2));e<g;)c=131072*d[e]+(d[e+1]>>>
11),9E15<=c?(c=crypto.getRandomValues(new Uint32Array(2)),d[e]=c[0],d[e+1]=c[1]):(q.push(c%1E14),e+=2);e=g/2}else if(crypto.randomBytes){for(d=crypto.randomBytes(g*=7);e<g;)c=281474976710656*(d[e]&31)+1099511627776*d[e+1]+4294967296*d[e+2]+16777216*d[e+3]+(d[e+4]<<16)+(d[e+5]<<8)+d[e+6],9E15<=c?crypto.randomBytes(7).copy(d,e):(q.push(c%1E14),e+=7);e=g/7}else ea=!1,Y&&M(14,"crypto unavailable",crypto);if(!ea)for(;e<g;)c=a(),9E15>c&&(q[e++]=c%1E14);g=q[--e];b%=14;g&&b&&(c=r[14-b],q[e]=H(g/c)*c);for(;0===
q[e];q.pop(),e--);if(0>e)q=[b=0];else{for(b=-1;0===q[0];q.shift(),b-=14);e=1;for(c=q[0];10<=c;c/=10,e++);14>e&&(b-=14-e)}k.e=b;k.c=q;return k}}();J=function(){function a(a,b,c){var d,n,g=0,e=a.length,q=b%1E7,u=b/1E7|0;for(a=a.slice();e--;)d=a[e]%1E7,n=a[e]/1E7|0,b=u*d+n*q,d=q*d+b%1E7*1E7+g,g=(d/c|0)+(b/1E7|0)+u*n,a[e]=d%c;g&&a.unshift(g);return a}function b(a,b,c,d){var n;if(c!=d)n=c>d?1:-1;else for(d=n=0;d<c;d++)if(a[d]!=b[d]){n=a[d]>b[d]?1:-1;break}return n}function c(a,b,d,c){for(var n=0;d--;)a[d]-=
n,n=a[d]<b[d]?1:0,a[d]=n*c+a[d]-b[d];for(;!a[0]&&1<a.length;a.shift());}return function(d,n,g,q,u){var k,m,p,f,r,v,h,x,w,D,z,I,y,K,E=d.s==n.s?1:-1;m=d.c;var B=n.c;if(!(m&&m[0]&&B&&B[0]))return new t(d.s&&n.s&&(m?!B||m[0]!=B[0]:B)?m&&0==m[0]||!B?0*E:E/0:NaN);v=new t(E);h=v.c=[];k=d.e-n.e;E=g+k+1;u||(u=1E14,k=e(d.e/14)-e(n.e/14),E=E/14|0);for(d=0;B[d]==(m[d]||0);d++);B[d]>(m[d]||0)&&k--;if(0>E)h.push(1),m=!0;else{z=m.length;y=B.length;d=0;E+=2;p=H(u/(B[0]+1));1<p&&(B=a(B,p,u),m=a(m,p,u),y=B.length,
z=m.length);D=y;x=m.slice(0,y);for(w=x.length;w<y;x[w++]=0);K=B.slice();K.unshift(0);I=B[0];B[1]>=u/2&&I++;do{p=0;n=b(B,x,y,w);if(0>n){p=x[0];y!=w&&(p=p*u+(x[1]||0));p=H(p/I);if(1<p)for(p>=u&&(p=u-1),f=a(B,p,u),r=f.length,w=x.length;1==b(f,x,r,w);)p--,c(f,y<r?K:B,r,u),r=f.length,n=1;else 0==p&&(n=p=1),f=B.slice(),r=f.length;r<w&&f.unshift(0);c(x,f,w,u);w=x.length;if(-1==n)for(;1>b(B,x,y,w);)p++,c(x,y<w?K:B,w,u),w=x.length}else 0===n&&(p++,x=[0]);h[d++]=p;x[0]?x[w++]=m[D]||0:(x=[m[D]],w=1)}while((D++<
z||null!=x[0])&&E--);m=null!=x[0];h[0]||h.shift()}if(1E14==u){d=1;for(E=h[0];10<=E;E/=10,d++);N(v,g+(v.e=d+14*k-1)+1,q,m)}else v.e=k,v.r=+m;return v}}();y=function(){var a=/^(-?)0([xbo])(?=\w[\w.]*$)/i,b=/^([^.]+)\.$/,d=/^\.([^.]+)$/,c=/^-?(Infinity|NaN)$/,n=/^\s*\+(?=[\w.])|^\s+|\s+$/g;return function(g,e,q,u){var m,k=q?e:e.replace(n,"");if(c.test(k))g.s=isNaN(k)?null:0>k?-1:1;else{if(!q&&(k=k.replace(a,function(a,b,d){m="x"==(d=d.toLowerCase())?16:"b"==d?2:8;return u&&u!=m?a:b}),u&&(m=u,k=k.replace(b,
"$1").replace(d,"0.$1")),e!=k))return new t(k,m);Y&&M(L,"not a"+(u?" base "+u:"")+" number",e);g.s=null}g.c=g.e=null;L=0}}();q.absoluteValue=q.abs=function(){var a=new t(this);0>a.s&&(a.s=1);return a};q.ceil=function(){return N(new t(this),this.e+1,2)};q.comparedTo=q.cmp=function(a,b){L=1;return k(this,new t(a,b))};q.decimalPlaces=q.dp=function(){var a,b,d=this.c;if(!d)return null;a=14*((b=d.length-1)-e(this.e/14));if(b=d[b])for(;0==b%10;b/=10,a--);0>a&&(a=0);return a};q.dividedBy=q.div=function(a,
b){L=3;return J(this,new t(a,b),u,w)};q.dividedToIntegerBy=q.divToInt=function(a,b){L=4;return J(this,new t(a,b),0,1)};q.equals=q.eq=function(a,b){L=5;return 0===k(this,new t(a,b))};q.floor=function(){return N(new t(this),this.e+1,3)};q.greaterThan=q.gt=function(a,b){L=6;return 0<k(this,new t(a,b))};q.greaterThanOrEqualTo=q.gte=function(a,b){L=7;return 1===(b=k(this,new t(a,b)))||0===b};q.isFinite=function(){return!!this.c};q.isInteger=q.isInt=function(){return!!this.c&&e(this.e/14)>this.c.length-
2};q.isNaN=function(){return!this.s};q.isNegative=q.isNeg=function(){return 0>this.s};q.isZero=function(){return!!this.c&&0==this.c[0]};q.lessThan=q.lt=function(a,b){L=8;return 0>k(this,new t(a,b))};q.lessThanOrEqualTo=q.lte=function(a,b){L=9;return-1===(b=k(this,new t(a,b)))||0===b};q.minus=q.sub=function(a,b){var d,c,n=this.s;L=10;a=new t(a,b);b=a.s;if(!n||!b)return new t(NaN);if(n!=b)return a.s=-b,this.plus(a);c=this.e/14;var g=a.e/14,q=this.c,u=a.c;if(!c||!g){if(!q||!u)return q?(a.s=-b,a):new t(u?
this:NaN);if(!q[0]||!u[0])return u[0]?(a.s=-b,a):new t(q[0]?this:3==w?-0:0)}c=e(c);g=e(g);q=q.slice();if(n=c-g){(d=0>n)?(n=-n,c=q):(g=c,c=u);c.reverse();for(b=n;b--;c.push(0));c.reverse()}else for(c=(d=(n=q.length)<(b=u.length))?n:b,n=b=0;b<c;b++)if(q[b]!=u[b]){d=q[b]<u[b];break}d&&(c=q,q=u,u=c,a.s=-a.s);b=(c=u.length)-(d=q.length);if(0<b)for(;b--;q[d++]=0);for(b=1E14-1;c>n;){if(q[--c]<u[c]){for(d=c;d&&!q[--d];q[d]=b);--q[d];q[c]+=1E14}q[c]-=u[c]}for(;0==q[0];q.shift(),--g);return q[0]?F(a,q,g):(a.s=
3==w?-1:1,a.c=[a.e=0],a)};q.modulo=q.mod=function(a,b){var d,c;L=11;a=new t(a,b);if(!this.c||!a.s||a.c&&!a.c[0])return new t(NaN);if(!a.c||this.c&&!this.c[0])return new t(this);9==fa?(c=a.s,a.s=1,d=J(this,a,0,3),a.s=c,d.s*=c):d=J(this,a,0,fa);return this.minus(d.times(a))};q.negated=q.neg=function(){var a=new t(this);a.s=-a.s||null;return a};q.plus=q.add=function(a,b){var d,c=this.s;L=12;a=new t(a,b);b=a.s;if(!c||!b)return new t(NaN);if(c!=b)return a.s=-b,this.minus(a);d=this.e/14;var n=a.e/14,g=
this.c,q=a.c;if(!d||!n){if(!g||!q)return new t(c/0);if(!g[0]||!q[0])return q[0]?a:new t(g[0]?this:0*c)}d=e(d);n=e(n);g=g.slice();if(c=d-n){0<c?(n=d,d=q):(c=-c,d=g);for(d.reverse();c--;d.push(0));d.reverse()}c=g.length;b=q.length;0>c-b&&(d=q,q=g,g=d,b=c);for(c=0;b;)c=(g[--b]=g[b]+q[b]+c)/1E14|0,g[b]=1E14===g[b]?0:g[b]%1E14;c&&(g.unshift(c),++n);return F(a,g,n)};q.precision=q.sd=function(a){var b,d,c=this.c;null!=a&&a!==!!a&&1!==a&&0!==a&&(Y&&M(13,"argument not a boolean or binary digit",a),a!=!!a&&
(a=null));if(!c)return null;d=c.length-1;b=14*d+1;if(d=c[d]){for(;0==d%10;d/=10,b--);for(d=c[0];10<=d;d/=10,b++);}a&&this.e+1>b&&(b=this.e+1);return b};q.round=function(a,b){var d=new t(this);(null==a||S(a,0,1E9,15))&&N(d,~~a+this.e+1,null!=b&&S(b,0,8,15,"rounding mode")?b|0:w);return d};q.shift=function(a){return S(a,-9007199254740991,9007199254740991,16,"argument")?this.times("1e"+v(a)):new t(this.c&&this.c[0]&&(-9007199254740991>a||9007199254740991<a)?this.s*(0>a?0:1/0):this)};q.squareRoot=q.sqrt=
function(){var a,b,d,n,g;b=this.c;var q=this.s,k=this.e,m=u+4,p=new t("0.5");if(1!==q||!b||!b[0])return new t(!q||0>q&&(!b||b[0])?NaN:b?this:1/0);q=Math.sqrt(+this);0==q||q==1/0?(b=c(b),0==(b.length+k)%2&&(b+="0"),q=Math.sqrt(b),k=e((k+1)/2)-(0>k||k%2),q==1/0?b="1e"+k:(b=q.toExponential(),b=b.slice(0,b.indexOf("e")+1)+k),d=new t(b)):d=new t(q+"");if(d.c[0])for(k=d.e,q=k+m,3>q&&(q=0);;)if(g=d,d=p.times(g.plus(J(this,g,m,1))),c(g.c).slice(0,q)===(b=c(d.c)).slice(0,q))if(d.e<k&&--q,b=b.slice(q-3,q+1),
"9999"==b||!n&&"4999"==b){if(!n&&(N(g,g.e+u+2,0),g.times(g).eq(this))){d=g;break}m+=4;q+=4;n=1}else{if(!+b||!+b.slice(1)&&"5"==b.charAt(0))N(d,d.e+u+2,1),a=!d.times(d).eq(this);break}return N(d,d.e+u+1,w,a)};q.times=q.mul=function(a,b){var d,c,n,g,q,u,k,m,p,f,r,v,h=this.c,x=(L=17,a=new t(a,b)).c;if(!(h&&x&&h[0]&&x[0]))return!this.s||!a.s||h&&!h[0]&&!x||x&&!x[0]&&!h?a.c=a.e=a.s=null:(a.s*=this.s,h&&x?(a.c=[0],a.e=0):a.c=a.e=null),a;c=e(this.e/14)+e(a.e/14);a.s*=this.s;k=h.length;g=x.length;k<g&&(v=
h,h=x,x=v,n=k,k=g,g=n);n=k+g;for(v=[];n--;v.push(0));for(n=g;0<=--n;){d=0;f=x[n]%1E7;r=x[n]/1E7|0;q=k;for(g=n+q;g>n;)m=h[--q]%1E7,p=h[q]/1E7|0,u=r*m+p*f,m=f*m+u%1E7*1E7+v[g]+d,d=(m/1E14|0)+(u/1E7|0)+r*p,v[g--]=m%1E14;v[g]=d}d?++c:v.shift();return F(a,v,c)};q.toDigits=function(a,b){var d=new t(this);a=null!=a&&S(a,1,1E9,18,"precision")?a|0:null;b=null!=b&&S(b,0,8,18,"rounding mode")?b|0:w;return a?N(d,a,b):d};q.toExponential=function(a,b){return x(this,null!=a&&S(a,0,1E9,19)?~~a+1:null,b,19)};q.toFixed=
function(a,b){return x(this,null!=a&&S(a,0,1E9,20)?~~a+this.e+1:null,b,20)};q.toFormat=function(a,b){var d=x(this,null!=a&&S(a,0,1E9,21)?~~a+this.e+1:null,b,21);if(this.c){var c;c=d.split(".");var d=+T.groupSize,n=+T.secondaryGroupSize,g=T.groupSeparator,q=c[0],e=c[1],u=0>this.s,k=u?q.slice(1):q,m=k.length;n&&(c=d,d=n,n=c,m-=c);if(0<d&&0<m){c=m%d||d;for(q=k.substr(0,c);c<m;c+=d)q+=g+k.substr(c,d);0<n&&(q+=g+k.slice(c));u&&(q="-"+q)}d=e?q+T.decimalSeparator+((n=+T.fractionGroupSize)?e.replace(new RegExp("\\d{"+
n+"}\\B","g"),"$&"+T.fractionGroupSeparator):e):q}return d};q.toFraction=function(a){var b,d,g,q,e,u,k;g=Y;d=this.c;var m=new t(n),p=b=new t(n),f=u=new t(n);null!=a&&(Y=!1,e=new t(a),Y=g,!(g=e.isInt())||e.lt(n))&&(Y&&M(22,"max denominator "+(g?"out of range":"not an integer"),a),a=!g&&e.c&&N(e,e.e+1,1).gte(n)?e:null);if(!d)return this.toString();d=c(d);g=m.e=d.length-this.e-1;m.c[0]=r[0>(q=g%14)?14+q:q];a=!a||0<e.cmp(m)?0<g?m:p:e;q=P;P=1/0;e=new t(d);for(u.c[0]=0;;){k=J(e,m,0,1);d=b.plus(k.times(f));
if(1==d.cmp(a))break;b=f;f=d;p=u.plus(k.times(d=p));u=d;m=e.minus(k.times(d=m));e=d}d=J(a.minus(b),f,0,1);u=u.plus(d.times(p));b=b.plus(d.times(f));u.s=p.s=this.s;g*=2;a=1>J(p,f,g,w).minus(this).abs().cmp(J(u,b,g,w).minus(this).abs())?[p.toString(),f.toString()]:[u.toString(),b.toString()];P=q;return a};q.toNumber=function(){return+this};q.toPower=q.pow=function(a,b){var d,c,g,q=H(0>a?-a:+a),e=this;null!=b&&(L=23,b=new t(b));if(!S(a,-9007199254740991,9007199254740991,23,"exponent")&&(!isFinite(a)||
9007199254740991<q&&(a/=0)||parseFloat(a)!=a&&!(a=NaN))||0==a)return d=Math.pow(+e,a),new t(b?d%b:d);b?1<a&&e.gt(n)&&e.isInt()&&b.gt(n)&&b.isInt()?e=e.mod(b):(g=b,b=null):da&&(d=z(da/14+2));for(c=new t(n);;){if(q%2){c=c.times(e);if(!c.c)break;d?c.c.length>d&&(c.c.length=d):b&&(c=c.mod(b))}q=H(q/2);if(!q)break;e=e.times(e);d?e.c&&e.c.length>d&&(e.c.length=d):b&&(e=e.mod(b))}if(b)return c;0>a&&(c=n.div(c));return g?c.mod(g):d?N(c,da,w):c};q.toPrecision=function(a,b){return x(this,null!=a&&S(a,1,1E9,
24,"precision")?a|0:null,b,24)};q.toString=function(a){var b,n=this.s,g=this.e;null===g?n?(b="Infinity",0>n&&(b="-"+b)):b="NaN":(b=c(this.c),b=null!=a&&S(a,2,64,25,"base")?h(d(b,g),a|0,10,n):g<=A||g>=V?f(b,g):d(b,g),0>n&&this.c[0]&&(b="-"+b));return b};q.truncated=q.trunc=function(){return N(new t(this),this.e+1,1)};q.valueOf=q.toJSON=function(){var a,b=this.e;if(null===b)return this.toString();a=c(this.c);a=b<=A||b>=V?f(a,b):d(a,b);return 0>this.s?"-"+a:a};null!=b&&t.config(b);return t}function e(a){var b=
a|0;return 0<a||a===b?b:b-1}function c(a){for(var b,d,c=1,g=a.length,e=a[0]+"";c<g;){b=a[c++]+"";for(d=14-b.length;d--;b="0"+b);e+=b}for(g=e.length;48===e.charCodeAt(--g););return e.slice(0,g+1||1)}function k(a,b){var d,c,g=a.c,e=b.c,k=a.s,m=b.s,p=a.e,f=b.e;if(!k||!m)return null;d=g&&!g[0];c=e&&!e[0];if(d||c)return d?c?0:-m:k;if(k!=m)return k;d=0>k;c=p==f;if(!g||!e)return c?0:!g^d?1:-1;if(!c)return p>f^d?1:-1;m=(p=g.length)<(f=e.length)?p:f;for(k=0;k<m;k++)if(g[k]!=e[k])return g[k]>e[k]^d?1:-1;return p==
f?0:p>f^d?1:-1}function g(a,b,d){return(a=v(a))>=b&&a<=d}function m(a){return"[object Array]"==Object.prototype.toString.call(a)}function p(a,b,d){for(var c,g=[0],e=0,k=a.length;e<k;){for(c=g.length;c--;g[c]*=b);for(g[c=0]+="0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ$_".indexOf(a.charAt(e++));c<g.length;c++)g[c]>d-1&&(null==g[c+1]&&(g[c+1]=0),g[c+1]+=g[c]/d|0,g[c]%=d)}return g.reverse()}function f(a,b){return(1<a.length?a.charAt(0)+"."+a.slice(1):a)+(0>b?"e":"e+")+b}function d(a,
b){var d,c;if(0>b){for(c="0.";++b;c+="0");a=c+a}else if(d=a.length,++b>d){c="0";for(b-=d;--b;c+="0");a+=c}else b<d&&(a=a.slice(0,b)+"."+a.slice(b));return a}function v(a){a=parseFloat(a);return 0>a?z(a):H(a)}var h,y,C=/^-?(\d+(\.\d*)?|\.\d+)(e[+-]?\d+)?$/i,z=Math.ceil,H=Math.floor,r=[1,10,100,1E3,1E4,1E5,1E6,1E7,1E8,1E9,1E10,1E11,1E12,1E13];h=a();h["default"]=h.BigNumber=h;"undefined"!=typeof l&&l.exports?l.exports=h:(b||(b="undefined"!=typeof self?self:Function("return this")()),b.BigNumber=h)})(this)},
{}],22:[function(f,l,h){h.Commented=f("./commented");h.Diagnose=f("./diagnose");h.Decoder=f("./decoder");h.Encoder=f("./encoder");h.Simple=f("./simple");h.Tagged=f("./tagged");h.comment=h.Commented.comment;h.decodeAll=h.Decoder.decodeAll;h.decodeFirst=h.Decoder.decodeFirst;h.decodeAllSync=h.Decoder.decodeAllSync;h.decodeFirstSync=h.Decoder.decodeFirstSync;h.diagnose=h.Diagnose.diagnose;h.encode=h.Encoder.encode;h.decode=h.Decoder.decodeFirstSync;h.leveldb={decode:h.Decoder.decodeAllSync,encode:h.Encoder.encode,
buffer:!0,name:"cbor"}},{"./commented":23,"./decoder":25,"./diagnose":26,"./encoder":27,"./simple":28,"./tagged":29}],23:[function(f,l,h){(function(b){var a=f("stream"),e=f("util");f("./utils");f("./simple");var c=f("./decoder"),k=f("./constants"),g=f("bignumber.js"),m=f("nofilter"),p=k.MT,t=k.NUMBYTES,d=k.SYMS,v=function(b){var d;b=b||{};b.readableObjectMode=!1;b.writableObjectMode=!1;var g=null!=b.max_depth?b.max_depth:10;delete b.max_depth;d=a.Transform.call(this,b)||this;d.depth=1;d.max_depth=
g;d.all=new m;d.parser=new c(b);d.parser.on("value",d._on_value.bind(d));d.parser.on("start",d._on_start.bind(d));d.parser.on("start-string",d._on_start_string.bind(d));d.parser.on("stop",d._on_stop.bind(d));d.parser.on("more-bytes",d._on_more.bind(d));d.parser.on("error",d._on_error.bind(d));d.parser.on("data",d._on_data.bind(d));d.parser.bs.on("read",d._on_read.bind(d));return d};$jscomp.inherits(v,a.Transform);v.prototype._transform=function(a,b,d){this.parser.write(a,b,function(a){d(a)})};v.prototype._flush=
function(a){return this.parser._flush(a)};v.comment=function(a,b,d){if(null==a)throw Error("input required");var c="string"===typeof a?"hex":void 0,g=10;switch(typeof b){case "function":d=b;break;case "string":c=b;break;case "number":g=b;break;case "object":var e,k,c=null!=(e=b.encoding)?e:c,g=null!=(k=b.max_depth)?k:g;break;case "undefined":break;default:throw Error("Unknown option type");}var p=new m,f=new v({max_depth:g});b=null;"function"===typeof d?(f.on("end",function(){return d(null,p.toString("utf8"))}),
f.on("error",d)):b=new Promise(function(a,b){f.on("end",function(){return a(p.toString("utf8"))});return f.on("error",b)});f.pipe(p);f.end(a,c);return b};v.prototype._on_error=function(a){return this.push("ERROR: ")&&this.push(a.toString())&&this.push("\n")};v.prototype._on_read=function(a){this.all.write(a);a=a.toString("hex");this.push(Array(this.depth+1).join("  "));this.push(a);var b=2*(this.max_depth-this.depth),b=b-a.length;1>b&&(b=1);this.push(Array(b+1).join(" "));return this.push("-- ")};
v.prototype._on_more=function(a,b,d,c){this.depth++;d="";switch(a){case p.POS_INT:d="Positive number,";break;case p.NEG_INT:d="Negative number,";break;case p.ARRAY:d="Array, length";break;case p.MAP:d="Map, count";break;case p.BYTE_STRING:d="Bytes, length";break;case p.UTF8_STRING:d="String, length";break;case p.SIMPLE_FLOAT:d=1===b?"Simple value,":"Float,"}return this.push(d+" next "+b+" byte"+(1<b?"s":"")+"\n")};v.prototype._on_start_string=function(a,b,d,c){this.depth++;d="";switch(a){case p.BYTE_STRING:d=
"Bytes, length: "+b;break;case p.UTF8_STRING:d="String, length: "+b.toString()}return this.push(d+"\n")};v.prototype._on_start=function(a,b,c,g){this.depth++;b!==d.BREAK&&this.push(function(){switch(c){case p.ARRAY:return"["+g+"], ";case p.MAP:return g%2?"{Val:"+Math.floor(g/2)+"}, ":"{Key:"+Math.floor(g/2)+"}, "}}());this.push(function(){switch(a){case p.TAG:return"Tag #"+b;case p.ARRAY:return b===d.STREAM?"Array (streaming)":"Array, "+b+" item"+(1<b?"s":"");case p.MAP:return b===d.STREAM?"Map (streaming)":
"Map, "+b+" pair"+(1<b?"s":"");case p.BYTE_STRING:return"Bytes (streaming)";case p.UTF8_STRING:return"String (streaming)"}}());return this.push("\n")};v.prototype._on_stop=function(a){return this.depth--};v.prototype._on_value=function(a,c,k,m){a!==d.BREAK&&this.push(function(){switch(c){case p.ARRAY:return"["+k+"], ";case p.MAP:return k%2?"{Val:"+Math.floor(k/2)+"}, ":"{Key:"+Math.floor(k/2)+"}, "}}());a===d.BREAK?this.push("BREAK\n"):a===d.NULL?this.push("null\n"):a===d.UNDEFINED?this.push("undefined\n"):
"string"===typeof a?(this.depth--,0<a.length&&(this.push(JSON.stringify(a)),this.push("\n"))):b.isBuffer(a)?(this.depth--,0<a.length&&(this.push(a.toString("hex")),this.push("\n"))):(a instanceof g?this.push(a.toString()):this.push(e.inspect(a)),this.push("\n"));switch(m){case t.ONE:case t.TWO:case t.FOUR:case t.EIGHT:this.depth--}};v.prototype._on_data=function(){this.push("0x");this.push(this.all.read().toString("hex"));return this.push("\n")};l.exports=v}).call(this,{isBuffer:f("../../../../../../../../usr/local/lib/node_modules/browserify/node_modules/is-buffer/index.js")})},
{"../../../../../../../../usr/local/lib/node_modules/browserify/node_modules/is-buffer/index.js":134,"./constants":24,"./decoder":25,"./simple":28,"./utils":30,"bignumber.js":21,nofilter:98,stream:153,util:160}],24:[function(f,l,h){h.MT={POS_INT:0,NEG_INT:1,BYTE_STRING:2,UTF8_STRING:3,ARRAY:4,MAP:5,TAG:6,SIMPLE_FLOAT:7};h.TAG={DATE_STRING:0,DATE_EPOCH:1,POS_BIGINT:2,NEG_BIGINT:3,DECIMAL_FRAC:4,BIGFLOAT:5,BASE64URL_EXPECTED:21,BASE64_EXPECTED:22,BASE16_EXPECTED:23,CBOR:24,URI:32,BASE64URL:33,BASE64:34,
REGEXP:35,MIME:36};h.NUMBYTES={ZERO:0,ONE:24,TWO:25,FOUR:26,EIGHT:27,INDEFINITE:31};h.SIMPLE={FALSE:20,TRUE:21,NULL:22,UNDEFINED:23};$jscomp.initSymbol();$jscomp.initSymbol();$jscomp.initSymbol();$jscomp.initSymbol();$jscomp.initSymbol();h.SYMS={NULL:Symbol("null"),UNDEFINED:Symbol("undef"),PARENT:Symbol("parent"),BREAK:Symbol("break"),STREAM:Symbol("stream")};h.SHIFT32=Math.pow(2,32)},{}],25:[function(f,l,h){(function(b){function a(a,b,d){var c=[];c[z]=d;c[h.PARENT]=a;c[H]=b;return c}var e=f("../vendor/binary-parse-stream"),
c=f("./tagged"),k=f("./simple"),g=f("./utils"),m=f("bignumber.js"),p=f("nofilter"),t=f("./constants"),d=t.MT,v=t.NUMBYTES,h=t.SYMS,y=new m(-1),C=y.sub(new m(Number.MAX_SAFE_INTEGER.toString(16),16));$jscomp.initSymbol();var z=Symbol("count");$jscomp.initSymbol();Symbol("pending_key");$jscomp.initSymbol();var H=Symbol("major type");$jscomp.initSymbol();var r=Symbol("error");$jscomp.initSymbol();var x=Symbol("not found"),B=function(a){a=a||{};var b=a.tags;delete a.tags;var d=null!=a.max_depth?a.max_depth:
-1;delete a.max_depth;a=e.call(this,a)||this;a.running=!0;a.max_depth=d;a.tags=b;return a};$jscomp.inherits(B,e);B.nullcheck=function(a){switch(a){case h.NULL:return null;case h.UNDEFINED:break;case x:throw Error("Value not found");default:return a}};B.decodeFirstSync=function(a,b){b=b||{encoding:"hex"};var d={},c;switch(typeof b){case "string":c=b;break;case "object":d=g.extend({},b),c=d.encoding,delete d.encoding}d=new B(d);c=new p(a,null!=c?c:g.guessEncoding(a));for(var d=d._parse(),e=d.next();!e.done;){var k=
c.read(e.value);if(null==k||k.length!==e.value)throw Error("Insufficient data");e=d.next(k)}return B.nullcheck(e.value)};B.decodeAllSync=function(a,b){b=b||{encoding:"hex"};var d={},c;switch(typeof b){case "string":c=b;break;case "object":d=g.extend({},b),c=d.encoding,delete d.encoding}d=new B(d);c=new p(a,null!=c?c:g.guessEncoding(a));for(var e=[];0<c.length;){for(var k=d._parse(),m=k.next();!m.done;){var f=c.read(m.value);if(null==f||f.length!==m.value)throw Error("Insufficient data");m=k.next(f)}e.push(B.nullcheck(m.value))}return e};
B.decodeFirst=function(a,b,d){var c={},e=!1,k="hex";switch(typeof b){case "function":d=b;k=g.guessEncoding(a);break;case "string":k=b;break;case "object":c=g.extend({},b),k=null!=c.encoding?c.encoding:g.guessEncoding(a),delete c.encoding,e=null!=c.required?c.required:!1,delete c.required}var m=new B(c),p,f=x;m.on("data",function(a){f=B.nullcheck(a);m.close()});"function"===typeof d?(m.once("error",function(a){var b=f;f=r;m.close();return d(a,b)}),m.once("end",function(){switch(f){case x:return e?
d(Error("No CBOR found")):d(null,f);case r:break;default:return d(null,f)}})):p=new Promise(function(a,b){m.once("error",function(a){f=r;m.close();return b(a)});return m.once("end",function(){switch(f){case x:return e?b(Error("No CBOR found")):a(f);case r:break;default:return a(f)}})});m.end(a,k);return p};B.decodeAll=function(a,b,d){var c={},e="hex";switch(typeof b){case "function":d=b;e=g.guessEncoding(a);break;case "string":e=b;break;case "object":c=g.extend({},b),e=null!=c.encoding?c.encoding:
g.guessEncoding(a),delete c.encoding}var k=new B(c),m,p=[];k.on("data",function(a){return p.push(B.nullcheck(a))});"function"===typeof d?(k.on("error",function(a){return d(a)}),k.on("end",function(){return d(null,p)})):m=new Promise(function(a,b){k.on("error",function(a){return b(a)});return k.on("end",function(){return a(p)})});k.end(a,e);return m};B.prototype.close=function(){this.running=!1;this.__fresh=!0};B.prototype._parse=function(){function e(e,I){for(;;)switch(f){case 0:O=null,ha=0,Q=null;
case 1:if(!(0<=ba.max_depth&&ha>ba.max_depth)){f=3;break}f=-1;throw Error("Maximum depth "+ba.max_depth+" exceeded");case 3:return f=4,{value:1,done:!1};case 4:if(void 0===I){f=5;break}f=-1;throw I;case 5:ka=e;ma=ka[0];if(ba.running){f=6;break}f=-1;throw Error("Unexpected data: 0x"+ma.toString(16));case 6:X=ma>>5;ia=ma&31;aa=null!=O?O[H]:void 0;Z=null!=O?O.length:void 0;T=!1;da=ia;if(!T&&da!==v.ONE){f=8;break}T=!0;ba.emit("more-bytes",X,1,aa,Z);f=9;return{value:1,done:!1};case 9:if(void 0===I){f=
10;break}f=-1;throw I;case 10:fa=e;Q=fa[0];f=7;break;case 8:if(T||da===v.TWO)T=!0;if(T||da===v.FOUR)T=!0;if(!T&&da!==v.EIGHT){f=11;break}T=!0;ea=1<<ia-24;ba.emit("more-bytes",X,ea,aa,Z);f=12;return{value:ea,done:!1};case 12:if(void 0===I){f=13;break}f=-1;throw I;case 13:Y=S=e;Q=X===d.SIMPLE_FLOAT?Y:g.parseCBORint(ia,Y);f=7;break;case 11:if(T||28===da)T=!0;if(T||29===da)T=!0;if(!T&&30!==da){f=14;break}T=!0;ba.running=!1;f=-1;throw Error("Additional info not implemented: "+ia);case 14:if(!T&&da!==v.INDEFINITE){f=
15;break}T=!0;Q=-1;f=7;break;case 15:T=!0,Q=ia;case 7:P=!1;R=X;if(!P&&R!==d.POS_INT){f=17;break}P=!0;f=16;break;case 17:if(!P&&R!==d.NEG_INT){f=18;break}P=!0;Q=Q===Number.MAX_SAFE_INTEGER?C:Q instanceof m?y.sub(Q):-1-Q;f=16;break;case 18:if(P||R===d.BYTE_STRING)P=!0;if(!P&&R!==d.UTF8_STRING){f=19;break}P=!0;V=!1;A=Q;if(!V&&0!==A){f=21;break}V=!0;ba.emit("start-string",X,Q,aa,Z);Q=X===d.BYTE_STRING?new b(0):"";f=20;break;case 21:if(!V&&-1!==A){f=22;break}V=!0;ba.emit("start",X,h.STREAM,aa,Z);var E=
O,K=X,M=new p;M[h.PARENT]=E;M[H]=K;O=M;ha++;f=1;break;case 22:return V=!0,ba.emit("start-string",X,Q,aa,Z),f=23,{value:Q,done:!1};case 23:if(void 0===I){f=24;break}f=-1;throw I;case 24:Q=w=e,X===d.UTF8_STRING&&(Q=Q.toString("utf-8"));case 20:f=16;break;case 19:if(P||R===d.ARRAY)P=!0;if(!P&&R!==d.MAP){f=25;break}P=!0;u=!1;n=Q;if(!u&&0!==n){f=27;break}u=!0;Q=X===d.MAP?{}:[];Q[h.PARENT]=O;f=26;break;case 27:if(!u&&-1!==n){f=28;break}u=!0;ba.emit("start",X,h.STREAM,aa,Z);O=a(O,X,-1);ha++;f=1;break;case 28:u=
!0;ba.emit("start",X,Q,aa,Z);O=a(O,X,Q*(X-3));ha++;f=1;break;case 26:f=16;break;case 25:if(!P&&R!==d.TAG){f=29;break}P=!0;ba.emit("start",X,Q,aa,Z);O=a(O,X,1);O.push(Q);ha++;f=1;break;case 29:if(P||R===d.SIMPLE_FLOAT)P=!0,Q="number"===typeof Q?k.decode(Q,null!=O):g.parseCBORfloat(Q);case 16:ba.emit("value",Q,aa,Z,ia),q=!1;case 30:if(null==O){f=31;break}B=L=!1;if(!L&&B!==(Q!==h.BREAK)){f=33;break}L=!0;O[z]=1;f=32;break;case 33:if(!L&&B!==!Array.isArray(O)){f=34;break}L=!0;O.push(Q);f=32;break;case 34:if(!L&&
B!==!(O instanceof p)){f=35;break}L=!0;l=O[H];if(null==l||l===X){f=36;break}ba.running=!1;f=-1;throw Error("Invalid major type in indefinite encoding");case 36:O.write(Q);case 35:case 32:if(0===--O[z]){f=37;break}q=!0;f=31;break;case 37:--ha;delete O[z];ba.emit("stop",O[H]);if(!Array.isArray(O)){f=38;break}D=!1;x=O[H];if(!D&&x!==d.ARRAY){f=41;break}D=!0;Q=O;f=40;break;case 41:if(!D&&x!==d.MAP){f=42;break}r=D=!0;if(0===O.length%2){f=43;break}f=-1;throw Error("Invalid map length: "+O.length);case 43:K=
0;for(E=O.length;K<E;K+=2)if("string"!==typeof O[K]){r=!1;break}if(r)for(Q={},K=0,E=O.length;K<E;K+=2)Q[O[K]]=O[K+1];else for(Q=new Map,K=0,E=O.length;K<E;K+=2)Q.set(O[K],O[K+1]);f=40;break;case 42:if(!D&&x!==d.TAG){f=44;break}D=!0;t=new c(O[0],O[1]);Q=t.convert(ba.tags);f=40;break;case 44:case 40:f=39;break;case 38:if(O instanceof p)switch(O[H]){case d.BYTE_STRING:Q=O.slice();case d.UTF8_STRING:Q=O.toString("utf-8")}case 39:O=O[h.PARENT];f=30;break;case 31:if(q){f=45;break}f=-1;return{value:Q,done:!0};
case 45:f=1;break;case 2:f=-1;default:return{value:void 0,done:!0}}}var f=0,t,r,x,D,l,B,L,q,n,u,w,A,V,R,P,Y,S,ea,fa,da,T,Z,aa,ia,X,ma,ka,Q,ha,O,ba=this,ga={next:function(a){return e(a,void 0)},"throw":function(a){return e(void 0,a)},"return":function(a){throw Error("Not yet implemented");}};$jscomp.initSymbolIterator();ga[Symbol.iterator]=function(){return this};return ga};B.NOT_FOUND=x;l.exports=B}).call(this,f("buffer").Buffer)},{"../vendor/binary-parse-stream":31,"./constants":24,"./simple":28,
"./tagged":29,"./utils":30,"bignumber.js":21,buffer:129,nofilter:98}],26:[function(f,l,h){(function(b){var a=f("stream"),e=f("util"),c=f("./decoder");f("./simple");var k=f("./utils"),g=f("./constants"),m=f("bignumber.js"),p=f("nofilter"),t=g.MT,d=g.SYMS,v=function(b){var d;b=b||{};var g=null!=b.separator?b.separator:"\n";delete b.separator;var e=null!=b.stream_errors?b.stream_errors:!1;delete b.stream_errors;b.readableObjectMode=!1;b.writableObjectMode=!1;d=a.Transform.call(this,b)||this;d.float_bytes=
-1;d.separator=g;d.stream_errors=e;d.parser=new c(b);d.parser.on("more-bytes",d._on_more.bind(d));d.parser.on("value",d._on_value.bind(d));d.parser.on("start",d._on_start.bind(d));d.parser.on("stop",d._on_stop.bind(d));d.parser.on("data",d._on_data.bind(d));d.parser.on("error",d._on_error.bind(d));return d};$jscomp.inherits(v,a.Transform);v.prototype._transform=function(a,b,d){return this.parser.write(a,b,d)};v.prototype._flush=function(a){var b=this;return this.parser._flush(function(d){return b.stream_errors?
(b._on_error(d),a()):a(d)})};v.diagnose=function(a,b,d){if(null==a)throw Error("input required");var c={},g="hex";switch(typeof b){case "function":d=b;g=k.guessEncoding(a);break;case "object":c=k.extend({},b);g=null!=c.encoding?c.encoding:k.guessEncoding(a);delete c.encoding;break;default:g=null!=b?b:"hex"}var e=new p,m=new v(c);b=null;"function"===typeof d?(m.on("end",function(){return d(null,e.toString("utf8"))}),m.on("error",d)):b=new Promise(function(a,b){m.on("end",function(){return a(e.toString("utf8"))});
return m.on("error",b)});m.pipe(e);m.end(a,g);return b};v.prototype._on_error=function(a){return this.stream_errors?this.push(a.toString()):this.emit("error",a)};v.prototype._on_more=function(a,b,d,c){if(a===t.SIMPLE_FLOAT)return this.float_bytes=function(){switch(b){case 2:return 1;case 4:return 2;case 8:return 3}}()};v.prototype._fore=function(a,b){switch(a){case t.BYTE_STRING:case t.UTF8_STRING:case t.ARRAY:if(0<b)return this.push(", ");break;case t.MAP:if(0<b)return b%2?this.push(": "):this.push(", ")}};
v.prototype._on_value=function(a,c,g){if(a!==d.BREAK)return this._fore(c,g),this.push(function(){switch(!1){case a!==d.NULL:return"null";case a!==d.UNDEFINED:return"undefined";case "string"!==typeof a:return JSON.stringify(a);case !(0<this.float_bytes):var c=this.float_bytes;this.float_bytes=-1;return e.inspect(a)+"_"+c;case !b.isBuffer(a):return"h'"+a.toString("hex")+"'";case !(a instanceof m):return a.toString();default:return e.inspect(a)}}.call(this))};v.prototype._on_start=function(a,b,c,g){this._fore(c,
g);this.push(function(){switch(a){case t.TAG:return b+"(";case t.ARRAY:return"[";case t.MAP:return"{";case t.BYTE_STRING:case t.UTF8_STRING:return"(";default:throw Error("Unknown diagnostic type: "+a);}}());if(b===d.STREAM)return this.push("_ ")};v.prototype._on_stop=function(a){return this.push(function(){switch(a){case t.TAG:return")";case t.ARRAY:return"]";case t.MAP:return"}";case t.BYTE_STRING:case t.UTF8_STRING:return")";default:throw Error("Unknown diagnostic type: "+a);}}())};v.prototype._on_data=
function(){return this.push(this.separator)};l.exports=v}).call(this,{isBuffer:f("../../../../../../../../usr/local/lib/node_modules/browserify/node_modules/is-buffer/index.js")})},{"../../../../../../../../usr/local/lib/node_modules/browserify/node_modules/is-buffer/index.js":134,"./constants":24,"./decoder":25,"./simple":28,"./utils":30,"bignumber.js":21,nofilter:98,stream:153,util:160}],27:[function(f,l,h){(function(b){var a=f("stream"),e=f("url"),c=f("bignumber.js"),k=f("nofilter");f("./tagged");
f("./simple");var g=f("./utils"),m=f("./constants"),p=m.MT,t=m.NUMBYTES,d=m.SHIFT32,v=m.SYMS,h=m.TAG,y=m.MT.SIMPLE_FLOAT<<5|m.NUMBYTES.TWO,C=m.MT.SIMPLE_FLOAT<<5|m.NUMBYTES.FOUR,z=m.MT.SIMPLE_FLOAT<<5|m.NUMBYTES.EIGHT,H=m.MT.SIMPLE_FLOAT<<5|m.SIMPLE.TRUE,r=m.MT.SIMPLE_FLOAT<<5|m.SIMPLE.FALSE,x=m.MT.SIMPLE_FLOAT<<5|m.SIMPLE.UNDEFINED,B=m.MT.SIMPLE_FLOAT<<5|m.SIMPLE.NULL,I=new c("0x20000000000000"),K=new b("f97e00","hex"),E=new b("f9fc00","hex"),U=new b("f97c00","hex"),F=function(d){var g;d=d||{};d.readableObjectMode=
!1;d.writableObjectMode=!0;g=a.Transform.call(this,d)||this;g.canonical=d.canonical;g.semanticTypes=[Array,g._pushArray,Date,g._pushDate,b,g._pushBuffer,Map,g._pushMap,k,g._pushNoFilter,RegExp,g._pushRegexp,Set,g._pushSet,e.Url,g._pushUrl,c,g._pushBigNumber];d=d.genTypes||[];for(var m=0,f=d.length;m<f;m+=2)g.addSemanticType(d[m],d[m+1]);return g};$jscomp.inherits(F,a.Transform);F.prototype._transform=function(a,b,d){a=this.pushAny(a);return d(!1===a?Error("Push Error"):void 0)};F.prototype._flush=
function(a){return a()};F.prototype.addSemanticType=function(a,b){for(var d=0,c=this.semanticTypes.length;d<c;d+=2)if(this.semanticTypes[d]===a)return c=this.semanticTypes[d+1],this.semanticTypes[d+1]=b,c;this.semanticTypes.push(a,b);return null};F.prototype._pushUInt8=function(a){var d=new b(1);d.writeUInt8(a);return this.push(d)};F.prototype._pushUInt16BE=function(a){var d=new b(2);d.writeUInt16BE(a);return this.push(d)};F.prototype._pushUInt32BE=function(a){var d=new b(4);d.writeUInt32BE(a);return this.push(d)};
F.prototype._pushDoubleBE=function(a){var d=new b(8);d.writeDoubleBE(a);return this.push(d)};F.prototype._pushNaN=function(){return this.push(K)};F.prototype._pushInfinity=function(a){return this.push(0>a?E:U)};F.prototype._pushFloat=function(a){if(this.canonical){var d=new b(2);if(g.writeHalf(d,a)&&g.parseHalf(d)===a)return this._pushUInt8(y)&&this.push(d);d=new b(4);d.writeFloatBE(a);if(d.readFloatBE()===a)return this._pushUInt8(C)&&this.push(d)}return this._pushUInt8(z)&&this._pushDoubleBE(a)};
F.prototype._pushInt=function(a,b,c){var g=b<<5;switch(!1){case !(24>a):return this._pushUInt8(g|a);case !(255>=a):return this._pushUInt8(g|t.ONE)&&this._pushUInt8(a);case !(65535>=a):return this._pushUInt8(g|t.TWO)&&this._pushUInt16BE(a);case !(4294967295>=a):return this._pushUInt8(g|t.FOUR)&&this._pushUInt32BE(a);case !(a<=Number.MAX_SAFE_INTEGER):return this._pushUInt8(g|t.EIGHT)&&this._pushUInt32BE(Math.floor(a/d))&&this._pushUInt32BE(a%d);default:return b===p.NEG_INT?this._pushFloat(c):this._pushFloat(a)}};
F.prototype._pushIntNum=function(a){return 0>a?this._pushInt(-a-1,p.NEG_INT,a):this._pushInt(a,p.POS_INT)};F.prototype._pushNumber=function(a){switch(!1){case !isNaN(a):return this._pushNaN(a);case isFinite(a):return this._pushInfinity(a);case Math.round(a)!==a:return this._pushIntNum(a);default:return this._pushFloat(a)}};F.prototype._pushString=function(a){var d=b.byteLength(a,"utf8");return this._pushInt(d,p.UTF8_STRING)&&this.push(a,"utf8")};F.prototype._pushBoolean=function(a){return this._pushUInt8(a?
H:r)};F.prototype._pushUndefined=function(a){return this._pushUInt8(x)};F.prototype._pushNull=function(a){return this._pushUInt8(B)};F.prototype._pushArray=function(a,b){var d=b.length;if(!a._pushInt(d,p.ARRAY))return!1;for(var c=0;c<d;c++)if(!a.pushAny(b[c]))return!1;return!0};F.prototype._pushTag=function(a){return this._pushInt(a,p.TAG)};F.prototype._pushDate=function(a,b){return a._pushTag(h.DATE_EPOCH)&&a.pushAny(b/1E3)};F.prototype._pushBuffer=function(a,b){return a._pushInt(b.length,p.BYTE_STRING)&&
a.push(b)};F.prototype._pushNoFilter=function(a,b){return a._pushBuffer(a,b.slice())};F.prototype._pushRegexp=function(a,b){return a._pushTag(h.REGEXP)&&a.pushAny(b.source)};F.prototype._pushSet=function(a,b){if(!a._pushInt(b.size,p.ARRAY))return!1;for(var d=$jscomp.makeIterator(b),c=d.next();!c.done;c=d.next())if(!a.pushAny(c.value))return!1;return!0};F.prototype._pushUrl=function(a,b){return a._pushTag(h.URI)&&a.pushAny(b.format())};F.prototype._pushBigint=function(a){var d=h.POS_BIGINT;a.isNegative()&&
(a=a.negated().minus(1),d=h.NEG_BIGINT);a=a.toString(16);a.length%2&&(a="0"+a);a=new b(a,"hex");return this._pushTag(d)&&this._pushBuffer(this,a)};F.prototype._pushBigNumber=function(a,b){if(b.isNaN())return a._pushNaN();if(!b.isFinite())return a._pushInfinity(b.isNegative()?-Infinity:Infinity);if(b.isInteger())return a._pushBigint(b);if(!a._pushTag(h.DECIMAL_FRAC)||!a._pushInt(2,p.ARRAY))return!1;var d=b.decimalPlaces(),g=b.mul((new c(10)).pow(d));return a._pushIntNum(-d)?g.abs().lessThan(I)?a._pushIntNum(g.toNumber()):
a._pushBigint(g):!1};F.prototype._pushMap=function(a,b){if(!a._pushInt(b.size,p.MAP))return!1;if(a.canonical){for(var d=[],c=$jscomp.makeIterator(b.entries()),g=c.next();!g.done;g=c.next())d.push(g.value);d.sort(function(a,b){var d=F.encode(a[0]),c=F.encode(b[0]);return d.compare(c)});d=$jscomp.makeIterator(d)}else d=$jscomp.makeIterator(b);for(c=d.next();!c.done;c=d.next())if(c=c.value,!a.pushAny(c[0])||!a.pushAny(c[1]))return!1;return!0};F.prototype._pushObject=function(a){if(!a)return this._pushNull(a);
for(var b=0,d=this.semanticTypes.length;b<d;b+=2)if(a instanceof this.semanticTypes[b])return this.semanticTypes[b+1].call(a,this,a);b=a.encodeCBOR;if("function"===typeof b)return b.call(a,this);var b=Object.keys(a),c={};this.canonical&&b.sort(function(a,b){var d=c[a]||(c[a]=F.encode(a)),g=c[b]||(c[b]=F.encode(b));return d.compare(g)});if(!this._pushInt(b.length,p.MAP))return!1;for(var g,d=0,n=b.length;d<n;d++){var e=b[d];if(this.canonical&&(g=c[e])){if(!this.push(g))return!1}else if(!this._pushString(e))return!1;
if(!this.pushAny(a[e]))return!1}return!0};F.prototype.pushAny=function(a){switch(typeof a){case "number":return this._pushNumber(a);case "string":return this._pushString(a);case "boolean":return this._pushBoolean(a);case "undefined":return this._pushUndefined(a);case "object":return this._pushObject(a);case "symbol":switch(a){case v.NULL:return this._pushNull(null);case v.UNDEFINED:return this._pushUndefined(void 0);default:throw Error("Unknown symbol: "+a.toString());}default:throw Error("Unknown type: "+
typeof a+", "+(a?a.toString():""));}};F.prototype._pushAny=function(a){return this.pushAny(a)};F.encode=function(){var a=Array.prototype.slice.apply(arguments),b=new F,d=new k;b.pipe(d);for(var a=$jscomp.makeIterator(a),c=a.next();!c.done;c=a.next())c=c.value,"undefined"===typeof c?b._pushUndefined():null===c?b._pushNull(null):b.write(c);b.end();return d.read()};l.exports=F}).call(this,f("buffer").Buffer)},{"./constants":24,"./simple":28,"./tagged":29,"./utils":30,"bignumber.js":21,buffer:129,nofilter:98,
stream:153,url:155}],28:[function(f,l,h){f=f("./constants");var b=f.MT,a=f.SIMPLE,e=f.SYMS,c=function(a){if("number"!==typeof a)throw Error("Invalid Simple type: "+typeof a);if(0>a||255<a||(a|0)!==a)throw Error("value must be a small positive integer: "+a);this.value=a};c.prototype.toString=function(){return"simple("+this.value+")"};c.prototype.inspect=function(a,b){return"simple("+this.value+")"};c.prototype.encodeCBOR=function(a){return a._pushInt(this.value,b.SIMPLE_FLOAT)};c.isSimple=function(a){return a instanceof
c};c.decode=function(b,g){null==g&&(g=!0);switch(b){case a.FALSE:return!1;case a.TRUE:return!0;case a.NULL:return g?null:e.NULL;case a.UNDEFINED:if(g)break;return e.UNDEFINED;case -1:if(!g)throw Error("Invalid BREAK");return e.BREAK;default:return new c(b)}};l.exports=c},{"./constants":24}],29:[function(f,l,h){h=f("bignumber.js");var b=f("./utils"),a=f("url"),e=new h(-1),c=new h(10),k=new h(2),g=function(a,b,c){this.tag=a;this.value=b;this.err=c;if("number"!==typeof this.tag)throw Error("Invalid tag type ("+
typeof this.tag+")");if(0>this.tag||(this.tag|0)!==this.tag)throw Error("Tag must be a positive integer: "+this.tag);};g.prototype.toString=function(){return this.tag+"("+JSON.stringify(this.value)+")"};g.prototype.encodeCBOR=function(a){a._pushTag(this.tag);return a.pushAny(this.value)};g.prototype.convert=function(a){a=null!=a?a[this.tag]:void 0;if("function"!==typeof a&&(a=g["_tag_"+this.tag],"function"!==typeof a))return this;try{return a.call(g,this.value)}catch(p){return this.err=p,this}};g._tag_0=
function(a){return new Date(a)};g._tag_1=function(a){return new Date(1E3*a)};g._tag_2=function(a){return b.bufferToBignumber(a)};g._tag_3=function(a){return e.minus(b.bufferToBignumber(a))};g._tag_4=function(a){return c.pow(a[0]).times(a[1])};g._tag_5=function(a){return k.pow(a[0]).times(a[1])};g._tag_32=function(b){return a.parse(b)};g._tag_35=function(a){return new RegExp(a)};l.exports=g},{"./utils":30,"bignumber.js":21,url:155}],30:[function(f,l,h){(function(b,a){function e(a){if(null!=a)return console.log(a)}
var c=f("fs"),k=f("stream"),g=f("bignumber.js"),m=f("./constants"),p=m.NUMBYTES,t=m.SHIFT32;h.parseCBORint=function(a,b){var d,c;switch(a){case p.ONE:return b.readUInt8(0,!0);case p.TWO:return b.readUInt16BE(0,!0);case p.FOUR:return b.readUInt32BE(0,!0);case p.EIGHT:return d=b.readUInt32BE(0),c=b.readUInt32BE(4),2097151<d?(new g(d)).times(t).plus(c):d*t+c;default:throw Error("Invalid additional info for int: "+a);}};h.writeHalf=function(b,c){var d=new a(4);d.writeFloatBE(c);var g=d.readUInt32BE();
if(0!==(g&8191))return!1;var d=g>>16&32768,e=g>>23&255,g=g&8388607;if(113<=e&&142>=e)d+=(e-112<<10)+(g>>13);else if(103<=e&&113>e){if(g&(1<<126-e)-1)return!1;d+=g+8388608>>126-e}else return!1;b.writeUInt16BE(d);return!0};h.parseHalf=function(a){var b,d;d=a[0]&128?-1:1;b=(a[0]&124)>>2;a=(a[0]&3)<<8|a[1];return b?31===b?d*(a?0/0:Infinity):d*Math.pow(2,b-25)*(1024+a):5.9604644775390625E-8*d*a};h.parseCBORfloat=function(a){switch(a.length){case 2:return h.parseHalf(a);case 4:return a.readFloatBE(0,!0);
case 8:return a.readDoubleBE(0,!0);default:throw Error("Invalid float size: "+a.length);}};h.hex=function(b){return new a(b.replace(/^0x/,""),"hex")};h.bin=function(b){var d,c,g;b=b.replace(/\s/g,"");g=0;c=b.length%8||8;for(d=[];c<=b.length;)d.push(parseInt(b.slice(g,c),2)),g=c,c+=8;return new a(d)};h.extend=function(){var a,b,c,g,e,k,m;k=arguments[0];b=2<=arguments.length?Array.prototype.slice.call(arguments,1):[];null==k&&(k={});c=0;for(e=b.length;c<e;c++)for(g in a=b[c],a)m=a[g],k[g]=m;return k};
h.arrayEqual=function(a,b){return null==a&&null==b?!0:null==a||null==b?!1:a.length===b.length&&a.every(function(a,d){return a===b[d]})};h.bufferEqual=function(b,c){var d,g,e,k,m;if(null==b&&null==c)return!0;if(null==b||null==c||!a.isBuffer(b)||!a.isBuffer(c)||b.length!==c.length)return!1;m=!0;g=e=0;for(k=b.length;e<k;g=++e)d=b[g],m&=c[g]===d;return!!m};h.bufferToBignumber=function(a){return new g(a.toString("hex"),16)};m=function(b){var d;d=k.Readable.call(this)||this;(b=b.replace(/^0x/,""))&&d.push(new a(b,
"hex"));d.push(null);return d};$jscomp.inherits(m,k.Readable);h.DeHexStream=m;m=function(a){return k.Transform.call(this,a)||this};$jscomp.inherits(m,k.Transform);m.prototype._transform=function(a,b,c){this.push(a.toString("hex"));return c()};h.HexStream=m;h.streamFiles=function(a,g,m){null==m&&(m=e);var d=a.shift();if(!d)return m();var f=g();f.on("end",function(){return h.streamFiles(a,g,m)});f.on("error",m);d="-"===d?b.stdin:d instanceof k.Stream?d:c.createReadStream(d);d.on("error",m);return d.pipe(f)};
h.guessEncoding=function(b){switch(!1){case "string"!==typeof b:return"hex";case !a.isBuffer(b):break;default:throw Error("Unknown input type");}}}).call(this,f("_process"),f("buffer").Buffer)},{"./constants":24,_process:137,"bignumber.js":21,buffer:129,fs:127,stream:153}],31:[function(f,l,h){function b(b){a.call(this,b);this._writableState.objectMode=!1;this._readableState.objectMode=!0;this.bs=new e;this.__restart()}h=l.exports=b;var a=f("stream").Transform;l=f("util").inherits;var e=f("nofilter");
h.One=-1;l(b,a);b.prototype._transform=function(a,b,g){for(this.bs.write(a);this.bs.length>=this.__needed;){var c;a=null===this.__needed?void 0:this.bs.read(this.__needed);try{c=this.__parser.next(a)}catch(p){return g(p)}this.__needed&&(this.__fresh=!1);c.done?(this.push(c.value),this.__restart()):this.__needed=c.value|0}return g()};b.prototype.__restart=function(){this.__needed=null;this.__parser=this._parse();this.__fresh=!0};b.prototype._flush=function(a){a(this.__fresh?null:Error("unexpected end of input"))}},
{nofilter:98,stream:153,util:160}],32:[function(f,l,h){(function(b,a,e){"object"===typeof h?l.exports=h=a(f("./core"),f("./enc-base64"),f("./md5"),f("./evpkdf"),f("./cipher-core")):a(b.CryptoJS)})(this,function(b){(function(){var a=b.lib.BlockCipher,e=b.algo,c=[],k=[],g=[],m=[],f=[],t=[],d=[],h=[],D=[],l=[];(function(){for(var a=[],b=0;256>b;b++)a[b]=128>b?b<<1:b<<1^283;for(var e=0,p=0,b=0;256>b;b++){var v=p^p<<1^p<<2^p<<3^p<<4,v=v>>>8^v&255^99;c[e]=v;k[v]=e;var I=a[e],y=a[I],E=a[y],C=257*a[v]^16843008*
v;g[e]=C<<24|C>>>8;m[e]=C<<16|C>>>16;f[e]=C<<8|C>>>24;t[e]=C;C=16843009*E^65537*y^257*I^16843008*e;d[v]=C<<24|C>>>8;h[v]=C<<16|C>>>16;D[v]=C<<8|C>>>24;l[v]=C;e?(e=I^a[a[a[E^I]]],p^=a[a[p]]):e=p=1}})();var C=[0,1,2,4,8,16,32,64,128,27,54],e=e.AES=a.extend({_doReset:function(){if(!this._nRounds||this._keyPriorReset!==this._key){for(var a=this._keyPriorReset=this._key,b=a.words,g=a.sigBytes/4,a=4*((this._nRounds=g+6)+1),e=this._keySchedule=[],k=0;k<a;k++)if(k<g)e[k]=b[k];else{var m=e[k-1];k%g?6<g&&4==
k%g&&(m=c[m>>>24]<<24|c[m>>>16&255]<<16|c[m>>>8&255]<<8|c[m&255]):(m=m<<8|m>>>24,m=c[m>>>24]<<24|c[m>>>16&255]<<16|c[m>>>8&255]<<8|c[m&255],m^=C[k/g|0]<<24);e[k]=e[k-g]^m}b=this._invKeySchedule=[];for(g=0;g<a;g++)k=a-g,m=g%4?e[k]:e[k-4],b[g]=4>g||4>=k?m:d[c[m>>>24]]^h[c[m>>>16&255]]^D[c[m>>>8&255]]^l[c[m&255]]}},encryptBlock:function(a,b){this._doCryptBlock(a,b,this._keySchedule,g,m,f,t,c)},decryptBlock:function(a,b){var c=a[b+1];a[b+1]=a[b+3];a[b+3]=c;this._doCryptBlock(a,b,this._invKeySchedule,
d,h,D,l,k);c=a[b+1];a[b+1]=a[b+3];a[b+3]=c},_doCryptBlock:function(a,b,d,c,g,e,k,m){for(var f=this._nRounds,p=a[b]^d[0],t=a[b+1]^d[1],h=a[b+2]^d[2],r=a[b+3]^d[3],v=4,q=1;q<f;q++)var n=c[p>>>24]^g[t>>>16&255]^e[h>>>8&255]^k[r&255]^d[v++],u=c[t>>>24]^g[h>>>16&255]^e[r>>>8&255]^k[p&255]^d[v++],w=c[h>>>24]^g[r>>>16&255]^e[p>>>8&255]^k[t&255]^d[v++],r=c[r>>>24]^g[p>>>16&255]^e[t>>>8&255]^k[h&255]^d[v++],p=n,t=u,h=w;n=(m[p>>>24]<<24|m[t>>>16&255]<<16|m[h>>>8&255]<<8|m[r&255])^d[v++];u=(m[t>>>24]<<24|m[h>>>
16&255]<<16|m[r>>>8&255]<<8|m[p&255])^d[v++];w=(m[h>>>24]<<24|m[r>>>16&255]<<16|m[p>>>8&255]<<8|m[t&255])^d[v++];r=(m[r>>>24]<<24|m[p>>>16&255]<<16|m[t>>>8&255]<<8|m[h&255])^d[v++];a[b]=n;a[b+1]=u;a[b+2]=w;a[b+3]=r},keySize:8});b.AES=a._createHelper(e)})();return b.AES})},{"./cipher-core":33,"./core":34,"./enc-base64":35,"./evpkdf":37,"./md5":42}],33:[function(f,l,h){(function(b,a){"object"===typeof h?l.exports=h=a(f("./core")):a(b.CryptoJS)})(this,function(b){b.lib.Cipher||function(a){var e=b.lib,
c=e.Base,k=e.WordArray,g=e.BufferedBlockAlgorithm,m=b.enc.Base64,f=b.algo.EvpKDF,t=e.Cipher=g.extend({cfg:c.extend(),createEncryptor:function(a,b){return this.create(this._ENC_XFORM_MODE,a,b)},createDecryptor:function(a,b){return this.create(this._DEC_XFORM_MODE,a,b)},init:function(a,b,d){this.cfg=this.cfg.extend(d);this._xformMode=a;this._key=b;this.reset()},reset:function(){g.reset.call(this);this._doReset()},process:function(a){this._append(a);return this._process()},finalize:function(a){a&&this._append(a);
return this._doFinalize()},keySize:4,ivSize:4,_ENC_XFORM_MODE:1,_DEC_XFORM_MODE:2,_createHelper:function(){return function(a){return{encrypt:function(b,d,c){return("string"==typeof d?z:C).encrypt(a,b,d,c)},decrypt:function(b,d,c){return("string"==typeof d?z:C).decrypt(a,b,d,c)}}}}()});e.StreamCipher=t.extend({_doFinalize:function(){return this._process(!0)},blockSize:1});var d=b.mode={},h=e.BlockCipherMode=c.extend({createEncryptor:function(a,b){return this.Encryptor.create(a,b)},createDecryptor:function(a,
b){return this.Decryptor.create(a,b)},init:function(a,b){this._cipher=a;this._iv=b}}),d=d.CBC=function(){function b(b,d,c){var g=this._iv;g?this._iv=a:g=this._prevBlock;for(var e=0;e<c;e++)b[d+e]^=g[e]}var d=h.extend();d.Encryptor=d.extend({processBlock:function(a,d){var c=this._cipher,g=c.blockSize;b.call(this,a,d,g);c.encryptBlock(a,d);this._prevBlock=a.slice(d,d+g)}});d.Decryptor=d.extend({processBlock:function(a,d){var c=this._cipher,g=c.blockSize,e=a.slice(d,d+g);c.decryptBlock(a,d);b.call(this,
a,d,g);this._prevBlock=e}});return d}(),D=(b.pad={}).Pkcs7={pad:function(a,b){for(var d=4*b,d=d-a.sigBytes%d,c=d<<24|d<<16|d<<8|d,g=[],e=0;e<d;e+=4)g.push(c);d=k.create(g,d);a.concat(d)},unpad:function(a){a.sigBytes-=a.words[a.sigBytes-1>>>2]&255}};e.BlockCipher=t.extend({cfg:t.cfg.extend({mode:d,padding:D}),reset:function(){t.reset.call(this);var a=this.cfg,b=a.iv,a=a.mode;if(this._xformMode==this._ENC_XFORM_MODE)var d=a.createEncryptor;else d=a.createDecryptor,this._minBufferSize=1;this._mode=d.call(a,
this,b&&b.words)},_doProcessBlock:function(a,b){this._mode.processBlock(a,b)},_doFinalize:function(){var a=this.cfg.padding;if(this._xformMode==this._ENC_XFORM_MODE){a.pad(this._data,this.blockSize);var b=this._process(!0)}else b=this._process(!0),a.unpad(b);return b},blockSize:4});var l=e.CipherParams=c.extend({init:function(a){this.mixIn(a)},toString:function(a){return(a||this.formatter).stringify(this)}}),d=(b.format={}).OpenSSL={stringify:function(a){var b=a.ciphertext;a=a.salt;return(a?k.create([1398893684,
1701076831]).concat(a).concat(b):b).toString(m)},parse:function(a){a=m.parse(a);var b=a.words;if(1398893684==b[0]&&1701076831==b[1]){var d=k.create(b.slice(2,4));b.splice(0,4);a.sigBytes-=16}return l.create({ciphertext:a,salt:d})}},C=e.SerializableCipher=c.extend({cfg:c.extend({format:d}),encrypt:function(a,b,d,c){c=this.cfg.extend(c);var g=a.createEncryptor(d,c);b=g.finalize(b);g=g.cfg;return l.create({ciphertext:b,key:d,iv:g.iv,algorithm:a,mode:g.mode,padding:g.padding,blockSize:a.blockSize,formatter:c.format})},
decrypt:function(a,b,d,c){c=this.cfg.extend(c);b=this._parse(b,c.format);return a.createDecryptor(d,c).finalize(b.ciphertext)},_parse:function(a,b){return"string"==typeof a?b.parse(a,this):a}}),c=(b.kdf={}).OpenSSL={execute:function(a,b,d,c){c||(c=k.random(8));a=f.create({keySize:b+d}).compute(a,c);d=k.create(a.words.slice(b),4*d);a.sigBytes=4*b;return l.create({key:a,iv:d,salt:c})}},z=e.PasswordBasedCipher=C.extend({cfg:C.cfg.extend({kdf:c}),encrypt:function(a,b,d,c){c=this.cfg.extend(c);d=c.kdf.execute(d,
a.keySize,a.ivSize);c.iv=d.iv;a=C.encrypt.call(this,a,b,d.key,c);a.mixIn(d);return a},decrypt:function(a,b,d,c){c=this.cfg.extend(c);b=this._parse(b,c.format);d=c.kdf.execute(d,a.keySize,a.ivSize,b.salt);c.iv=d.iv;return C.decrypt.call(this,a,b,d.key,c)}})}()})},{"./core":34}],34:[function(f,l,h){(function(b,a){"object"===typeof h?l.exports=h=a():b.CryptoJS=a()})(this,function(){var b=b||function(a,b){var c=Object.create||function(){function a(){}return function(b){a.prototype=b;b=new a;a.prototype=
null;return b}}(),e={},g=e.lib={},m=g.Base=function(){return{extend:function(a){var b=c(this);a&&b.mixIn(a);b.hasOwnProperty("init")&&this.init!==b.init||(b.init=function(){b.$super.init.apply(this,arguments)});b.init.prototype=b;b.$super=this;return b},create:function(){var a=this.extend();a.init.apply(a,arguments);return a},init:function(){},mixIn:function(a){for(var b in a)a.hasOwnProperty(b)&&(this[b]=a[b]);a.hasOwnProperty("toString")&&(this.toString=a.toString)},clone:function(){return this.init.prototype.extend(this)}}}(),
f=g.WordArray=m.extend({init:function(a,d){a=this.words=a||[];this.sigBytes=d!=b?d:4*a.length},toString:function(a){return(a||d).stringify(this)},concat:function(a){var b=this.words,d=a.words,c=this.sigBytes;a=a.sigBytes;this.clamp();if(c%4)for(var g=0;g<a;g++)b[c+g>>>2]|=(d[g>>>2]>>>24-g%4*8&255)<<24-(c+g)%4*8;else for(g=0;g<a;g+=4)b[c+g>>>2]=d[g>>>2];this.sigBytes+=a;return this},clamp:function(){var b=this.words,d=this.sigBytes;b[d>>>2]&=4294967295<<32-d%4*8;b.length=a.ceil(d/4)},clone:function(){var a=
m.clone.call(this);a.words=this.words.slice(0);return a},random:function(b){for(var d=[],c=function(b){var d=987654321;return function(){d=36969*(d&65535)+(d>>16)&4294967295;b=18E3*(b&65535)+(b>>16)&4294967295;return(((d<<16)+b&4294967295)/4294967296+.5)*(.5<a.random()?1:-1)}},g=0,e;g<b;g+=4){var k=c(4294967296*(e||a.random()));e=987654071*k();d.push(4294967296*k()|0)}return new f.init(d,b)}}),t=e.enc={},d=t.Hex={stringify:function(a){var b=a.words;a=a.sigBytes;for(var d=[],c=0;c<a;c++){var g=b[c>>>
2]>>>24-c%4*8&255;d.push((g>>>4).toString(16));d.push((g&15).toString(16))}return d.join("")},parse:function(a){for(var b=a.length,d=[],c=0;c<b;c+=2)d[c>>>3]|=parseInt(a.substr(c,2),16)<<24-c%8*4;return new f.init(d,b/2)}},h=t.Latin1={stringify:function(a){var b=a.words;a=a.sigBytes;for(var d=[],c=0;c<a;c++)d.push(String.fromCharCode(b[c>>>2]>>>24-c%4*8&255));return d.join("")},parse:function(a){for(var b=a.length,d=[],c=0;c<b;c++)d[c>>>2]|=(a.charCodeAt(c)&255)<<24-c%4*8;return new f.init(d,b)}},
D=t.Utf8={stringify:function(a){try{return decodeURIComponent(escape(h.stringify(a)))}catch(H){throw Error("Malformed UTF-8 data");}},parse:function(a){return h.parse(unescape(encodeURIComponent(a)))}},l=g.BufferedBlockAlgorithm=m.extend({reset:function(){this._data=new f.init;this._nDataBytes=0},_append:function(a){"string"==typeof a&&(a=D.parse(a));this._data.concat(a);this._nDataBytes+=a.sigBytes},_process:function(b){var d=this._data,c=d.words,g=d.sigBytes,e=this.blockSize,k=g/(4*e),k=b?a.ceil(k):
a.max((k|0)-this._minBufferSize,0);b=k*e;g=a.min(4*b,g);if(b){for(var m=0;m<b;m+=e)this._doProcessBlock(c,m);m=c.splice(0,b);d.sigBytes-=g}return new f.init(m,g)},clone:function(){var a=m.clone.call(this);a._data=this._data.clone();return a},_minBufferSize:0});g.Hasher=l.extend({cfg:m.extend(),init:function(a){this.cfg=this.cfg.extend(a);this.reset()},reset:function(){l.reset.call(this);this._doReset()},update:function(a){this._append(a);this._process();return this},finalize:function(a){a&&this._append(a);
return this._doFinalize()},blockSize:16,_createHelper:function(a){return function(b,d){return(new a.init(d)).finalize(b)}},_createHmacHelper:function(a){return function(b,d){return(new C.HMAC.init(a,d)).finalize(b)}}});var C=e.algo={};return e}(Math);return b})},{}],35:[function(f,l,h){(function(b,a){"object"===typeof h?l.exports=h=a(f("./core")):a(b.CryptoJS)})(this,function(b){(function(){var a=b.lib.WordArray;b.enc.Base64={stringify:function(a){var b=a.words,e=a.sigBytes,g=this._map;a.clamp();
a=[];for(var m=0;m<e;m+=3)for(var f=(b[m>>>2]>>>24-m%4*8&255)<<16|(b[m+1>>>2]>>>24-(m+1)%4*8&255)<<8|b[m+2>>>2]>>>24-(m+2)%4*8&255,t=0;4>t&&m+.75*t<e;t++)a.push(g.charAt(f>>>6*(3-t)&63));if(b=g.charAt(64))for(;a.length%4;)a.push(b);return a.join("")},parse:function(b){var c=b.length,e=this._map,g=this._reverseMap;if(!g)for(var g=this._reverseMap=[],m=0;m<e.length;m++)g[e.charCodeAt(m)]=m;if(e=e.charAt(64))e=b.indexOf(e),-1!==e&&(c=e);for(var e=[],f=m=0;f<c;f++)if(f%4){var t=g[b.charCodeAt(f-1)]<<
f%4*2,d=g[b.charCodeAt(f)]>>>6-f%4*2;e[m>>>2]|=(t|d)<<24-m%4*8;m++}return a.create(e,m)},_map:"ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/="}})();return b.enc.Base64})},{"./core":34}],36:[function(f,l,h){(function(b,a){"object"===typeof h?l.exports=h=a(f("./core")):a(b.CryptoJS)})(this,function(b){(function(){function a(a){return a<<8&4278255360|a>>>8&16711935}var e=b.lib.WordArray,c=b.enc;c.Utf16=c.Utf16BE={stringify:function(a){var b=a.words;a=a.sigBytes;for(var c=[],e=0;e<
a;e+=2)c.push(String.fromCharCode(b[e>>>2]>>>16-e%4*8&65535));return c.join("")},parse:function(a){for(var b=a.length,c=[],k=0;k<b;k++)c[k>>>1]|=a.charCodeAt(k)<<16-k%2*16;return e.create(c,2*b)}};c.Utf16LE={stringify:function(b){var c=b.words;b=b.sigBytes;for(var e=[],k=0;k<b;k+=2){var f=a(c[k>>>2]>>>16-k%4*8&65535);e.push(String.fromCharCode(f))}return e.join("")},parse:function(b){for(var c=b.length,m=[],k=0;k<c;k++)m[k>>>1]|=a(b.charCodeAt(k)<<16-k%2*16);return e.create(m,2*c)}}})();return b.enc.Utf16})},
{"./core":34}],37:[function(f,l,h){(function(b,a,e){"object"===typeof h?l.exports=h=a(f("./core"),f("./sha1"),f("./hmac")):a(b.CryptoJS)})(this,function(b){(function(){var a=b.lib,e=a.Base,c=a.WordArray,a=b.algo,k=a.EvpKDF=e.extend({cfg:e.extend({keySize:4,hasher:a.MD5,iterations:1}),init:function(a){this.cfg=this.cfg.extend(a)},compute:function(a,b){for(var g=this.cfg,e=g.hasher.create(),d=c.create(),m=d.words,k=g.keySize,g=g.iterations;m.length<k;){f&&e.update(f);var f=e.update(a).finalize(b);e.reset();
for(var h=1;h<g;h++)f=e.finalize(f),e.reset();d.concat(f)}d.sigBytes=4*k;return d}});b.EvpKDF=function(a,b,c){return k.create(c).compute(a,b)}})();return b.EvpKDF})},{"./core":34,"./hmac":39,"./sha1":58}],38:[function(f,l,h){(function(b,a,e){"object"===typeof h?l.exports=h=a(f("./core"),f("./cipher-core")):a(b.CryptoJS)})(this,function(b){(function(a){var e=b.lib.CipherParams,c=b.enc.Hex;b.format.Hex={stringify:function(a){return a.ciphertext.toString(c)},parse:function(a){a=c.parse(a);return e.create({ciphertext:a})}}})();
return b.format.Hex})},{"./cipher-core":33,"./core":34}],39:[function(f,l,h){(function(b,a){"object"===typeof h?l.exports=h=a(f("./core")):a(b.CryptoJS)})(this,function(b){(function(){var a=b.enc.Utf8;b.algo.HMAC=b.lib.Base.extend({init:function(b,c){b=this._hasher=new b.init;"string"==typeof c&&(c=a.parse(c));var e=b.blockSize,g=4*e;c.sigBytes>g&&(c=b.finalize(c));c.clamp();for(var m=this._oKey=c.clone(),f=this._iKey=c.clone(),t=m.words,d=f.words,h=0;h<e;h++)t[h]^=1549556828,d[h]^=909522486;m.sigBytes=
f.sigBytes=g;this.reset()},reset:function(){var a=this._hasher;a.reset();a.update(this._iKey)},update:function(a){this._hasher.update(a);return this},finalize:function(a){var b=this._hasher;a=b.finalize(a);b.reset();return b.finalize(this._oKey.clone().concat(a))}})})()})},{"./core":34}],40:[function(f,l,h){(function(b,a,e){"object"===typeof h?l.exports=h=a(f("./core"),f("./x64-core"),f("./lib-typedarrays"),f("./enc-utf16"),f("./enc-base64"),f("./md5"),f("./sha1"),f("./sha256"),f("./sha224"),f("./sha512"),
f("./sha384"),f("./sha3"),f("./ripemd160"),f("./hmac"),f("./pbkdf2"),f("./evpkdf"),f("./cipher-core"),f("./mode-cfb"),f("./mode-ctr"),f("./mode-ctr-gladman"),f("./mode-ofb"),f("./mode-ecb"),f("./pad-ansix923"),f("./pad-iso10126"),f("./pad-iso97971"),f("./pad-zeropadding"),f("./pad-nopadding"),f("./format-hex"),f("./aes"),f("./tripledes"),f("./rc4"),f("./rabbit"),f("./rabbit-legacy")):b.CryptoJS=a(b.CryptoJS)})(this,function(b){return b})},{"./aes":32,"./cipher-core":33,"./core":34,"./enc-base64":35,
"./enc-utf16":36,"./evpkdf":37,"./format-hex":38,"./hmac":39,"./lib-typedarrays":41,"./md5":42,"./mode-cfb":43,"./mode-ctr":45,"./mode-ctr-gladman":44,"./mode-ecb":46,"./mode-ofb":47,"./pad-ansix923":48,"./pad-iso10126":49,"./pad-iso97971":50,"./pad-nopadding":51,"./pad-zeropadding":52,"./pbkdf2":53,"./rabbit":55,"./rabbit-legacy":54,"./rc4":56,"./ripemd160":57,"./sha1":58,"./sha224":59,"./sha256":60,"./sha3":61,"./sha384":62,"./sha512":63,"./tripledes":64,"./x64-core":65}],41:[function(f,l,h){(function(b,
a){"object"===typeof h?l.exports=h=a(f("./core")):a(b.CryptoJS)})(this,function(b){(function(){if("function"==typeof ArrayBuffer){var a=b.lib.WordArray,e=a.init;(a.init=function(a){a instanceof ArrayBuffer&&(a=new Uint8Array(a));if(a instanceof Int8Array||"undefined"!==typeof Uint8ClampedArray&&a instanceof Uint8ClampedArray||a instanceof Int16Array||a instanceof Uint16Array||a instanceof Int32Array||a instanceof Uint32Array||a instanceof Float32Array||a instanceof Float64Array)a=new Uint8Array(a.buffer,
a.byteOffset,a.byteLength);if(a instanceof Uint8Array){for(var b=a.byteLength,c=[],m=0;m<b;m++)c[m>>>2]|=a[m]<<24-m%4*8;e.call(this,c,b)}else e.apply(this,arguments)}).prototype=a}})();return b.lib.WordArray})},{"./core":34}],42:[function(f,l,h){(function(b,a){"object"===typeof h?l.exports=h=a(f("./core")):a(b.CryptoJS)})(this,function(b){(function(a){function e(a,b,d,c,g,e,m){a=a+(b&d|~b&c)+g+m;return(a<<e|a>>>32-e)+b}function c(a,b,d,c,g,e,m){a=a+(b&c|d&~c)+g+m;return(a<<e|a>>>32-e)+b}function k(a,
b,d,c,g,e,m){a=a+(b^d^c)+g+m;return(a<<e|a>>>32-e)+b}function g(a,b,d,c,g,e,m){a=a+(d^(b|~c))+g+m;return(a<<e|a>>>32-e)+b}var m=b.lib,f=m.WordArray,t=m.Hasher,m=b.algo,d=[];(function(){for(var b=0;64>b;b++)d[b]=4294967296*a.abs(a.sin(b+1))|0})();m=m.MD5=t.extend({_doReset:function(){this._hash=new f.init([1732584193,4023233417,2562383102,271733878])},_doProcessBlock:function(a,b){for(var m=0;16>m;m++){var f=b+m,p=a[f];a[f]=(p<<8|p>>>24)&16711935|(p<<24|p>>>8)&4278255360}var m=this._hash.words,f=a[b+
0],p=a[b+1],t=a[b+2],h=a[b+3],v=a[b+4],l=a[b+5],I=a[b+6],D=a[b+7],E=a[b+8],U=a[b+9],F=a[b+10],M=a[b+11],N=a[b+12],J=a[b+13],L=a[b+14],q=a[b+15],n=m[0],u=m[1],w=m[2],A=m[3],n=e(n,u,w,A,f,7,d[0]),A=e(A,n,u,w,p,12,d[1]),w=e(w,A,n,u,t,17,d[2]),u=e(u,w,A,n,h,22,d[3]),n=e(n,u,w,A,v,7,d[4]),A=e(A,n,u,w,l,12,d[5]),w=e(w,A,n,u,I,17,d[6]),u=e(u,w,A,n,D,22,d[7]),n=e(n,u,w,A,E,7,d[8]),A=e(A,n,u,w,U,12,d[9]),w=e(w,A,n,u,F,17,d[10]),u=e(u,w,A,n,M,22,d[11]),n=e(n,u,w,A,N,7,d[12]),A=e(A,n,u,w,J,12,d[13]),w=e(w,A,
n,u,L,17,d[14]),u=e(u,w,A,n,q,22,d[15]),n=c(n,u,w,A,p,5,d[16]),A=c(A,n,u,w,I,9,d[17]),w=c(w,A,n,u,M,14,d[18]),u=c(u,w,A,n,f,20,d[19]),n=c(n,u,w,A,l,5,d[20]),A=c(A,n,u,w,F,9,d[21]),w=c(w,A,n,u,q,14,d[22]),u=c(u,w,A,n,v,20,d[23]),n=c(n,u,w,A,U,5,d[24]),A=c(A,n,u,w,L,9,d[25]),w=c(w,A,n,u,h,14,d[26]),u=c(u,w,A,n,E,20,d[27]),n=c(n,u,w,A,J,5,d[28]),A=c(A,n,u,w,t,9,d[29]),w=c(w,A,n,u,D,14,d[30]),u=c(u,w,A,n,N,20,d[31]),n=k(n,u,w,A,l,4,d[32]),A=k(A,n,u,w,E,11,d[33]),w=k(w,A,n,u,M,16,d[34]),u=k(u,w,A,n,L,
23,d[35]),n=k(n,u,w,A,p,4,d[36]),A=k(A,n,u,w,v,11,d[37]),w=k(w,A,n,u,D,16,d[38]),u=k(u,w,A,n,F,23,d[39]),n=k(n,u,w,A,J,4,d[40]),A=k(A,n,u,w,f,11,d[41]),w=k(w,A,n,u,h,16,d[42]),u=k(u,w,A,n,I,23,d[43]),n=k(n,u,w,A,U,4,d[44]),A=k(A,n,u,w,N,11,d[45]),w=k(w,A,n,u,q,16,d[46]),u=k(u,w,A,n,t,23,d[47]),n=g(n,u,w,A,f,6,d[48]),A=g(A,n,u,w,D,10,d[49]),w=g(w,A,n,u,L,15,d[50]),u=g(u,w,A,n,l,21,d[51]),n=g(n,u,w,A,N,6,d[52]),A=g(A,n,u,w,h,10,d[53]),w=g(w,A,n,u,F,15,d[54]),u=g(u,w,A,n,p,21,d[55]),n=g(n,u,w,A,E,6,
d[56]),A=g(A,n,u,w,q,10,d[57]),w=g(w,A,n,u,I,15,d[58]),u=g(u,w,A,n,J,21,d[59]),n=g(n,u,w,A,v,6,d[60]),A=g(A,n,u,w,M,10,d[61]),w=g(w,A,n,u,t,15,d[62]),u=g(u,w,A,n,U,21,d[63]);m[0]=m[0]+n|0;m[1]=m[1]+u|0;m[2]=m[2]+w|0;m[3]=m[3]+A|0},_doFinalize:function(){var b=this._data,d=b.words,c=8*this._nDataBytes,g=8*b.sigBytes;d[g>>>5]|=128<<24-g%32;var e=a.floor(c/4294967296);d[(g+64>>>9<<4)+15]=(e<<8|e>>>24)&16711935|(e<<24|e>>>8)&4278255360;d[(g+64>>>9<<4)+14]=(c<<8|c>>>24)&16711935|(c<<24|c>>>8)&4278255360;
b.sigBytes=4*(d.length+1);this._process();b=this._hash;d=b.words;for(c=0;4>c;c++)g=d[c],d[c]=(g<<8|g>>>24)&16711935|(g<<24|g>>>8)&4278255360;return b},clone:function(){var a=t.clone.call(this);a._hash=this._hash.clone();return a}});b.MD5=t._createHelper(m);b.HmacMD5=t._createHmacHelper(m)})(Math);return b.MD5})},{"./core":34}],43:[function(f,l,h){(function(b,a,e){"object"===typeof h?l.exports=h=a(f("./core"),f("./cipher-core")):a(b.CryptoJS)})(this,function(b){b.mode.CFB=function(){function a(a,b,
g,e){var c=this._iv;c?(c=c.slice(0),this._iv=void 0):c=this._prevBlock;e.encryptBlock(c,0);for(e=0;e<g;e++)a[b+e]^=c[e]}var e=b.lib.BlockCipherMode.extend();e.Encryptor=e.extend({processBlock:function(b,e){var c=this._cipher,m=c.blockSize;a.call(this,b,e,m,c);this._prevBlock=b.slice(e,e+m)}});e.Decryptor=e.extend({processBlock:function(b,e){var c=this._cipher,m=c.blockSize,k=b.slice(e,e+m);a.call(this,b,e,m,c);this._prevBlock=k}});return e}();return b.mode.CFB})},{"./cipher-core":33,"./core":34}],
44:[function(f,l,h){(function(b,a,e){"object"===typeof h?l.exports=h=a(f("./core"),f("./cipher-core")):a(b.CryptoJS)})(this,function(b){b.mode.CTRGladman=function(){function a(a){if(255===(a>>24&255)){var b=a>>16&255,c=a>>8&255;a&=255;255===b?(b=0,255===c?(c=0,255===a?a=0:++a):++c):++b;a=0+(b<<16)+(c<<8)+a}else a+=16777216;return a}var e=b.lib.BlockCipherMode.extend(),c=e.Encryptor=e.extend({processBlock:function(b,c){var g=this._cipher,e=g.blockSize,k=this._iv,d=this._counter;k&&(d=this._counter=
k.slice(0),this._iv=void 0);k=d;0===(k[0]=a(k[0]))&&(k[1]=a(k[1]));d=d.slice(0);g.encryptBlock(d,0);for(g=0;g<e;g++)b[c+g]^=d[g]}});e.Decryptor=c;return e}();return b.mode.CTRGladman})},{"./cipher-core":33,"./core":34}],45:[function(f,l,h){(function(b,a,e){"object"===typeof h?l.exports=h=a(f("./core"),f("./cipher-core")):a(b.CryptoJS)})(this,function(b){b.mode.CTR=function(){var a=b.lib.BlockCipherMode.extend(),e=a.Encryptor=a.extend({processBlock:function(a,b){var c=this._cipher,e=c.blockSize,k=
this._iv,f=this._counter;k&&(f=this._counter=k.slice(0),this._iv=void 0);k=f.slice(0);c.encryptBlock(k,0);f[e-1]=f[e-1]+1|0;for(c=0;c<e;c++)a[b+c]^=k[c]}});a.Decryptor=e;return a}();return b.mode.CTR})},{"./cipher-core":33,"./core":34}],46:[function(f,l,h){(function(b,a,e){"object"===typeof h?l.exports=h=a(f("./core"),f("./cipher-core")):a(b.CryptoJS)})(this,function(b){b.mode.ECB=function(){var a=b.lib.BlockCipherMode.extend();a.Encryptor=a.extend({processBlock:function(a,b){this._cipher.encryptBlock(a,
b)}});a.Decryptor=a.extend({processBlock:function(a,b){this._cipher.decryptBlock(a,b)}});return a}();return b.mode.ECB})},{"./cipher-core":33,"./core":34}],47:[function(f,l,h){(function(b,a,e){"object"===typeof h?l.exports=h=a(f("./core"),f("./cipher-core")):a(b.CryptoJS)})(this,function(b){b.mode.OFB=function(){var a=b.lib.BlockCipherMode.extend(),e=a.Encryptor=a.extend({processBlock:function(a,b){var c=this._cipher,e=c.blockSize,k=this._iv,f=this._keystream;k&&(f=this._keystream=k.slice(0),this._iv=
void 0);c.encryptBlock(f,0);for(c=0;c<e;c++)a[b+c]^=f[c]}});a.Decryptor=e;return a}();return b.mode.OFB})},{"./cipher-core":33,"./core":34}],48:[function(f,l,h){(function(b,a,e){"object"===typeof h?l.exports=h=a(f("./core"),f("./cipher-core")):a(b.CryptoJS)})(this,function(b){b.pad.AnsiX923={pad:function(a,b){var c=a.sigBytes,e=4*b,e=e-c%e,c=c+e-1;a.clamp();a.words[c>>>2]|=e<<24-c%4*8;a.sigBytes+=e},unpad:function(a){a.sigBytes-=a.words[a.sigBytes-1>>>2]&255}};return b.pad.Ansix923})},{"./cipher-core":33,
"./core":34}],49:[function(f,l,h){(function(b,a,e){"object"===typeof h?l.exports=h=a(f("./core"),f("./cipher-core")):a(b.CryptoJS)})(this,function(b){b.pad.Iso10126={pad:function(a,e){var c=4*e,c=c-a.sigBytes%c;a.concat(b.lib.WordArray.random(c-1)).concat(b.lib.WordArray.create([c<<24],1))},unpad:function(a){a.sigBytes-=a.words[a.sigBytes-1>>>2]&255}};return b.pad.Iso10126})},{"./cipher-core":33,"./core":34}],50:[function(f,l,h){(function(b,a,e){"object"===typeof h?l.exports=h=a(f("./core"),f("./cipher-core")):
a(b.CryptoJS)})(this,function(b){b.pad.Iso97971={pad:function(a,e){a.concat(b.lib.WordArray.create([2147483648],1));b.pad.ZeroPadding.pad(a,e)},unpad:function(a){b.pad.ZeroPadding.unpad(a);a.sigBytes--}};return b.pad.Iso97971})},{"./cipher-core":33,"./core":34}],51:[function(f,l,h){(function(b,a,e){"object"===typeof h?l.exports=h=a(f("./core"),f("./cipher-core")):a(b.CryptoJS)})(this,function(b){b.pad.NoPadding={pad:function(){},unpad:function(){}};return b.pad.NoPadding})},{"./cipher-core":33,"./core":34}],
52:[function(f,l,h){(function(b,a,e){"object"===typeof h?l.exports=h=a(f("./core"),f("./cipher-core")):a(b.CryptoJS)})(this,function(b){b.pad.ZeroPadding={pad:function(a,b){var c=4*b;a.clamp();a.sigBytes+=c-(a.sigBytes%c||c)},unpad:function(a){for(var b=a.words,c=a.sigBytes-1;!(b[c>>>2]>>>24-c%4*8&255);)c--;a.sigBytes=c+1}};return b.pad.ZeroPadding})},{"./cipher-core":33,"./core":34}],53:[function(f,l,h){(function(b,a,e){"object"===typeof h?l.exports=h=a(f("./core"),f("./sha1"),f("./hmac")):a(b.CryptoJS)})(this,
function(b){(function(){var a=b.lib,e=a.Base,c=a.WordArray,a=b.algo,f=a.HMAC,g=a.PBKDF2=e.extend({cfg:e.extend({keySize:4,hasher:a.SHA1,iterations:1}),init:function(a){this.cfg=this.cfg.extend(a)},compute:function(a,b){for(var g=this.cfg,d=f.create(g.hasher,a),e=c.create(),m=c.create([1]),k=e.words,p=m.words,h=g.keySize,g=g.iterations;k.length<h;){var l=d.update(b).finalize(m);d.reset();for(var r=l.words,x=r.length,B=l,I=1;I<g;I++){B=d.finalize(B);d.reset();for(var K=B.words,E=0;E<x;E++)r[E]^=K[E]}e.concat(l);
p[0]++}e.sigBytes=4*h;return e}});b.PBKDF2=function(a,b,c){return g.create(c).compute(a,b)}})();return b.PBKDF2})},{"./core":34,"./hmac":39,"./sha1":58}],54:[function(f,l,h){(function(b,a,e){"object"===typeof h?l.exports=h=a(f("./core"),f("./enc-base64"),f("./md5"),f("./evpkdf"),f("./cipher-core")):a(b.CryptoJS)})(this,function(b){(function(){function a(){for(var a=this._X,b=this._C,d=0;8>d;d++)f[d]=b[d];b[0]=b[0]+1295307597+this._b|0;b[1]=b[1]+3545052371+(b[0]>>>0<f[0]>>>0?1:0)|0;b[2]=b[2]+886263092+
(b[1]>>>0<f[1]>>>0?1:0)|0;b[3]=b[3]+1295307597+(b[2]>>>0<f[2]>>>0?1:0)|0;b[4]=b[4]+3545052371+(b[3]>>>0<f[3]>>>0?1:0)|0;b[5]=b[5]+886263092+(b[4]>>>0<f[4]>>>0?1:0)|0;b[6]=b[6]+1295307597+(b[5]>>>0<f[5]>>>0?1:0)|0;b[7]=b[7]+3545052371+(b[6]>>>0<f[6]>>>0?1:0)|0;this._b=b[7]>>>0<f[7]>>>0?1:0;for(d=0;8>d;d++){var c=a[d]+b[d],e=c&65535,m=c>>>16;g[d]=((e*e>>>17)+e*m>>>15)+m*m^((c&4294901760)*c|0)+((c&65535)*c|0)}a[0]=g[0]+(g[7]<<16|g[7]>>>16)+(g[6]<<16|g[6]>>>16)|0;a[1]=g[1]+(g[0]<<8|g[0]>>>24)+g[7]|0;
a[2]=g[2]+(g[1]<<16|g[1]>>>16)+(g[0]<<16|g[0]>>>16)|0;a[3]=g[3]+(g[2]<<8|g[2]>>>24)+g[1]|0;a[4]=g[4]+(g[3]<<16|g[3]>>>16)+(g[2]<<16|g[2]>>>16)|0;a[5]=g[5]+(g[4]<<8|g[4]>>>24)+g[3]|0;a[6]=g[6]+(g[5]<<16|g[5]>>>16)+(g[4]<<16|g[4]>>>16)|0;a[7]=g[7]+(g[6]<<8|g[6]>>>24)+g[5]|0}var e=b.lib.StreamCipher,c=[],f=[],g=[],m=b.algo.RabbitLegacy=e.extend({_doReset:function(){for(var b=this._key.words,c=this.cfg.iv,d=this._X=[b[0],b[3]<<16|b[2]>>>16,b[1],b[0]<<16|b[3]>>>16,b[2],b[1]<<16|b[0]>>>16,b[3],b[2]<<16|
b[1]>>>16],b=this._C=[b[2]<<16|b[2]>>>16,b[0]&4294901760|b[1]&65535,b[3]<<16|b[3]>>>16,b[1]&4294901760|b[2]&65535,b[0]<<16|b[0]>>>16,b[2]&4294901760|b[3]&65535,b[1]<<16|b[1]>>>16,b[3]&4294901760|b[0]&65535],g=this._b=0;4>g;g++)a.call(this);for(g=0;8>g;g++)b[g]^=d[g+4&7];if(c){var d=c.words,c=d[0],d=d[1],c=(c<<8|c>>>24)&16711935|(c<<24|c>>>8)&4278255360,d=(d<<8|d>>>24)&16711935|(d<<24|d>>>8)&4278255360,g=c>>>16|d&4294901760,e=d<<16|c&65535;b[0]^=c;b[1]^=g;b[2]^=d;b[3]^=e;b[4]^=c;b[5]^=g;b[6]^=d;b[7]^=
e;for(g=0;4>g;g++)a.call(this)}},_doProcessBlock:function(b,g){var d=this._X;a.call(this);c[0]=d[0]^d[5]>>>16^d[3]<<16;c[1]=d[2]^d[7]>>>16^d[5]<<16;c[2]=d[4]^d[1]>>>16^d[7]<<16;c[3]=d[6]^d[3]>>>16^d[1]<<16;for(d=0;4>d;d++)c[d]=(c[d]<<8|c[d]>>>24)&16711935|(c[d]<<24|c[d]>>>8)&4278255360,b[g+d]^=c[d]},blockSize:4,ivSize:2});b.RabbitLegacy=e._createHelper(m)})();return b.RabbitLegacy})},{"./cipher-core":33,"./core":34,"./enc-base64":35,"./evpkdf":37,"./md5":42}],55:[function(f,l,h){(function(b,a,e){"object"===
typeof h?l.exports=h=a(f("./core"),f("./enc-base64"),f("./md5"),f("./evpkdf"),f("./cipher-core")):a(b.CryptoJS)})(this,function(b){(function(){function a(){for(var a=this._X,b=this._C,d=0;8>d;d++)f[d]=b[d];b[0]=b[0]+1295307597+this._b|0;b[1]=b[1]+3545052371+(b[0]>>>0<f[0]>>>0?1:0)|0;b[2]=b[2]+886263092+(b[1]>>>0<f[1]>>>0?1:0)|0;b[3]=b[3]+1295307597+(b[2]>>>0<f[2]>>>0?1:0)|0;b[4]=b[4]+3545052371+(b[3]>>>0<f[3]>>>0?1:0)|0;b[5]=b[5]+886263092+(b[4]>>>0<f[4]>>>0?1:0)|0;b[6]=b[6]+1295307597+(b[5]>>>0<
f[5]>>>0?1:0)|0;b[7]=b[7]+3545052371+(b[6]>>>0<f[6]>>>0?1:0)|0;this._b=b[7]>>>0<f[7]>>>0?1:0;for(d=0;8>d;d++){var c=a[d]+b[d],e=c&65535,m=c>>>16;g[d]=((e*e>>>17)+e*m>>>15)+m*m^((c&4294901760)*c|0)+((c&65535)*c|0)}a[0]=g[0]+(g[7]<<16|g[7]>>>16)+(g[6]<<16|g[6]>>>16)|0;a[1]=g[1]+(g[0]<<8|g[0]>>>24)+g[7]|0;a[2]=g[2]+(g[1]<<16|g[1]>>>16)+(g[0]<<16|g[0]>>>16)|0;a[3]=g[3]+(g[2]<<8|g[2]>>>24)+g[1]|0;a[4]=g[4]+(g[3]<<16|g[3]>>>16)+(g[2]<<16|g[2]>>>16)|0;a[5]=g[5]+(g[4]<<8|g[4]>>>24)+g[3]|0;a[6]=g[6]+(g[5]<<
16|g[5]>>>16)+(g[4]<<16|g[4]>>>16)|0;a[7]=g[7]+(g[6]<<8|g[6]>>>24)+g[5]|0}var e=b.lib.StreamCipher,c=[],f=[],g=[],m=b.algo.Rabbit=e.extend({_doReset:function(){for(var b=this._key.words,c=this.cfg.iv,d=0;4>d;d++)b[d]=(b[d]<<8|b[d]>>>24)&16711935|(b[d]<<24|b[d]>>>8)&4278255360;for(var g=this._X=[b[0],b[3]<<16|b[2]>>>16,b[1],b[0]<<16|b[3]>>>16,b[2],b[1]<<16|b[0]>>>16,b[3],b[2]<<16|b[1]>>>16],b=this._C=[b[2]<<16|b[2]>>>16,b[0]&4294901760|b[1]&65535,b[3]<<16|b[3]>>>16,b[1]&4294901760|b[2]&65535,b[0]<<
16|b[0]>>>16,b[2]&4294901760|b[3]&65535,b[1]<<16|b[1]>>>16,b[3]&4294901760|b[0]&65535],d=this._b=0;4>d;d++)a.call(this);for(d=0;8>d;d++)b[d]^=g[d+4&7];if(c){var d=c.words,c=d[0],d=d[1],c=(c<<8|c>>>24)&16711935|(c<<24|c>>>8)&4278255360,d=(d<<8|d>>>24)&16711935|(d<<24|d>>>8)&4278255360,g=c>>>16|d&4294901760,e=d<<16|c&65535;b[0]^=c;b[1]^=g;b[2]^=d;b[3]^=e;b[4]^=c;b[5]^=g;b[6]^=d;b[7]^=e;for(d=0;4>d;d++)a.call(this)}},_doProcessBlock:function(b,g){var d=this._X;a.call(this);c[0]=d[0]^d[5]>>>16^d[3]<<
16;c[1]=d[2]^d[7]>>>16^d[5]<<16;c[2]=d[4]^d[1]>>>16^d[7]<<16;c[3]=d[6]^d[3]>>>16^d[1]<<16;for(d=0;4>d;d++)c[d]=(c[d]<<8|c[d]>>>24)&16711935|(c[d]<<24|c[d]>>>8)&4278255360,b[g+d]^=c[d]},blockSize:4,ivSize:2});b.Rabbit=e._createHelper(m)})();return b.Rabbit})},{"./cipher-core":33,"./core":34,"./enc-base64":35,"./evpkdf":37,"./md5":42}],56:[function(f,l,h){(function(b,a,e){"object"===typeof h?l.exports=h=a(f("./core"),f("./enc-base64"),f("./md5"),f("./evpkdf"),f("./cipher-core")):a(b.CryptoJS)})(this,
function(b){(function(){function a(){for(var a=this._S,b=this._i,c=this._j,e=0,d=0;4>d;d++){var b=(b+1)%256,c=(c+a[b])%256,f=a[b];a[b]=a[c];a[c]=f;e|=a[(a[b]+a[c])%256]<<24-8*d}this._i=b;this._j=c;return e}var e=b.lib.StreamCipher,c=b.algo,f=c.RC4=e.extend({_doReset:function(){for(var a=this._key,b=a.words,a=a.sigBytes,c=this._S=[],e=0;256>e;e++)c[e]=e;for(var d=e=0;256>e;e++){var f=e%a,d=(d+c[e]+(b[f>>>2]>>>24-f%4*8&255))%256,f=c[e];c[e]=c[d];c[d]=f}this._i=this._j=0},_doProcessBlock:function(b,
c){b[c]^=a.call(this)},keySize:8,ivSize:0});b.RC4=e._createHelper(f);c=c.RC4Drop=f.extend({cfg:f.cfg.extend({drop:192}),_doReset:function(){f._doReset.call(this);for(var b=this.cfg.drop;0<b;b--)a.call(this)}});b.RC4Drop=e._createHelper(c)})();return b.RC4})},{"./cipher-core":33,"./core":34,"./enc-base64":35,"./evpkdf":37,"./md5":42}],57:[function(f,l,h){(function(b,a){"object"===typeof h?l.exports=h=a(f("./core")):a(b.CryptoJS)})(this,function(b){(function(a){function e(a,b){return a<<b|a>>>32-b}
a=b.lib;var c=a.WordArray,f=a.Hasher;a=b.algo;var g=c.create([0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,7,4,13,1,10,6,15,3,12,0,9,5,2,14,11,8,3,10,14,4,9,15,8,1,2,7,0,6,13,11,5,12,1,9,11,10,0,8,12,4,13,3,7,15,14,5,6,2,4,0,5,9,7,12,2,10,14,1,3,8,11,6,15,13]),m=c.create([5,14,7,0,9,2,11,4,13,6,15,8,1,10,3,12,6,11,3,7,0,13,5,10,14,15,8,12,4,9,1,2,15,5,1,3,7,14,6,9,11,8,12,2,10,0,4,13,8,6,4,1,3,11,15,0,5,12,2,13,9,7,10,14,12,15,10,4,1,5,8,7,6,2,13,14,0,3,9,11]),h=c.create([11,14,15,12,5,8,7,9,11,13,14,15,
6,7,9,8,7,6,8,13,11,9,7,15,7,12,15,9,11,7,13,12,11,13,6,7,14,9,13,15,14,8,13,6,5,12,7,5,11,12,14,15,14,15,9,8,9,14,5,6,8,6,5,12,9,15,5,11,6,8,13,12,5,12,13,14,11,8,5,6]),t=c.create([8,9,9,11,13,15,15,5,7,7,8,11,14,14,12,6,9,13,15,7,12,8,9,11,7,7,12,7,6,15,13,11,9,7,15,11,8,6,6,14,12,13,5,14,13,13,7,5,15,5,8,11,14,14,6,14,6,9,12,9,12,5,15,8,8,5,12,9,12,5,14,6,8,13,6,5,15,13,11,11]),d=c.create([0,1518500249,1859775393,2400959708,2840853838]),v=c.create([1352829926,1548603684,1836072691,2053994217,0]);
a=a.RIPEMD160=f.extend({_doReset:function(){this._hash=c.create([1732584193,4023233417,2562383102,271733878,3285377520])},_doProcessBlock:function(a,b){for(var c=0;16>c;c++){var f=b+c,k=a[f];a[f]=(k<<8|k>>>24)&16711935|(k<<24|k>>>8)&4278255360}var f=this._hash.words,k=d.words,p=v.words,x=g.words,l=m.words,I=h.words,D=t.words,E,y,F,M,N,J,L,q,n,u;J=E=f[0];L=y=f[1];q=F=f[2];n=M=f[3];u=N=f[4];for(var w,c=0;80>c;c+=1)w=E+a[b+x[c]]|0,w=16>c?w+((y^F^M)+k[0]):32>c?w+((y&F|~y&M)+k[1]):48>c?w+(((y|~F)^M)+k[2]):
64>c?w+((y&M|F&~M)+k[3]):w+((y^(F|~M))+k[4]),w|=0,w=e(w,I[c]),w=w+N|0,E=N,N=M,M=e(F,10),F=y,y=w,w=J+a[b+l[c]]|0,w=16>c?w+((L^(q|~n))+p[0]):32>c?w+((L&n|q&~n)+p[1]):48>c?w+(((L|~q)^n)+p[2]):64>c?w+((L&q|~L&n)+p[3]):w+((L^q^n)+p[4]),w|=0,w=e(w,D[c]),w=w+u|0,J=u,u=n,n=e(q,10),q=L,L=w;w=f[1]+F+n|0;f[1]=f[2]+M+u|0;f[2]=f[3]+N+J|0;f[3]=f[4]+E+L|0;f[4]=f[0]+y+q|0;f[0]=w},_doFinalize:function(){var a=this._data,b=a.words,d=8*this._nDataBytes,c=8*a.sigBytes;b[c>>>5]|=128<<24-c%32;b[(c+64>>>9<<4)+14]=(d<<8|
d>>>24)&16711935|(d<<24|d>>>8)&4278255360;a.sigBytes=4*(b.length+1);this._process();a=this._hash;b=a.words;for(d=0;5>d;d++)c=b[d],b[d]=(c<<8|c>>>24)&16711935|(c<<24|c>>>8)&4278255360;return a},clone:function(){var a=f.clone.call(this);a._hash=this._hash.clone();return a}});b.RIPEMD160=f._createHelper(a);b.HmacRIPEMD160=f._createHmacHelper(a)})(Math);return b.RIPEMD160})},{"./core":34}],58:[function(f,l,h){(function(b,a){"object"===typeof h?l.exports=h=a(f("./core")):a(b.CryptoJS)})(this,function(b){(function(){var a=
b.lib,e=a.WordArray,c=a.Hasher,f=[],a=b.algo.SHA1=c.extend({_doReset:function(){this._hash=new e.init([1732584193,4023233417,2562383102,271733878,3285377520])},_doProcessBlock:function(a,b){for(var c=this._hash.words,g=c[0],d=c[1],e=c[2],m=c[3],k=c[4],h=0;80>h;h++){if(16>h)f[h]=a[b+h]|0;else{var l=f[h-3]^f[h-8]^f[h-14]^f[h-16];f[h]=l<<1|l>>>31}l=(g<<5|g>>>27)+k+f[h];l=20>h?l+((d&e|~d&m)+1518500249):40>h?l+((d^e^m)+1859775393):60>h?l+((d&e|d&m|e&m)-1894007588):l+((d^e^m)-899497514);k=m;m=e;e=d<<30|
d>>>2;d=g;g=l}c[0]=c[0]+g|0;c[1]=c[1]+d|0;c[2]=c[2]+e|0;c[3]=c[3]+m|0;c[4]=c[4]+k|0},_doFinalize:function(){var a=this._data,b=a.words,c=8*this._nDataBytes,e=8*a.sigBytes;b[e>>>5]|=128<<24-e%32;b[(e+64>>>9<<4)+14]=Math.floor(c/4294967296);b[(e+64>>>9<<4)+15]=c;a.sigBytes=4*b.length;this._process();return this._hash},clone:function(){var a=c.clone.call(this);a._hash=this._hash.clone();return a}});b.SHA1=c._createHelper(a);b.HmacSHA1=c._createHmacHelper(a)})();return b.SHA1})},{"./core":34}],59:[function(f,
l,h){(function(b,a,e){"object"===typeof h?l.exports=h=a(f("./core"),f("./sha256")):a(b.CryptoJS)})(this,function(b){(function(){var a=b.lib.WordArray,e=b.algo,c=e.SHA256,e=e.SHA224=c.extend({_doReset:function(){this._hash=new a.init([3238371032,914150663,812702999,4144912697,4290775857,1750603025,1694076839,3204075428])},_doFinalize:function(){var a=c._doFinalize.call(this);a.sigBytes-=4;return a}});b.SHA224=c._createHelper(e);b.HmacSHA224=c._createHmacHelper(e)})();return b.SHA224})},{"./core":34,
"./sha256":60}],60:[function(f,l,h){(function(b,a){"object"===typeof h?l.exports=h=a(f("./core")):a(b.CryptoJS)})(this,function(b){(function(a){var e=b.lib,c=e.WordArray,f=e.Hasher,e=b.algo,g=[],m=[];(function(){function b(b){for(var d=a.sqrt(b),c=2;c<=d;c++)if(!(b%c))return!1;return!0}function d(a){return 4294967296*(a-(a|0))|0}for(var c=2,e=0;64>e;)b(c)&&(8>e&&(g[e]=d(a.pow(c,.5))),m[e]=d(a.pow(c,1/3)),e++),c++})();var h=[],e=e.SHA256=f.extend({_doReset:function(){this._hash=new c.init(g.slice(0))},
_doProcessBlock:function(a,b){for(var d=this._hash.words,c=d[0],g=d[1],e=d[2],f=d[3],k=d[4],p=d[5],t=d[6],l=d[7],I=0;64>I;I++){if(16>I)h[I]=a[b+I]|0;else{var K=h[I-15],E=h[I-2];h[I]=((K<<25|K>>>7)^(K<<14|K>>>18)^K>>>3)+h[I-7]+((E<<15|E>>>17)^(E<<13|E>>>19)^E>>>10)+h[I-16]}K=l+((k<<26|k>>>6)^(k<<21|k>>>11)^(k<<7|k>>>25))+(k&p^~k&t)+m[I]+h[I];E=((c<<30|c>>>2)^(c<<19|c>>>13)^(c<<10|c>>>22))+(c&g^c&e^g&e);l=t;t=p;p=k;k=f+K|0;f=e;e=g;g=c;c=K+E|0}d[0]=d[0]+c|0;d[1]=d[1]+g|0;d[2]=d[2]+e|0;d[3]=d[3]+f|0;
d[4]=d[4]+k|0;d[5]=d[5]+p|0;d[6]=d[6]+t|0;d[7]=d[7]+l|0},_doFinalize:function(){var b=this._data,d=b.words,c=8*this._nDataBytes,g=8*b.sigBytes;d[g>>>5]|=128<<24-g%32;d[(g+64>>>9<<4)+14]=a.floor(c/4294967296);d[(g+64>>>9<<4)+15]=c;b.sigBytes=4*d.length;this._process();return this._hash},clone:function(){var a=f.clone.call(this);a._hash=this._hash.clone();return a}});b.SHA256=f._createHelper(e);b.HmacSHA256=f._createHmacHelper(e)})(Math);return b.SHA256})},{"./core":34}],61:[function(f,l,h){(function(b,
a,e){"object"===typeof h?l.exports=h=a(f("./core"),f("./x64-core")):a(b.CryptoJS)})(this,function(b){(function(a){var e=b.lib,c=e.WordArray,f=e.Hasher,g=b.x64.Word,e=b.algo,m=[],h=[],t=[];(function(){for(var a=1,b=0,d=0;24>d;d++){m[a+5*b]=(d+1)*(d+2)/2%64;var c=(2*a+3*b)%5,a=b%5,b=c}for(a=0;5>a;a++)for(b=0;5>b;b++)h[a+5*b]=b+(2*a+3*b)%5*5;a=1;for(b=0;24>b;b++){for(var e=c=d=0;7>e;e++){if(a&1){var f=(1<<e)-1;32>f?c^=1<<f:d^=1<<f-32}a=a&128?a<<1^113:a<<1}t[b]=g.create(d,c)}})();var d=[];(function(){for(var a=
0;25>a;a++)d[a]=g.create()})();e=e.SHA3=f.extend({cfg:f.cfg.extend({outputLength:512}),_doReset:function(){for(var a=this._state=[],b=0;25>b;b++)a[b]=new g.init;this.blockSize=(1600-2*this.cfg.outputLength)/32},_doProcessBlock:function(a,b){for(var c=this._state,g=this.blockSize/2,e=0;e<g;e++){var f=a[b+2*e],k=a[b+2*e+1],f=(f<<8|f>>>24)&16711935|(f<<24|f>>>8)&4278255360,k=(k<<8|k>>>24)&16711935|(k<<24|k>>>8)&4278255360,p=c[e];p.high^=k;p.low^=f}for(g=0;24>g;g++){for(e=0;5>e;e++){for(var v=f=0,l=0;5>
l;l++)p=c[e+5*l],f^=p.high,v^=p.low;p=d[e];p.high=f;p.low=v}for(e=0;5>e;e++)for(p=d[(e+4)%5],f=d[(e+1)%5],k=f.high,l=f.low,f=p.high^(k<<1|l>>>31),v=p.low^(l<<1|k>>>31),l=0;5>l;l++)p=c[e+5*l],p.high^=f,p.low^=v;for(k=1;25>k;k++)p=c[k],e=p.high,p=p.low,l=m[k],32>l?(f=e<<l|p>>>32-l,v=p<<l|e>>>32-l):(f=p<<l-32|e>>>64-l,v=e<<l-32|p>>>64-l),p=d[h[k]],p.high=f,p.low=v;p=d[0];e=c[0];p.high=e.high;p.low=e.low;for(e=0;5>e;e++)for(l=0;5>l;l++)k=e+5*l,p=c[k],f=d[k],k=d[(e+1)%5+5*l],v=d[(e+2)%5+5*l],p.high=f.high^
~k.high&v.high,p.low=f.low^~k.low&v.low;p=c[0];e=t[g];p.high^=e.high;p.low^=e.low}},_doFinalize:function(){var b=this._data,d=b.words,e=8*b.sigBytes,g=32*this.blockSize;d[e>>>5]|=1<<24-e%32;d[(a.ceil((e+1)/g)*g>>>5)-1]|=128;b.sigBytes=4*d.length;this._process();for(var b=this._state,d=this.cfg.outputLength/8,e=d/8,g=[],f=0;f<e;f++){var m=b[f],k=m.high,m=m.low,k=(k<<8|k>>>24)&16711935|(k<<24|k>>>8)&4278255360,m=(m<<8|m>>>24)&16711935|(m<<24|m>>>8)&4278255360;g.push(m);g.push(k)}return new c.init(g,
d)},clone:function(){for(var a=f.clone.call(this),b=a._state=this._state.slice(0),d=0;25>d;d++)b[d]=b[d].clone();return a}});b.SHA3=f._createHelper(e);b.HmacSHA3=f._createHmacHelper(e)})(Math);return b.SHA3})},{"./core":34,"./x64-core":65}],62:[function(f,l,h){(function(b,a,e){"object"===typeof h?l.exports=h=a(f("./core"),f("./x64-core"),f("./sha512")):a(b.CryptoJS)})(this,function(b){(function(){var a=b.x64,e=a.Word,c=a.WordArray,a=b.algo,f=a.SHA512,a=a.SHA384=f.extend({_doReset:function(){this._hash=
new c.init([new e.init(3418070365,3238371032),new e.init(1654270250,914150663),new e.init(2438529370,812702999),new e.init(355462360,4144912697),new e.init(1731405415,4290775857),new e.init(2394180231,1750603025),new e.init(3675008525,1694076839),new e.init(1203062813,3204075428)])},_doFinalize:function(){var a=f._doFinalize.call(this);a.sigBytes-=16;return a}});b.SHA384=f._createHelper(a);b.HmacSHA384=f._createHmacHelper(a)})();return b.SHA384})},{"./core":34,"./sha512":63,"./x64-core":65}],63:[function(f,
l,h){(function(b,a,e){"object"===typeof h?l.exports=h=a(f("./core"),f("./x64-core")):a(b.CryptoJS)})(this,function(b){(function(){function a(){return f.create.apply(f,arguments)}var e=b.lib.Hasher,c=b.x64,f=c.Word,g=c.WordArray,c=b.algo,m=[a(1116352408,3609767458),a(1899447441,602891725),a(3049323471,3964484399),a(3921009573,2173295548),a(961987163,4081628472),a(1508970993,3053834265),a(2453635748,2937671579),a(2870763221,3664609560),a(3624381080,2734883394),a(310598401,1164996542),a(607225278,1323610764),
a(1426881987,3590304994),a(1925078388,4068182383),a(2162078206,991336113),a(2614888103,633803317),a(3248222580,3479774868),a(3835390401,2666613458),a(4022224774,944711139),a(264347078,2341262773),a(604807628,2007800933),a(770255983,1495990901),a(1249150122,1856431235),a(1555081692,3175218132),a(1996064986,2198950837),a(2554220882,3999719339),a(2821834349,766784016),a(2952996808,2566594879),a(3210313671,3203337956),a(3336571891,1034457026),a(3584528711,2466948901),a(113926993,3758326383),a(338241895,
168717936),a(666307205,1188179964),a(773529912,1546045734),a(1294757372,1522805485),a(1396182291,2643833823),a(1695183700,2343527390),a(1986661051,1014477480),a(2177026350,1206759142),a(2456956037,344077627),a(2730485921,1290863460),a(2820302411,3158454273),a(3259730800,3505952657),a(3345764771,106217008),a(3516065817,3606008344),a(3600352804,1432725776),a(4094571909,1467031594),a(275423344,851169720),a(430227734,3100823752),a(506948616,1363258195),a(659060556,3750685593),a(883997877,3785050280),
a(958139571,3318307427),a(1322822218,3812723403),a(1537002063,2003034995),a(1747873779,3602036899),a(1955562222,1575990012),a(2024104815,1125592928),a(2227730452,2716904306),a(2361852424,442776044),a(2428436474,593698344),a(2756734187,3733110249),a(3204031479,2999351573),a(3329325298,3815920427),a(3391569614,3928383900),a(3515267271,566280711),a(3940187606,3454069534),a(4118630271,4000239992),a(116418474,1914138554),a(174292421,2731055270),a(289380356,3203993006),a(460393269,320620315),a(685471733,
587496836),a(852142971,1086792851),a(1017036298,365543100),a(1126000580,2618297676),a(1288033470,3409855158),a(1501505948,4234509866),a(1607167915,987167468),a(1816402316,1246189591)],h=[];(function(){for(var b=0;80>b;b++)h[b]=a()})();c=c.SHA512=e.extend({_doReset:function(){this._hash=new g.init([new f.init(1779033703,4089235720),new f.init(3144134277,2227873595),new f.init(1013904242,4271175723),new f.init(2773480762,1595750129),new f.init(1359893119,2917565137),new f.init(2600822924,725511199),
new f.init(528734635,4215389547),new f.init(1541459225,327033209)])},_doProcessBlock:function(a,b){for(var d=this._hash.words,c=d[0],e=d[1],g=d[2],f=d[3],k=d[4],p=d[5],t=d[6],d=d[7],l=c.high,I=c.low,K=e.high,E=e.low,U=g.high,F=g.low,M=f.high,N=f.low,J=k.high,L=k.low,q=p.high,n=p.low,u=t.high,w=t.low,A=d.high,V=d.low,R=l,P=I,Y=K,S=E,ea=U,fa=F,da=M,T=N,Z=J,aa=L,ia=q,X=n,ma=u,ka=w,Q=A,ha=V,O=0;80>O;O++){var ba=h[O];if(16>O)var ga=ba.high=a[b+2*O]|0,W=ba.low=a[b+2*O+1]|0;else{var ga=h[O-15],W=ga.high,
ja=ga.low,ga=(W>>>1|ja<<31)^(W>>>8|ja<<24)^W>>>7,ja=(ja>>>1|W<<31)^(ja>>>8|W<<24)^(ja>>>7|W<<25),oa=h[O-2],W=oa.high,ca=oa.low,oa=(W>>>19|ca<<13)^(W<<3|ca>>>29)^W>>>6,ca=(ca>>>19|W<<13)^(ca<<3|W>>>29)^(ca>>>6|W<<26),W=h[O-7],pa=W.high,na=h[O-16],la=na.high,na=na.low,W=ja+W.low,ga=ga+pa+(W>>>0<ja>>>0?1:0),W=W+ca,ga=ga+oa+(W>>>0<ca>>>0?1:0),W=W+na,ga=ga+la+(W>>>0<na>>>0?1:0);ba.high=ga;ba.low=W}var pa=Z&ia^~Z&ma,na=aa&X^~aa&ka,ba=R&Y^R&ea^Y&ea,ra=P&S^P&fa^S&fa,ja=(R>>>28|P<<4)^(R<<30|P>>>2)^(R<<25|
P>>>7),oa=(P>>>28|R<<4)^(P<<30|R>>>2)^(P<<25|R>>>7),ca=m[O],sa=ca.high,qa=ca.low,ca=ha+((aa>>>14|Z<<18)^(aa>>>18|Z<<14)^(aa<<23|Z>>>9)),la=Q+((Z>>>14|aa<<18)^(Z>>>18|aa<<14)^(Z<<23|aa>>>9))+(ca>>>0<ha>>>0?1:0),ca=ca+na,la=la+pa+(ca>>>0<na>>>0?1:0),ca=ca+qa,la=la+sa+(ca>>>0<qa>>>0?1:0),ca=ca+W,la=la+ga+(ca>>>0<W>>>0?1:0),W=oa+ra,ba=ja+ba+(W>>>0<oa>>>0?1:0),Q=ma,ha=ka,ma=ia,ka=X,ia=Z,X=aa,aa=T+ca|0,Z=da+la+(aa>>>0<T>>>0?1:0)|0,da=ea,T=fa,ea=Y,fa=S,Y=R,S=P,P=ca+W|0,R=la+ba+(P>>>0<ca>>>0?1:0)|0}I=c.low=
I+P;c.high=l+R+(I>>>0<P>>>0?1:0);E=e.low=E+S;e.high=K+Y+(E>>>0<S>>>0?1:0);F=g.low=F+fa;g.high=U+ea+(F>>>0<fa>>>0?1:0);N=f.low=N+T;f.high=M+da+(N>>>0<T>>>0?1:0);L=k.low=L+aa;k.high=J+Z+(L>>>0<aa>>>0?1:0);n=p.low=n+X;p.high=q+ia+(n>>>0<X>>>0?1:0);w=t.low=w+ka;t.high=u+ma+(w>>>0<ka>>>0?1:0);V=d.low=V+ha;d.high=A+Q+(V>>>0<ha>>>0?1:0)},_doFinalize:function(){var a=this._data,b=a.words,c=8*this._nDataBytes,e=8*a.sigBytes;b[e>>>5]|=128<<24-e%32;b[(e+128>>>10<<5)+30]=Math.floor(c/4294967296);b[(e+128>>>10<<
5)+31]=c;a.sigBytes=4*b.length;this._process();return this._hash.toX32()},clone:function(){var a=e.clone.call(this);a._hash=this._hash.clone();return a},blockSize:32});b.SHA512=e._createHelper(c);b.HmacSHA512=e._createHmacHelper(c)})();return b.SHA512})},{"./core":34,"./x64-core":65}],64:[function(f,l,h){(function(b,a,e){"object"===typeof h?l.exports=h=a(f("./core"),f("./enc-base64"),f("./md5"),f("./evpkdf"),f("./cipher-core")):a(b.CryptoJS)})(this,function(b){(function(){function a(a,b){var d=(this._lBlock>>>
a^this._rBlock)&b;this._rBlock^=d;this._lBlock^=d<<a}function e(a,b){var d=(this._rBlock>>>a^this._lBlock)&b;this._lBlock^=d;this._rBlock^=d<<a}var c=b.lib,f=c.WordArray,c=c.BlockCipher,g=b.algo,m=[57,49,41,33,25,17,9,1,58,50,42,34,26,18,10,2,59,51,43,35,27,19,11,3,60,52,44,36,63,55,47,39,31,23,15,7,62,54,46,38,30,22,14,6,61,53,45,37,29,21,13,5,28,20,12,4],h=[14,17,11,24,1,5,3,28,15,6,21,10,23,19,12,4,26,8,16,7,27,20,13,2,41,52,31,37,47,55,30,40,51,45,33,48,44,49,39,56,34,53,46,42,50,36,29,32],t=
[1,2,4,6,8,10,12,14,15,17,19,21,23,25,27,28],d=[{0:8421888,268435456:32768,536870912:8421378,805306368:2,1073741824:512,1342177280:8421890,1610612736:8389122,1879048192:8388608,2147483648:514,2415919104:8389120,2684354560:33280,2952790016:8421376,3221225472:32770,3489660928:8388610,3758096384:0,4026531840:33282,134217728:0,402653184:8421890,671088640:33282,939524096:32768,1207959552:8421888,1476395008:512,1744830464:8421378,2013265920:2,2281701376:8389120,2550136832:33280,2818572288:8421376,3087007744:8389122,
3355443200:8388610,3623878656:32770,3892314112:514,4160749568:8388608,1:32768,268435457:2,536870913:8421888,805306369:8388608,1073741825:8421378,1342177281:33280,1610612737:512,1879048193:8389122,2147483649:8421890,2415919105:8421376,2684354561:8388610,2952790017:33282,3221225473:514,3489660929:8389120,3758096385:32770,4026531841:0,134217729:8421890,402653185:8421376,671088641:8388608,939524097:512,1207959553:32768,1476395009:8388610,1744830465:2,2013265921:33282,2281701377:32770,2550136833:8389122,
2818572289:514,3087007745:8421888,3355443201:8389120,3623878657:0,3892314113:33280,4160749569:8421378},{0:1074282512,16777216:16384,33554432:524288,50331648:1074266128,67108864:1073741840,83886080:1074282496,100663296:1073758208,117440512:16,134217728:540672,150994944:1073758224,167772160:1073741824,184549376:540688,201326592:524304,218103808:0,234881024:16400,251658240:1074266112,8388608:1073758208,25165824:540688,41943040:16,58720256:1073758224,75497472:1074282512,92274688:1073741824,109051904:524288,
125829120:1074266128,142606336:524304,159383552:0,176160768:16384,192937984:1074266112,209715200:1073741840,226492416:540672,243269632:1074282496,260046848:16400,268435456:0,285212672:1074266128,301989888:1073758224,318767104:1074282496,335544320:1074266112,352321536:16,369098752:540688,385875968:16384,402653184:16400,419430400:524288,436207616:524304,452984832:1073741840,469762048:540672,486539264:1073758208,503316480:1073741824,520093696:1074282512,276824064:540688,293601280:524288,310378496:1074266112,
327155712:16384,343932928:1073758208,360710144:1074282512,377487360:16,394264576:1073741824,411041792:1074282496,427819008:1073741840,444596224:1073758224,461373440:524304,478150656:0,494927872:16400,511705088:1074266128,528482304:540672},{0:260,1048576:0,2097152:67109120,3145728:65796,4194304:65540,5242880:67108868,6291456:67174660,7340032:67174400,8388608:67108864,9437184:67174656,10485760:65792,11534336:67174404,12582912:67109124,13631488:65536,14680064:4,15728640:256,524288:67174656,1572864:67174404,
2621440:0,3670016:67109120,4718592:67108868,5767168:65536,6815744:65540,7864320:260,8912896:4,9961472:256,11010048:67174400,12058624:65796,13107200:65792,14155776:67109124,15204352:67174660,16252928:67108864,16777216:67174656,17825792:65540,18874368:65536,19922944:67109120,20971520:256,22020096:67174660,23068672:67108868,24117248:0,25165824:67109124,26214400:67108864,27262976:4,28311552:65792,29360128:67174400,30408704:260,31457280:65796,32505856:67174404,17301504:67108864,18350080:260,19398656:67174656,
20447232:0,21495808:65540,22544384:67109120,23592960:256,24641536:67174404,25690112:65536,26738688:67174660,27787264:65796,28835840:67108868,29884416:67109124,30932992:67174400,31981568:4,33030144:65792},{0:2151682048,65536:2147487808,131072:4198464,196608:2151677952,262144:0,327680:4198400,393216:2147483712,458752:4194368,524288:2147483648,589824:4194304,655360:64,720896:2147487744,786432:2151678016,851968:4160,917504:4096,983040:2151682112,32768:2147487808,98304:64,163840:2151678016,229376:2147487744,
294912:4198400,360448:2151682112,425984:0,491520:2151677952,557056:4096,622592:2151682048,688128:4194304,753664:4160,819200:2147483648,884736:4194368,950272:4198464,1015808:2147483712,1048576:4194368,1114112:4198400,1179648:2147483712,1245184:0,1310720:4160,1376256:2151678016,1441792:2151682048,1507328:2147487808,1572864:2151682112,1638400:2147483648,1703936:2151677952,1769472:4198464,1835008:2147487744,1900544:4194304,1966080:64,2031616:4096,1081344:2151677952,1146880:2151682112,1212416:0,1277952:4198400,
1343488:4194368,1409024:2147483648,1474560:2147487808,1540096:64,1605632:2147483712,1671168:4096,1736704:2147487744,1802240:2151678016,1867776:4160,1933312:2151682048,1998848:4194304,2064384:4198464},{0:128,4096:17039360,8192:262144,12288:536870912,16384:537133184,20480:16777344,24576:553648256,28672:262272,32768:16777216,36864:537133056,40960:536871040,45056:553910400,49152:553910272,53248:0,57344:17039488,61440:553648128,2048:17039488,6144:553648256,10240:128,14336:17039360,18432:262144,22528:537133184,
26624:553910272,30720:536870912,34816:537133056,38912:0,43008:553910400,47104:16777344,51200:536871040,55296:553648128,59392:16777216,63488:262272,65536:262144,69632:128,73728:536870912,77824:553648256,81920:16777344,86016:553910272,90112:537133184,94208:16777216,98304:553910400,102400:553648128,106496:17039360,110592:537133056,114688:262272,118784:536871040,122880:0,126976:17039488,67584:553648256,71680:16777216,75776:17039360,79872:537133184,83968:536870912,88064:17039488,92160:128,96256:553910272,
100352:262272,104448:553910400,108544:0,112640:553648128,116736:16777344,120832:262144,124928:537133056,129024:536871040},{0:268435464,256:8192,512:270532608,768:270540808,1024:268443648,1280:2097152,1536:2097160,1792:268435456,2048:0,2304:268443656,2560:2105344,2816:8,3072:270532616,3328:2105352,3584:8200,3840:270540800,128:270532608,384:270540808,640:8,896:2097152,1152:2105352,1408:268435464,1664:268443648,1920:8200,2176:2097160,2432:8192,2688:268443656,2944:270532616,3200:0,3456:270540800,3712:2105344,
3968:268435456,4096:268443648,4352:270532616,4608:270540808,4864:8200,5120:2097152,5376:268435456,5632:268435464,5888:2105344,6144:2105352,6400:0,6656:8,6912:270532608,7168:8192,7424:268443656,7680:270540800,7936:2097160,4224:8,4480:2105344,4736:2097152,4992:268435464,5248:268443648,5504:8200,5760:270540808,6016:270532608,6272:270540800,6528:270532616,6784:8192,7040:2105352,7296:2097160,7552:0,7808:268435456,8064:268443656},{0:1048576,16:33555457,32:1024,48:1049601,64:34604033,80:0,96:1,112:34603009,
128:33555456,144:1048577,160:33554433,176:34604032,192:34603008,208:1025,224:1049600,240:33554432,8:34603009,24:0,40:33555457,56:34604032,72:1048576,88:33554433,104:33554432,120:1025,136:1049601,152:33555456,168:34603008,184:1048577,200:1024,216:34604033,232:1,248:1049600,256:33554432,272:1048576,288:33555457,304:34603009,320:1048577,336:33555456,352:34604032,368:1049601,384:1025,400:34604033,416:1049600,432:1,448:0,464:34603008,480:33554433,496:1024,264:1049600,280:33555457,296:34603009,312:1,328:33554432,
344:1048576,360:1025,376:34604032,392:33554433,408:34603008,424:0,440:34604033,456:1049601,472:1024,488:33555456,504:1048577},{0:134219808,1:131072,2:134217728,3:32,4:131104,5:134350880,6:134350848,7:2048,8:134348800,9:134219776,10:133120,11:134348832,12:2080,13:0,14:134217760,15:133152,2147483648:2048,2147483649:134350880,2147483650:134219808,2147483651:134217728,2147483652:134348800,2147483653:133120,2147483654:133152,2147483655:32,2147483656:134217760,2147483657:2080,2147483658:131104,2147483659:134350848,
2147483660:0,2147483661:134348832,2147483662:134219776,2147483663:131072,16:133152,17:134350848,18:32,19:2048,20:134219776,21:134217760,22:134348832,23:131072,24:0,25:131104,26:134348800,27:134219808,28:134350880,29:133120,30:2080,31:134217728,2147483664:131072,2147483665:2048,2147483666:134348832,2147483667:133152,2147483668:32,2147483669:134348800,2147483670:134217728,2147483671:134219808,2147483672:134350880,2147483673:134217760,2147483674:134219776,2147483675:0,2147483676:133120,2147483677:2080,
2147483678:131104,2147483679:134350848}],l=[4160749569,528482304,33030144,2064384,129024,8064,504,2147483679],D=g.DES=c.extend({_doReset:function(){for(var a=this._key.words,b=[],d=0;56>d;d++){var c=m[d]-1;b[d]=a[c>>>5]>>>31-c%32&1}a=this._subKeys=[];for(c=0;16>c;c++){for(var e=a[c]=[],g=t[c],d=0;24>d;d++)e[d/6|0]|=b[(h[d]-1+g)%28]<<31-d%6,e[4+(d/6|0)]|=b[28+(h[d+24]-1+g)%28]<<31-d%6;e[0]=e[0]<<1|e[0]>>>31;for(d=1;7>d;d++)e[d]>>>=4*(d-1)+3;e[7]=e[7]<<5|e[7]>>>27}b=this._invSubKeys=[];for(d=0;16>d;d++)b[d]=
a[15-d]},encryptBlock:function(a,b){this._doCryptBlock(a,b,this._subKeys)},decryptBlock:function(a,b){this._doCryptBlock(a,b,this._invSubKeys)},_doCryptBlock:function(b,c,g){this._lBlock=b[c];this._rBlock=b[c+1];a.call(this,4,252645135);a.call(this,16,65535);e.call(this,2,858993459);e.call(this,8,16711935);a.call(this,1,1431655765);for(var f=0;16>f;f++){for(var m=g[f],k=this._lBlock,h=this._rBlock,p=0,t=0;8>t;t++)p|=d[t][((h^m[t])&l[t])>>>0];this._lBlock=h;this._rBlock=k^p}g=this._lBlock;this._lBlock=
this._rBlock;this._rBlock=g;a.call(this,1,1431655765);e.call(this,8,16711935);e.call(this,2,858993459);a.call(this,16,65535);a.call(this,4,252645135);b[c]=this._lBlock;b[c+1]=this._rBlock},keySize:2,ivSize:2,blockSize:2});b.DES=c._createHelper(D);g=g.TripleDES=c.extend({_doReset:function(){var a=this._key.words;this._des1=D.createEncryptor(f.create(a.slice(0,2)));this._des2=D.createEncryptor(f.create(a.slice(2,4)));this._des3=D.createEncryptor(f.create(a.slice(4,6)))},encryptBlock:function(a,b){this._des1.encryptBlock(a,
b);this._des2.decryptBlock(a,b);this._des3.encryptBlock(a,b)},decryptBlock:function(a,b){this._des3.decryptBlock(a,b);this._des2.encryptBlock(a,b);this._des1.decryptBlock(a,b)},keySize:6,ivSize:2,blockSize:2});b.TripleDES=c._createHelper(g)})();return b.TripleDES})},{"./cipher-core":33,"./core":34,"./enc-base64":35,"./evpkdf":37,"./md5":42}],65:[function(f,l,h){(function(b,a){"object"===typeof h?l.exports=h=a(f("./core")):a(b.CryptoJS)})(this,function(b){(function(a){var e=b.lib,c=e.Base,f=e.WordArray,
e=b.x64={};e.Word=c.extend({init:function(a,b){this.high=a;this.low=b}});e.WordArray=c.extend({init:function(b,c){b=this.words=b||[];this.sigBytes=c!=a?c:8*b.length},toX32:function(){for(var a=this.words,b=a.length,c=[],e=0;e<b;e++){var d=a[e];c.push(d.high);c.push(d.low)}return f.create(c,this.sigBytes)},clone:function(){for(var a=c.clone.call(this),b=a.words=this.words.slice(0),e=b.length,f=0;f<e;f++)b[f]=b[f].clone();return a}})})();return b})},{"./core":34}],66:[function(f,l,h){function b(){if(!(this instanceof
b))return new b}(function(a){function b(a){for(var b in g)a[b]=g[b];return a}function c(a,b){function e(a){return a!==b&&a.originalListener!==b}var d;if(arguments.length)if(b){if(d=f(this,a,!0)){d=d.filter(e);if(!d.length)return c.call(this,a);this.listeners[a]=d}}else{if(d=this.listeners)if(delete d[a],!Object.keys(d).length)return c.call(this)}else delete this.listeners;return this}function f(a,b,c){if(!c||a.listeners)return a=a.listeners||(a.listeners={}),a[b]||(a[b]=[])}"undefined"!==typeof l&&
(l.exports=a);var g={on:function(a,b){f(this,a).push(b);return this},once:function(a,b){function e(){c.call(d,a,e);b.apply(this,arguments)}var d=this;e.originalListener=b;f(d,a).push(e);return d},off:c,emit:function(a,b){function c(a){a.call(g)}function d(a){a.call(g,b)}function e(a){a.apply(g,h)}var g=this,m=f(g,a,!0);if(!m)return!1;var k=arguments.length;if(1===k)m.forEach(c);else if(2===k)m.forEach(d);else{var h=Array.prototype.slice.call(arguments,1);m.forEach(e)}return!!m.length}};b(a.prototype);
a.mixin=b})(b)},{}],67:[function(f,l,h){h.read=function(b,a,e,c,f){var g;g=8*f-c-1;var m=(1<<g)-1,k=m>>1,h=-7;f=e?f-1:0;var d=e?-1:1,l=b[a+f];f+=d;e=l&(1<<-h)-1;l>>=-h;for(h+=g;0<h;e=256*e+b[a+f],f+=d,h-=8);g=e&(1<<-h)-1;e>>=-h;for(h+=c;0<h;g=256*g+b[a+f],f+=d,h-=8);if(0===e)e=1-k;else{if(e===m)return g?NaN:Infinity*(l?-1:1);g+=Math.pow(2,c);e-=k}return(l?-1:1)*g*Math.pow(2,e-c)};h.write=function(b,a,e,c,f,g){var m,k=8*g-f-1,h=(1<<k)-1,d=h>>1,l=23===f?Math.pow(2,-24)-Math.pow(2,-77):0;g=c?0:g-1;var D=
c?1:-1,y=0>a||0===a&&0>1/a?1:0;a=Math.abs(a);isNaN(a)||Infinity===a?(a=isNaN(a)?1:0,c=h):(c=Math.floor(Math.log(a)/Math.LN2),1>a*(m=Math.pow(2,-c))&&(c--,m*=2),a=1<=c+d?a+l/m:a+l*Math.pow(2,1-d),2<=a*m&&(c++,m/=2),c+d>=h?(a=0,c=h):1<=c+d?(a=(a*m-1)*Math.pow(2,f),c+=d):(a=a*Math.pow(2,d-1)*Math.pow(2,f),c=0));for(;8<=f;b[e+g]=a&255,g+=D,a/=256,f-=8);c=c<<f|a;for(k+=f;0<k;b[e+g]=c&255,g+=D,c/=256,k-=8);b[e+g-D]|=128*y}},{}],68:[function(f,l,h){(function(b){!function(a){function e(b,e,k){function p(a,
b,d,c){if(!(this instanceof p))return new p(a,b,d,c);z&&H&&(a instanceof H&&(a=new z(a)),d instanceof H&&(d=new z(d)));if(a||b||d||B){if(!m(a,b)){var e=B||Array;c=b;d=a;b=0;a=new e(8)}this.buffer=a;this.offset=b|=0;if("undefined"!==typeof d)if("string"===typeof d){c=c||10;var e=0,g=d.length,n=0,q=0;"-"===d[0]&&e++;for(var f=e;e<g;){var u=parseInt(d[e++],c);if(!(0<=u))break;q=q*c+u;n=n*c+Math.floor(q/4294967296);q%=4294967296}f&&(n=~n,q?q=4294967296-q:n++);x(a,b+E,n);x(a,b+K,q)}else m(d,c)?h(a,b,d,
c):"number"===typeof c?(x(a,b+E,d),x(a,b+K,c)):0<d?A(a,b,d):0>d?y(a,b,d):h(a,b,r,0)}else this.buffer=Array.prototype.slice.call(r,0,8)}function v(){var a=this.buffer,b=this.offset,d=I(a,b+E),a=I(a,b+K);k||(d|=0);return d?4294967296*d+a:a}function x(a,b,d){a[b+w]=d&255;d>>=8;a[b+u]=d&255;d>>=8;a[b+n]=d&255;a[b+q]=d>>8&255}function I(a,b){return 16777216*a[b+q]+(a[b+n]<<16)+(a[b+u]<<8)+a[b+w]}var E=e?0:4,K=e?4:0,q=e?0:3,n=e?1:2,u=e?2:1,w=e?3:0,A=e?t:l,y=e?d:D;e=p.prototype;var R="is"+b,P="_"+R;e.buffer=
void 0;e.offset=0;e[P]=!0;e.toNumber=v;e.toString=function(a){var b=this.buffer,d=this.offset,c=I(b,d+E),b=I(b,d+K),d="",e=!k&&c&2147483648;e&&(c=~c,b=4294967296-b);for(a=a||10;;){var g=c%a*4294967296+b,c=Math.floor(c/a),b=Math.floor(g/a),d=(g%a).toString(a)+d;if(!c&&!b)break}e&&(d="-"+d);return d};e.toJSON=v;e.toArray=c;C&&(e.toBuffer=f);z&&(e.toArrayBuffer=g);p[R]=function(a){return!(!a||!a[P])};return a[b]=p}function c(a){var b=this.buffer,d=this.offset;B=null;return!1!==a&&0===d&&8===b.length&&
x(b)?b:Array.prototype.slice.call(b,d,d+8)}function f(a){var d=this.buffer,c=this.offset;B=C;if(!1!==a&&0===c&&8===d.length&&b.isBuffer(d))return d;a=new C(8);h(a,0,d,c);return a}function g(a){var b=this.buffer,d=this.offset,c=b.buffer;B=z;if(!1!==a&&0===d&&c instanceof H&&8===c.byteLength)return c;a=new z(8);h(a,0,b,d);return a.buffer}function m(a,b){var d=a&&a.length;b|=0;return d&&b+8<=d&&"string"!==typeof a[b]}function h(a,b,d,c){b|=0;c|=0;for(var e=0;8>e;e++)a[b++]=d[c++]&255}function t(a,b,
d){for(var c=b+8;c>b;)a[--c]=d&255,d/=256}function d(a,b,d){var c=b+8;for(d++;c>b;)a[--c]=-d&255^255,d/=256}function l(a,b,d){for(var c=b+8;b<c;)a[b++]=d&255,d/=256}function D(a,b,d){var c=b+8;for(d++;b<c;)a[b++]=-d&255^255,d/=256}function y(a){return!!a&&"[object Array]"==Object.prototype.toString.call(a)}var C="undefined"!==typeof b&&b,z="undefined"!==typeof Uint8Array&&Uint8Array,H="undefined"!==typeof ArrayBuffer&&ArrayBuffer,r=[0,0,0,0,0,0,0,0],x=Array.isArray||y,B;e("Uint64BE",!0,!0);e("Int64BE",
!0,!1);e("Uint64LE",!1,!0);e("Int64LE",!1,!1)}("object"===typeof h&&"string"!==typeof h.nodeName?h:this||{})}).call(this,f("buffer").Buffer)},{buffer:129}],69:[function(f,l,h){var b={}.toString;l.exports=Array.isArray||function(a){return"[object Array]"==b.call(a)}},{}],70:[function(f,l,h){h.encode=f("./encode").encode;h.decode=f("./decode").decode;h.Encoder=f("./encoder").Encoder;h.Decoder=f("./decoder").Decoder;h.createCodec=f("./ext").createCodec;h.codec=f("./codec").codec},{"./codec":79,"./decode":81,
"./decoder":82,"./encode":84,"./encoder":85,"./ext":89}],71:[function(f,l,h){(function(b){function a(a){return a&&a.isBuffer&&a}l.exports=a("undefined"!==typeof b&&b)||a(this.Buffer)||a("undefined"!==typeof window&&window.Buffer)||this.Buffer}).call(this,f("buffer").Buffer)},{buffer:129}],72:[function(f,l,h){h.copy=function(b,a,e,c){e||(e=0);c||0===c||(c=this.length);a||(a=0);var f=c-e;if(b===this&&e<a&&a<c)for(c=f-1;0<=c;c--)b[c+a]=this[c+e];else for(c=0;c<f;c++)b[c+a]=this[c+e];return f};h.toString=
function(b,a,e){b=a|0;e||(e=this.length);a="";for(var c;b<e;)c=this[b++],128>c?a+=String.fromCharCode(c):(192===(c&224)?c=(c&31)<<6|this[b++]&63:224===(c&240)?c=(c&15)<<12|(this[b++]&63)<<6|this[b++]&63:240===(c&248)&&(c=(c&7)<<18|(this[b++]&63)<<12|(this[b++]&63)<<6|this[b++]&63),65536<=c?(c-=65536,a+=String.fromCharCode((c>>>10)+55296,(c&1023)+56320)):a+=String.fromCharCode(c));return a};h.write=function(b,a){for(var e=a||(a|=0),c=b.length,f,g=0;g<c;)f=b.charCodeAt(g++),128>f?this[e++]=f:(2048>
f?this[e++]=192|f>>>6:(55296>f||57343<f?this[e++]=224|f>>>12:(f=(f-55296<<10|b.charCodeAt(g++)-56320)+65536,this[e++]=240|f>>>18,this[e++]=128|f>>>12&63),this[e++]=128|f>>>6&63),this[e++]=128|f&63);return e-a}},{}],73:[function(f,l,h){var b=f("./bufferish");h=l.exports=[];h.alloc=function(a){return Array(a)};h.concat=b.concat;h.from=function(a){if(!b.isBuffer(a)&&b.isView(a))a=b.Uint8Array.from(a);else if(b.isArrayBuffer(a))a=new Uint8Array(a);else{if("string"===typeof a)return b.from.call(h,a);if("number"===
typeof a)throw new TypeError('"value" argument must not be a number');}return Array.prototype.slice.call(a)}},{"./bufferish":77}],74:[function(f,l,h){function b(a){return new e(a)}var a=f("./bufferish"),e=a.global;h=l.exports=a.hasBuffer?b(0):[];h.alloc=a.hasBuffer&&e.alloc||b;h.concat=a.concat;h.from=function(b){if(!a.isBuffer(b)&&a.isView(b))b=a.Uint8Array.from(b);else if(a.isArrayBuffer(b))b=new Uint8Array(b);else{if("string"===typeof b)return a.from.call(h,b);if("number"===typeof b)throw new TypeError('"value" argument must not be a number');
}return e.from&&1!==e.from.length?e.from(b):new e(b)}},{"./bufferish":77}],75:[function(f,l,h){function b(b,f,k,d){var m=c.isBuffer(this),h=c.isBuffer(b);if(m&&h)return this.copy(b,f,k,d);if(g||m||h||!c.isView(this)||!c.isView(b))return e.copy.call(this,b,f,k,d);k=k||null!=d?a.call(this,k,d):this;b.set(k,f);return k.length}function a(a,e){var f=this.slice||!g&&this.subarray;if(f)return f.call(this,a,e);f=c.alloc.call(this,e-a);b.call(this,f,0,a,e);return f}var e=f("./buffer-lite");h.copy=b;h.slice=
a;h.toString=function(a,b,g){return(!k&&c.isBuffer(this)?this.toString:e.toString).apply(this,arguments)};h.write=function(a){return function(){return(this[a]||e[a]).apply(this,arguments)}}("write");var c=f("./bufferish");f=c.global;var k=c.hasBuffer&&"TYPED_ARRAY_SUPPORT"in f,g=k&&!f.TYPED_ARRAY_SUPPORT},{"./buffer-lite":72,"./bufferish":77}],76:[function(f,l,h){function b(a){return new Uint8Array(a)}var a=f("./bufferish");h=l.exports=a.hasArrayBuffer?b(0):[];h.alloc=b;h.concat=a.concat;h.from=function(b){if(a.isView(b)){var c=
b.byteOffset,e=b.byteLength;b=b.buffer;b.byteLength!==e&&(b.slice?b=b.slice(c,c+e):(b=new Uint8Array(b),b.byteLength!==e&&(b=Array.prototype.slice.call(b,c,c+e))))}else{if("string"===typeof b)return a.from.call(h,b);if("number"===typeof b)throw new TypeError('"value" argument must not be a number');}return new Uint8Array(b)}},{"./bufferish":77}],77:[function(f,l,h){function b(a){return e(this).alloc(a)}function a(a){return a instanceof ArrayBuffer||z(a)}function e(a){return t(a)?D:d(a)?y:p(a)?v:g?
D:m?y:v}function c(){return!1}function k(a,b){a="[object "+a+"]";return function(d){return null!=d&&{}.toString.call(b?d[b]:d)===a}}l=h.global=f("./buffer-global");var g=h.hasBuffer=l&&!!l.isBuffer,m=h.hasArrayBuffer="undefined"!==typeof ArrayBuffer,p=h.isArray=f("isarray");h.isArrayBuffer=m?a:c;var t=h.isBuffer=g?l.isBuffer:c,d=h.isView=m?ArrayBuffer.isView||k("ArrayBuffer","buffer"):c;h.alloc=b;h.concat=function(a,d){function c(a){d+=a.length}d||(d=0,Array.prototype.forEach.call(a,c));var e=b.call(this!==
h&&this||a[0],d),g=0;Array.prototype.forEach.call(a,function(a){g+=C.copy.call(a,e,g)});return e};h.from=function(a){if("string"===typeof a){var d=3*a.length,c=b.call(this,d);a=C.write.call(c,a);d!==a&&(c=C.slice.call(c,0,a));return c}return e(this).from(a)};var v=h.Array=f("./bufferish-array"),D=h.Buffer=f("./bufferish-buffer"),y=h.Uint8Array=f("./bufferish-uint8array"),C=h.prototype=f("./bufferish-proto"),z=k("ArrayBuffer")},{"./buffer-global":71,"./bufferish-array":73,"./bufferish-buffer":74,"./bufferish-proto":75,
"./bufferish-uint8array":76,isarray:69}],78:[function(f,l,h){function b(a){if(!(this instanceof b))return new b(a);this.options=a;this.init()}function a(a,b){function c(){a.apply(this,arguments);return b.apply(this,arguments)}return a&&b?c:a||b}function e(a){function b(a,b){return b(a)}a=a.slice();return function(c){return a.reduce(b,c)}}function c(a){return new b(a)}var k=f("isarray");h.createCodec=c;h.install=function(c){for(var e in c)b.prototype[e]=a(b.prototype[e],c[e])};h.filter=function(a){return k(a)?
e(a):a};var g=f("./bufferish");b.prototype.init=function(){var a=this.options;a&&a.uint8array&&(this.bufferish=g.Uint8Array);return this};h.preset=c({preset:!0})},{"./bufferish":77,isarray:69}],79:[function(f,l,h){f("./read-core");f("./write-core");h.codec={preset:f("./codec-base").preset}},{"./codec-base":78,"./read-core":91,"./write-core":94}],80:[function(f,l,h){function b(a){if(!(this instanceof b))return new b(a);a&&(this.options=a,a.codec&&(a=this.codec=a.codec,a.bufferish&&(this.bufferish=
a.bufferish)))}h.DecodeBuffer=b;l=f("./read-core").preset;f("./flex-buffer").FlexDecoder.mixin(b.prototype);b.prototype.codec=l;b.prototype.fetch=function(){return this.codec.decode(this)}},{"./flex-buffer":90,"./read-core":91}],81:[function(f,l,h){h.decode=function(a,e){var c=new b(e);c.write(a);return c.read()};var b=f("./decode-buffer").DecodeBuffer},{"./decode-buffer":80}],82:[function(f,l,h){function b(e){if(!(this instanceof b))return new b(e);a.call(this,e)}h.Decoder=b;l=f("event-lite");var a=
f("./decode-buffer").DecodeBuffer;b.prototype=new a;l.mixin(b.prototype);b.prototype.decode=function(a){arguments.length&&this.write(a);this.flush()};b.prototype.push=function(a){this.emit("data",a)};b.prototype.end=function(a){this.decode(a);this.emit("end")}},{"./decode-buffer":80,"event-lite":66}],83:[function(f,l,h){function b(a){if(!(this instanceof b))return new b(a);a&&(this.options=a,a.codec&&(a=this.codec=a.codec,a.bufferish&&(this.bufferish=a.bufferish)))}h.EncodeBuffer=b;l=f("./write-core").preset;
f("./flex-buffer").FlexEncoder.mixin(b.prototype);b.prototype.codec=l;b.prototype.write=function(a){this.codec.encode(this,a)}},{"./flex-buffer":90,"./write-core":94}],84:[function(f,l,h){h.encode=function(a,e){var c=new b(e);c.write(a);return c.read()};var b=f("./encode-buffer").EncodeBuffer},{"./encode-buffer":83}],85:[function(f,l,h){function b(e){if(!(this instanceof b))return new b(e);a.call(this,e)}h.Encoder=b;l=f("event-lite");var a=f("./encode-buffer").EncodeBuffer;b.prototype=new a;l.mixin(b.prototype);
b.prototype.encode=function(a){this.write(a);this.emit("data",this.read())};b.prototype.end=function(a){arguments.length&&this.encode(a);this.flush();this.emit("end")}},{"./encode-buffer":83,"event-lite":66}],86:[function(f,l,h){function b(e,c){if(!(this instanceof b))return new b(e,c);this.buffer=a.from(e);this.type=c}h.ExtBuffer=b;var a=f("./bufferish")},{"./bufferish":77}],87:[function(f,l,h){function b(a){p||(p=f("./encode").encode);return p(a)}function a(a){return a.valueOf()}function e(a){a=
RegExp.prototype.toString.call(a).split("/");a.shift();var b=[a.pop()];b.unshift(a.join("/"));return b}function c(a){var b={},d;for(d in t)b[d]=a[d];return b}h.setExtPackers=function(d){d.addExtPacker(14,Error,[c,b]);d.addExtPacker(1,EvalError,[c,b]);d.addExtPacker(2,RangeError,[c,b]);d.addExtPacker(3,ReferenceError,[c,b]);d.addExtPacker(4,SyntaxError,[c,b]);d.addExtPacker(5,TypeError,[c,b]);d.addExtPacker(6,URIError,[c,b]);d.addExtPacker(10,RegExp,[e,b]);d.addExtPacker(11,Boolean,[a,b]);d.addExtPacker(12,
String,[a,b]);d.addExtPacker(13,Date,[Number,b]);d.addExtPacker(15,Number,[a,b]);"undefined"!==typeof Uint8Array&&(d.addExtPacker(17,Int8Array,m),d.addExtPacker(18,Uint8Array,m),d.addExtPacker(19,Int16Array,m),d.addExtPacker(20,Uint16Array,m),d.addExtPacker(21,Int32Array,m),d.addExtPacker(22,Uint32Array,m),d.addExtPacker(23,Float32Array,m),"undefined"!==typeof Float64Array&&d.addExtPacker(24,Float64Array,m),"undefined"!==typeof Uint8ClampedArray&&d.addExtPacker(25,Uint8ClampedArray,m),d.addExtPacker(26,
ArrayBuffer,m),d.addExtPacker(29,DataView,m));k.hasBuffer&&d.addExtPacker(27,g,k.from)};var k=f("./bufferish"),g=k.global,m=k.Uint8Array.from,p,t={name:1,message:1,stack:1,columnNumber:1,fileName:1,lineNumber:1}},{"./bufferish":77,"./encode":84}],88:[function(f,l,h){function b(a){p||(p=f("./decode").decode);return p(a)}function a(a){return RegExp.apply(null,a)}function e(a){return function(b){var d=new a,c;for(c in t)d[c]=b[c];return d}}function c(a){return function(b){return new a(b)}}function k(a){return(new Uint8Array(a)).buffer}
h.setExtUnpackers=function(d){d.addExtUnpacker(14,[b,e(Error)]);d.addExtUnpacker(1,[b,e(EvalError)]);d.addExtUnpacker(2,[b,e(RangeError)]);d.addExtUnpacker(3,[b,e(ReferenceError)]);d.addExtUnpacker(4,[b,e(SyntaxError)]);d.addExtUnpacker(5,[b,e(TypeError)]);d.addExtUnpacker(6,[b,e(URIError)]);d.addExtUnpacker(10,[b,a]);d.addExtUnpacker(11,[b,c(Boolean)]);d.addExtUnpacker(12,[b,c(String)]);d.addExtUnpacker(13,[b,c(Date)]);d.addExtUnpacker(15,[b,c(Number)]);"undefined"!==typeof Uint8Array&&(d.addExtUnpacker(17,
c(Int8Array)),d.addExtUnpacker(18,c(Uint8Array)),d.addExtUnpacker(19,[k,c(Int16Array)]),d.addExtUnpacker(20,[k,c(Uint16Array)]),d.addExtUnpacker(21,[k,c(Int32Array)]),d.addExtUnpacker(22,[k,c(Uint32Array)]),d.addExtUnpacker(23,[k,c(Float32Array)]),"undefined"!==typeof Float64Array&&d.addExtUnpacker(24,[k,c(Float64Array)]),"undefined"!==typeof Uint8ClampedArray&&d.addExtUnpacker(25,c(Uint8ClampedArray)),d.addExtUnpacker(26,k),d.addExtUnpacker(29,[k,c(DataView)]));g.hasBuffer&&d.addExtUnpacker(27,c(m))};
var g=f("./bufferish"),m=g.global,p,t={name:1,message:1,stack:1,columnNumber:1,fileName:1,lineNumber:1}},{"./bufferish":77,"./decode":81}],89:[function(f,l,h){f("./read-core");f("./write-core");h.createCodec=f("./codec-base").createCodec},{"./codec-base":78,"./read-core":91,"./write-core":94}],90:[function(f,l,h){function b(){if(!(this instanceof b))return new b}function a(){if(!(this instanceof a))return new a}function e(){throw Error("method not implemented: write()");}function c(){throw Error("method not implemented: fetch()");
}function k(){if(!this.buffers||!this.buffers.length)return this.fetch();this.flush();return this.pull()}function g(a){(this.buffers||(this.buffers=[])).push(a)}function m(){return(this.buffers||(this.buffers=[])).shift()}function p(a){return function(b){for(var d in a)b[d]=a[d];return b}}h.FlexDecoder=b;h.FlexEncoder=a;var t=f("./bufferish");b.mixin=p(function(){return{bufferish:t,write:function(a){var b=this.offset?t.prototype.slice.call(this.buffer,this.offset):this.buffer;this.buffer=b?a?this.bufferish.concat([b,
a]):b:a;this.offset=0},fetch:c,flush:function(){for(;this.offset<this.buffer.length;){var a=this.offset,b;try{b=this.fetch()}catch(D){if(D&&"BUFFER_SHORTAGE"!=D.message)throw D;this.offset=a;break}this.push(b)}},push:g,pull:m,read:k,reserve:function(a){var b=this.offset;a=b+a;if(a>this.buffer.length)throw Error("BUFFER_SHORTAGE");this.offset=a;return b},offset:0}}());b.mixin(b.prototype);a.mixin=p(function(){return{bufferish:t,write:e,fetch:function(){var a=this.start;if(a<this.offset){var b=this.start=
this.offset;return t.prototype.slice.call(this.buffer,a,b)}},flush:function(){for(;this.start<this.offset;){var a=this.fetch();a&&this.push(a)}},push:g,pull:function(){var a=this.buffers||(this.buffers=[]),b=1<a.length?this.bufferish.concat(a):a[0];a.length=0;return b},read:k,reserve:function(a){var b=a|0;if(this.buffer){var d=this.buffer.length,c=this.offset|0,e=c+b;if(e<d)return this.offset=e,c;this.flush();a=Math.max(a,Math.min(2*d,this.maxBufferSize))}a=Math.max(a,this.minBufferSize);this.buffer=
this.bufferish.alloc(a);this.start=0;this.offset=b;return 0},send:function(a){var b=a.length;b>this.minBufferSize?(this.flush(),this.push(a)):(b=this.reserve(b),t.prototype.copy.call(a,this.buffer,b))},maxBufferSize:65536,minBufferSize:2048,offset:0,start:0}}());a.mixin(a.prototype)},{"./bufferish":77}],91:[function(f,l,h){function b(a){var b=g.getReadToken(a);return function(a){var d=k(a),c=b[d];if(!c)throw Error("Invalid type: "+(d?"0x"+d.toString(16):d));return c(a)}}function a(){var a=this.options;
this.decode=b(a);a&&a.preset&&c.setExtUnpackers(this);return this}var e=f("./ext-buffer").ExtBuffer,c=f("./ext-unpacker"),k=f("./read-format").readUint8,g=f("./read-token"),m=f("./codec-base");m.install({addExtUnpacker:function(a,b){(this.extUnpackers||(this.extUnpackers=[]))[a]=m.filter(b)},getExtUnpacker:function(a){function b(b){return new e(b,a)}return(this.extUnpackers||(this.extUnpackers=[]))[a]||b},init:a});h.preset=a.call(m.preset)},{"./codec-base":78,"./ext-buffer":86,"./ext-unpacker":88,
"./read-format":92,"./read-token":93}],92:[function(f,l,h){function b(a,b){var d={},c,e=Array(b),g=Array(b),f=a.codec.decode;for(c=0;c<b;c++)e[c]=f(a),g[c]=f(a);for(c=0;c<b;c++)d[e[c]]=g[c];return d}function a(a,b){var d=new Map,c,e=Array(b),g=Array(b),f=a.codec.decode;for(c=0;c<b;c++)e[c]=f(a),g[c]=f(a);for(c=0;c<b;c++)d.set(e[c],g[c]);return d}function e(a,b){for(var d=Array(b),c=a.codec.decode,e=0;e<b;e++)d[e]=c(a);return d}function c(a,b){var d=a.reserve(b);return M.toString.call(a.buffer,"utf-8",
d,d+b)}function k(a,b){var d=a.reserve(b),d=M.slice.call(a.buffer,d,d+b);return F.from(d)}function g(a,b){var d=a.reserve(b),d=M.slice.call(a.buffer,d,d+b);return F.Uint8Array.from(d).buffer}function m(a,b){var d=a.reserve(b+1),c=a.buffer[d++],e=d+b,g=a.codec.getExtUnpacker(c);if(!g)throw Error("Invalid ext type: "+(c?"0x"+c.toString(16):c));d=M.slice.call(a.buffer,d,e);return g(d)}function p(a){var b=a.reserve(1);return a.buffer[b]}function t(a){var b=a.reserve(1);a=a.buffer[b];return a&128?a-256:
a}function d(a){var b=a.reserve(2);a=a.buffer;return a[b++]<<8|a[b]}function v(a){var b=a.reserve(2);a=a.buffer;b=a[b++]<<8|a[b];return b&32768?b-65536:b}function D(a){var b=a.reserve(4);a=a.buffer;return 16777216*a[b++]+(a[b++]<<16)+(a[b++]<<8)+a[b]}function y(a){var b=a.reserve(4);a=a.buffer;return a[b++]<<24|a[b++]<<16|a[b++]<<8|a[b]}function C(a,b){return function(d){var c=d.reserve(a);return b.call(d.buffer,c,J)}}function z(a){return(new E(this,a)).toNumber()}function H(a){return(new U(this,
a)).toNumber()}function r(a){return new E(this,a)}function x(a){return new U(this,a)}function B(a){return K.read(this,a,!1,23,4)}function I(a){return K.read(this,a,!1,52,8)}var K=f("ieee754");l=f("int64-buffer");var E=l.Uint64BE,U=l.Int64BE;h.getReadFormat=function(f){var q=f&&f.int64;return{map:N&&f&&f.usemap?a:b,array:e,str:c,bin:F.hasArrayBuffer&&f&&f.binarraybuffer?g:k,ext:m,uint8:p,uint16:d,uint32:D,uint64:C(8,q?r:z),int8:t,int16:v,int32:y,int64:C(8,q?x:H),float32:C(4,B),float64:C(8,I)}};h.readUint8=
p;var F=f("./bufferish"),M=f("./bufferish-proto"),N="undefined"!==typeof Map,J=!0},{"./bufferish":77,"./bufferish-proto":75,ieee754:67,"int64-buffer":68}],93:[function(f,l,h){function b(b){var g,f=Array(256);for(g=0;127>=g;g++)f[g]=a(g);for(g=128;143>=g;g++)f[g]=c(g-128,b.map);for(g=144;159>=g;g++)f[g]=c(g-144,b.array);for(g=160;191>=g;g++)f[g]=c(g-160,b.str);f[192]=a(null);f[193]=null;f[194]=a(!1);f[195]=a(!0);f[196]=e(b.uint8,b.bin);f[197]=e(b.uint16,b.bin);f[198]=e(b.uint32,b.bin);f[199]=e(b.uint8,
b.ext);f[200]=e(b.uint16,b.ext);f[201]=e(b.uint32,b.ext);f[202]=b.float32;f[203]=b.float64;f[204]=b.uint8;f[205]=b.uint16;f[206]=b.uint32;f[207]=b.uint64;f[208]=b.int8;f[209]=b.int16;f[210]=b.int32;f[211]=b.int64;f[212]=c(1,b.ext);f[213]=c(2,b.ext);f[214]=c(4,b.ext);f[215]=c(8,b.ext);f[216]=c(16,b.ext);f[217]=e(b.uint8,b.str);f[218]=e(b.uint16,b.str);f[219]=e(b.uint32,b.str);f[220]=e(b.uint16,b.array);f[221]=e(b.uint32,b.array);f[222]=e(b.uint16,b.map);f[223]=e(b.uint32,b.map);for(g=224;255>=g;g++)f[g]=
a(g-256);return f}function a(a){return function(){return a}}function e(a,b){return function(c){var e=a(c);return b(c,e)}}function c(a,b){return function(c){return b(c,a)}}var k=f("./read-format");h.getReadToken=function(a){var e=k.getReadFormat(a);if(a&&a.useraw){var g=b(e).slice();g[217]=g[196];g[218]=g[197];g[219]=g[198];for(a=160;191>=a;a++)g[a]=c(a-160,e.bin);return g}return b(e)}},{"./read-format":92}],94:[function(f,l,h){function b(a){var b=k.getWriteType(a);return function(a,d){var c=b[typeof d];
if(!c)throw Error('Unsupported type "'+typeof d+'": '+d);c(a,d)}}function a(){var a=this.options;this.encode=b(a);a&&a.preset&&c.setExtPackers(this);return this}var e=f("./ext-buffer").ExtBuffer,c=f("./ext-packer"),k=f("./write-type"),g=f("./codec-base");g.install({addExtPacker:function(a,b,c){function d(b){c&&(b=c(b));return new e(b,a)}c=g.filter(c);var f=b.name;f&&"Object"!==f?(this.extPackers||(this.extPackers={}))[f]=d:(this.extEncoderList||(this.extEncoderList=[])).unshift([b,d])},getExtPacker:function(a){var b=
this.extPackers||(this.extPackers={});if(b=(a=a.constructor)&&a.name&&b[a.name])return b;for(var b=this.extEncoderList||(this.extEncoderList=[]),c=b.length,d=0;d<c;d++){var e=b[d];if(a===e[0])return e[1]}},init:a});h.preset=a.call(g.preset)},{"./codec-base":78,"./ext-buffer":86,"./ext-packer":87,"./write-type":96}],95:[function(f,l,h){function b(){var b=y.slice();b[196]=a(196);b[197]=e(197);b[198]=c(198);b[199]=a(199);b[200]=e(200);b[201]=c(201);b[202]=k(202,4,r.writeFloatBE||p,!0);b[203]=k(203,8,
r.writeDoubleBE||t,!0);b[204]=a(204);b[205]=e(205);b[206]=c(206);b[207]=k(207,8,g);b[208]=a(208);b[209]=e(209);b[210]=c(210);b[211]=k(211,8,m);b[217]=a(217);b[218]=e(218);b[219]=c(219);b[220]=e(220);b[221]=c(221);b[222]=e(222);b[223]=c(223);return b}function a(a){return function(b,d){var c=b.reserve(2),e=b.buffer;e[c++]=a;e[c]=d}}function e(a){return function(b,d){var c=b.reserve(3),e=b.buffer;e[c++]=a;e[c++]=d>>>8;e[c]=d}}function c(a){return function(b,d){var c=b.reserve(5),e=b.buffer;e[c++]=a;
e[c++]=d>>>24;e[c++]=d>>>16;e[c++]=d>>>8;e[c]=d}}function k(a,b,d,c){return function(e,g){var f=e.reserve(b+1);e.buffer[f++]=a;d.call(e.buffer,g,f,c)}}function g(a,b){new v(this,b,a)}function m(a,b){new D(this,b,a)}function p(a,b){d.write(this,a,b,!1,23,4)}function t(a,b){d.write(this,a,b,!1,52,8)}var d=f("ieee754");l=f("int64-buffer");var v=l.Uint64BE,D=l.Int64BE,y=f("./write-uint8").uint8,C=f("./bufferish"),z=C.global,H=C.hasBuffer&&"TYPED_ARRAY_SUPPORT"in z&&!z.TYPED_ARRAY_SUPPORT,r=C.hasBuffer&&
z.prototype||{};h.getWriteToken=function(a){return a&&a.uint8array?(a=b(),a[202]=k(202,4,p),a[203]=k(203,8,t),a):H||C.hasBuffer&&a&&a.safe?(a=y.slice(),a[196]=k(196,1,z.prototype.writeUInt8),a[197]=k(197,2,z.prototype.writeUInt16BE),a[198]=k(198,4,z.prototype.writeUInt32BE),a[199]=k(199,1,z.prototype.writeUInt8),a[200]=k(200,2,z.prototype.writeUInt16BE),a[201]=k(201,4,z.prototype.writeUInt32BE),a[202]=k(202,4,z.prototype.writeFloatBE),a[203]=k(203,8,z.prototype.writeDoubleBE),a[204]=k(204,1,z.prototype.writeUInt8),
a[205]=k(205,2,z.prototype.writeUInt16BE),a[206]=k(206,4,z.prototype.writeUInt32BE),a[207]=k(207,8,g),a[208]=k(208,1,z.prototype.writeInt8),a[209]=k(209,2,z.prototype.writeInt16BE),a[210]=k(210,4,z.prototype.writeInt32BE),a[211]=k(211,8,m),a[217]=k(217,1,z.prototype.writeUInt8),a[218]=k(218,2,z.prototype.writeUInt16BE),a[219]=k(219,4,z.prototype.writeUInt32BE),a[220]=k(220,2,z.prototype.writeUInt16BE),a[221]=k(221,4,z.prototype.writeUInt32BE),a[222]=k(222,2,z.prototype.writeUInt16BE),a[223]=k(223,
4,z.prototype.writeUInt32BE),a):b()}},{"./bufferish":77,"./write-uint8":97,ieee754:67,"int64-buffer":68}],96:[function(f,l,h){var b=f("isarray");l=f("int64-buffer");var a=l.Uint64BE,e=l.Int64BE,c=f("./bufferish"),k=f("./bufferish-proto"),g=f("./write-token"),m=f("./write-uint8").uint8,p=f("./ext-buffer").ExtBuffer,t="undefined"!==typeof Uint8Array,d="undefined"!==typeof Map,v=[,212,213,,214,,,,215];v[16]=216;h.getWriteType=function(f){function h(a){return 32>a?1:255>=a?2:65535>=a?3:5}function l(a){return 32>
a?1:65535>=a?3:5}function D(d,c){if(null===c)return r(d,c);if(M(c))return N(d,c);if(b(c)){var g=c,f=g.length;E[16>f?144+f:65535>=f?220:221](d,f);for(var q=d.codec.encode,k=0;k<f;k++)q(d,g[k])}else if(a.isUint64BE(c))E[207](d,c.toArray());else if(e.isInt64BE(c))E[211](d,c.toArray());else(g=d.codec.getExtPacker(c))&&(c=g(c)),c instanceof p?(g=c,f=g.buffer,q=f.length,E[v[q]||(255>q?199:65535>=q?200:201)](d,q),m[g.type](d),d.send(f)):J(d,c)}function H(a,b){if(M(b)){var d=b.length;E[32>d?160+d:65535>=
d?218:219](a,d);a.send(b)}else D(a,b)}function r(a,b){E[192](a,b)}function x(a,b){var d=b.length;E[255>d?196:65535>=d?197:198](a,d);a.send(b)}function B(a,b){x(a,new Uint8Array(b))}function I(a,b){var d=Object.keys(b),c=d.length;E[16>c?128+c:65535>=c?222:223](a,c);var e=a.codec.encode;d.forEach(function(d){e(a,d);e(a,b[d])})}function K(a,b){if(!(b instanceof Map))return I(a,b);var d=b.size;E[16>d?128+d:65535>=d?222:223](a,d);var c=a.codec.encode;b.forEach(function(b,d,e){c(a,d);c(a,b)})}var E=g.getWriteToken(f),
U=f&&f.useraw,F=t&&f&&f.binarraybuffer,M=F?c.isArrayBuffer:c.isBuffer,N=F?B:x,J=d&&f&&f.usemap?K:I;return{"boolean":function(a,b){E[b?195:194](a,b)},"function":r,number:function(a,b){var d=b|0;if(b!==d)E[203](a,b);else E[-32<=d&&127>=d?d&255:0<=d?255>=d?204:65535>=d?205:206:-128<=d?208:-32768<=d?209:210](a,d)},object:U?H:D,string:function(a){return function(b,d){var c=d.length;b.offset=b.reserve(5+3*c);var e=b.buffer,g=a(c),f=b.offset+g,c=k.write.call(e,d,f),n=a(c);g!==n&&k.copy.call(e,e,f+n-g,f,
f+c);E[1===n?160+c:3>=n?215+n:219](b,c);b.offset+=c}}(U?l:h),symbol:r,undefined:r}}},{"./bufferish":77,"./bufferish-proto":75,"./ext-buffer":86,"./write-token":95,"./write-uint8":97,"int64-buffer":68,isarray:69}],97:[function(f,l,h){function b(a){return function(b){var c=b.reserve(1);b.buffer[c]=a}}f=h.uint8=Array(256);for(l=0;255>=l;l++)f[l]=b(l)},{}],98:[function(f,l,h){(function(b){(function(){var a,e,c=function(a,b){function c(){this.constructor=a}for(var e in b)k.call(b,e)&&(a[e]=b[e]);c.prototype=
b.prototype;a.prototype=new c;a.__super__=b.prototype;return a},k={}.hasOwnProperty;a=f("stream");e=f("util");l.exports=function(a){function g(a,d,c){var e,f,k;null==c&&(c={});f=e=void 0;switch(typeof a){case "object":b.isBuffer(a)?(e=a,null!=d&&"object"===typeof d&&(c=d)):c=a;break;case "string":e=a,null!=d&&"object"===typeof d?c=d:f=d}null==c&&(c={});null==e&&(e=c.input);null==f&&(f=c.inputEncoding);delete c.input;delete c.inputEncoding;a=null!=(k=c.watchPipe)?k:!0;delete c.watchPipe;g.__super__.constructor.call(this,
c);if(a)this.on("pipe",function(a){return function(b){b=b._readableState.objectMode;if(0<a.length&&b!==a._readableState.objectMode)throw Error("Do not switch objectMode in the middle of the stream");a._readableState.objectMode=b;return a._writableState.objectMode=b}}(this));null!=e&&this.end(e,f)}var f;c(g,a);g.isNoFilter=function(a){return a instanceof this};g.compare=function(a,b){if(!(a instanceof this))throw new TypeError("Arguments must be NoFilters");return a===b?0:a.compare(b)};g.concat=function(a,
d){var c;if(!Array.isArray(a))throw new TypeError("list argument must be an Array of NoFilters");if(0===a.length||0===d)return new b(0);null==d&&(d=a.reduce(function(a,b){if(!(b instanceof g))throw new TypeError("list argument must be an Array of NoFilters");return a+b.length},0));c=a.map(function(a){if(!(a instanceof g))throw new TypeError("list argument must be an Array of NoFilters");if(a._readableState.objectMode)throw Error("NoFilter may not be in object mode for concat");return a.slice()});
return b.concat(c,d)};g.prototype._transform=function(a,d,c){this._readableState.objectMode||b.isBuffer(a)||(a=new b(a,d));this.push(a);return c()};g.prototype._bufArray=function(){var a,b;b=this._readableState.buffer;if(!Array.isArray(b))for(a=b.head,b=[];null!=a;)b.push(a.data),a=a.next;return b};g.prototype.read=function(a){a=g.__super__.read.call(this,a);null!=a&&this.emit("read",a);return a};g.prototype.promise=function(a){var b;b=!1;return new Promise(function(c){return function(d,e){c.on("finish",
function(){var e;e=c.read();null==a||b||(b=!0,a(null,e));return d(e)});return c.on("error",function(c){null==a||b||(b=!0,a(c));return e(c)})}}(this))};g.prototype.compare=function(a){if(!(a instanceof g))throw new TypeError("Arguments must be NoFilters");if(this._readableState.objectMode||a._readableState.objectMode)throw Error("Must not be in object mode to compare");return this===a?0:this.slice().compare(a.slice())};g.prototype.equals=function(a){return 0===this.compare(a)};g.prototype.slice=function(a,
c){var d;if(this._readableState.objectMode)return this._bufArray().slice(a,c);d=this._bufArray();switch(d.length){case 0:return new b(0);case 1:return d[0].slice(a,c);default:return d=b.concat(d),d.slice(a,c)}};g.prototype.get=function(a){return this.slice()[a]};g.prototype.toJSON=function(){var a;a=this.slice();return b.isBuffer(a)?a.toJSON():a};g.prototype.toString=function(a,b,c){return this.slice().toString(a,b,c)};g.prototype.inspect=function(a,c){var d;d=this._bufArray().map(function(a){return b.isBuffer(a)?
null!=c&&c.stylize?c.stylize(a.toString("hex"),"string"):a.toString("hex"):e.inspect(a,c)}).join(", ");return this.constructor.name+" ["+d+"]"};a=function(a,c){return function(d){d=this.read(c);return b.isBuffer(d)?d[a].call(d,0,!0):null}};f=function(a,c){return function(d){var e;e=new b(c);e[a].call(e,d,0,!0);return this.push(e)}};g.prototype.writeUInt8=f("writeUInt8",1);g.prototype.writeUInt16LE=f("writeUInt16LE",2);g.prototype.writeUInt16BE=f("writeUInt16BE",2);g.prototype.writeUInt32LE=f("writeUInt32LE",
4);g.prototype.writeUInt32BE=f("writeUInt32BE",4);g.prototype.writeInt8=f("writeInt8",1);g.prototype.writeInt16LE=f("writeInt16LE",2);g.prototype.writeInt16BE=f("writeInt16BE",2);g.prototype.writeInt32LE=f("writeInt32LE",4);g.prototype.writeInt32BE=f("writeInt32BE",4);g.prototype.writeFloatLE=f("writeFloatLE",4);g.prototype.writeFloatBE=f("writeFloatBE",4);g.prototype.writeDoubleLE=f("writeDoubleLE",8);g.prototype.writeDoubleBE=f("writeDoubleBE",8);g.prototype.readUInt8=a("readUInt8",1);g.prototype.readUInt16LE=
a("readUInt16LE",2);g.prototype.readUInt16BE=a("readUInt16BE",2);g.prototype.readUInt32LE=a("readUInt32LE",4);g.prototype.readUInt32BE=a("readUInt32BE",4);g.prototype.readInt8=a("readInt8",1);g.prototype.readInt16LE=a("readInt16LE",2);g.prototype.readInt16BE=a("readInt16BE",2);g.prototype.readInt32LE=a("readInt32LE",4);g.prototype.readInt32BE=a("readInt32BE",4);g.prototype.readFloatLE=a("readFloatLE",4);g.prototype.readFloatBE=a("readFloatBE",4);g.prototype.readDoubleLE=a("readDoubleLE",8);g.prototype.readDoubleBE=
a("readDoubleBE",8);(function(a){var b,c,e;e=[];for(c in a)b=a[c],e.push(g.prototype.__defineGetter__(c,b));return e})({length:function(){return this._readableState.length}});return g}(a.Transform)}).call(this)}).call(this,f("buffer").Buffer)},{buffer:129,stream:153,util:160}],99:[function(f,l,h){(function(b){b(function(a){function b(a){var b=1<arguments.length?p.call(arguments,1):[];return function(){return h(a,this,b.concat(p.call(arguments)))}}var c=a("./when"),f=c["try"],g=a("./lib/liftAll"),
h=a("./lib/apply")(c.Promise),p=Array.prototype.slice;return{lift:b,liftAll:function(a,c,e){return g(b,c,e,a)},call:f,apply:function(a,b){return h(a,this,null==b?[]:p.call(b))},compose:function(a){var b=p.call(arguments,1);return function(){var d=this,e=p.call(arguments),e=f.apply(d,[a].concat(e));return c.reduce(b,function(a,b){return b.call(d,a)},e)}}}})})(function(b){l.exports=b(f)})},{"./lib/apply":103,"./lib/liftAll":115,"./when":123}],100:[function(f,l,h){(function(b){b(function(a){var b=a("./makePromise"),
c=a("./Scheduler");a=a("./env").asap;return b({scheduler:new c(a)})})})(function(b){l.exports=b(f)})},{"./Scheduler":101,"./env":113,"./makePromise":116}],101:[function(f,l,h){(function(b){b(function(){function a(a){this._async=a;this._running=!1;this._queue=this;this._queueLen=0;this._afterQueue={};this._afterQueueLen=0;var b=this;this.drain=function(){b._drain()}}a.prototype.enqueue=function(a){this._queue[this._queueLen++]=a;this.run()};a.prototype.afterQueue=function(a){this._afterQueue[this._afterQueueLen++]=
a;this.run()};a.prototype.run=function(){this._running||(this._running=!0,this._async(this.drain))};a.prototype._drain=function(){for(var a=0;a<this._queueLen;++a)this._queue[a].run(),this._queue[a]=void 0;this._queueLen=0;this._running=!1;for(a=0;a<this._afterQueueLen;++a)this._afterQueue[a].run(),this._afterQueue[a]=void 0;this._afterQueueLen=0};return a})})(function(b){l.exports=b()})},{}],102:[function(f,l,h){(function(b){b(function(){function a(b){Error.call(this);this.message=b;this.name=a.name;
"function"===typeof Error.captureStackTrace&&Error.captureStackTrace(this,a)}a.prototype=Object.create(Error.prototype);return a.prototype.constructor=a})})(function(b){l.exports=b()})},{}],103:[function(f,l,h){(function(b){b(function(){function a(a,e){function c(b,c){if(0>b.i)return e(b.f,b.thisArg,b.params,c);a._handler(b.args[b.i]).fold(f,b,void 0,c)}function f(a,b,d){a.params[a.i]=b;--a.i;c(a,d)}2>arguments.length&&(e=b);return function(b,g,d){var f=a._defer(),k=d.length;c({f:b,thisArg:g,args:d,
params:Array(k),i:k-1,call:e},f._handler);return f}}function b(a,b,e,f){try{f.resolve(a.apply(b,e))}catch(p){f.reject(p)}}a.tryCatchResolve=b;return a})})(function(b){l.exports=b()})},{}],104:[function(f,l,h){(function(b){b(function(a){var b=a("../state"),c=a("../apply");return function(a){function e(c){var d;c instanceof a&&(d=c._handler.join());if(d&&0===d.state()||!d)return h(c).then(b.fulfilled,b.rejected);d._unreport();return b.inspect(d)}function f(a){return function(b,c,d){return k(a,void 0,
[b,c,d])}}var k=c(a),h=a.resolve,d=a.all,l=Array.prototype.reduce,D=Array.prototype.reduceRight,y=Array.prototype.slice;a.any=function(b){function c(a){h=null;this.resolve(a)}function d(a){this.resolved||(h.push(a),0===--k&&this.reject(h))}for(var e=a._defer(),g=e._handler,f=b.length>>>0,k=f,h=[],m,p=0;p<f;++p)if(m=b[p],void 0!==m||p in b)if(m=a._handler(m),0<m.state()){g.become(m);a._visitRemaining(b,p,m);break}else m.visit(g,c,d);else--k;0===k&&g.reject(new RangeError("any(): array must not be empty"));
return e};a.some=function(b,c){function d(a){this.resolved||(k.push(a),0===--p&&(h=null,this.resolve(k)))}function e(a){this.resolved||(h.push(a),0===--l&&(k=null,this.reject(h)))}var g=a._defer(),f=g._handler,k=[],h=[],m=b.length>>>0,p=0,l,t,v;for(v=0;v<m;++v)t=b[v],(void 0!==t||v in b)&&++p;c=Math.max(c,0);l=p-c+1;p=Math.min(c,p);c>p?f.reject(new RangeError("some(): array must contain at least "+c+" item(s), but had "+p)):0===p&&f.resolve(k);for(v=0;v<m;++v)t=b[v],(void 0!==t||v in b)&&a._handler(t).visit(f,
d,e,f.notify);return g};a.settle=function(a){return d(a.map(e))};a.map=function(b,c){return a._traverse(c,b)};a.filter=function(b,c){var d=y.call(b);return a._traverse(c,d).then(function(b){for(var c=b.length,e=Array(c),g=0,f=0;g<c;++g)b[g]&&(e[f++]=a._handler(d[g]).value);e.length=f;return e})};a.reduce=function(a,b){return 2<arguments.length?l.call(a,f(b),arguments[2]):l.call(a,f(b))};a.reduceRight=function(a,b){return 2<arguments.length?D.call(a,f(b),arguments[2]):D.call(a,f(b))};a.prototype.spread=
function(a){return this.then(d).then(function(b){return a.apply(this,b)})};return a}})})(function(b){l.exports=b(f)})},{"../apply":103,"../state":117}],105:[function(f,l,h){(function(b){b(function(){function a(){throw new TypeError("catch predicate must be a function");}function b(a){return a}return function(c){function e(a,b){return function(c){return(b===Error||null!=b&&b.prototype instanceof Error?c instanceof b:b(c))?a.call(this,c):l(c)}}function g(a,b,c,d){a=a.call(b);return"object"!==typeof a&&
"function"!==typeof a||null===a?c(d):f(a,c,d)}function f(a,b,c){return h(a).then(function(){return b(c)})}var h=c.resolve,l=c.reject,d=c.prototype["catch"];c.prototype.done=function(a,b){this._handler.visit(this._handler.receiver,a,b)};c.prototype["catch"]=c.prototype.otherwise=function(b){return 2>arguments.length?d.call(this,b):"function"!==typeof b?this.ensure(a):d.call(this,e(arguments[1],b))};c.prototype["finally"]=c.prototype.ensure=function(a){return"function"!==typeof a?this:this.then(function(c){return g(a,
this,b,c)},function(b){return g(a,this,l,b)})};c.prototype["else"]=c.prototype.orElse=function(a){return this.then(void 0,function(){return a})};c.prototype.yield=function(a){return this.then(function(){return a})};c.prototype.tap=function(a){return this.then(a).yield(this)};return c}})})(function(b){l.exports=b()})},{}],106:[function(f,l,h){(function(b){b(function(){return function(a){a.prototype.fold=function(b,c){var e=this._beget();this._handler.fold(function(c,e,f){a._handler(c).fold(function(a,
c,e){e.resolve(b.call(this,c,a))},e,this,f)},c,e._handler.receiver,e._handler);return e};return a}})})(function(b){l.exports=b()})},{}],107:[function(f,l,h){(function(b){b(function(a){var b=a("../state").inspect;return function(a){a.prototype.inspect=function(){return b(a._handler(this))};return a}})})(function(b){l.exports=b(f)})},{"../state":117}],108:[function(f,l,h){(function(b){b(function(){return function(a){function b(a,e,f,h){function g(d,g){return c(f(d)).then(function(){return b(a,e,f,g)})}
return c(h).then(function(b){return c(e(b)).then(function(d){return d?b:c(a(b)).spread(g)})})}var c=a.resolve;a.iterate=function(a,c,e,f){return b(function(b){return[b,a(b)]},c,e,f)};a.unfold=b;return a}})})(function(b){l.exports=b()})},{}],109:[function(f,l,h){(function(b){b(function(){return function(a){a.prototype.progress=function(a){return this.then(void 0,void 0,a)};return a}})})(function(b){l.exports=b()})},{}],110:[function(f,l,h){(function(b){b(function(a){function b(a,b,e,f){return c.setTimer(function(){a(e,
f,b)},b)}var c=a("../env"),f=a("../TimeoutError");return function(a){function e(a,c,e){b(g,a,c,e)}function g(a,b){b.resolve(a)}function k(a,b,c){a="undefined"===typeof a?new f("timed out after "+c+"ms"):a;b.reject(a)}a.prototype.delay=function(a){var b=this._beget();this._handler.fold(e,a,void 0,b._handler);return b};a.prototype.timeout=function(a,e){var d=this._beget(),g=d._handler,f=b(k,a,e,d._handler);this._handler.visit(g,function(a){c.clearTimer(f);this.resolve(a)},function(a){c.clearTimer(f);
this.reject(a)},g.notify);return d};return a}})})(function(b){l.exports=b(f)})},{"../TimeoutError":102,"../env":113}],111:[function(f,l,h){(function(b){b(function(a){function b(a){throw a;}function c(){}var f=a("../env").setTimer,g=a("../format");return function(a){function e(a){a.handled||(H.push(a),m("Potentially unhandled rejection ["+a.id+"] "+g.formatError(a.value)))}function k(a){var b=H.indexOf(a);0<=b&&(H.splice(b,1),l("Handled previous rejection ["+a.id+"] "+g.formatObject(a.value)))}function d(a,
b){z.push(a,b);null===r&&(r=f(h,0))}function h(){for(r=null;0<z.length;)z.shift()(z.shift())}var m=c,l=c,C;"undefined"!==typeof console&&(C=console,m="undefined"!==typeof C.error?function(a){C.error(a)}:function(a){C.log(a)},l="undefined"!==typeof C.info?function(a){C.info(a)}:function(a){C.log(a)});a.onPotentiallyUnhandledRejection=function(a){d(e,a)};a.onPotentiallyUnhandledRejectionHandled=function(a){d(k,a)};a.onFatalRejection=function(a){d(b,a.value)};var z=[],H=[],r=null;return a}})})(function(b){l.exports=
b(f)})},{"../env":113,"../format":114}],112:[function(f,l,h){(function(b){b(function(){return function(a){a.prototype["with"]=a.prototype.withThis=function(a){var b=this._beget(),e=b._handler;e.receiver=a;this._handler.chain(e,a);return b};return a}})})(function(b){l.exports=b()})},{}],113:[function(f,l,h){(function(b){(function(a){a(function(a){function c(a){var b,c=document.createTextNode("");(new a(function(){var a=b;b=void 0;a()})).observe(c,{characterData:!0});var d=0;return function(a){b=a;
c.data=d^=1}}var e,g="undefined"!==typeof setTimeout&&setTimeout,f=function(a,b){return setTimeout(a,b)},h=function(a){return clearTimeout(a)},l=function(a){return g(a,0)};if("undefined"!==typeof b&&"[object process]"===Object.prototype.toString.call(b))l=function(a){return b.nextTick(a)};else if(e="undefined"!==typeof MutationObserver&&MutationObserver||"undefined"!==typeof WebKitMutationObserver&&WebKitMutationObserver)l=c(e);else if(!g)var d=a("vertx"),f=function(a,b){return d.setTimer(b,a)},h=
d.cancelTimer,l=d.runOnLoop||d.runOnContext;return{setTimer:f,clearTimer:h,asap:l}})})(function(a){l.exports=a(f)})}).call(this,f("_process"))},{_process:137}],114:[function(f,l,h){(function(b){b(function(){function a(a){var c=String(a);"[object Object]"===c&&"undefined"!==typeof JSON&&(c=b(a,c));return c}function b(a,b){try{return JSON.stringify(a)}catch(g){return b}}return{formatError:function(b){var c="object"===typeof b&&null!==b&&(b.stack||b.message)?b.stack||b.message:a(b);return b instanceof
Error?c:c+" (WARNING: non-Error used)"},formatObject:a,tryStringify:b}})})(function(b){l.exports=b()})},{}],115:[function(f,l,h){(function(b){b(function(){function a(a,b,e){a[e]=b;return a}function b(a){return"function"===typeof a?a.bind():Object.create(a)}return function(c,e,g,f){"undefined"===typeof e&&(e=a);return Object.keys(f).reduce(function(a,b){var d=f[b];return"function"===typeof d?e(a,c(d),b):a},"undefined"===typeof g?b(f):g)}})})(function(b){l.exports=b()})},{}],116:[function(f,l,h){(function(b){(function(a){a(function(){return function(a){function c(a,
b){this._handler=a===y?b:e(a)}function e(a){function b(a){e.resolve(a)}function c(a){e.reject(a)}function d(a){e.notify(a)}var e=new z;try{a(b,c,d)}catch(aa){c(aa)}return e}function g(a){return a instanceof c?a:new c(y,new H(v(a)))}function f(a){return new c(y,new H(new B(a)))}function h(a,b,d){function e(c,e,f){f.resolved||l(d,g,c,a(b,e,c),f)}function g(a,b,c){u[a]=b;0===--q&&c.become(new x(u))}for(var f="function"===typeof b?e:g,n=new z,q=d.length>>>0,u=Array(q),k=0,h;k<d.length&&!n.resolved;++k)h=
d[k],void 0!==h||k in d?l(d,f,k,h,n):--q;0===q&&n.become(new x(u));return new c(y,n)}function l(a,b,e,g,f){if(J(g)){g=g instanceof c?g._handler.join():D(g);var n=g.state();0===n?g.fold(b,e,void 0,f):0<n?b(e,g.value,f):(f.become(g),d(a,e+1,g))}else b(e,g,f)}function d(a,b,c){for(;b<a.length;++b){var d=v(a[b]);if(d!==c){var e=d.state();0===e?d.visit(d,void 0,d._unreport):0>e&&d._unreport()}}}function v(a){return a instanceof c?a._handler.join():J(a)?D(a):new x(a)}function D(a){try{var b=a.then;return"function"===
typeof b?new r(b,a):new x(a)}catch(da){return new B(da)}}function y(){}function C(){}function z(a,b){c.createContext(this,b);this.consumers=void 0;this.receiver=a;this.handler=void 0;this.resolved=!1}function H(a){this.handler=a}function r(a,b){z.call(this);A.enqueue(new F(a,b,this))}function x(a){c.createContext(this);this.value=a}function B(a){c.createContext(this);this.id=++Y;this.value=a;this.reported=this.handled=!1;this._report()}function I(a,b){this.rejection=a;this.context=b}function K(a){this.rejection=
a}function E(a,b){this.continuation=a;this.handler=b}function U(a,b){this.handler=b;this.value=a}function F(a,b,c){this._then=a;this.thenable=b;this.resolver=c}function M(a,b,c,d,e){try{a.call(b,c,d,e)}catch(aa){d(aa)}}function N(a,b,c,d){this.f=a;this.z=b;this.c=c;this.to=d;this.resolver=P;this.receiver=this}function J(a){return("object"===typeof a||"function"===typeof a)&&null!==a}function L(a,b,d,e){if("function"!==typeof a)return e.become(b);c.enterContext(b);try{e.become(v(a.call(d,b.value)))}catch(Z){e.become(new B(Z))}c.exitContext()}
function q(a,b,c){try{return a(b,c)}catch(T){return f(T)}}function n(a,b){b.prototype=R(a.prototype);b.prototype.constructor=b}function u(a,b){return b}function w(){}var A=a.scheduler,V=function(){var a;if("undefined"!==typeof b&&null!==b&&"function"===typeof b.emit)a=function(a,c){return"unhandledRejection"===a?b.emit(a,c.value,c):b.emit(a,c)};else{if(a="undefined"!==typeof self)a:{if("function"===typeof CustomEvent)try{a=new CustomEvent("unhandledRejection")instanceof CustomEvent;break a}catch(fa){}a=
!1}if(a)a=function(a,b){return function(c,d){var e=new b(c,{detail:{reason:d.value,key:d},bubbles:!1,cancelable:!0});return!a.dispatchEvent(e)}}(self,CustomEvent);else{if(a="undefined"!==typeof self)a:{if("undefined"!==typeof document&&"function"===typeof document.createEvent)try{document.createEvent("CustomEvent").initCustomEvent("eventType",!1,!0,{});a=!0;break a}catch(fa){}a=!1}a=a?function(a,b){return function(c,d){var e=b.createEvent("CustomEvent");e.initCustomEvent(c,!1,!0,{reason:d.value,key:d});
return!a.dispatchEvent(e)}}(self,document):w}}return a}(),R=Object.create||function(a){function b(){}b.prototype=a;return new b};c.resolve=g;c.reject=f;c.never=function(){return S};c._defer=function(){return new c(y,new z)};c._handler=v;c.prototype.then=function(a,b,c){var d=this._handler,e=d.join().state();if("function"!==typeof a&&0<e||"function"!==typeof b&&0>e)return new this.constructor(y,d);e=this._beget();d.chain(e._handler,d.receiver,a,b,c);return e};c.prototype["catch"]=function(a){return this.then(void 0,
a)};c.prototype._beget=function(){var a=this._handler,b=this.constructor,a=new z(a.receiver,a.join().context);return new b(y,a)};c.all=function(a){return h(u,null,a)};c.race=function(a){if("object"!==typeof a||null===a)return f(new TypeError("non-iterable passed to race()"));if(0===a.length)a=S;else if(1===a.length)a=g(a[0]);else{var b=new z,e,n;for(e=0;e<a.length;++e)if(n=a[e],void 0!==n||e in a)if(n=v(n),0!==n.state()){b.become(n);d(a,e+1,n);break}else n.visit(b,b.resolve,b.reject);a=new c(y,b)}return a};
c._traverse=function(a,b){return h(q,a,b)};c._visitRemaining=d;y.prototype.when=y.prototype.become=y.prototype.notify=y.prototype.fail=y.prototype._unreport=y.prototype._report=w;y.prototype._state=0;y.prototype.state=function(){return this._state};y.prototype.join=function(){for(var a=this;void 0!==a.handler;)a=a.handler;return a};y.prototype.chain=function(a,b,c,d,e){this.when({resolver:a,receiver:b,fulfilled:c,rejected:d,progress:e})};y.prototype.visit=function(a,b,c,d){this.chain(P,a,b,c,d)};
y.prototype.fold=function(a,b,c,d){this.when(new N(a,b,c,d))};n(y,C);C.prototype.become=function(a){a.fail()};var P=new C;n(y,z);z.prototype._state=0;z.prototype.resolve=function(a){this.become(v(a))};z.prototype.reject=function(a){this.resolved||this.become(new B(a))};z.prototype.join=function(){if(!this.resolved)return this;for(var a=this;void 0!==a.handler;)if(a=a.handler,a===this)return this.handler=new B(new TypeError("Promise cycle"));return a};z.prototype.run=function(){var a=this.consumers,
b=this.handler;this.handler=this.handler.join();this.consumers=void 0;for(var c=0;c<a.length;++c)b.when(a[c])};z.prototype.become=function(a){this.resolved||(this.resolved=!0,this.handler=a,void 0!==this.consumers&&A.enqueue(this),void 0!==this.context&&a._report(this.context))};z.prototype.when=function(a){this.resolved?A.enqueue(new E(a,this.handler)):void 0===this.consumers?this.consumers=[a]:this.consumers.push(a)};z.prototype.notify=function(a){this.resolved||A.enqueue(new U(a,this))};z.prototype.fail=
function(a){a="undefined"===typeof a?this.context:a;this.resolved&&this.handler.join().fail(a)};z.prototype._report=function(a){this.resolved&&this.handler.join()._report(a)};z.prototype._unreport=function(){this.resolved&&this.handler.join()._unreport()};n(y,H);H.prototype.when=function(a){A.enqueue(new E(a,this))};H.prototype._report=function(a){this.join()._report(a)};H.prototype._unreport=function(){this.join()._unreport()};n(z,r);n(y,x);x.prototype._state=1;x.prototype.fold=function(a,b,d,e){if("function"!==
typeof a)e.become(this);else{c.enterContext(this);try{a.call(d,b,this.value,e)}catch(Z){e.become(new B(Z))}c.exitContext()}};x.prototype.when=function(a){L(a.fulfilled,this,a.receiver,a.resolver)};var Y=0;n(y,B);B.prototype._state=-1;B.prototype.fold=function(a,b,c,d){d.become(this)};B.prototype.when=function(a){"function"===typeof a.rejected&&this._unreport();L(a.rejected,this,a.receiver,a.resolver)};B.prototype._report=function(a){A.afterQueue(new I(this,a))};B.prototype._unreport=function(){this.handled||
(this.handled=!0,A.afterQueue(new K(this)))};B.prototype.fail=function(a){this.reported=!0;V("unhandledRejection",this);c.onFatalRejection(this,void 0===a?this.context:a)};I.prototype.run=function(){this.rejection.handled||this.rejection.reported||(this.rejection.reported=!0,V("unhandledRejection",this.rejection)||c.onPotentiallyUnhandledRejection(this.rejection,this.context))};K.prototype.run=function(){this.rejection.reported&&(V("rejectionHandled",this.rejection)||c.onPotentiallyUnhandledRejectionHandled(this.rejection))};
c.createContext=c.enterContext=c.exitContext=c.onPotentiallyUnhandledRejection=c.onPotentiallyUnhandledRejectionHandled=c.onFatalRejection=w;a=new y;var S=new c(y,a);E.prototype.run=function(){this.handler.join().when(this.continuation)};U.prototype.run=function(){var a=this.handler.consumers;if(void 0!==a)for(var b,d=0;d<a.length;++d){b=a[d];var e=b.progress,g=this.value,f=this.handler,n=b.receiver;b=b.resolver;if("function"!==typeof e)b.notify(g);else{c.enterContext(f);f=b;try{f.notify(e.call(n,
g))}catch(X){f.notify(X)}c.exitContext()}}};F.prototype.run=function(){var a=this.resolver;M(this._then,this.thenable,function(b){a.resolve(b)},function(b){a.reject(b)},function(b){a.notify(b)})};N.prototype.fulfilled=function(a){this.f.call(this.c,this.z,a,this.to)};N.prototype.rejected=function(a){this.to.reject(a)};N.prototype.progress=function(a){this.to.notify(a)};return c}})})(function(a){l.exports=a()})}).call(this,f("_process"))},{_process:137}],117:[function(f,l,h){(function(b){b(function(){function a(){return{state:"pending"}}
function b(a){return{state:"rejected",reason:a}}function c(a){return{state:"fulfilled",value:a}}return{pending:a,fulfilled:c,rejected:b,inspect:function(e){var g=e.state();return 0===g?a():0<g?c(e.value):b(e.value)}}})})(function(b){l.exports=b()})},{}],118:[function(f,l,h){(function(b){b(function(a){var b=a("./monitor/PromiseMonitor");a=a("./monitor/ConsoleReporter");var c=new b(new a);return function(a){return c.monitor(a)}})})(function(b){l.exports=b(f)})},{"./monitor/ConsoleReporter":119,"./monitor/PromiseMonitor":120}],
119:[function(f,l,h){(function(b){b(function(a){function b(){this._previouslyReported=!1}function c(){}var f=a("./error");b.prototype=function(){var a,b,e,f;if("undefined"===typeof console)a=b=c;else{var d=console;"function"===typeof d.error&&"function"===typeof d.dir?(b=function(a){d.error(a)},a=function(a){d.log(a)},"function"===typeof d.groupCollapsed&&(e=function(a){d.groupCollapsed(a)},f=function(){d.groupEnd()})):a="undefined"!==typeof d.log&&"undefined"!==typeof JSON?b=function(a){if("string"!==
typeof a)try{a=JSON.stringify(a)}catch(D){}d.log(a)}:b=c}return{msg:a,warn:b,groupStart:e||b,groupEnd:f||c}}();b.prototype.log=function(a){if(0===a.length)this._previouslyReported&&(this._previouslyReported=!1,this.msg("[promises] All previously unhandled rejections have now been handled"));else{this._previouslyReported=!0;this.groupStart("[promises] Unhandled rejections: "+a.length);try{this._log(a)}finally{this.groupEnd()}}};b.prototype._log=function(a){for(var b=0;b<a.length;++b)this.warn(f.format(a[b]))};
return b})})(function(b){l.exports=b(f)})},{"./error":122}],120:[function(f,l,h){(function(b){b(function(a){function b(a){this.logDelay=0;this.stackFilter=g;this.stackJumpSeparator="from execution context:";this.filterDuplicateFrames=!0;this._reporter=a;"function"===typeof a.configurePromiseMonitor&&a.configurePromiseMonitor(this);this._traces=[];this._traceTask=0;var b=this;this._doLogTraces=function(){b._logTraces()}}function c(a,b){return b.filter(function(b){return!a.test(b)})}function f(a){return!a.handler.handled}
var g=/[\s\(\/\\](node|module|timers)\.js:|when([\/\\]{1,2}(lib|monitor|es6-shim)[\/\\]{1,2}|\.js)|(new\sPromise)\b|(\b(PromiseMonitor|ConsoleReporter|Scheduler|RunHandlerTask|ProgressTask|Promise|.*Handler)\.[\w_]\w\w+\b)|\b(tryCatch\w+|getHandler\w*)\b/i,h=a("../lib/env").setTimer,l=a("./error"),t=[];b.prototype.monitor=function(a){var b=this;a.createContext=function(a,c){a.context=b.createContext(a,c)};a.enterContext=function(a){t.push(a.context)};a.exitContext=function(){t.pop()};a.onPotentiallyUnhandledRejection=
function(a,c){return b.addTrace(a,c)};a.onPotentiallyUnhandledRejectionHandled=function(a){return b.removeTrace(a)};a.onFatalRejection=function(a,c){return b.fatal(a,c)};return this};b.prototype.createContext=function(a,b){var c={parent:b||t[t.length-1],stack:void 0};l.captureStack(c,a.constructor);return c};b.prototype.addTrace=function(a,b){var c,d;for(d=this._traces.length-1;0<=d&&(c=this._traces[d],c.handler!==a);--d);0<=d?c.extraContext=b:this._traces.push({handler:a,extraContext:b});this.logTraces()};
b.prototype.removeTrace=function(){this.logTraces()};b.prototype.fatal=function(a,b){var c=Error();c.stack=this._createLongTrace(a.value,a.context,b).join("\n");h(function(){throw c;},0)};b.prototype.logTraces=function(){this._traceTask||(this._traceTask=h(this._doLogTraces,this.logDelay))};b.prototype._logTraces=function(){this._traceTask=void 0;this._traces=this._traces.filter(f);this._reporter.log(this.formatTraces(this._traces))};b.prototype.formatTraces=function(a){return a.map(function(a){return this._createLongTrace(a.handler.value,
a.handler.context,a.extraContext)},this)};b.prototype._createLongTrace=function(a,b,e){a=l.parse(a)||[String(a)+" (WARNING: non-Error used)"];a=c(this.stackFilter,a,0);this._appendContext(a,b);this._appendContext(a,e);return this.filterDuplicateFrames?this._removeDuplicates(a):a};b.prototype._removeDuplicates=function(a){var b={},c=this.stackJumpSeparator,d=0;return a.reduceRight(function(a,e,g){0===g?a.unshift(e):e===c?0<d&&(a.unshift(e),d=0):b[e]||(b[e]=!0,a.unshift(e),++d);return a},[])};b.prototype._appendContext=
function(a,b){a.push.apply(a,this._createTrace(b))};b.prototype._createTrace=function(a){for(var b=[],d;a;){if(d=l.parse(a)){d=c(this.stackFilter,d);var e=b;1<d.length&&(d[0]=this.stackJumpSeparator,e.push.apply(e,d))}a=a.parent}return b};return b})})(function(b){l.exports=b(f)})},{"../lib/env":113,"./error":122}],121:[function(f,l,h){(function(b){b(function(a){var b=a("../monitor");a=a("../when").Promise;return b(a)})})(function(b){l.exports=b(f)})},{"../monitor":118,"../when":123}],122:[function(f,
l,h){(function(b){b(function(){function a(a){try{throw Error();}catch(v){a.stack=v.stack}}function b(a){a.stack=Error().stack}function c(a){return g(a)}function f(a){var b=Error();b.stack=g(a);return b}function g(a){for(var b=!1,c="",d=0;d<a.length;++d)b?c+="\n"+a[d]:(c+=a[d],b=!0);return c}var h,l,t;Error.captureStackTrace?(h=function(a){return a&&a.stack&&a.stack.split("\n")},t=c,l=Error.captureStackTrace):(h=function(a){var b=a&&a.stack&&a.stack.split("\n");b&&a.message&&b.unshift(a.message);return b},
"string"!==typeof Error().stack?(t=c,l=a):(t=f,l=b));return{parse:h,format:t,captureStack:l}})})(function(b){l.exports=b()})},{}],123:[function(f,l,h){(function(b){b(function(a){function b(a,b,c,d){var e=r.resolve(a);return 2>arguments.length?e:e.then(b,c,d)}function c(a){return function(){for(var b=0,c=arguments.length,d=Array(c);b<c;++b)d[b]=arguments[b];return x(a,this,d)}}function f(a){for(var b=0,c=arguments.length-1,d=Array(c);b<c;++b)d[b]=arguments[b+1];return x(a,this,d)}function g(){function a(a){d._handler.resolve(a)}
function b(a){d._handler.reject(a)}function c(a){d._handler.notify(a)}var d=r._defer();this.promise=d;this.resolve=a;this.reject=b;this.notify=c;this.resolver={resolve:a,reject:b,notify:c}}var h=a("./lib/decorators/timed"),l=a("./lib/decorators/array"),t=a("./lib/decorators/flow"),d=a("./lib/decorators/fold"),v=a("./lib/decorators/inspect"),D=a("./lib/decorators/iterate"),y=a("./lib/decorators/progress"),C=a("./lib/decorators/with"),z=a("./lib/decorators/unhandledRejection"),H=a("./lib/TimeoutError"),
r=[l,t,d,D,y,v,C,h,z].reduce(function(a,b){return b(a)},a("./lib/Promise")),x=a("./lib/apply")(r);b.promise=function(a){return new r(a)};b.resolve=r.resolve;b.reject=r.reject;b.lift=c;b["try"]=f;b.attempt=f;b.iterate=r.iterate;b.unfold=r.unfold;b.join=function(){return r.all(arguments)};b.all=function(a){return b(a,r.all)};b.settle=function(a){return b(a,r.settle)};b.any=c(r.any);b.some=c(r.some);b.race=c(r.race);b.map=function(a,c){return b(a,function(a){return r.map(a,c)})};b.filter=function(a,
c){return b(a,function(a){return r.filter(a,c)})};b.reduce=c(r.reduce);b.reduceRight=c(r.reduceRight);b.isPromiseLike=function(a){return a&&"function"===typeof a.then};b.Promise=r;b.defer=function(){return new g};b.TimeoutError=H;return b})})(function(b){l.exports=b(f)})},{"./lib/Promise":100,"./lib/TimeoutError":102,"./lib/apply":103,"./lib/decorators/array":104,"./lib/decorators/flow":105,"./lib/decorators/fold":106,"./lib/decorators/inspect":107,"./lib/decorators/iterate":108,"./lib/decorators/progress":109,
"./lib/decorators/timed":110,"./lib/decorators/unhandledRejection":111,"./lib/decorators/with":112}],124:[function(f,l,h){l.exports={name:"autobahn",version:"0.12.0",description:"An implementation of The Web Application Messaging Protocol (WAMP).",main:"index.js",scripts:{test:"nodeunit test/test.js"},engines:{node:">= 4.2.6"},dependencies:{"crypto-js":">= 3.1.8","google-closure-compiler":"^20170218.0.0","int64-buffer":">= 0.1.9","msgpack-lite":">= 0.1.26",cbor:">= 3.0.0",tweetnacl:">= 0.14.3",when:">= 3.7.7",
ws:">= 1.1.4"},optionalDependencies:{bufferutil:">= 1.2.1","utf-8-validate":">= 1.2.1"},devDependencies:{browserify:">= 13.1.1",nodeunit:">= 0.10.2","deep-equal":">= 1.0.1"},browser:{ws:!1,"lib/transport/rawsocket.js":!1},repository:{type:"git",url:"git://github.com/crossbario/autobahn-js.git"},keywords:["WAMP","WebSocket","RPC","PubSub"],author:"Crossbar.io Technologies GmbH",license:"MIT"}},{}],125:[function(f,l,h){},{}],126:[function(f,l,h){function b(a){var b=a.length;if(0<b%4)throw Error("Invalid string. Length must be a multiple of 4");
return"="===a[b-2]?2:"="===a[b-1]?1:0}function a(a,b,c){for(var g=[],d=b;d<c;d+=3)b=(a[d]<<16)+(a[d+1]<<8)+a[d+2],g.push(e[b>>18&63]+e[b>>12&63]+e[b>>6&63]+e[b&63]);return g.join("")}h.byteLength=function(a){return 3*a.length/4-b(a)};h.toByteArray=function(a){var e,g,f,d,h;e=a.length;d=b(a);h=new k(3*e/4-d);g=0<d?e-4:e;var l=0;for(e=0;e<g;e+=4)f=c[a.charCodeAt(e)]<<18|c[a.charCodeAt(e+1)]<<12|c[a.charCodeAt(e+2)]<<6|c[a.charCodeAt(e+3)],h[l++]=f>>16&255,h[l++]=f>>8&255,h[l++]=f&255;2===d?(f=c[a.charCodeAt(e)]<<
2|c[a.charCodeAt(e+1)]>>4,h[l++]=f&255):1===d&&(f=c[a.charCodeAt(e)]<<10|c[a.charCodeAt(e+1)]<<4|c[a.charCodeAt(e+2)]>>2,h[l++]=f>>8&255,h[l++]=f&255);return h};h.fromByteArray=function(b){for(var c=b.length,g=c%3,f="",d=[],h=0,k=c-g;h<k;h+=16383)d.push(a(b,h,h+16383>k?k:h+16383));1===g?(b=b[c-1],f+=e[b>>2],f+=e[b<<4&63],f+="=="):2===g&&(b=(b[c-2]<<8)+b[c-1],f+=e[b>>10],f+=e[b>>4&63],f+=e[b<<2&63],f+="=");d.push(f);return d.join("")};var e=[],c=[],k="undefined"!==typeof Uint8Array?Uint8Array:Array;
for(f=0;64>f;++f)e[f]="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/"[f],c["ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/".charCodeAt(f)]=f;c[45]=62;c[95]=63},{}],127:[function(f,l,h){arguments[4][125][0].apply(h,arguments)},{dup:125}],128:[function(f,l,h){(function(b){var a=f("buffer"),e=a.Buffer,c=a.SlowBuffer,k=a.kMaxLength||2147483647;h.alloc=function(a,b,c){if("function"===typeof e.alloc)return e.alloc(a,b,c);if("number"===typeof c)throw new TypeError("encoding must not be number");
if("number"!==typeof a)throw new TypeError("size must be a number");if(a>k)throw new RangeError("size is too large");var g=b;void 0===g&&(c=void 0,g=0);b=new e(a);if("string"===typeof g){c=new e(g,c);for(var g=c.length,d=-1;++d<a;)b[d]=c[d%g]}else b.fill(g);return b};h.allocUnsafe=function(a){if("function"===typeof e.allocUnsafe)return e.allocUnsafe(a);if("number"!==typeof a)throw new TypeError("size must be a number");if(a>k)throw new RangeError("size is too large");return new e(a)};h.from=function(a,
c,f){if("function"===typeof e.from&&(!b.Uint8Array||Uint8Array.from!==e.from))return e.from(a,c,f);if("number"===typeof a)throw new TypeError('"value" argument must not be a number');if("string"===typeof a)return new e(a,c);if("undefined"!==typeof ArrayBuffer&&a instanceof ArrayBuffer){var g=c;if(1===arguments.length)return new e(a);"undefined"===typeof g&&(g=0);var d=f;"undefined"===typeof d&&(d=a.byteLength-g);if(g>=a.byteLength)throw new RangeError("'offset' is out of bounds");if(d>a.byteLength-
g)throw new RangeError("'length' is out of bounds");return new e(a.slice(g,g+d))}if(e.isBuffer(a))return g=new e(a.length),a.copy(g,0,0,a.length),g;if(a){if(Array.isArray(a)||"undefined"!==typeof ArrayBuffer&&a.buffer instanceof ArrayBuffer||"length"in a)return new e(a);if("Buffer"===a.type&&Array.isArray(a.data))return new e(a.data)}throw new TypeError("First argument must be a string, Buffer, ArrayBuffer, Array, or array-like object.");};h.allocUnsafeSlow=function(a){if("function"===typeof e.allocUnsafeSlow)return e.allocUnsafeSlow(a);
if("number"!==typeof a)throw new TypeError("size must be a number");if(a>=k)throw new RangeError("size is too large");return new c(a)}}).call(this,"undefined"!==typeof global?global:"undefined"!==typeof self?self:"undefined"!==typeof window?window:{})},{buffer:129}],129:[function(f,l,h){function b(b){if(b>N)throw new RangeError("Invalid typed array length");b=new Uint8Array(b);b.__proto__=a.prototype;return b}function a(a,b,c){if("number"===typeof a){if("string"===typeof b)throw Error("If encoding is specified then the first argument must be a string");
return k(a)}return e(a,b,c)}function e(c,d,e){if("number"===typeof c)throw new TypeError('"value" argument must not be a number');if(c instanceof ArrayBuffer){if(0>d||c.byteLength<d)throw new RangeError("'offset' is out of bounds");if(c.byteLength<d+(e||0))throw new RangeError("'length' is out of bounds");c=void 0===d&&void 0===e?new Uint8Array(c):void 0===e?new Uint8Array(c,d):new Uint8Array(c,d,e);c.__proto__=a.prototype;return c}if("string"===typeof c){var g=d;if("string"!==typeof g||""===g)g=
"utf8";if(!a.isEncoding(g))throw new TypeError('"encoding" must be a valid string encoding');d=t(c,g)|0;e=b(d);c=e.write(c,g);c!==d&&(e=e.slice(0,c));return e}return m(c)}function c(a){if("number"!==typeof a)throw new TypeError('"size" argument must be a number');if(0>a)throw new RangeError('"size" argument must not be negative');}function k(a){c(a);return b(0>a?0:p(a)|0)}function g(a){for(var c=0>a.length?0:p(a.length)|0,d=b(c),e=0;e<c;e+=1)d[e]=a[e]&255;return d}function m(c){if(a.isBuffer(c)){var d=
p(c.length)|0,e=b(d);if(0===e.length)return e;c.copy(e,0,0,d);return e}if(c){if(ArrayBuffer.isView(c)||"length"in c)return(d="number"!==typeof c.length)||(d=c.length,d=d!==d),d?b(0):g(c);if("Buffer"===c.type&&Array.isArray(c.data))return g(c.data)}throw new TypeError("First argument must be a string, Buffer, ArrayBuffer, Array, or array-like object.");}function p(a){if(a>=N)throw new RangeError("Attempt to allocate Buffer larger than maximum size: 0x"+N.toString(16)+" bytes");return a|0}function t(b,
c){if(a.isBuffer(b))return b.length;if(ArrayBuffer.isView(b)||b instanceof ArrayBuffer)return b.byteLength;"string"!==typeof b&&(b=""+b);var d=b.length;if(0===d)return 0;for(var e=!1;;)switch(c){case "ascii":case "latin1":case "binary":return d;case "utf8":case "utf-8":case void 0:return K(b).length;case "ucs2":case "ucs-2":case "utf16le":case "utf-16le":return 2*d;case "hex":return d>>>1;case "base64":return F.toByteArray(I(b)).length;default:if(e)return K(b).length;c=(""+c).toLowerCase();e=!0}}
function d(a,b,c){var d=!1;if(void 0===b||0>b)b=0;if(b>this.length)return"";if(void 0===c||c>this.length)c=this.length;if(0>=c)return"";c>>>=0;b>>>=0;if(c<=b)return"";for(a||(a="utf8");;)switch(a){case "hex":a=b;b=c;c=this.length;if(!a||0>a)a=0;if(!b||0>b||b>c)b=c;d="";for(c=a;c<b;++c)a=d,d=this[c],d=16>d?"0"+d.toString(16):d.toString(16),d=a+d;return d;case "utf8":case "utf-8":return C(this,b,c);case "ascii":a="";for(c=Math.min(this.length,c);b<c;++b)a+=String.fromCharCode(this[b]&127);return a;
case "latin1":case "binary":a="";for(c=Math.min(this.length,c);b<c;++b)a+=String.fromCharCode(this[b]);return a;case "base64":return b=0===b&&c===this.length?F.fromByteArray(this):F.fromByteArray(this.slice(b,c)),b;case "ucs2":case "ucs-2":case "utf16le":case "utf-16le":b=this.slice(b,c);c="";for(a=0;a<b.length;a+=2)c+=String.fromCharCode(b[a]+256*b[a+1]);return c;default:if(d)throw new TypeError("Unknown encoding: "+a);a=(a+"").toLowerCase();d=!0}}function v(a,b,c){var d=a[b];a[b]=a[c];a[c]=d}function D(b,
c,d,e,g){if(0===b.length)return-1;"string"===typeof d?(e=d,d=0):2147483647<d?d=2147483647:-2147483648>d&&(d=-2147483648);d=+d;isNaN(d)&&(d=g?0:b.length-1);0>d&&(d=b.length+d);if(d>=b.length){if(g)return-1;d=b.length-1}else if(0>d)if(g)d=0;else return-1;"string"===typeof c&&(c=a.from(c,e));if(a.isBuffer(c))return 0===c.length?-1:y(b,c,d,e,g);if("number"===typeof c)return c&=255,"function"===typeof Uint8Array.prototype.indexOf?g?Uint8Array.prototype.indexOf.call(b,c,d):Uint8Array.prototype.lastIndexOf.call(b,
c,d):y(b,[c],d,e,g);throw new TypeError("val must be string, number or Buffer");}function y(a,b,c,d,e){function g(a,b){return 1===f?a[b]:a.readUInt16BE(b*f)}var f=1,n=a.length,q=b.length;if(void 0!==d&&(d=String(d).toLowerCase(),"ucs2"===d||"ucs-2"===d||"utf16le"===d||"utf-16le"===d)){if(2>a.length||2>b.length)return-1;f=2;n/=2;q/=2;c/=2}if(e)for(d=-1;c<n;c++)if(g(a,c)===g(b,-1===d?0:c-d)){if(-1===d&&(d=c),c-d+1===q)return d*f}else-1!==d&&(c-=c-d),d=-1;else for(c+q>n&&(c=n-q);0<=c;c--){n=!0;for(d=
0;d<q;d++)if(g(a,c+d)!==g(b,d)){n=!1;break}if(n)return c}return-1}function C(a,b,c){c=Math.min(a.length,c);for(var d=[];b<c;){var e=a[b],g=null,f=239<e?4:223<e?3:191<e?2:1;if(b+f<=c){var n,q,h;switch(f){case 1:128>e&&(g=e);break;case 2:n=a[b+1];128===(n&192)&&(e=(e&31)<<6|n&63,127<e&&(g=e));break;case 3:n=a[b+1];q=a[b+2];128===(n&192)&&128===(q&192)&&(e=(e&15)<<12|(n&63)<<6|q&63,2047<e&&(55296>e||57343<e)&&(g=e));break;case 4:n=a[b+1],q=a[b+2],h=a[b+3],128===(n&192)&&128===(q&192)&&128===(h&192)&&
(e=(e&15)<<18|(n&63)<<12|(q&63)<<6|h&63,65535<e&&1114112>e&&(g=e))}}null===g?(g=65533,f=1):65535<g&&(g-=65536,d.push(g>>>10&1023|55296),g=56320|g&1023);d.push(g);b+=f}a=d.length;if(a<=J)d=String.fromCharCode.apply(String,d);else{c="";for(b=0;b<a;)c+=String.fromCharCode.apply(String,d.slice(b,b+=J));d=c}return d}function z(a,b,c){if(0!==a%1||0>a)throw new RangeError("offset is not uint");if(a+b>c)throw new RangeError("Trying to access beyond buffer length");}function H(b,c,d,e,g,f){if(!a.isBuffer(b))throw new TypeError('"buffer" argument must be a Buffer instance');
if(c>g||c<f)throw new RangeError('"value" argument is out of bounds');if(d+e>b.length)throw new RangeError("Index out of range");}function r(a,b,c,d,e,g){if(c+d>a.length)throw new RangeError("Index out of range");if(0>c)throw new RangeError("Index out of range");}function x(a,b,c,d,e){b=+b;c>>>=0;e||r(a,b,c,4,3.4028234663852886E38,-3.4028234663852886E38);M.write(a,b,c,d,23,4);return c+4}function B(a,b,c,d,e){b=+b;c>>>=0;e||r(a,b,c,8,1.7976931348623157E308,-1.7976931348623157E308);M.write(a,b,c,d,
52,8);return c+8}function I(a){a=a.trim?a.trim():a.replace(/^\s+|\s+$/g,"");a=a.replace(L,"");if(2>a.length)return"";for(;0!==a.length%4;)a+="=";return a}function K(a,b){b=b||Infinity;for(var c,d=a.length,e=null,g=[],f=0;f<d;++f){c=a.charCodeAt(f);if(55295<c&&57344>c){if(!e){if(56319<c){-1<(b-=3)&&g.push(239,191,189);continue}else if(f+1===d){-1<(b-=3)&&g.push(239,191,189);continue}e=c;continue}if(56320>c){-1<(b-=3)&&g.push(239,191,189);e=c;continue}c=(e-55296<<10|c-56320)+65536}else e&&-1<(b-=3)&&
g.push(239,191,189);e=null;if(128>c){if(0>--b)break;g.push(c)}else if(2048>c){if(0>(b-=2))break;g.push(c>>6|192,c&63|128)}else if(65536>c){if(0>(b-=3))break;g.push(c>>12|224,c>>6&63|128,c&63|128)}else if(1114112>c){if(0>(b-=4))break;g.push(c>>18|240,c>>12&63|128,c>>6&63|128,c&63|128)}else throw Error("Invalid code point");}return g}function E(a){for(var b=[],c=0;c<a.length;++c)b.push(a.charCodeAt(c)&255);return b}function U(a,b,c,d){for(var e=0;e<d&&!(e+c>=b.length||e>=a.length);++e)b[e+c]=a[e];return e}
var F=f("base64-js"),M=f("ieee754");h.Buffer=a;h.SlowBuffer=function(b){+b!=b&&(b=0);return a.alloc(+b)};h.INSPECT_MAX_BYTES=50;var N=2147483647;h.kMaxLength=N;a.TYPED_ARRAY_SUPPORT=function(){try{var a=new Uint8Array(1);a.__proto__={__proto__:Uint8Array.prototype,foo:function(){return 42}};return 42===a.foo()}catch(n){return!1}}();a.TYPED_ARRAY_SUPPORT||"undefined"===typeof console||"function"!==typeof console.error||console.error("This browser lacks typed array (Uint8Array) support which is required by `buffer` v5.x. Use `buffer` v4.x if you require old browser support.");
$jscomp.initSymbol();$jscomp.initSymbol();$jscomp.initSymbol();"undefined"!==typeof Symbol&&Symbol.species&&a[Symbol.species]===a&&($jscomp.initSymbol(),Object.defineProperty(a,Symbol.species,{value:null,configurable:!0,enumerable:!1,writable:!1}));a.poolSize=8192;a.from=function(a,b,c){return e(a,b,c)};a.prototype.__proto__=Uint8Array.prototype;a.__proto__=Uint8Array;a.alloc=function(a,d,e){c(a);a=0>=a?b(a):void 0!==d?"string"===typeof e?b(a).fill(d,e):b(a).fill(d):b(a);return a};a.allocUnsafe=function(a){return k(a)};
a.allocUnsafeSlow=function(a){return k(a)};a.isBuffer=function(a){return null!=a&&!0===a._isBuffer};a.compare=function(b,c){if(!a.isBuffer(b)||!a.isBuffer(c))throw new TypeError("Arguments must be Buffers");if(b===c)return 0;for(var d=b.length,e=c.length,g=0,f=Math.min(d,e);g<f;++g)if(b[g]!==c[g]){d=b[g];e=c[g];break}return d<e?-1:e<d?1:0};a.isEncoding=function(a){switch(String(a).toLowerCase()){case "hex":case "utf8":case "utf-8":case "ascii":case "latin1":case "binary":case "base64":case "ucs2":case "ucs-2":case "utf16le":case "utf-16le":return!0;
default:return!1}};a.concat=function(b,c){if(!Array.isArray(b))throw new TypeError('"list" argument must be an Array of Buffers');if(0===b.length)return a.alloc(0);var d;if(void 0===c)for(d=c=0;d<b.length;++d)c+=b[d].length;var e=a.allocUnsafe(c),g=0;for(d=0;d<b.length;++d){var f=b[d];if(!a.isBuffer(f))throw new TypeError('"list" argument must be an Array of Buffers');f.copy(e,g);g+=f.length}return e};a.byteLength=t;a.prototype._isBuffer=!0;a.prototype.swap16=function(){var a=this.length;if(0!==a%
2)throw new RangeError("Buffer size must be a multiple of 16-bits");for(var b=0;b<a;b+=2)v(this,b,b+1);return this};a.prototype.swap32=function(){var a=this.length;if(0!==a%4)throw new RangeError("Buffer size must be a multiple of 32-bits");for(var b=0;b<a;b+=4)v(this,b,b+3),v(this,b+1,b+2);return this};a.prototype.swap64=function(){var a=this.length;if(0!==a%8)throw new RangeError("Buffer size must be a multiple of 64-bits");for(var b=0;b<a;b+=8)v(this,b,b+7),v(this,b+1,b+6),v(this,b+2,b+5),v(this,
b+3,b+4);return this};a.prototype.toString=function(){var a=this.length;return 0===a?"":0===arguments.length?C(this,0,a):d.apply(this,arguments)};a.prototype.equals=function(b){if(!a.isBuffer(b))throw new TypeError("Argument must be a Buffer");return this===b?!0:0===a.compare(this,b)};a.prototype.inspect=function(){var a="",b=h.INSPECT_MAX_BYTES;0<this.length&&(a=this.toString("hex",0,b).match(/.{2}/g).join(" "),this.length>b&&(a+=" ... "));return"<Buffer "+a+">"};a.prototype.compare=function(b,c,
d,e,g){if(!a.isBuffer(b))throw new TypeError("Argument must be a Buffer");void 0===c&&(c=0);void 0===d&&(d=b?b.length:0);void 0===e&&(e=0);void 0===g&&(g=this.length);if(0>c||d>b.length||0>e||g>this.length)throw new RangeError("out of range index");if(e>=g&&c>=d)return 0;if(e>=g)return-1;if(c>=d)return 1;c>>>=0;d>>>=0;e>>>=0;g>>>=0;if(this===b)return 0;var f=g-e,n=d-c,h=Math.min(f,n);e=this.slice(e,g);b=b.slice(c,d);for(c=0;c<h;++c)if(e[c]!==b[c]){f=e[c];n=b[c];break}return f<n?-1:n<f?1:0};a.prototype.includes=
function(a,b,c){return-1!==this.indexOf(a,b,c)};a.prototype.indexOf=function(a,b,c){return D(this,a,b,c,!0)};a.prototype.lastIndexOf=function(a,b,c){return D(this,a,b,c,!1)};a.prototype.write=function(a,b,c,d){if(void 0===b)d="utf8",c=this.length,b=0;else if(void 0===c&&"string"===typeof b)d=b,c=this.length,b=0;else if(isFinite(b))b>>>=0,isFinite(c)?(c>>>=0,void 0===d&&(d="utf8")):(d=c,c=void 0);else throw Error("Buffer.write(string, encoding, offset[, length]) is no longer supported");var e=this.length-
b;if(void 0===c||c>e)c=e;if(0<a.length&&(0>c||0>b)||b>this.length)throw new RangeError("Attempt to write outside buffer bounds");d||(d="utf8");for(e=!1;;)switch(d){case "hex":a:{b=Number(b)||0;d=this.length-b;c?(c=Number(c),c>d&&(c=d)):c=d;d=a.length;if(0!==d%2)throw new TypeError("Invalid hex string");c>d/2&&(c=d/2);for(d=0;d<c;++d){e=parseInt(a.substr(2*d,2),16);if(isNaN(e)){a=d;break a}this[b+d]=e}a=d}return a;case "utf8":case "utf-8":return U(K(a,this.length-b),this,b,c);case "ascii":return U(E(a),
this,b,c);case "latin1":case "binary":return U(E(a),this,b,c);case "base64":return U(F.toByteArray(I(a)),this,b,c);case "ucs2":case "ucs-2":case "utf16le":case "utf-16le":var g;d=a;for(var e=this.length-b,f=[],n=0;n<d.length&&!(0>(e-=2));++n)g=d.charCodeAt(n),a=g>>8,g%=256,f.push(g),f.push(a);return U(f,this,b,c);default:if(e)throw new TypeError("Unknown encoding: "+d);d=(""+d).toLowerCase();e=!0}};a.prototype.toJSON=function(){return{type:"Buffer",data:Array.prototype.slice.call(this._arr||this,
0)}};var J=4096;a.prototype.slice=function(b,c){var d=this.length;b=~~b;c=void 0===c?d:~~c;0>b?(b+=d,0>b&&(b=0)):b>d&&(b=d);0>c?(c+=d,0>c&&(c=0)):c>d&&(c=d);c<b&&(c=b);d=this.subarray(b,c);d.__proto__=a.prototype;return d};a.prototype.readUIntLE=function(a,b,c){a>>>=0;b>>>=0;c||z(a,b,this.length);c=this[a];for(var d=1,e=0;++e<b&&(d*=256);)c+=this[a+e]*d;return c};a.prototype.readUIntBE=function(a,b,c){a>>>=0;b>>>=0;c||z(a,b,this.length);c=this[a+--b];for(var d=1;0<b&&(d*=256);)c+=this[a+--b]*d;return c};
a.prototype.readUInt8=function(a,b){a>>>=0;b||z(a,1,this.length);return this[a]};a.prototype.readUInt16LE=function(a,b){a>>>=0;b||z(a,2,this.length);return this[a]|this[a+1]<<8};a.prototype.readUInt16BE=function(a,b){a>>>=0;b||z(a,2,this.length);return this[a]<<8|this[a+1]};a.prototype.readUInt32LE=function(a,b){a>>>=0;b||z(a,4,this.length);return(this[a]|this[a+1]<<8|this[a+2]<<16)+16777216*this[a+3]};a.prototype.readUInt32BE=function(a,b){a>>>=0;b||z(a,4,this.length);return 16777216*this[a]+(this[a+
1]<<16|this[a+2]<<8|this[a+3])};a.prototype.readIntLE=function(a,b,c){a>>>=0;b>>>=0;c||z(a,b,this.length);c=this[a];for(var d=1,e=0;++e<b&&(d*=256);)c+=this[a+e]*d;c>=128*d&&(c-=Math.pow(2,8*b));return c};a.prototype.readIntBE=function(a,b,c){a>>>=0;b>>>=0;c||z(a,b,this.length);c=b;for(var d=1,e=this[a+--c];0<c&&(d*=256);)e+=this[a+--c]*d;e>=128*d&&(e-=Math.pow(2,8*b));return e};a.prototype.readInt8=function(a,b){a>>>=0;b||z(a,1,this.length);return this[a]&128?-1*(255-this[a]+1):this[a]};a.prototype.readInt16LE=
function(a,b){a>>>=0;b||z(a,2,this.length);var c=this[a]|this[a+1]<<8;return c&32768?c|4294901760:c};a.prototype.readInt16BE=function(a,b){a>>>=0;b||z(a,2,this.length);var c=this[a+1]|this[a]<<8;return c&32768?c|4294901760:c};a.prototype.readInt32LE=function(a,b){a>>>=0;b||z(a,4,this.length);return this[a]|this[a+1]<<8|this[a+2]<<16|this[a+3]<<24};a.prototype.readInt32BE=function(a,b){a>>>=0;b||z(a,4,this.length);return this[a]<<24|this[a+1]<<16|this[a+2]<<8|this[a+3]};a.prototype.readFloatLE=function(a,
b){a>>>=0;b||z(a,4,this.length);return M.read(this,a,!0,23,4)};a.prototype.readFloatBE=function(a,b){a>>>=0;b||z(a,4,this.length);return M.read(this,a,!1,23,4)};a.prototype.readDoubleLE=function(a,b){a>>>=0;b||z(a,8,this.length);return M.read(this,a,!0,52,8)};a.prototype.readDoubleBE=function(a,b){a>>>=0;b||z(a,8,this.length);return M.read(this,a,!1,52,8)};a.prototype.writeUIntLE=function(a,b,c,d){a=+a;b>>>=0;c>>>=0;d||H(this,a,b,c,Math.pow(2,8*c)-1,0);d=1;var e=0;for(this[b]=a&255;++e<c&&(d*=256);)this[b+
e]=a/d&255;return b+c};a.prototype.writeUIntBE=function(a,b,c,d){a=+a;b>>>=0;c>>>=0;d||H(this,a,b,c,Math.pow(2,8*c)-1,0);d=c-1;var e=1;for(this[b+d]=a&255;0<=--d&&(e*=256);)this[b+d]=a/e&255;return b+c};a.prototype.writeUInt8=function(a,b,c){a=+a;b>>>=0;c||H(this,a,b,1,255,0);this[b]=a&255;return b+1};a.prototype.writeUInt16LE=function(a,b,c){a=+a;b>>>=0;c||H(this,a,b,2,65535,0);this[b]=a&255;this[b+1]=a>>>8;return b+2};a.prototype.writeUInt16BE=function(a,b,c){a=+a;b>>>=0;c||H(this,a,b,2,65535,0);
this[b]=a>>>8;this[b+1]=a&255;return b+2};a.prototype.writeUInt32LE=function(a,b,c){a=+a;b>>>=0;c||H(this,a,b,4,4294967295,0);this[b+3]=a>>>24;this[b+2]=a>>>16;this[b+1]=a>>>8;this[b]=a&255;return b+4};a.prototype.writeUInt32BE=function(a,b,c){a=+a;b>>>=0;c||H(this,a,b,4,4294967295,0);this[b]=a>>>24;this[b+1]=a>>>16;this[b+2]=a>>>8;this[b+3]=a&255;return b+4};a.prototype.writeIntLE=function(a,b,c,d){a=+a;b>>>=0;d||(d=Math.pow(2,8*c-1),H(this,a,b,c,d-1,-d));d=0;var e=1,g=0;for(this[b]=a&255;++d<c&&
(e*=256);)0>a&&0===g&&0!==this[b+d-1]&&(g=1),this[b+d]=(a/e>>0)-g&255;return b+c};a.prototype.writeIntBE=function(a,b,c,d){a=+a;b>>>=0;d||(d=Math.pow(2,8*c-1),H(this,a,b,c,d-1,-d));d=c-1;var e=1,g=0;for(this[b+d]=a&255;0<=--d&&(e*=256);)0>a&&0===g&&0!==this[b+d+1]&&(g=1),this[b+d]=(a/e>>0)-g&255;return b+c};a.prototype.writeInt8=function(a,b,c){a=+a;b>>>=0;c||H(this,a,b,1,127,-128);0>a&&(a=255+a+1);this[b]=a&255;return b+1};a.prototype.writeInt16LE=function(a,b,c){a=+a;b>>>=0;c||H(this,a,b,2,32767,
-32768);this[b]=a&255;this[b+1]=a>>>8;return b+2};a.prototype.writeInt16BE=function(a,b,c){a=+a;b>>>=0;c||H(this,a,b,2,32767,-32768);this[b]=a>>>8;this[b+1]=a&255;return b+2};a.prototype.writeInt32LE=function(a,b,c){a=+a;b>>>=0;c||H(this,a,b,4,2147483647,-2147483648);this[b]=a&255;this[b+1]=a>>>8;this[b+2]=a>>>16;this[b+3]=a>>>24;return b+4};a.prototype.writeInt32BE=function(a,b,c){a=+a;b>>>=0;c||H(this,a,b,4,2147483647,-2147483648);0>a&&(a=4294967295+a+1);this[b]=a>>>24;this[b+1]=a>>>16;this[b+2]=
a>>>8;this[b+3]=a&255;return b+4};a.prototype.writeFloatLE=function(a,b,c){return x(this,a,b,!0,c)};a.prototype.writeFloatBE=function(a,b,c){return x(this,a,b,!1,c)};a.prototype.writeDoubleLE=function(a,b,c){return B(this,a,b,!0,c)};a.prototype.writeDoubleBE=function(a,b,c){return B(this,a,b,!1,c)};a.prototype.copy=function(a,b,c,d){c||(c=0);d||0===d||(d=this.length);b>=a.length&&(b=a.length);b||(b=0);0<d&&d<c&&(d=c);if(d===c||0===a.length||0===this.length)return 0;if(0>b)throw new RangeError("targetStart out of bounds");
if(0>c||c>=this.length)throw new RangeError("sourceStart out of bounds");if(0>d)throw new RangeError("sourceEnd out of bounds");d>this.length&&(d=this.length);a.length-b<d-c&&(d=a.length-b+c);var e=d-c;if(this===a&&c<b&&b<d)for(d=e-1;0<=d;--d)a[d+b]=this[d+c];else if(1E3>e)for(d=0;d<e;++d)a[d+b]=this[d+c];else Uint8Array.prototype.set.call(a,this.subarray(c,c+e),b);return e};a.prototype.fill=function(b,c,d,e){if("string"===typeof b){"string"===typeof c?(e=c,c=0,d=this.length):"string"===typeof d&&
(e=d,d=this.length);if(1===b.length){var g=b.charCodeAt(0);256>g&&(b=g)}if(void 0!==e&&"string"!==typeof e)throw new TypeError("encoding must be a string");if("string"===typeof e&&!a.isEncoding(e))throw new TypeError("Unknown encoding: "+e);}else"number"===typeof b&&(b&=255);if(0>c||this.length<c||this.length<d)throw new RangeError("Out of range index");if(d<=c)return this;c>>>=0;d=void 0===d?this.length:d>>>0;b||(b=0);if("number"===typeof b)for(e=c;e<d;++e)this[e]=b;else for(b=a.isBuffer(b)?b:new a(b,
e),g=b.length,e=0;e<d-c;++e)this[e+c]=b[e%g];return this};var L=/[^+/0-9A-Za-z-_]/g},{"base64-js":126,ieee754:132}],130:[function(f,l,h){(function(b){h.isArray=function(a){return Array.isArray?Array.isArray(a):"[object Array]"===Object.prototype.toString.call(a)};h.isBoolean=function(a){return"boolean"===typeof a};h.isNull=function(a){return null===a};h.isNullOrUndefined=function(a){return null==a};h.isNumber=function(a){return"number"===typeof a};h.isString=function(a){return"string"===typeof a};
h.isSymbol=function(a){return"symbol"===typeof a};h.isUndefined=function(a){return void 0===a};h.isRegExp=function(a){return"[object RegExp]"===Object.prototype.toString.call(a)};h.isObject=function(a){return"object"===typeof a&&null!==a};h.isDate=function(a){return"[object Date]"===Object.prototype.toString.call(a)};h.isError=function(a){return"[object Error]"===Object.prototype.toString.call(a)||a instanceof Error};h.isFunction=function(a){return"function"===typeof a};h.isPrimitive=function(a){return null===
a||"boolean"===typeof a||"number"===typeof a||"string"===typeof a||"symbol"===typeof a||"undefined"===typeof a};h.isBuffer=b.isBuffer}).call(this,{isBuffer:f("../../is-buffer/index.js")})},{"../../is-buffer/index.js":134}],131:[function(f,l,h){function b(){this._events=this._events||{};this._maxListeners=this._maxListeners||void 0}function a(a){return"function"===typeof a}function e(a){return"object"===typeof a&&null!==a}l.exports=b;b.EventEmitter=b;b.prototype._events=void 0;b.prototype._maxListeners=
void 0;b.defaultMaxListeners=10;b.prototype.setMaxListeners=function(a){if("number"!==typeof a||0>a||isNaN(a))throw TypeError("n must be a positive number");this._maxListeners=a;return this};b.prototype.emit=function(b){var c,g,f,h;this._events||(this._events={});if("error"===b&&(!this._events.error||e(this._events.error)&&!this._events.error.length)){c=arguments[1];if(c instanceof Error)throw c;g=Error('Uncaught, unspecified "error" event. ('+c+")");g.context=c;throw g;}g=this._events[b];if(void 0===
g)return!1;if(a(g))switch(arguments.length){case 1:g.call(this);break;case 2:g.call(this,arguments[1]);break;case 3:g.call(this,arguments[1],arguments[2]);break;default:c=Array.prototype.slice.call(arguments,1),g.apply(this,c)}else if(e(g))for(c=Array.prototype.slice.call(arguments,1),h=g.slice(),g=h.length,f=0;f<g;f++)h[f].apply(this,c);return!0};b.prototype.addListener=function(c,f){var g;if(!a(f))throw TypeError("listener must be a function");this._events||(this._events={});this._events.newListener&&
this.emit("newListener",c,a(f.listener)?f.listener:f);this._events[c]?e(this._events[c])?this._events[c].push(f):this._events[c]=[this._events[c],f]:this._events[c]=f;e(this._events[c])&&!this._events[c].warned&&(g=void 0!==this._maxListeners?this._maxListeners:b.defaultMaxListeners)&&0<g&&this._events[c].length>g&&(this._events[c].warned=!0,console.error("(node) warning: possible EventEmitter memory leak detected. %d listeners added. Use emitter.setMaxListeners() to increase limit.",this._events[c].length),
"function"===typeof console.trace&&console.trace());return this};b.prototype.on=b.prototype.addListener;b.prototype.once=function(b,e){function c(){this.removeListener(b,c);f||(f=!0,e.apply(this,arguments))}if(!a(e))throw TypeError("listener must be a function");var f=!1;c.listener=e;this.on(b,c);return this};b.prototype.removeListener=function(b,f){var c,h,k;if(!a(f))throw TypeError("listener must be a function");if(!this._events||!this._events[b])return this;c=this._events[b];k=c.length;h=-1;if(c===
f||a(c.listener)&&c.listener===f)delete this._events[b],this._events.removeListener&&this.emit("removeListener",b,f);else if(e(c)){for(;0<k--;)if(c[k]===f||c[k].listener&&c[k].listener===f){h=k;break}if(0>h)return this;1===c.length?(c.length=0,delete this._events[b]):c.splice(h,1);this._events.removeListener&&this.emit("removeListener",b,f)}return this};b.prototype.removeAllListeners=function(b){var c;if(!this._events)return this;if(!this._events.removeListener)return 0===arguments.length?this._events=
{}:this._events[b]&&delete this._events[b],this;if(0===arguments.length){for(c in this._events)"removeListener"!==c&&this.removeAllListeners(c);this.removeAllListeners("removeListener");this._events={};return this}c=this._events[b];if(a(c))this.removeListener(b,c);else if(c)for(;c.length;)this.removeListener(b,c[c.length-1]);delete this._events[b];return this};b.prototype.listeners=function(b){return this._events&&this._events[b]?a(this._events[b])?[this._events[b]]:this._events[b].slice():[]};b.prototype.listenerCount=
function(b){if(this._events){b=this._events[b];if(a(b))return 1;if(b)return b.length}return 0};b.listenerCount=function(a,b){return a.listenerCount(b)}},{}],132:[function(f,l,h){arguments[4][67][0].apply(h,arguments)},{dup:67}],133:[function(f,l,h){l.exports="function"===typeof Object.create?function(b,a){b.super_=a;b.prototype=Object.create(a.prototype,{constructor:{value:b,enumerable:!1,writable:!0,configurable:!0}})}:function(b,a){b.super_=a;var e=function(){};e.prototype=a.prototype;b.prototype=
new e;b.prototype.constructor=b}},{}],134:[function(f,l,h){function b(a){return!!a.constructor&&"function"===typeof a.constructor.isBuffer&&a.constructor.isBuffer(a)}l.exports=function(a){return null!=a&&(b(a)||"function"===typeof a.readFloatLE&&"function"===typeof a.slice&&b(a.slice(0,0))||!!a._isBuffer)}},{}],135:[function(f,l,h){arguments[4][69][0].apply(h,arguments)},{dup:69}],136:[function(f,l,h){(function(b){function a(a,c,f,g){if("function"!==typeof a)throw new TypeError('"callback" argument must be a function');
var e=arguments.length,h;switch(e){case 0:case 1:return b.nextTick(a);case 2:return b.nextTick(function(){a.call(null,c)});case 3:return b.nextTick(function(){a.call(null,c,f)});case 4:return b.nextTick(function(){a.call(null,c,f,g)});default:h=Array(e-1);for(e=0;e<h.length;)h[e++]=arguments[e];return b.nextTick(function(){a.apply(null,h)})}}!b.version||0===b.version.indexOf("v0.")||0===b.version.indexOf("v1.")&&0!==b.version.indexOf("v1.8.")?l.exports=a:l.exports=b.nextTick}).call(this,f("_process"))},
{_process:137}],137:[function(f,l,h){function b(){throw Error("setTimeout has not been defined");}function a(){throw Error("clearTimeout has not been defined");}function e(a){if(t===setTimeout)return setTimeout(a,0);if((t===b||!t)&&setTimeout)return t=setTimeout,setTimeout(a,0);try{return t(a,0)}catch(H){try{return t.call(null,a,0)}catch(r){return t.call(this,a,0)}}}function c(b){if(d===clearTimeout)return clearTimeout(b);if((d===a||!d)&&clearTimeout)return d=clearTimeout,clearTimeout(b);try{return d(b)}catch(H){try{return d.call(null,
b)}catch(r){return d.call(this,b)}}}function k(){D&&y&&(D=!1,y.length?v=y.concat(v):C=-1,v.length&&g())}function g(){if(!D){var a=e(k);D=!0;for(var b=v.length;b;){y=v;for(v=[];++C<b;)y&&y[C].run();C=-1;b=v.length}y=null;D=!1;c(a)}}function m(a,b){this.fun=a;this.array=b}function p(){}f=l.exports={};var t,d;try{t="function"===typeof setTimeout?setTimeout:b}catch(z){t=b}try{d="function"===typeof clearTimeout?clearTimeout:a}catch(z){d=a}var v=[],D=!1,y,C=-1;f.nextTick=function(a){var b=Array(arguments.length-
1);if(1<arguments.length)for(var c=1;c<arguments.length;c++)b[c-1]=arguments[c];v.push(new m(a,b));1!==v.length||D||e(g)};m.prototype.run=function(){this.fun.apply(null,this.array)};f.title="browser";f.browser=!0;f.env={};f.argv=[];f.version="";f.versions={};f.on=p;f.addListener=p;f.once=p;f.off=p;f.removeListener=p;f.removeAllListeners=p;f.emit=p;f.binding=function(a){throw Error("process.binding is not supported");};f.cwd=function(){return"/"};f.chdir=function(a){throw Error("process.chdir is not supported");
};f.umask=function(){return 0}},{}],138:[function(f,l,h){(function(b){(function(a){function e(a){throw new RangeError(x[a]);}function c(a,b){for(var c=a.length,d=[];c--;)d[c]=b(a[c]);return d}function f(a,b){var d=a.split("@"),e="";1<d.length&&(e=d[0]+"@",a=d[1]);a=a.replace(r,".");d=a.split(".");d=c(d,b).join(".");return e+d}function g(a){for(var b=[],c=0,d=a.length,e,g;c<d;)e=a.charCodeAt(c++),55296<=e&&56319>=e&&c<d?(g=a.charCodeAt(c++),56320==(g&64512)?b.push(((e&1023)<<10)+(g&1023)+65536):(b.push(e),
c--)):b.push(e);return b}function m(a){return c(a,function(a){var b="";65535<a&&(a-=65536,b+=I(a>>>10&1023|55296),a=56320|a&1023);return b+=I(a)}).join("")}function p(a,b){return a+22+75*(26>a)-((0!=b)<<5)}function t(a,b,c){var d=0;a=c?B(a/700):a>>1;for(a+=B(a/b);455<a;d+=36)a=B(a/35);return B(d+36*a/(a+38))}function d(a){var b=[],c=a.length,d,g=0,f=128,h=72,k,n,u,l,r;k=a.lastIndexOf("-");0>k&&(k=0);for(n=0;n<k;++n)128<=a.charCodeAt(n)&&e("not-basic"),b.push(a.charCodeAt(n));for(k=0<k?k+1:0;k<c;){n=
g;d=1;for(u=36;;u+=36){k>=c&&e("invalid-input");l=a.charCodeAt(k++);l=10>l-48?l-22:26>l-65?l-65:26>l-97?l-97:36;(36<=l||l>B((2147483647-g)/d))&&e("overflow");g+=l*d;r=u<=h?1:u>=h+26?26:u-h;if(l<r)break;l=36-r;d>B(2147483647/l)&&e("overflow");d*=l}d=b.length+1;h=t(g-n,d,0==n);B(g/d)>2147483647-f&&e("overflow");f+=B(g/d);g%=d;b.splice(g++,0,f)}return m(b)}function v(a){var b,c,d,f,h,k,m,n,l,r=[],x,v,E;a=g(a);x=a.length;b=128;c=0;h=72;for(k=0;k<x;++k)l=a[k],128>l&&r.push(I(l));for((d=f=r.length)&&r.push("-");d<
x;){m=2147483647;for(k=0;k<x;++k)l=a[k],l>=b&&l<m&&(m=l);v=d+1;m-b>B((2147483647-c)/v)&&e("overflow");c+=(m-b)*v;b=m;for(k=0;k<x;++k)if(l=a[k],l<b&&2147483647<++c&&e("overflow"),l==b){n=c;for(m=36;;m+=36){l=m<=h?1:m>=h+26?26:m-h;if(n<l)break;E=n-l;n=36-l;r.push(I(p(l+E%n,0)));n=B(E/n)}r.push(I(p(n,0)));h=t(c,v,d==f);c=0;++d}++c;++b}return r.join("")}var D="object"==typeof h&&h&&!h.nodeType&&h,y="object"==typeof l&&l&&!l.nodeType&&l,C="object"==typeof b&&b;if(C.global===C||C.window===C||C.self===C)a=
C;var z=/^xn--/,H=/[^\x20-\x7E]/,r=/[\x2E\u3002\uFF0E\uFF61]/g,x={overflow:"Overflow: input needs wider integers to process","not-basic":"Illegal input >= 0x80 (not a basic code point)","invalid-input":"Invalid input"},B=Math.floor,I=String.fromCharCode,K,C={version:"1.4.1",ucs2:{decode:g,encode:m},decode:d,encode:v,toASCII:function(a){return f(a,function(a){return H.test(a)?"xn--"+v(a):a})},toUnicode:function(a){return f(a,function(a){return z.test(a)?d(a.slice(4).toLowerCase()):a})}};if(D&&y)if(l.exports==
D)y.exports=C;else for(K in C)C.hasOwnProperty(K)&&(D[K]=C[K]);else a.punycode=C})(this)}).call(this,"undefined"!==typeof global?global:"undefined"!==typeof self?self:"undefined"!==typeof window?window:{})},{}],139:[function(f,l,h){l.exports=function(a,e,c,f){c=c||"=";var g={};if("string"!==typeof a||0===a.length)return g;var h=/\+/g;a=a.split(e||"&");e=1E3;f&&"number"===typeof f.maxKeys&&(e=f.maxKeys);f=a.length;0<e&&f>e&&(f=e);for(e=0;e<f;++e){var k=a[e].replace(h,"%20"),l=k.indexOf(c),d;0<=l?(d=
k.substr(0,l),k=k.substr(l+1)):(d=k,k="");d=decodeURIComponent(d);k=decodeURIComponent(k);Object.prototype.hasOwnProperty.call(g,d)?b(g[d])?g[d].push(k):g[d]=[g[d],k]:g[d]=k}return g};var b=Array.isArray||function(a){return"[object Array]"===Object.prototype.toString.call(a)}},{}],140:[function(f,l,h){function b(a,b){if(a.map)return a.map(b);for(var c=[],e=0;e<a.length;e++)c.push(b(a[e],e));return c}var a=function(a){switch(typeof a){case "string":return a;case "boolean":return a?"true":"false";case "number":return isFinite(a)?
a:"";default:return""}};l.exports=function(f,g,h,l){g=g||"&";h=h||"=";null===f&&(f=void 0);return"object"===typeof f?b(c(f),function(c){var d=encodeURIComponent(a(c))+h;return e(f[c])?b(f[c],function(b){return d+encodeURIComponent(a(b))}).join(g):d+encodeURIComponent(a(f[c]))}).join(g):l?encodeURIComponent(a(l))+h+encodeURIComponent(a(f)):""};var e=Array.isArray||function(a){return"[object Array]"===Object.prototype.toString.call(a)},c=Object.keys||function(a){var b=[],c;for(c in a)Object.prototype.hasOwnProperty.call(a,
c)&&b.push(c);return b}},{}],141:[function(f,l,h){h.decode=h.parse=f("./decode");h.encode=h.stringify=f("./encode")},{"./decode":139,"./encode":140}],142:[function(f,l,h){l.exports=f("./lib/_stream_duplex.js")},{"./lib/_stream_duplex.js":143}],143:[function(f,l,h){function b(c){if(!(this instanceof b))return new b(c);k.call(this,c);g.call(this,c);c&&!1===c.readable&&(this.readable=!1);c&&!1===c.writable&&(this.writable=!1);this.allowHalfOpen=!0;c&&!1===c.allowHalfOpen&&(this.allowHalfOpen=!1);this.once("end",
a)}function a(){this.allowHalfOpen||this._writableState.ended||c(e,this)}function e(a){a.end()}h=Object.keys||function(a){var b=[],c;for(c in a)b.push(c);return b};l.exports=b;var c=f("process-nextick-args");l=f("core-util-is");l.inherits=f("inherits");var k=f("./_stream_readable"),g=f("./_stream_writable");l.inherits(b,k);f=h(g.prototype);for(l=0;l<f.length;l++)h=f[l],b.prototype[h]||(b.prototype[h]=g.prototype[h])},{"./_stream_readable":145,"./_stream_writable":147,"core-util-is":130,inherits:133,
"process-nextick-args":136}],144:[function(f,l,h){function b(e){if(!(this instanceof b))return new b(e);a.call(this,e)}l.exports=b;var a=f("./_stream_transform");l=f("core-util-is");l.inherits=f("inherits");l.inherits(b,a);b.prototype._transform=function(a,b,f){f(null,a)}},{"./_stream_transform":146,"core-util-is":130,inherits:133}],145:[function(f,l,h){(function(b){function a(a,b,c){if("function"===typeof a.prependListener)return a.prependListener(b,c);if(a._events&&a._events[b])I(a._events[b])?
a._events[b].unshift(c):a._events[b]=[c,a._events[b]];else a.on(b,c)}function e(a,b){K=K||f("./_stream_duplex");a=a||{};this.objectMode=!!a.objectMode;b instanceof K&&(this.objectMode=this.objectMode||!!a.readableObjectMode);var c=a.highWaterMark,d=this.objectMode?16:16384;this.highWaterMark=c||0===c?c:d;this.highWaterMark=~~this.highWaterMark;this.buffer=new L;this.length=0;this.pipes=null;this.pipesCount=0;this.flowing=null;this.reading=this.endEmitted=this.ended=!1;this.sync=!0;this.resumeScheduled=
this.readableListening=this.emittedReadable=this.needReadable=!1;this.defaultEncoding=a.defaultEncoding||"utf8";this.ranOut=!1;this.awaitDrain=0;this.readingMore=!1;this.encoding=this.decoder=null;a.encoding&&(q||(q=f("string_decoder/").StringDecoder),this.decoder=new q(a.encoding),this.encoding=a.encoding)}function c(a){K=K||f("./_stream_duplex");if(!(this instanceof c))return new c(a);this._readableState=new e(a,this);this.readable=!0;a&&"function"===typeof a.read&&(this._read=a.read);E.call(this)}
function h(a,b,c,d,e){var f;f=c;var g=null;U.isBuffer(f)||"string"===typeof f||null===f||void 0===f||b.objectMode||(g=new TypeError("Invalid non-string/buffer chunk"));if(f=g)a.emit("error",f);else if(null===c)b.reading=!1,b.ended||(b.decoder&&(c=b.decoder.end())&&c.length&&(b.buffer.push(c),b.length+=b.objectMode?1:c.length),b.ended=!0,m(a));else if(b.objectMode||c&&0<c.length)if(b.ended&&!e)a.emit("error",Error("stream.push() after EOF"));else if(b.endEmitted&&e)a.emit("error",Error("stream.unshift() after end event"));
else{var h;!b.decoder||e||d||(c=b.decoder.write(c),h=!b.objectMode&&0===c.length);e||(b.reading=!1);h||(b.flowing&&0===b.length&&!b.sync?(a.emit("data",c),a.read(0)):(b.length+=b.objectMode?1:c.length,e?b.buffer.unshift(c):b.buffer.push(c),b.needReadable&&m(a)));b.readingMore||(b.readingMore=!0,B(t,a,b))}else e||(b.reading=!1);return!b.ended&&(b.needReadable||b.length<b.highWaterMark||0===b.length)}function g(a,b){if(0>=a||0===b.length&&b.ended)return 0;if(b.objectMode)return 1;if(a!==a)return b.flowing&&
b.length?b.buffer.head.data.length:b.length;if(a>b.highWaterMark){var c=a;8388608<=c?c=8388608:(c--,c|=c>>>1,c|=c>>>2,c|=c>>>4,c|=c>>>8,c|=c>>>16,c++);b.highWaterMark=c}return a<=b.length?a:b.ended?b.length:(b.needReadable=!0,0)}function m(a){var b=a._readableState;b.needReadable=!1;b.emittedReadable||(J("emitReadable",b.flowing),b.emittedReadable=!0,b.sync?B(p,a):p(a))}function p(a){J("emit readable");a.emit("readable");y(a)}function t(a,b){for(var c=b.length;!b.reading&&!b.flowing&&!b.ended&&b.length<
b.highWaterMark&&(J("maybeReadMore read 0"),a.read(0),c!==b.length);)c=b.length;b.readingMore=!1}function d(a){return function(){var b=a._readableState;J("pipeOnDrain",b.awaitDrain);b.awaitDrain&&b.awaitDrain--;0===b.awaitDrain&&a.listeners("data").length&&(b.flowing=!0,y(a))}}function v(a){J("readable nexttick read 0");a.read(0)}function D(a,b){b.reading||(J("resume read 0"),a.read(0));b.resumeScheduled=!1;b.awaitDrain=0;a.emit("resume");y(a);b.flowing&&!b.reading&&a.read(0)}function y(a){var b=
a._readableState;for(J("flow",b.flowing);b.flowing&&null!==a.read(););}function C(a,b){if(0===b.length)return null;var c;if(b.objectMode)c=b.buffer.shift();else if(!a||a>=b.length)c=b.decoder?b.buffer.join(""):1===b.buffer.length?b.buffer.head.data:b.buffer.concat(b.length),b.buffer.clear();else{c=b.buffer;var d=b.decoder;if(a<c.head.data.length)d=c.head.data.slice(0,a),c.head.data=c.head.data.slice(a);else{if(a===c.head.data.length)c=c.shift();else if(d){for(var e=c.head,f=1,g=e.data,d=a-g.length;e=
e.next;){var h=e.data,k=d>h.length?h.length:d,g=k===h.length?g+h:g+h.slice(0,d),d=d-k;if(0===d){k===h.length?(++f,c.head=e.next?e.next:c.tail=null):(c.head=e,e.data=h.slice(k));break}++f}c.length-=f;c=g}else{d=a;e=F.allocUnsafe(d);f=c.head;g=1;f.data.copy(e);for(d-=f.data.length;f=f.next;){h=f.data;k=d>h.length?h.length:d;h.copy(e,e.length-d,0,k);d-=k;if(0===d){k===h.length?(++g,c.head=f.next?f.next:c.tail=null):(c.head=f,f.data=h.slice(k));break}++g}c.length-=g;c=e}d=c}c=d}return c}function z(a){var b=
a._readableState;if(0<b.length)throw Error('"endReadable()" called on non-empty stream');b.endEmitted||(b.ended=!0,B(H,b,a))}function H(a,b){a.endEmitted||0!==a.length||(a.endEmitted=!0,b.readable=!1,b.emit("end"))}function r(a,b){for(var c=0,d=a.length;c<d;c++)b(a[c],c)}function x(a,b){for(var c=0,d=a.length;c<d;c++)if(a[c]===b)return c;return-1}l.exports=c;var B=f("process-nextick-args"),I=f("isarray"),K;c.ReadableState=e;f("events");var E;try{E=f("stream")}catch(n){}finally{E||(E=f("events").EventEmitter)}var U=
f("buffer").Buffer,F=f("buffer-shims"),M=f("core-util-is");M.inherits=f("inherits");var N=f("util"),J=void 0,J=N&&N.debuglog?N.debuglog("stream"):function(){},L=f("./internal/streams/BufferList"),q;M.inherits(c,E);c.prototype.push=function(a,b){var c=this._readableState;c.objectMode||"string"!==typeof a||(b=b||c.defaultEncoding,b!==c.encoding&&(a=F.from(a,b),b=""));return h(this,c,a,b,!1)};c.prototype.unshift=function(a){return h(this,this._readableState,a,"",!0)};c.prototype.isPaused=function(){return!1===
this._readableState.flowing};c.prototype.setEncoding=function(a){q||(q=f("string_decoder/").StringDecoder);this._readableState.decoder=new q(a);this._readableState.encoding=a;return this};c.prototype.read=function(a){J("read",a);a=parseInt(a,10);var b=this._readableState,c=a;0!==a&&(b.emittedReadable=!1);if(0===a&&b.needReadable&&(b.length>=b.highWaterMark||b.ended))return J("read: emitReadable",b.length,b.ended),0===b.length&&b.ended?z(this):m(this),null;a=g(a,b);if(0===a&&b.ended)return 0===b.length&&
z(this),null;var d=b.needReadable;J("need readable",d);if(0===b.length||b.length-a<b.highWaterMark)d=!0,J("length less than watermark",d);b.ended||b.reading?J("reading or ended",!1):d&&(J("do read"),b.reading=!0,b.sync=!0,0===b.length&&(b.needReadable=!0),this._read(b.highWaterMark),b.sync=!1,b.reading||(a=g(c,b)));d=0<a?C(a,b):null;null===d?(b.needReadable=!0,a=0):b.length-=a;0===b.length&&(b.ended||(b.needReadable=!0),c!==a&&b.ended&&z(this));null!==d&&this.emit("data",d);return d};c.prototype._read=
function(a){this.emit("error",Error("_read() is not implemented"))};c.prototype.pipe=function(c,e){function f(a){J("onunpipe");a===q&&h()}function g(){J("onend");c.end()}function h(){J("cleanup");c.removeListener("close",n);c.removeListener("finish",l);c.removeListener("drain",t);c.removeListener("error",m);c.removeListener("unpipe",f);q.removeListener("end",g);q.removeListener("end",h);q.removeListener("data",k);I=!0;!p.awaitDrain||c._writableState&&!c._writableState.needDrain||t()}function k(a){J("ondata");
v=!1;!1!==c.write(a)||v||((1===p.pipesCount&&p.pipes===c||1<p.pipesCount&&-1!==x(p.pipes,c))&&!I&&(J("false write response, pause",q._readableState.awaitDrain),q._readableState.awaitDrain++,v=!0),q.pause())}function m(a){J("onerror",a);r();c.removeListener("error",m);0===c.listeners("error").length&&c.emit("error",a)}function n(){c.removeListener("finish",l);r()}function l(){J("onfinish");c.removeListener("close",n);r()}function r(){J("unpipe");q.unpipe(c)}var q=this,p=this._readableState;switch(p.pipesCount){case 0:p.pipes=
c;break;case 1:p.pipes=[p.pipes,c];break;default:p.pipes.push(c)}p.pipesCount+=1;J("pipe count=%d opts=%j",p.pipesCount,e);var u=e&&!1===e.end||c===b.stdout||c===b.stderr?h:g;if(p.endEmitted)B(u);else q.once("end",u);c.on("unpipe",f);var t=d(q);c.on("drain",t);var I=!1,v=!1;q.on("data",k);a(c,"error",m);c.once("close",n);c.once("finish",l);c.emit("pipe",q);p.flowing||(J("pipe resume"),q.resume());return c};c.prototype.unpipe=function(a){var b=this._readableState;if(0===b.pipesCount)return this;if(1===
b.pipesCount){if(a&&a!==b.pipes)return this;a||(a=b.pipes);b.pipes=null;b.pipesCount=0;b.flowing=!1;a&&a.emit("unpipe",this);return this}if(!a){a=b.pipes;var c=b.pipesCount;b.pipes=null;b.pipesCount=0;b.flowing=!1;for(b=0;b<c;b++)a[b].emit("unpipe",this);return this}c=x(b.pipes,a);if(-1===c)return this;b.pipes.splice(c,1);--b.pipesCount;1===b.pipesCount&&(b.pipes=b.pipes[0]);a.emit("unpipe",this);return this};c.prototype.on=function(a,b){var c=E.prototype.on.call(this,a,b);if("data"===a)!1!==this._readableState.flowing&&
this.resume();else if("readable"===a){var d=this._readableState;d.endEmitted||d.readableListening||(d.readableListening=d.needReadable=!0,d.emittedReadable=!1,d.reading?d.length&&m(this,d):B(v,this))}return c};c.prototype.addListener=c.prototype.on;c.prototype.resume=function(){var a=this._readableState;a.flowing||(J("resume"),a.flowing=!0,a.resumeScheduled||(a.resumeScheduled=!0,B(D,this,a)));return this};c.prototype.pause=function(){J("call pause flowing=%j",this._readableState.flowing);!1!==this._readableState.flowing&&
(J("pause"),this._readableState.flowing=!1,this.emit("pause"));return this};c.prototype.wrap=function(a){var b=this._readableState,c=!1,d=this;a.on("end",function(){J("wrapped end");if(b.decoder&&!b.ended){var a=b.decoder.end();a&&a.length&&d.push(a)}d.push(null)});a.on("data",function(e){J("wrapped data");b.decoder&&(e=b.decoder.write(e));b.objectMode&&(null===e||void 0===e)||!(b.objectMode||e&&e.length)||d.push(e)||(c=!0,a.pause())});for(var e in a)void 0===this[e]&&"function"===typeof a[e]&&(this[e]=
function(b){return function(){return a[b].apply(a,arguments)}}(e));r(["error","close","destroy","pause","resume"],function(b){a.on(b,d.emit.bind(d,b))});d._read=function(b){J("wrapped _read",b);c&&(c=!1,a.resume())};return d};c._fromList=C}).call(this,f("_process"))},{"./_stream_duplex":143,"./internal/streams/BufferList":148,_process:137,buffer:129,"buffer-shims":128,"core-util-is":130,events:131,inherits:133,isarray:135,"process-nextick-args":136,"string_decoder/":154,util:127}],146:[function(f,
l,h){function b(a){this.afterTransform=function(b,c){var e;e=a._transformState;e.transforming=!1;var f=e.writecb;f?(e.writechunk=null,e.writecb=null,null!==c&&void 0!==c&&a.push(c),f(b),e=a._readableState,e.reading=!1,(e.needReadable||e.length<e.highWaterMark)&&a._read(e.highWaterMark),e=void 0):e=a.emit("error",Error("no writecb in Transform class"));return e};this.transforming=this.needTransform=!1;this.writeencoding=this.writechunk=this.writecb=null}function a(f){if(!(this instanceof a))return new a(f);
c.call(this,f);this._transformState=new b(this);var g=this;this._readableState.needReadable=!0;this._readableState.sync=!1;f&&("function"===typeof f.transform&&(this._transform=f.transform),"function"===typeof f.flush&&(this._flush=f.flush));this.once("prefinish",function(){"function"===typeof this._flush?this._flush(function(a,b){e(g,a,b)}):e(g)})}function e(a,b,c){if(b)return a.emit("error",b);null!==c&&void 0!==c&&a.push(c);b=a._transformState;if(a._writableState.length)throw Error("Calling transform done when ws.length != 0");
if(b.transforming)throw Error("Calling transform done when still transforming");return a.push(null)}l.exports=a;var c=f("./_stream_duplex");l=f("core-util-is");l.inherits=f("inherits");l.inherits(a,c);a.prototype.push=function(a,b){this._transformState.needTransform=!1;return c.prototype.push.call(this,a,b)};a.prototype._transform=function(a,b,c){throw Error("_transform() is not implemented");};a.prototype._write=function(a,b,c){var e=this._transformState;e.writecb=c;e.writechunk=a;e.writeencoding=
b;e.transforming||(a=this._readableState,(e.needTransform||a.needReadable||a.length<a.highWaterMark)&&this._read(a.highWaterMark))};a.prototype._read=function(a){a=this._transformState;null!==a.writechunk&&a.writecb&&!a.transforming?(a.transforming=!0,this._transform(a.writechunk,a.writeencoding,a.afterTransform)):a.needTransform=!0}},{"./_stream_duplex":143,"core-util-is":130,inherits:133}],147:[function(f,l,h){(function(b){function a(){}function e(a,b,c){this.chunk=a;this.encoding=b;this.callback=
c;this.next=null}function c(a,b){C=C||f("./_stream_duplex");a=a||{};this.objectMode=!!a.objectMode;b instanceof C&&(this.objectMode=this.objectMode||!!a.writableObjectMode);var c=a.highWaterMark,d=this.objectMode?16:16384;this.highWaterMark=c||0===c?c:d;this.highWaterMark=~~this.highWaterMark;this.finished=this.ended=this.ending=this.needDrain=!1;this.decodeStrings=!1!==a.decodeStrings;this.defaultEncoding=a.defaultEncoding||"utf8";this.length=0;this.writing=!1;this.corked=0;this.sync=!0;this.bufferProcessing=
!1;this.onwrite=function(a){var c=b._writableState,d=c.sync,e=c.writecb;c.writing=!1;c.writecb=null;c.length-=c.writelen;c.writelen=0;a?(--c.pendingcb,d?D(e,a):e(a),b._writableState.errorEmitted=!0,b.emit("error",a)):((a=t(c))||c.corked||c.bufferProcessing||!c.bufferedRequest||p(b,c),d?y(m,b,c,a,e):m(b,c,a,e))};this.writecb=null;this.writelen=0;this.lastBufferedRequest=this.bufferedRequest=null;this.pendingcb=0;this.errorEmitted=this.prefinished=!1;this.bufferedRequestCount=0;this.corkedRequestsFree=
new v(this)}function h(a){C=C||f("./_stream_duplex");if(!(B.call(h,this)||this instanceof C))return new h(a);this._writableState=new c(a,this);this.writable=!0;a&&("function"===typeof a.write&&(this._write=a.write),"function"===typeof a.writev&&(this._writev=a.writev));H.call(this)}function g(a,b,c,d,e,f,g){b.writelen=d;b.writecb=g;b.writing=!0;b.sync=!0;c?a._writev(e,b.onwrite):a._write(e,f,b.onwrite);b.sync=!1}function m(a,b,c,e){!c&&0===b.length&&b.needDrain&&(b.needDrain=!1,a.emit("drain"));b.pendingcb--;
e();d(a,b)}function p(a,b){b.bufferProcessing=!0;var c=b.bufferedRequest;if(a._writev&&c&&c.next){var d=Array(b.bufferedRequestCount),e=b.corkedRequestsFree;e.entry=c;for(var f=0;c;)d[f]=c,c=c.next,f+=1;g(a,b,!0,b.length,d,"",e.finish);b.pendingcb++;b.lastBufferedRequest=null;e.next?(b.corkedRequestsFree=e.next,e.next=null):b.corkedRequestsFree=new v(b)}else{for(;c&&(d=c.chunk,g(a,b,!1,b.objectMode?1:d.length,d,c.encoding,c.callback),c=c.next,!b.writing););null===c&&(b.lastBufferedRequest=null)}b.bufferedRequestCount=
0;b.bufferedRequest=c;b.bufferProcessing=!1}function t(a){return a.ending&&0===a.length&&null===a.bufferedRequest&&!a.finished&&!a.writing}function d(a,b){var c=t(b);c&&(0===b.pendingcb?(b.prefinished||(b.prefinished=!0,a.emit("prefinish")),b.finished=!0,a.emit("finish")):b.prefinished||(b.prefinished=!0,a.emit("prefinish")));return c}function v(a){var b=this;this.entry=this.next=null;this.finish=function(c){var d=b.entry;for(b.entry=null;d;){var e=d.callback;a.pendingcb--;e(c);d=d.next}a.corkedRequestsFree?
a.corkedRequestsFree.next=b:a.corkedRequestsFree=b}}l.exports=h;var D=f("process-nextick-args"),y=!b.browser&&-1<["v0.10","v0.9."].indexOf(b.version.slice(0,5))?setImmediate:D,C;h.WritableState=c;b=f("core-util-is");b.inherits=f("inherits");var z={deprecate:f("util-deprecate")},H;try{H=f("stream")}catch(I){}finally{H||(H=f("events").EventEmitter)}var r=f("buffer").Buffer,x=f("buffer-shims");b.inherits(h,H);c.prototype.getBuffer=function(){for(var a=this.bufferedRequest,b=[];a;)b.push(a),a=a.next;
return b};(function(){try{Object.defineProperty(c.prototype,"buffer",{get:z.deprecate(function(){return this.getBuffer()},"_writableState.buffer is deprecated. Use _writableState.getBuffer instead.")})}catch(I){}})();var B;$jscomp.initSymbol();$jscomp.initSymbol();$jscomp.initSymbol();"function"===typeof Symbol&&Symbol.hasInstance&&"function"===typeof Function.prototype[Symbol.hasInstance]?($jscomp.initSymbol(),B=Function.prototype[Symbol.hasInstance],$jscomp.initSymbol(),Object.defineProperty(h,
Symbol.hasInstance,{value:function(a){return B.call(this,a)?!0:a&&a._writableState instanceof c}})):B=function(a){return a instanceof this};h.prototype.pipe=function(){this.emit("error",Error("Cannot pipe, not readable"))};h.prototype.write=function(b,c,d){var f=this._writableState,h=!1,k=r.isBuffer(b);"function"===typeof c&&(d=c,c=null);k?c="buffer":c||(c=f.defaultEncoding);"function"!==typeof d&&(d=a);if(f.ended)f=d,k=Error("write after end"),this.emit("error",k),D(f,k);else{var m;if(!(m=k)){m=
d;var l=!0,p=!1;null===b?p=new TypeError("May not write null values to stream"):"string"===typeof b||void 0===b||f.objectMode||(p=new TypeError("Invalid non-string/buffer chunk"));p&&(this.emit("error",p),D(m,p),l=!1);m=l}m&&(f.pendingcb++,h=b,k||(k=h,f.objectMode||!1===f.decodeStrings||"string"!==typeof k||(k=x.from(k,c)),h=k,r.isBuffer(h)&&(c="buffer")),b=f.objectMode?1:h.length,f.length+=b,k=f.length<f.highWaterMark,k||(f.needDrain=!0),f.writing||f.corked?(b=f.lastBufferedRequest,f.lastBufferedRequest=
new e(h,c,d),b?b.next=f.lastBufferedRequest:f.bufferedRequest=f.lastBufferedRequest,f.bufferedRequestCount+=1):g(this,f,!1,b,h,c,d),h=k)}return h};h.prototype.cork=function(){this._writableState.corked++};h.prototype.uncork=function(){var a=this._writableState;a.corked&&(a.corked--,a.writing||a.corked||a.finished||a.bufferProcessing||!a.bufferedRequest||p(this,a))};h.prototype.setDefaultEncoding=function(a){"string"===typeof a&&(a=a.toLowerCase());if(!(-1<"hex utf8 utf-8 ascii binary base64 ucs2 ucs-2 utf16le utf-16le raw".split(" ").indexOf((a+
"").toLowerCase())))throw new TypeError("Unknown encoding: "+a);this._writableState.defaultEncoding=a;return this};h.prototype._write=function(a,b,c){c(Error("_write() is not implemented"))};h.prototype._writev=null;h.prototype.end=function(a,b,c){var e=this._writableState;"function"===typeof a?(c=a,b=a=null):"function"===typeof b&&(c=b,b=null);null!==a&&void 0!==a&&this.write(a,b);e.corked&&(e.corked=1,this.uncork());if(!e.ending&&!e.finished){a=c;e.ending=!0;d(this,e);if(a)if(e.finished)D(a);else this.once("finish",
a);e.ended=!0;this.writable=!1}}}).call(this,f("_process"))},{"./_stream_duplex":143,_process:137,buffer:129,"buffer-shims":128,"core-util-is":130,events:131,inherits:133,"process-nextick-args":136,"util-deprecate":157}],148:[function(f,l,h){function b(){this.tail=this.head=null;this.length=0}f("buffer");var a=f("buffer-shims");l.exports=b;b.prototype.push=function(a){a={data:a,next:null};0<this.length?this.tail.next=a:this.head=a;this.tail=a;++this.length};b.prototype.unshift=function(a){a={data:a,
next:this.head};0===this.length&&(this.tail=a);this.head=a;++this.length};b.prototype.shift=function(){if(0!==this.length){var a=this.head.data;this.head=1===this.length?this.tail=null:this.head.next;--this.length;return a}};b.prototype.clear=function(){this.head=this.tail=null;this.length=0};b.prototype.join=function(a){if(0===this.length)return"";for(var b=this.head,e=""+b.data;b=b.next;)e+=a+b.data;return e};b.prototype.concat=function(b){if(0===this.length)return a.alloc(0);if(1===this.length)return this.head.data;
b=a.allocUnsafe(b>>>0);for(var c=this.head,e=0;c;)c.data.copy(b,e),e+=c.data.length,c=c.next;return b}},{buffer:129,"buffer-shims":128}],149:[function(f,l,h){l.exports=f("./lib/_stream_passthrough.js")},{"./lib/_stream_passthrough.js":144}],150:[function(f,l,h){var b=f("_process"),a;a:{try{a=f("stream");break a}catch(e){}a=void 0}h=l.exports=f("./lib/_stream_readable.js");h.Stream=a||h;h.Readable=h;h.Writable=f("./lib/_stream_writable.js");h.Duplex=f("./lib/_stream_duplex.js");h.Transform=f("./lib/_stream_transform.js");
h.PassThrough=f("./lib/_stream_passthrough.js");!b.browser&&"disable"===b.env.READABLE_STREAM&&a&&(l.exports=a)},{"./lib/_stream_duplex.js":143,"./lib/_stream_passthrough.js":144,"./lib/_stream_readable.js":145,"./lib/_stream_transform.js":146,"./lib/_stream_writable.js":147,_process:137}],151:[function(f,l,h){l.exports=f("./lib/_stream_transform.js")},{"./lib/_stream_transform.js":146}],152:[function(f,l,h){l.exports=f("./lib/_stream_writable.js")},{"./lib/_stream_writable.js":147}],153:[function(f,
l,h){function b(){a.call(this)}l.exports=b;var a=f("events").EventEmitter;f("inherits")(b,a);b.Readable=f("readable-stream/readable.js");b.Writable=f("readable-stream/writable.js");b.Duplex=f("readable-stream/duplex.js");b.Transform=f("readable-stream/transform.js");b.PassThrough=f("readable-stream/passthrough.js");b.Stream=b;b.prototype.pipe=function(b,c){function e(a){b.writable&&!1===b.write(a)&&v.pause&&v.pause()}function f(){v.readable&&v.resume&&v.resume()}function h(){D||(D=!0,b.end())}function l(){D||
(D=!0,"function"===typeof b.destroy&&b.destroy())}function t(b){d();if(0===a.listenerCount(this,"error"))throw b;}function d(){v.removeListener("data",e);b.removeListener("drain",f);v.removeListener("end",h);v.removeListener("close",l);v.removeListener("error",t);b.removeListener("error",t);v.removeListener("end",d);v.removeListener("close",d);b.removeListener("close",d)}var v=this;v.on("data",e);b.on("drain",f);b._isStdio||c&&!1===c.end||(v.on("end",h),v.on("close",l));var D=!1;v.on("error",t);b.on("error",
t);v.on("end",d);v.on("close",d);b.on("close",d);b.emit("pipe",v);return b}},{events:131,inherits:133,"readable-stream/duplex.js":142,"readable-stream/passthrough.js":149,"readable-stream/readable.js":150,"readable-stream/transform.js":151,"readable-stream/writable.js":152}],154:[function(f,l,h){function b(a){return a.toString(this.encoding)}function a(a){this.charLength=(this.charReceived=a.length%2)?2:0}function e(a){this.charLength=(this.charReceived=a.length%3)?3:0}var c=f("buffer").Buffer,k=
c.isEncoding||function(a){switch(a&&a.toLowerCase()){case "hex":case "utf8":case "utf-8":case "ascii":case "binary":case "base64":case "ucs2":case "ucs-2":case "utf16le":case "utf-16le":case "raw":return!0;default:return!1}};f=h.StringDecoder=function(f){this.encoding=(f||"utf8").toLowerCase().replace(/[-_]/,"");if(f&&!k(f))throw Error("Unknown encoding: "+f);switch(this.encoding){case "utf8":this.surrogateSize=3;break;case "ucs2":case "utf16le":this.surrogateSize=2;this.detectIncompleteChar=a;break;
case "base64":this.surrogateSize=3;this.detectIncompleteChar=e;break;default:this.write=b;return}this.charBuffer=new c(6);this.charLength=this.charReceived=0};f.prototype.write=function(a){for(var b="";this.charLength;){b=a.length>=this.charLength-this.charReceived?this.charLength-this.charReceived:a.length;a.copy(this.charBuffer,this.charReceived,0,b);this.charReceived+=b;if(this.charReceived<this.charLength)return"";a=a.slice(b,a.length);var b=this.charBuffer.slice(0,this.charLength).toString(this.encoding),
c=b.charCodeAt(b.length-1);if(55296<=c&&56319>=c)this.charLength+=this.surrogateSize,b="";else{this.charReceived=this.charLength=0;if(0===a.length)return b;break}}this.detectIncompleteChar(a);var e=a.length;this.charLength&&(a.copy(this.charBuffer,0,a.length-this.charReceived,e),e-=this.charReceived);b+=a.toString(this.encoding,0,e);e=b.length-1;c=b.charCodeAt(e);return 55296<=c&&56319>=c?(c=this.surrogateSize,this.charLength+=c,this.charReceived+=c,this.charBuffer.copy(this.charBuffer,c,0,c),a.copy(this.charBuffer,
0,0,c),b.substring(0,e)):b};f.prototype.detectIncompleteChar=function(a){for(var b=3<=a.length?3:a.length;0<b;b--){var c=a[a.length-b];if(1==b&&6==c>>5){this.charLength=2;break}if(2>=b&&14==c>>4){this.charLength=3;break}if(3>=b&&30==c>>3){this.charLength=4;break}}this.charReceived=b};f.prototype.end=function(a){var b="";a&&a.length&&(b=this.write(a));this.charReceived&&(a=this.encoding,b+=this.charBuffer.slice(0,this.charReceived).toString(a));return b}},{buffer:129}],155:[function(f,l,h){function b(){this.href=
this.path=this.pathname=this.query=this.search=this.hash=this.hostname=this.port=this.host=this.auth=this.slashes=this.protocol=null}function a(a,d,e){if(a&&c.isObject(a)&&a instanceof b)return a;var f=new b;f.parse(a,d,e);return f}var e=f("punycode"),c=f("./util");h.parse=a;h.resolve=function(b,c){return a(b,!1,!0).resolve(c)};h.resolveObject=function(b,c){return b?a(b,!1,!0).resolveObject(c):c};h.format=function(d){c.isString(d)&&(d=a(d));return d instanceof b?d.format():b.prototype.format.call(d)};
h.Url=b;var k=/^([a-z0-9.+-]+:)/i,g=/:[0-9]*$/,m=/^(\/\/?(?!\/)[^\?\s]*)(\?[^\s]*)?$/;l="{}|\\^`".split("").concat('<>"` \r\n\t'.split(""));var p=["'"].concat(l),t=["%","/","?",";","#"].concat(p),d=["/","?","#"],v=/^[+a-z0-9A-Z_-]{0,63}$/,D=/^([+a-z0-9A-Z_-]{0,63})(.*)$/,y={javascript:!0,"javascript:":!0},C={javascript:!0,"javascript:":!0},z={http:!0,https:!0,ftp:!0,gopher:!0,file:!0,"http:":!0,"https:":!0,"ftp:":!0,"gopher:":!0,"file:":!0},H=f("querystring");b.prototype.parse=function(a,b,f){if(!c.isString(a))throw new TypeError("Parameter 'url' must be a string, not "+
typeof a);var g=a.indexOf("?"),g=-1!==g&&g<a.indexOf("#")?"?":"#";a=a.split(g);a[0]=a[0].replace(/\\/g,"/");a=a.join(g);g=a.trim();if(!f&&1===a.split("#").length&&(a=m.exec(g)))return this.href=this.path=g,this.pathname=a[1],a[2]?(this.search=a[2],this.query=b?H.parse(this.search.substr(1)):this.search.substr(1)):b&&(this.search="",this.query={}),this;if(a=k.exec(g)){a=a[0];var h=a.toLowerCase();this.protocol=h;g=g.substr(a.length)}if(f||a||g.match(/^\/\/[^@\/]+@[^@\/]+/)){var l="//"===g.substr(0,
2);!l||a&&C[a]||(g=g.substr(2),this.slashes=!0)}if(!C[a]&&(l||a&&!z[a])){l=-1;for(f=0;f<d.length;f++)a=g.indexOf(d[f]),-1!==a&&(-1===l||a<l)&&(l=a);l=-1===l?g.lastIndexOf("@"):g.lastIndexOf("@",l);-1!==l&&(f=g.slice(0,l),g=g.slice(l+1),this.auth=decodeURIComponent(f));l=-1;for(f=0;f<t.length;f++)a=g.indexOf(t[f]),-1!==a&&(-1===l||a<l)&&(l=a);-1===l&&(l=g.length);this.host=g.slice(0,l);g=g.slice(l);this.parseHost();this.hostname=this.hostname||"";l="["===this.hostname[0]&&"]"===this.hostname[this.hostname.length-
1];if(!l){var r=this.hostname.split(/\./);f=0;for(a=r.length;f<a;f++){var x=r[f];if(x&&!x.match(v)){for(var B="",N=0,J=x.length;N<J;N++)B=127<x.charCodeAt(N)?B+"x":B+x[N];if(!B.match(v)){a=r.slice(0,f);f=r.slice(f+1);if(x=x.match(D))a.push(x[1]),f.unshift(x[2]);f.length&&(g="/"+f.join(".")+g);this.hostname=a.join(".");break}}}}this.hostname=255<this.hostname.length?"":this.hostname.toLowerCase();l||(this.hostname=e.toASCII(this.hostname));f=this.port?":"+this.port:"";this.host=(this.hostname||"")+
f;this.href+=this.host;l&&(this.hostname=this.hostname.substr(1,this.hostname.length-2),"/"!==g[0]&&(g="/"+g))}if(!y[h])for(f=0,a=p.length;f<a;f++)l=p[f],-1!==g.indexOf(l)&&(x=encodeURIComponent(l),x===l&&(x=escape(l)),g=g.split(l).join(x));f=g.indexOf("#");-1!==f&&(this.hash=g.substr(f),g=g.slice(0,f));f=g.indexOf("?");-1!==f?(this.search=g.substr(f),this.query=g.substr(f+1),b&&(this.query=H.parse(this.query)),g=g.slice(0,f)):b&&(this.search="",this.query={});g&&(this.pathname=g);z[h]&&this.hostname&&
!this.pathname&&(this.pathname="/");if(this.pathname||this.search)f=this.pathname||"",this.path=f+(this.search||"");this.href=this.format();return this};b.prototype.format=function(){var a=this.auth||"";a&&(a=encodeURIComponent(a),a=a.replace(/%3A/i,":"),a+="@");var b=this.protocol||"",d=this.pathname||"",e=this.hash||"",f=!1,g="";this.host?f=a+this.host:this.hostname&&(f=a+(-1===this.hostname.indexOf(":")?this.hostname:"["+this.hostname+"]"),this.port&&(f+=":"+this.port));this.query&&c.isObject(this.query)&&
Object.keys(this.query).length&&(g=H.stringify(this.query));a=this.search||g&&"?"+g||"";b&&":"!==b.substr(-1)&&(b+=":");this.slashes||(!b||z[b])&&!1!==f?(f="//"+(f||""),d&&"/"!==d.charAt(0)&&(d="/"+d)):f||(f="");e&&"#"!==e.charAt(0)&&(e="#"+e);a&&"?"!==a.charAt(0)&&(a="?"+a);d=d.replace(/[?#]/g,function(a){return encodeURIComponent(a)});a=a.replace("#","%23");return b+f+d+a+e};b.prototype.resolve=function(b){return this.resolveObject(a(b,!1,!0)).format()};b.prototype.resolveObject=function(a){if(c.isString(a)){var d=
new b;d.parse(a,!1,!0);a=d}for(var d=new b,e=Object.keys(this),f=0;f<e.length;f++){var g=e[f];d[g]=this[g]}d.hash=a.hash;if(""===a.href)return d.href=d.format(),d;if(a.slashes&&!a.protocol){e=Object.keys(a);for(f=0;f<e.length;f++)g=e[f],"protocol"!==g&&(d[g]=a[g]);z[d.protocol]&&d.hostname&&!d.pathname&&(d.path=d.pathname="/");d.href=d.format();return d}if(a.protocol&&a.protocol!==d.protocol){if(!z[a.protocol]){e=Object.keys(a);for(f=0;f<e.length;f++)g=e[f],d[g]=a[g];d.href=d.format();return d}d.protocol=
a.protocol;if(a.host||C[a.protocol])d.pathname=a.pathname;else{for(var h=(a.pathname||"").split("/");h.length&&!(a.host=h.shift()););a.host||(a.host="");a.hostname||(a.hostname="");""!==h[0]&&h.unshift("");2>h.length&&h.unshift("");d.pathname=h.join("/")}d.search=a.search;d.query=a.query;d.host=a.host||"";d.auth=a.auth;d.hostname=a.hostname||a.host;d.port=a.port;if(d.pathname||d.search)d.path=(d.pathname||"")+(d.search||"");d.slashes=d.slashes||a.slashes;d.href=d.format();return d}var e=d.pathname&&
"/"===d.pathname.charAt(0),k=a.host||a.pathname&&"/"===a.pathname.charAt(0),m=e=k||e||d.host&&a.pathname,f=d.pathname&&d.pathname.split("/")||[],h=a.pathname&&a.pathname.split("/")||[];if(g=d.protocol&&!z[d.protocol])d.hostname="",d.port=null,d.host&&(""===f[0]?f[0]=d.host:f.unshift(d.host)),d.host="",a.protocol&&(a.hostname=null,a.port=null,a.host&&(""===h[0]?h[0]=a.host:h.unshift(a.host)),a.host=null),e=e&&(""===h[0]||""===f[0]);if(k)d.host=a.host||""===a.host?a.host:d.host,d.hostname=a.hostname||
""===a.hostname?a.hostname:d.hostname,d.search=a.search,d.query=a.query,f=h;else if(h.length)f||(f=[]),f.pop(),f=f.concat(h),d.search=a.search,d.query=a.query;else if(!c.isNullOrUndefined(a.search))return g&&(d.hostname=d.host=f.shift(),g=d.host&&0<d.host.indexOf("@")?d.host.split("@"):!1)&&(d.auth=g.shift(),d.host=d.hostname=g.shift()),d.search=a.search,d.query=a.query,c.isNull(d.pathname)&&c.isNull(d.search)||(d.path=(d.pathname?d.pathname:"")+(d.search?d.search:"")),d.href=d.format(),d;if(!f.length)return d.pathname=
null,d.path=d.search?"/"+d.search:null,d.href=d.format(),d;for(var k=f.slice(-1)[0],h=(d.host||a.host||1<f.length)&&("."===k||".."===k)||""===k,l=0,p=f.length;0<=p;p--)k=f[p],"."===k?f.splice(p,1):".."===k?(f.splice(p,1),l++):l&&(f.splice(p,1),l--);if(!e&&!m)for(;l--;l)f.unshift("..");!e||""===f[0]||f[0]&&"/"===f[0].charAt(0)||f.unshift("");h&&"/"!==f.join("/").substr(-1)&&f.push("");m=""===f[0]||f[0]&&"/"===f[0].charAt(0);g&&(d.hostname=d.host=m?"":f.length?f.shift():"",g=d.host&&0<d.host.indexOf("@")?
d.host.split("@"):!1)&&(d.auth=g.shift(),d.host=d.hostname=g.shift());(e=e||d.host&&f.length)&&!m&&f.unshift("");f.length?d.pathname=f.join("/"):(d.pathname=null,d.path=null);c.isNull(d.pathname)&&c.isNull(d.search)||(d.path=(d.pathname?d.pathname:"")+(d.search?d.search:""));d.auth=a.auth||d.auth;d.slashes=d.slashes||a.slashes;d.href=d.format();return d};b.prototype.parseHost=function(){var a=this.host,b=g.exec(a);b&&(b=b[0],":"!==b&&(this.port=b.substr(1)),a=a.substr(0,a.length-b.length));a&&(this.hostname=
a)}},{"./util":156,punycode:138,querystring:141}],156:[function(f,l,h){l.exports={isString:function(b){return"string"===typeof b},isObject:function(b){return"object"===typeof b&&null!==b},isNull:function(b){return null===b},isNullOrUndefined:function(b){return null==b}}},{}],157:[function(f,l,h){(function(b){function a(a){try{if(!b.localStorage)return!1}catch(c){return!1}a=b.localStorage[a];return null==a?!1:"true"===String(a).toLowerCase()}l.exports=function(b,c){if(a("noDeprecation"))return b;var e=
!1;return function(){if(!e){if(a("throwDeprecation"))throw Error(c);a("traceDeprecation")?console.trace(c):console.warn(c);e=!0}return b.apply(this,arguments)}}}).call(this,"undefined"!==typeof global?global:"undefined"!==typeof self?self:"undefined"!==typeof window?window:{})},{}],158:[function(f,l,h){arguments[4][133][0].apply(h,arguments)},{dup:133}],159:[function(f,l,h){l.exports=function(b){return b&&"object"===typeof b&&"function"===typeof b.copy&&"function"===typeof b.fill&&"function"===typeof b.readUInt8}},
{}],160:[function(f,l,h){(function(b,a){function e(a,b){var d={seen:[],stylize:k};3<=arguments.length&&(d.depth=arguments[2]);4<=arguments.length&&(d.colors=arguments[3]);C(b)?d.showHidden=b:b&&h._extend(d,b);r(d.showHidden)&&(d.showHidden=!1);r(d.depth)&&(d.depth=2);r(d.colors)&&(d.colors=!1);r(d.customInspect)&&(d.customInspect=!0);d.colors&&(d.stylize=c);return m(d,a,d.depth)}function c(a,b){var c=e.styles[b];return c?"\u001b["+e.colors[c][0]+"m"+a+"\u001b["+e.colors[c][1]+"m":a}function k(a,b){return a}
function g(a){var b={};a.forEach(function(a,c){b[a]=!0});return b}function m(a,b,c){if(a.customInspect&&b&&E(b.inspect)&&b.inspect!==h.inspect&&(!b.constructor||b.constructor.prototype!==b)){var e=b.inspect(c,a);H(e)||(e=m(a,e,c));return e}if(e=l(a,b))return e;var f=Object.keys(b),k=g(f);a.showHidden&&(f=Object.getOwnPropertyNames(b));if(K(b)&&(0<=f.indexOf("message")||0<=f.indexOf("description")))return t(b);if(0===f.length){if(E(b))return a.stylize("[Function"+(b.name?": "+b.name:"")+"]","special");
if(x(b))return a.stylize(RegExp.prototype.toString.call(b),"regexp");if(I(b))return a.stylize(Date.prototype.toString.call(b),"date");if(K(b))return t(b)}var e="",n=!1,q=["{","}"];y(b)&&(n=!0,q=["[","]"]);E(b)&&(e=" [Function"+(b.name?": "+b.name:"")+"]");x(b)&&(e=" "+RegExp.prototype.toString.call(b));I(b)&&(e=" "+Date.prototype.toUTCString.call(b));K(b)&&(e=" "+t(b));if(0===f.length&&(!n||0==b.length))return q[0]+e+q[1];if(0>c)return x(b)?a.stylize(RegExp.prototype.toString.call(b),"regexp"):a.stylize("[Object]",
"special");a.seen.push(b);f=n?d(a,b,c,k,f):f.map(function(d){return v(a,b,c,k,d,n)});a.seen.pop();return D(f,e,q)}function l(a,b){if(r(b))return a.stylize("undefined","undefined");if(H(b)){var c="'"+JSON.stringify(b).replace(/^"|"$/g,"").replace(/'/g,"\\'").replace(/\\"/g,'"')+"'";return a.stylize(c,"string")}if(z(b))return a.stylize(""+b,"number");if(C(b))return a.stylize(""+b,"boolean");if(null===b)return a.stylize("null","null")}function t(a){return"["+Error.prototype.toString.call(a)+"]"}function d(a,
b,c,d,e){for(var f=[],g=0,h=b.length;g<h;++g)Object.prototype.hasOwnProperty.call(b,String(g))?f.push(v(a,b,c,d,String(g),!0)):f.push("");e.forEach(function(e){e.match(/^\d+$/)||f.push(v(a,b,c,d,e,!0))});return f}function v(a,b,c,d,e,f){var g,h;b=Object.getOwnPropertyDescriptor(b,e)||{value:b[e]};b.get?h=b.set?a.stylize("[Getter/Setter]","special"):a.stylize("[Getter]","special"):b.set&&(h=a.stylize("[Setter]","special"));Object.prototype.hasOwnProperty.call(d,e)||(g="["+e+"]");h||(0>a.seen.indexOf(b.value)?
(h=null===c?m(a,b.value,null):m(a,b.value,c-1),-1<h.indexOf("\n")&&(h=f?h.split("\n").map(function(a){return"  "+a}).join("\n").substr(2):"\n"+h.split("\n").map(function(a){return"   "+a}).join("\n"))):h=a.stylize("[Circular]","special"));if(r(g)){if(f&&e.match(/^\d+$/))return h;g=JSON.stringify(""+e);g.match(/^"([a-zA-Z_][a-zA-Z_0-9]*)"$/)?(g=g.substr(1,g.length-2),g=a.stylize(g,"name")):(g=g.replace(/'/g,"\\'").replace(/\\"/g,'"').replace(/(^"|"$)/g,"'"),g=a.stylize(g,"string"))}return g+": "+h}
function D(a,b,c){var d=0;return 60<a.reduce(function(a,b){d++;0<=b.indexOf("\n")&&d++;return a+b.replace(/\u001b\[\d\d?m/g,"").length+1},0)?c[0]+(""===b?"":b+"\n ")+" "+a.join(",\n  ")+" "+c[1]:c[0]+b+" "+a.join(", ")+" "+c[1]}function y(a){return Array.isArray(a)}function C(a){return"boolean"===typeof a}function z(a){return"number"===typeof a}function H(a){return"string"===typeof a}function r(a){return void 0===a}function x(a){return B(a)&&"[object RegExp]"===Object.prototype.toString.call(a)}function B(a){return"object"===
typeof a&&null!==a}function I(a){return B(a)&&"[object Date]"===Object.prototype.toString.call(a)}function K(a){return B(a)&&("[object Error]"===Object.prototype.toString.call(a)||a instanceof Error)}function E(a){return"function"===typeof a}function U(a){return 10>a?"0"+a.toString(10):a.toString(10)}function F(){var a=new Date,b=[U(a.getHours()),U(a.getMinutes()),U(a.getSeconds())].join(":");return[a.getDate(),L[a.getMonth()],b].join(" ")}var M=/%[sdj%]/g;h.format=function(a){if(!H(a)){for(var b=
[],c=0;c<arguments.length;c++)b.push(e(arguments[c]));return b.join(" ")}for(var c=1,d=arguments,f=d.length,b=String(a).replace(M,function(a){if("%%"===a)return"%";if(c>=f)return a;switch(a){case "%s":return String(d[c++]);case "%d":return Number(d[c++]);case "%j":try{return JSON.stringify(d[c++])}catch(P){return"[Circular]"}default:return a}}),g=d[c];c<f;g=d[++c])b=null!==g&&B(g)?b+(" "+e(g)):b+(" "+g);return b};h.deprecate=function(c,d){if(r(a.process))return function(){return h.deprecate(c,d).apply(this,
arguments)};if(!0===b.noDeprecation)return c;var e=!1;return function(){if(!e){if(b.throwDeprecation)throw Error(d);b.traceDeprecation?console.trace(d):console.error(d);e=!0}return c.apply(this,arguments)}};var N={},J;h.debuglog=function(a){r(J)&&(J=b.env.NODE_DEBUG||"");a=a.toUpperCase();if(!N[a])if((new RegExp("\\b"+a+"\\b","i")).test(J)){var c=b.pid;N[a]=function(){var b=h.format.apply(h,arguments);console.error("%s %d: %s",a,c,b)}}else N[a]=function(){};return N[a]};h.inspect=e;e.colors={bold:[1,
22],italic:[3,23],underline:[4,24],inverse:[7,27],white:[37,39],grey:[90,39],black:[30,39],blue:[34,39],cyan:[36,39],green:[32,39],magenta:[35,39],red:[31,39],yellow:[33,39]};e.styles={special:"cyan",number:"yellow","boolean":"yellow",undefined:"grey","null":"bold",string:"green",date:"magenta",regexp:"red"};h.isArray=y;h.isBoolean=C;h.isNull=function(a){return null===a};h.isNullOrUndefined=function(a){return null==a};h.isNumber=z;h.isString=H;h.isSymbol=function(a){return"symbol"===typeof a};h.isUndefined=
r;h.isRegExp=x;h.isObject=B;h.isDate=I;h.isError=K;h.isFunction=E;h.isPrimitive=function(a){return null===a||"boolean"===typeof a||"number"===typeof a||"string"===typeof a||"symbol"===typeof a||"undefined"===typeof a};h.isBuffer=f("./support/isBuffer");var L="Jan Feb Mar Apr May Jun Jul Aug Sep Oct Nov Dec".split(" ");h.log=function(){console.log("%s - %s",F(),h.format.apply(h,arguments))};h.inherits=f("inherits");h._extend=function(a,b){if(!b||!B(b))return a;for(var c=Object.keys(b),d=c.length;d--;)a[c[d]]=
b[c[d]];return a}}).call(this,f("_process"),"undefined"!==typeof global?global:"undefined"!==typeof self?self:"undefined"!==typeof window?window:{})},{"./support/isBuffer":159,_process:137,inherits:158}]},{},[3])(3)});
